// *********** THIS FILE IS GENERATED - DO NOT EDIT ***********
//     See api_dump_generator.py for modifications
// ************************************************************

// Copyright (c) 2017-2020 The Khronos Group Inc.
// Copyright (c) 2017-2019 Valve Corporation
// Copyright (c) 2017-2019 LunarG, Inc.
//
// SPDX-License-Identifier: Apache-2.0
//
// Licensed under the Apache License, Version 2.0 (the "License");
// you may not use this file except in compliance with the License.
// You may obtain a copy of the License at
//
//     http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.
//
// Author: Mark Young <marky@lunarg.com>
//

#include "xr_generated_api_dump.hpp"
#include "xr_generated_dispatch_table.h"
#include "hex_and_handles.h"

#include <cstring>
#include <mutex>
#include <sstream>
#include <iomanip>
#include <unordered_map>


std::unordered_map<XrInstance, XrGeneratedDispatchTable*> g_instance_dispatch_map;
std::mutex g_instance_dispatch_mutex;
std::unordered_map<XrSession, XrGeneratedDispatchTable*> g_session_dispatch_map;
std::mutex g_session_dispatch_mutex;
std::unordered_map<XrSpace, XrGeneratedDispatchTable*> g_space_dispatch_map;
std::mutex g_space_dispatch_mutex;
std::unordered_map<XrAction, XrGeneratedDispatchTable*> g_action_dispatch_map;
std::mutex g_action_dispatch_mutex;
std::unordered_map<XrSwapchain, XrGeneratedDispatchTable*> g_swapchain_dispatch_map;
std::mutex g_swapchain_dispatch_mutex;
std::unordered_map<XrActionSet, XrGeneratedDispatchTable*> g_actionset_dispatch_map;
std::mutex g_actionset_dispatch_mutex;
std::unordered_map<XrDebugUtilsMessengerEXT, XrGeneratedDispatchTable*> g_debugutilsmessengerext_dispatch_map;
std::mutex g_debugutilsmessengerext_dispatch_mutex;
std::unordered_map<XrSpatialAnchorMSFT, XrGeneratedDispatchTable*> g_spatialanchormsft_dispatch_map;
std::mutex g_spatialanchormsft_dispatch_mutex;
std::unordered_map<XrHandTrackerEXT, XrGeneratedDispatchTable*> g_handtrackerext_dispatch_map;
std::mutex g_handtrackerext_dispatch_mutex;

// Template function to reduce duplicating the map locking, searching, and deleting.`
template <typename MapType>
void eraseAllTableMapElements(MapType &search_map, std::mutex &mutex, XrGeneratedDispatchTable *search_value) {
    std::unique_lock<std::mutex> lock(mutex);
    for (auto it = search_map.begin(); it != search_map.end();) {
        if (it->second == search_value) {
            search_map.erase(it++);
        } else {
            ++it;
        }
    }
}

// Function used to clean up any residual map values that point to an instance prior to that
// instance being deleted.
void ApiDumpCleanUpMapsForTable(XrGeneratedDispatchTable *table) {
    eraseAllTableMapElements<std::unordered_map<XrInstance, XrGeneratedDispatchTable*>>(g_instance_dispatch_map, g_instance_dispatch_mutex, table);
    eraseAllTableMapElements<std::unordered_map<XrSession, XrGeneratedDispatchTable*>>(g_session_dispatch_map, g_session_dispatch_mutex, table);
    eraseAllTableMapElements<std::unordered_map<XrSpace, XrGeneratedDispatchTable*>>(g_space_dispatch_map, g_space_dispatch_mutex, table);
    eraseAllTableMapElements<std::unordered_map<XrAction, XrGeneratedDispatchTable*>>(g_action_dispatch_map, g_action_dispatch_mutex, table);
    eraseAllTableMapElements<std::unordered_map<XrSwapchain, XrGeneratedDispatchTable*>>(g_swapchain_dispatch_map, g_swapchain_dispatch_mutex, table);
    eraseAllTableMapElements<std::unordered_map<XrActionSet, XrGeneratedDispatchTable*>>(g_actionset_dispatch_map, g_actionset_dispatch_mutex, table);
    eraseAllTableMapElements<std::unordered_map<XrDebugUtilsMessengerEXT, XrGeneratedDispatchTable*>>(g_debugutilsmessengerext_dispatch_map, g_debugutilsmessengerext_dispatch_mutex, table);
    eraseAllTableMapElements<std::unordered_map<XrSpatialAnchorMSFT, XrGeneratedDispatchTable*>>(g_spatialanchormsft_dispatch_map, g_spatialanchormsft_dispatch_mutex, table);
    eraseAllTableMapElements<std::unordered_map<XrHandTrackerEXT, XrGeneratedDispatchTable*>>(g_handtrackerext_dispatch_map, g_handtrackerext_dispatch_mutex, table);
}


// Union/Structure Output Helper functions
bool ApiDumpOutputXrStruct(XrGeneratedDispatchTable* gen_dispatch_table, const XrApiLayerProperties* value,
                           std::string prefix, std::string type_string, bool is_pointer,
                           std::vector<std::tuple<std::string, std::string, std::string>> &contents) {
    (void)gen_dispatch_table;  // silence warning
    try {
        contents.emplace_back(type_string, prefix, PointerToHexString(value));
        if (is_pointer) {
            prefix += "->";
        } else {
            prefix += ".";
        }
        std::string type_prefix = prefix;
        type_prefix += "type";
        if (nullptr != gen_dispatch_table) {
            char type_string[XR_MAX_STRUCTURE_NAME_SIZE];
            gen_dispatch_table->StructureTypeToString(FindInstanceFromDispatchTable(gen_dispatch_table),
                                                      value->type, type_string);
            contents.emplace_back("XrStructureType", type_prefix, type_string);
        } else {
                        contents.emplace_back("XrStructureType", type_prefix, std::to_string(value->type));
        }
        std::string next_prefix = prefix;
        next_prefix += "next";
        // Decode the next chain if it exists
        if (!ApiDumpDecodeNextChain(gen_dispatch_table, value->next, next_prefix, contents)) {
            throw std::invalid_argument("Invalid Operation");
        }
        std::string layername_prefix = prefix;
        layername_prefix += "layerName";
        contents.emplace_back("char*", layername_prefix, value->layerName);
        std::string specversion_prefix = prefix;
        specversion_prefix += "specVersion";
        std::ostringstream oss_specVersion;
        oss_specVersion << "0x" << std::hex << (value->specVersion);
        contents.emplace_back("XrVersion", specversion_prefix, oss_specVersion.str());
        std::string layerversion_prefix = prefix;
        layerversion_prefix += "layerVersion";
        std::ostringstream oss_layerVersion;
        oss_layerVersion << "0x" << std::hex << (value->layerVersion);
        contents.emplace_back("uint32_t", layerversion_prefix, oss_layerVersion.str());
        std::string description_prefix = prefix;
        description_prefix += "description";
        contents.emplace_back("char*", description_prefix, value->description);
        return true;
    } catch(...) {
    }
    return false;
}

bool ApiDumpOutputXrStruct(XrGeneratedDispatchTable* gen_dispatch_table, const XrExtensionProperties* value,
                           std::string prefix, std::string type_string, bool is_pointer,
                           std::vector<std::tuple<std::string, std::string, std::string>> &contents) {
    (void)gen_dispatch_table;  // silence warning
    try {
        contents.emplace_back(type_string, prefix, PointerToHexString(value));
        if (is_pointer) {
            prefix += "->";
        } else {
            prefix += ".";
        }
        std::string type_prefix = prefix;
        type_prefix += "type";
        if (nullptr != gen_dispatch_table) {
            char type_string[XR_MAX_STRUCTURE_NAME_SIZE];
            gen_dispatch_table->StructureTypeToString(FindInstanceFromDispatchTable(gen_dispatch_table),
                                                      value->type, type_string);
            contents.emplace_back("XrStructureType", type_prefix, type_string);
        } else {
                        contents.emplace_back("XrStructureType", type_prefix, std::to_string(value->type));
        }
        std::string next_prefix = prefix;
        next_prefix += "next";
        // Decode the next chain if it exists
        if (!ApiDumpDecodeNextChain(gen_dispatch_table, value->next, next_prefix, contents)) {
            throw std::invalid_argument("Invalid Operation");
        }
        std::string extensionname_prefix = prefix;
        extensionname_prefix += "extensionName";
        contents.emplace_back("char*", extensionname_prefix, value->extensionName);
        std::string extensionversion_prefix = prefix;
        extensionversion_prefix += "extensionVersion";
        std::ostringstream oss_extensionVersion;
        oss_extensionVersion << "0x" << std::hex << (value->extensionVersion);
        contents.emplace_back("uint32_t", extensionversion_prefix, oss_extensionVersion.str());
        return true;
    } catch(...) {
    }
    return false;
}

bool ApiDumpOutputXrStruct(XrGeneratedDispatchTable* gen_dispatch_table, const XrApplicationInfo* value,
                           std::string prefix, std::string type_string, bool is_pointer,
                           std::vector<std::tuple<std::string, std::string, std::string>> &contents) {
    (void)gen_dispatch_table;  // silence warning
    try {
        contents.emplace_back(type_string, prefix, PointerToHexString(value));
        if (is_pointer) {
            prefix += "->";
        } else {
            prefix += ".";
        }
        std::string applicationname_prefix = prefix;
        applicationname_prefix += "applicationName";
        contents.emplace_back("char*", applicationname_prefix, value->applicationName);
        std::string applicationversion_prefix = prefix;
        applicationversion_prefix += "applicationVersion";
        std::ostringstream oss_applicationVersion;
        oss_applicationVersion << "0x" << std::hex << (value->applicationVersion);
        contents.emplace_back("uint32_t", applicationversion_prefix, oss_applicationVersion.str());
        std::string enginename_prefix = prefix;
        enginename_prefix += "engineName";
        contents.emplace_back("char*", enginename_prefix, value->engineName);
        std::string engineversion_prefix = prefix;
        engineversion_prefix += "engineVersion";
        std::ostringstream oss_engineVersion;
        oss_engineVersion << "0x" << std::hex << (value->engineVersion);
        contents.emplace_back("uint32_t", engineversion_prefix, oss_engineVersion.str());
        std::string apiversion_prefix = prefix;
        apiversion_prefix += "apiVersion";
        std::ostringstream oss_apiVersion;
        oss_apiVersion << "0x" << std::hex << (value->apiVersion);
        contents.emplace_back("XrVersion", apiversion_prefix, oss_apiVersion.str());
        return true;
    } catch(...) {
    }
    return false;
}

bool ApiDumpOutputXrStruct(XrGeneratedDispatchTable* gen_dispatch_table, const XrInstanceCreateInfo* value,
                           std::string prefix, std::string type_string, bool is_pointer,
                           std::vector<std::tuple<std::string, std::string, std::string>> &contents) {
    (void)gen_dispatch_table;  // silence warning
    try {
        contents.emplace_back(type_string, prefix, PointerToHexString(value));
        if (is_pointer) {
            prefix += "->";
        } else {
            prefix += ".";
        }
        std::string type_prefix = prefix;
        type_prefix += "type";
        if (nullptr != gen_dispatch_table) {
            char type_string[XR_MAX_STRUCTURE_NAME_SIZE];
            gen_dispatch_table->StructureTypeToString(FindInstanceFromDispatchTable(gen_dispatch_table),
                                                      value->type, type_string);
            contents.emplace_back("XrStructureType", type_prefix, type_string);
        } else {
                        contents.emplace_back("XrStructureType", type_prefix, std::to_string(value->type));
        }
        std::string next_prefix = prefix;
        next_prefix += "next";
        // Decode the next chain if it exists
        if (!ApiDumpDecodeNextChain(gen_dispatch_table, value->next, next_prefix, contents)) {
            throw std::invalid_argument("Invalid Operation");
        }
        std::string createflags_prefix = prefix;
        createflags_prefix += "createFlags";
        contents.emplace_back("XrInstanceCreateFlags", createflags_prefix, std::to_string(value->createFlags));
        std::string applicationinfo_prefix = prefix;
        applicationinfo_prefix += "applicationInfo";
        if (!ApiDumpOutputXrStruct(gen_dispatch_table, &value->applicationInfo, applicationinfo_prefix, "XrApplicationInfo", false, contents)) {
            throw std::invalid_argument("Invalid Operation");
        }
        std::string enabledapilayercount_prefix = prefix;
        enabledapilayercount_prefix += "enabledApiLayerCount";
        std::ostringstream oss_enabledApiLayerCount;
        oss_enabledApiLayerCount << "0x" << std::hex << (value->enabledApiLayerCount);
        contents.emplace_back("uint32_t", enabledapilayercount_prefix, oss_enabledApiLayerCount.str());
        std::string enabledapilayernames_prefix = prefix;
        enabledapilayernames_prefix += "enabledApiLayerNames";
        std::ostringstream oss_enabledApiLayerNames_array;
        oss_enabledApiLayerNames_array << std::hex << reinterpret_cast<const void*>(value->enabledApiLayerNames);
        contents.emplace_back("const char* const*", enabledapilayernames_prefix, oss_enabledApiLayerNames_array.str());
        for (uint32_t value_enabledapilayernames_inc = 0; value_enabledapilayernames_inc < value->enabledApiLayerCount; ++value_enabledapilayernames_inc) {
            std::string enabledapilayernames_array_prefix = enabledapilayernames_prefix;
            enabledapilayernames_array_prefix += "[";
            enabledapilayernames_array_prefix += std::to_string(value_enabledapilayernames_inc);
            enabledapilayernames_array_prefix += "]";
            contents.emplace_back("const char* const*", enabledapilayernames_array_prefix, value->enabledApiLayerNames[value_enabledapilayernames_inc]);
        }
        std::string enabledextensioncount_prefix = prefix;
        enabledextensioncount_prefix += "enabledExtensionCount";
        std::ostringstream oss_enabledExtensionCount;
        oss_enabledExtensionCount << "0x" << std::hex << (value->enabledExtensionCount);
        contents.emplace_back("uint32_t", enabledextensioncount_prefix, oss_enabledExtensionCount.str());
        std::string enabledextensionnames_prefix = prefix;
        enabledextensionnames_prefix += "enabledExtensionNames";
        std::ostringstream oss_enabledExtensionNames_array;
        oss_enabledExtensionNames_array << std::hex << reinterpret_cast<const void*>(value->enabledExtensionNames);
        contents.emplace_back("const char* const*", enabledextensionnames_prefix, oss_enabledExtensionNames_array.str());
        for (uint32_t value_enabledextensionnames_inc = 0; value_enabledextensionnames_inc < value->enabledExtensionCount; ++value_enabledextensionnames_inc) {
            std::string enabledextensionnames_array_prefix = enabledextensionnames_prefix;
            enabledextensionnames_array_prefix += "[";
            enabledextensionnames_array_prefix += std::to_string(value_enabledextensionnames_inc);
            enabledextensionnames_array_prefix += "]";
            contents.emplace_back("const char* const*", enabledextensionnames_array_prefix, value->enabledExtensionNames[value_enabledextensionnames_inc]);
        }
        return true;
    } catch(...) {
    }
    return false;
}

bool ApiDumpOutputXrStruct(XrGeneratedDispatchTable* gen_dispatch_table, const XrInstanceProperties* value,
                           std::string prefix, std::string type_string, bool is_pointer,
                           std::vector<std::tuple<std::string, std::string, std::string>> &contents) {
    (void)gen_dispatch_table;  // silence warning
    try {
        contents.emplace_back(type_string, prefix, PointerToHexString(value));
        if (is_pointer) {
            prefix += "->";
        } else {
            prefix += ".";
        }
        std::string type_prefix = prefix;
        type_prefix += "type";
        if (nullptr != gen_dispatch_table) {
            char type_string[XR_MAX_STRUCTURE_NAME_SIZE];
            gen_dispatch_table->StructureTypeToString(FindInstanceFromDispatchTable(gen_dispatch_table),
                                                      value->type, type_string);
            contents.emplace_back("XrStructureType", type_prefix, type_string);
        } else {
                        contents.emplace_back("XrStructureType", type_prefix, std::to_string(value->type));
        }
        std::string next_prefix = prefix;
        next_prefix += "next";
        // Decode the next chain if it exists
        if (!ApiDumpDecodeNextChain(gen_dispatch_table, value->next, next_prefix, contents)) {
            throw std::invalid_argument("Invalid Operation");
        }
        std::string runtimeversion_prefix = prefix;
        runtimeversion_prefix += "runtimeVersion";
        std::ostringstream oss_runtimeVersion;
        oss_runtimeVersion << "0x" << std::hex << (value->runtimeVersion);
        contents.emplace_back("XrVersion", runtimeversion_prefix, oss_runtimeVersion.str());
        std::string runtimename_prefix = prefix;
        runtimename_prefix += "runtimeName";
        contents.emplace_back("char*", runtimename_prefix, value->runtimeName);
        return true;
    } catch(...) {
    }
    return false;
}

bool ApiDumpOutputXrStruct(XrGeneratedDispatchTable* gen_dispatch_table, const XrEventDataBuffer* value,
                           std::string prefix, std::string type_string, bool is_pointer,
                           std::vector<std::tuple<std::string, std::string, std::string>> &contents) {
    (void)gen_dispatch_table;  // silence warning
    try {
        contents.emplace_back(type_string, prefix, PointerToHexString(value));
        if (is_pointer) {
            prefix += "->";
        } else {
            prefix += ".";
        }
        std::string type_prefix = prefix;
        type_prefix += "type";
        if (nullptr != gen_dispatch_table) {
            char type_string[XR_MAX_STRUCTURE_NAME_SIZE];
            gen_dispatch_table->StructureTypeToString(FindInstanceFromDispatchTable(gen_dispatch_table),
                                                      value->type, type_string);
            contents.emplace_back("XrStructureType", type_prefix, type_string);
        } else {
                        contents.emplace_back("XrStructureType", type_prefix, std::to_string(value->type));
        }
        std::string next_prefix = prefix;
        next_prefix += "next";
        // Decode the next chain if it exists
        if (!ApiDumpDecodeNextChain(gen_dispatch_table, value->next, next_prefix, contents)) {
            throw std::invalid_argument("Invalid Operation");
        }
        std::string varying_prefix = prefix;
        varying_prefix += "varying";
        std::ostringstream oss_varying_array;
        oss_varying_array << "0x" << std::hex << (value->varying);
        contents.emplace_back("uint8_t*", varying_prefix, oss_varying_array.str());
        for (uint32_t value_varying_inc = 0; value_varying_inc < 4000; ++value_varying_inc) {
            std::string varying_array_prefix = varying_prefix;
            varying_array_prefix += "[";
            varying_array_prefix += std::to_string(value_varying_inc);
            varying_array_prefix += "]";
            std::ostringstream oss_varying;
            oss_varying << "0x" << std::hex << (value->varying[value_varying_inc]);
            contents.emplace_back("uint8_t", varying_array_prefix, oss_varying.str());
        }
        return true;
    } catch(...) {
    }
    return false;
}

bool ApiDumpOutputXrStruct(XrGeneratedDispatchTable* gen_dispatch_table, const XrSystemGetInfo* value,
                           std::string prefix, std::string type_string, bool is_pointer,
                           std::vector<std::tuple<std::string, std::string, std::string>> &contents) {
    (void)gen_dispatch_table;  // silence warning
    try {
        contents.emplace_back(type_string, prefix, PointerToHexString(value));
        if (is_pointer) {
            prefix += "->";
        } else {
            prefix += ".";
        }
        std::string type_prefix = prefix;
        type_prefix += "type";
        if (nullptr != gen_dispatch_table) {
            char type_string[XR_MAX_STRUCTURE_NAME_SIZE];
            gen_dispatch_table->StructureTypeToString(FindInstanceFromDispatchTable(gen_dispatch_table),
                                                      value->type, type_string);
            contents.emplace_back("XrStructureType", type_prefix, type_string);
        } else {
                        contents.emplace_back("XrStructureType", type_prefix, std::to_string(value->type));
        }
        std::string next_prefix = prefix;
        next_prefix += "next";
        // Decode the next chain if it exists
        if (!ApiDumpDecodeNextChain(gen_dispatch_table, value->next, next_prefix, contents)) {
            throw std::invalid_argument("Invalid Operation");
        }
        std::string formfactor_prefix = prefix;
        formfactor_prefix += "formFactor";
        contents.emplace_back("XrFormFactor", formfactor_prefix, std::to_string(value->formFactor));
        return true;
    } catch(...) {
    }
    return false;
}

bool ApiDumpOutputXrStruct(XrGeneratedDispatchTable* gen_dispatch_table, const XrSystemGraphicsProperties* value,
                           std::string prefix, std::string type_string, bool is_pointer,
                           std::vector<std::tuple<std::string, std::string, std::string>> &contents) {
    (void)gen_dispatch_table;  // silence warning
    try {
        contents.emplace_back(type_string, prefix, PointerToHexString(value));
        if (is_pointer) {
            prefix += "->";
        } else {
            prefix += ".";
        }
        std::string maxswapchainimageheight_prefix = prefix;
        maxswapchainimageheight_prefix += "maxSwapchainImageHeight";
        std::ostringstream oss_maxSwapchainImageHeight;
        oss_maxSwapchainImageHeight << "0x" << std::hex << (value->maxSwapchainImageHeight);
        contents.emplace_back("uint32_t", maxswapchainimageheight_prefix, oss_maxSwapchainImageHeight.str());
        std::string maxswapchainimagewidth_prefix = prefix;
        maxswapchainimagewidth_prefix += "maxSwapchainImageWidth";
        std::ostringstream oss_maxSwapchainImageWidth;
        oss_maxSwapchainImageWidth << "0x" << std::hex << (value->maxSwapchainImageWidth);
        contents.emplace_back("uint32_t", maxswapchainimagewidth_prefix, oss_maxSwapchainImageWidth.str());
        std::string maxlayercount_prefix = prefix;
        maxlayercount_prefix += "maxLayerCount";
        std::ostringstream oss_maxLayerCount;
        oss_maxLayerCount << "0x" << std::hex << (value->maxLayerCount);
        contents.emplace_back("uint32_t", maxlayercount_prefix, oss_maxLayerCount.str());
        return true;
    } catch(...) {
    }
    return false;
}

bool ApiDumpOutputXrStruct(XrGeneratedDispatchTable* gen_dispatch_table, const XrSystemTrackingProperties* value,
                           std::string prefix, std::string type_string, bool is_pointer,
                           std::vector<std::tuple<std::string, std::string, std::string>> &contents) {
    (void)gen_dispatch_table;  // silence warning
    try {
        contents.emplace_back(type_string, prefix, PointerToHexString(value));
        if (is_pointer) {
            prefix += "->";
        } else {
            prefix += ".";
        }
        std::string orientationtracking_prefix = prefix;
        orientationtracking_prefix += "orientationTracking";
        std::ostringstream oss_orientationTracking;
        oss_orientationTracking << "0x" << std::hex << (value->orientationTracking);
        contents.emplace_back("XrBool32", orientationtracking_prefix, oss_orientationTracking.str());
        std::string positiontracking_prefix = prefix;
        positiontracking_prefix += "positionTracking";
        std::ostringstream oss_positionTracking;
        oss_positionTracking << "0x" << std::hex << (value->positionTracking);
        contents.emplace_back("XrBool32", positiontracking_prefix, oss_positionTracking.str());
        return true;
    } catch(...) {
    }
    return false;
}

bool ApiDumpOutputXrStruct(XrGeneratedDispatchTable* gen_dispatch_table, const XrSystemProperties* value,
                           std::string prefix, std::string type_string, bool is_pointer,
                           std::vector<std::tuple<std::string, std::string, std::string>> &contents) {
    (void)gen_dispatch_table;  // silence warning
    try {
        contents.emplace_back(type_string, prefix, PointerToHexString(value));
        if (is_pointer) {
            prefix += "->";
        } else {
            prefix += ".";
        }
        std::string type_prefix = prefix;
        type_prefix += "type";
        if (nullptr != gen_dispatch_table) {
            char type_string[XR_MAX_STRUCTURE_NAME_SIZE];
            gen_dispatch_table->StructureTypeToString(FindInstanceFromDispatchTable(gen_dispatch_table),
                                                      value->type, type_string);
            contents.emplace_back("XrStructureType", type_prefix, type_string);
        } else {
                        contents.emplace_back("XrStructureType", type_prefix, std::to_string(value->type));
        }
        std::string next_prefix = prefix;
        next_prefix += "next";
        // Decode the next chain if it exists
        if (!ApiDumpDecodeNextChain(gen_dispatch_table, value->next, next_prefix, contents)) {
            throw std::invalid_argument("Invalid Operation");
        }
        std::string systemid_prefix = prefix;
        systemid_prefix += "systemId";
        contents.emplace_back("XrSystemId", systemid_prefix, std::to_string(value->systemId));
        std::string vendorid_prefix = prefix;
        vendorid_prefix += "vendorId";
        std::ostringstream oss_vendorId;
        oss_vendorId << "0x" << std::hex << (value->vendorId);
        contents.emplace_back("uint32_t", vendorid_prefix, oss_vendorId.str());
        std::string systemname_prefix = prefix;
        systemname_prefix += "systemName";
        contents.emplace_back("char*", systemname_prefix, value->systemName);
        std::string graphicsproperties_prefix = prefix;
        graphicsproperties_prefix += "graphicsProperties";
        if (!ApiDumpOutputXrStruct(gen_dispatch_table, &value->graphicsProperties, graphicsproperties_prefix, "XrSystemGraphicsProperties", false, contents)) {
            throw std::invalid_argument("Invalid Operation");
        }
        std::string trackingproperties_prefix = prefix;
        trackingproperties_prefix += "trackingProperties";
        if (!ApiDumpOutputXrStruct(gen_dispatch_table, &value->trackingProperties, trackingproperties_prefix, "XrSystemTrackingProperties", false, contents)) {
            throw std::invalid_argument("Invalid Operation");
        }
        return true;
    } catch(...) {
    }
    return false;
}

bool ApiDumpOutputXrStruct(XrGeneratedDispatchTable* gen_dispatch_table, const XrSessionCreateInfo* value,
                           std::string prefix, std::string type_string, bool is_pointer,
                           std::vector<std::tuple<std::string, std::string, std::string>> &contents) {
    (void)gen_dispatch_table;  // silence warning
    try {
        contents.emplace_back(type_string, prefix, PointerToHexString(value));
        if (is_pointer) {
            prefix += "->";
        } else {
            prefix += ".";
        }
        std::string type_prefix = prefix;
        type_prefix += "type";
        if (nullptr != gen_dispatch_table) {
            char type_string[XR_MAX_STRUCTURE_NAME_SIZE];
            gen_dispatch_table->StructureTypeToString(FindInstanceFromDispatchTable(gen_dispatch_table),
                                                      value->type, type_string);
            contents.emplace_back("XrStructureType", type_prefix, type_string);
        } else {
                        contents.emplace_back("XrStructureType", type_prefix, std::to_string(value->type));
        }
        std::string next_prefix = prefix;
        next_prefix += "next";
        // Decode the next chain if it exists
        if (!ApiDumpDecodeNextChain(gen_dispatch_table, value->next, next_prefix, contents)) {
            throw std::invalid_argument("Invalid Operation");
        }
        std::string createflags_prefix = prefix;
        createflags_prefix += "createFlags";
        contents.emplace_back("XrSessionCreateFlags", createflags_prefix, std::to_string(value->createFlags));
        std::string systemid_prefix = prefix;
        systemid_prefix += "systemId";
        contents.emplace_back("XrSystemId", systemid_prefix, std::to_string(value->systemId));
        return true;
    } catch(...) {
    }
    return false;
}

bool ApiDumpOutputXrStruct(XrGeneratedDispatchTable* gen_dispatch_table, const XrVector3f* value,
                           std::string prefix, std::string type_string, bool is_pointer,
                           std::vector<std::tuple<std::string, std::string, std::string>> &contents) {
    (void)gen_dispatch_table;  // silence warning
    try {
        contents.emplace_back(type_string, prefix, PointerToHexString(value));
        if (is_pointer) {
            prefix += "->";
        } else {
            prefix += ".";
        }
        std::string x_prefix = prefix;
        x_prefix += "x";
        std::ostringstream oss_x;
        oss_x << std::setprecision(32) << (value->x);
        contents.emplace_back("float", x_prefix, oss_x.str());
        std::string y_prefix = prefix;
        y_prefix += "y";
        std::ostringstream oss_y;
        oss_y << std::setprecision(32) << (value->y);
        contents.emplace_back("float", y_prefix, oss_y.str());
        std::string z_prefix = prefix;
        z_prefix += "z";
        std::ostringstream oss_z;
        oss_z << std::setprecision(32) << (value->z);
        contents.emplace_back("float", z_prefix, oss_z.str());
        return true;
    } catch(...) {
    }
    return false;
}

bool ApiDumpOutputXrStruct(XrGeneratedDispatchTable* gen_dispatch_table, const XrSpaceVelocity* value,
                           std::string prefix, std::string type_string, bool is_pointer,
                           std::vector<std::tuple<std::string, std::string, std::string>> &contents) {
    (void)gen_dispatch_table;  // silence warning
    try {
        contents.emplace_back(type_string, prefix, PointerToHexString(value));
        if (is_pointer) {
            prefix += "->";
        } else {
            prefix += ".";
        }
        std::string type_prefix = prefix;
        type_prefix += "type";
        if (nullptr != gen_dispatch_table) {
            char type_string[XR_MAX_STRUCTURE_NAME_SIZE];
            gen_dispatch_table->StructureTypeToString(FindInstanceFromDispatchTable(gen_dispatch_table),
                                                      value->type, type_string);
            contents.emplace_back("XrStructureType", type_prefix, type_string);
        } else {
                        contents.emplace_back("XrStructureType", type_prefix, std::to_string(value->type));
        }
        std::string next_prefix = prefix;
        next_prefix += "next";
        // Decode the next chain if it exists
        if (!ApiDumpDecodeNextChain(gen_dispatch_table, value->next, next_prefix, contents)) {
            throw std::invalid_argument("Invalid Operation");
        }
        std::string velocityflags_prefix = prefix;
        velocityflags_prefix += "velocityFlags";
        contents.emplace_back("XrSpaceVelocityFlags", velocityflags_prefix, std::to_string(value->velocityFlags));
        std::string linearvelocity_prefix = prefix;
        linearvelocity_prefix += "linearVelocity";
        if (!ApiDumpOutputXrStruct(gen_dispatch_table, &value->linearVelocity, linearvelocity_prefix, "XrVector3f", false, contents)) {
            throw std::invalid_argument("Invalid Operation");
        }
        std::string angularvelocity_prefix = prefix;
        angularvelocity_prefix += "angularVelocity";
        if (!ApiDumpOutputXrStruct(gen_dispatch_table, &value->angularVelocity, angularvelocity_prefix, "XrVector3f", false, contents)) {
            throw std::invalid_argument("Invalid Operation");
        }
        return true;
    } catch(...) {
    }
    return false;
}

bool ApiDumpOutputXrStruct(XrGeneratedDispatchTable* gen_dispatch_table, const XrQuaternionf* value,
                           std::string prefix, std::string type_string, bool is_pointer,
                           std::vector<std::tuple<std::string, std::string, std::string>> &contents) {
    (void)gen_dispatch_table;  // silence warning
    try {
        contents.emplace_back(type_string, prefix, PointerToHexString(value));
        if (is_pointer) {
            prefix += "->";
        } else {
            prefix += ".";
        }
        std::string x_prefix = prefix;
        x_prefix += "x";
        std::ostringstream oss_x;
        oss_x << std::setprecision(32) << (value->x);
        contents.emplace_back("float", x_prefix, oss_x.str());
        std::string y_prefix = prefix;
        y_prefix += "y";
        std::ostringstream oss_y;
        oss_y << std::setprecision(32) << (value->y);
        contents.emplace_back("float", y_prefix, oss_y.str());
        std::string z_prefix = prefix;
        z_prefix += "z";
        std::ostringstream oss_z;
        oss_z << std::setprecision(32) << (value->z);
        contents.emplace_back("float", z_prefix, oss_z.str());
        std::string w_prefix = prefix;
        w_prefix += "w";
        std::ostringstream oss_w;
        oss_w << std::setprecision(32) << (value->w);
        contents.emplace_back("float", w_prefix, oss_w.str());
        return true;
    } catch(...) {
    }
    return false;
}

bool ApiDumpOutputXrStruct(XrGeneratedDispatchTable* gen_dispatch_table, const XrPosef* value,
                           std::string prefix, std::string type_string, bool is_pointer,
                           std::vector<std::tuple<std::string, std::string, std::string>> &contents) {
    (void)gen_dispatch_table;  // silence warning
    try {
        contents.emplace_back(type_string, prefix, PointerToHexString(value));
        if (is_pointer) {
            prefix += "->";
        } else {
            prefix += ".";
        }
        std::string orientation_prefix = prefix;
        orientation_prefix += "orientation";
        if (!ApiDumpOutputXrStruct(gen_dispatch_table, &value->orientation, orientation_prefix, "XrQuaternionf", false, contents)) {
            throw std::invalid_argument("Invalid Operation");
        }
        std::string position_prefix = prefix;
        position_prefix += "position";
        if (!ApiDumpOutputXrStruct(gen_dispatch_table, &value->position, position_prefix, "XrVector3f", false, contents)) {
            throw std::invalid_argument("Invalid Operation");
        }
        return true;
    } catch(...) {
    }
    return false;
}

bool ApiDumpOutputXrStruct(XrGeneratedDispatchTable* gen_dispatch_table, const XrReferenceSpaceCreateInfo* value,
                           std::string prefix, std::string type_string, bool is_pointer,
                           std::vector<std::tuple<std::string, std::string, std::string>> &contents) {
    (void)gen_dispatch_table;  // silence warning
    try {
        contents.emplace_back(type_string, prefix, PointerToHexString(value));
        if (is_pointer) {
            prefix += "->";
        } else {
            prefix += ".";
        }
        std::string type_prefix = prefix;
        type_prefix += "type";
        if (nullptr != gen_dispatch_table) {
            char type_string[XR_MAX_STRUCTURE_NAME_SIZE];
            gen_dispatch_table->StructureTypeToString(FindInstanceFromDispatchTable(gen_dispatch_table),
                                                      value->type, type_string);
            contents.emplace_back("XrStructureType", type_prefix, type_string);
        } else {
                        contents.emplace_back("XrStructureType", type_prefix, std::to_string(value->type));
        }
        std::string next_prefix = prefix;
        next_prefix += "next";
        // Decode the next chain if it exists
        if (!ApiDumpDecodeNextChain(gen_dispatch_table, value->next, next_prefix, contents)) {
            throw std::invalid_argument("Invalid Operation");
        }
        std::string referencespacetype_prefix = prefix;
        referencespacetype_prefix += "referenceSpaceType";
        contents.emplace_back("XrReferenceSpaceType", referencespacetype_prefix, std::to_string(value->referenceSpaceType));
        std::string poseinreferencespace_prefix = prefix;
        poseinreferencespace_prefix += "poseInReferenceSpace";
        if (!ApiDumpOutputXrStruct(gen_dispatch_table, &value->poseInReferenceSpace, poseinreferencespace_prefix, "XrPosef", false, contents)) {
            throw std::invalid_argument("Invalid Operation");
        }
        return true;
    } catch(...) {
    }
    return false;
}

bool ApiDumpOutputXrStruct(XrGeneratedDispatchTable* gen_dispatch_table, const XrExtent2Df* value,
                           std::string prefix, std::string type_string, bool is_pointer,
                           std::vector<std::tuple<std::string, std::string, std::string>> &contents) {
    (void)gen_dispatch_table;  // silence warning
    try {
        contents.emplace_back(type_string, prefix, PointerToHexString(value));
        if (is_pointer) {
            prefix += "->";
        } else {
            prefix += ".";
        }
        std::string width_prefix = prefix;
        width_prefix += "width";
        std::ostringstream oss_width;
        oss_width << std::setprecision(32) << (value->width);
        contents.emplace_back("float", width_prefix, oss_width.str());
        std::string height_prefix = prefix;
        height_prefix += "height";
        std::ostringstream oss_height;
        oss_height << std::setprecision(32) << (value->height);
        contents.emplace_back("float", height_prefix, oss_height.str());
        return true;
    } catch(...) {
    }
    return false;
}

bool ApiDumpOutputXrStruct(XrGeneratedDispatchTable* gen_dispatch_table, const XrActionSpaceCreateInfo* value,
                           std::string prefix, std::string type_string, bool is_pointer,
                           std::vector<std::tuple<std::string, std::string, std::string>> &contents) {
    (void)gen_dispatch_table;  // silence warning
    try {
        contents.emplace_back(type_string, prefix, PointerToHexString(value));
        if (is_pointer) {
            prefix += "->";
        } else {
            prefix += ".";
        }
        std::string type_prefix = prefix;
        type_prefix += "type";
        if (nullptr != gen_dispatch_table) {
            char type_string[XR_MAX_STRUCTURE_NAME_SIZE];
            gen_dispatch_table->StructureTypeToString(FindInstanceFromDispatchTable(gen_dispatch_table),
                                                      value->type, type_string);
            contents.emplace_back("XrStructureType", type_prefix, type_string);
        } else {
                        contents.emplace_back("XrStructureType", type_prefix, std::to_string(value->type));
        }
        std::string next_prefix = prefix;
        next_prefix += "next";
        // Decode the next chain if it exists
        if (!ApiDumpDecodeNextChain(gen_dispatch_table, value->next, next_prefix, contents)) {
            throw std::invalid_argument("Invalid Operation");
        }
        std::string action_prefix = prefix;
        action_prefix += "action";
        std::ostringstream oss_action;
        oss_action << std::hex << reinterpret_cast<const void*>(value->action);
        contents.emplace_back("XrAction", action_prefix, oss_action.str());
        std::string subactionpath_prefix = prefix;
        subactionpath_prefix += "subactionPath";
        contents.emplace_back("XrPath", subactionpath_prefix, std::to_string(value->subactionPath));
        std::string poseinactionspace_prefix = prefix;
        poseinactionspace_prefix += "poseInActionSpace";
        if (!ApiDumpOutputXrStruct(gen_dispatch_table, &value->poseInActionSpace, poseinactionspace_prefix, "XrPosef", false, contents)) {
            throw std::invalid_argument("Invalid Operation");
        }
        return true;
    } catch(...) {
    }
    return false;
}

bool ApiDumpOutputXrStruct(XrGeneratedDispatchTable* gen_dispatch_table, const XrSpaceLocation* value,
                           std::string prefix, std::string type_string, bool is_pointer,
                           std::vector<std::tuple<std::string, std::string, std::string>> &contents) {
    (void)gen_dispatch_table;  // silence warning
    try {
        contents.emplace_back(type_string, prefix, PointerToHexString(value));
        if (is_pointer) {
            prefix += "->";
        } else {
            prefix += ".";
        }
        std::string type_prefix = prefix;
        type_prefix += "type";
        if (nullptr != gen_dispatch_table) {
            char type_string[XR_MAX_STRUCTURE_NAME_SIZE];
            gen_dispatch_table->StructureTypeToString(FindInstanceFromDispatchTable(gen_dispatch_table),
                                                      value->type, type_string);
            contents.emplace_back("XrStructureType", type_prefix, type_string);
        } else {
                        contents.emplace_back("XrStructureType", type_prefix, std::to_string(value->type));
        }
        std::string next_prefix = prefix;
        next_prefix += "next";
        // Decode the next chain if it exists
        if (!ApiDumpDecodeNextChain(gen_dispatch_table, value->next, next_prefix, contents)) {
            throw std::invalid_argument("Invalid Operation");
        }
        std::string locationflags_prefix = prefix;
        locationflags_prefix += "locationFlags";
        contents.emplace_back("XrSpaceLocationFlags", locationflags_prefix, std::to_string(value->locationFlags));
        std::string pose_prefix = prefix;
        pose_prefix += "pose";
        if (!ApiDumpOutputXrStruct(gen_dispatch_table, &value->pose, pose_prefix, "XrPosef", false, contents)) {
            throw std::invalid_argument("Invalid Operation");
        }
        return true;
    } catch(...) {
    }
    return false;
}

bool ApiDumpOutputXrStruct(XrGeneratedDispatchTable* gen_dispatch_table, const XrViewConfigurationProperties* value,
                           std::string prefix, std::string type_string, bool is_pointer,
                           std::vector<std::tuple<std::string, std::string, std::string>> &contents) {
    (void)gen_dispatch_table;  // silence warning
    try {
        contents.emplace_back(type_string, prefix, PointerToHexString(value));
        if (is_pointer) {
            prefix += "->";
        } else {
            prefix += ".";
        }
        std::string type_prefix = prefix;
        type_prefix += "type";
        if (nullptr != gen_dispatch_table) {
            char type_string[XR_MAX_STRUCTURE_NAME_SIZE];
            gen_dispatch_table->StructureTypeToString(FindInstanceFromDispatchTable(gen_dispatch_table),
                                                      value->type, type_string);
            contents.emplace_back("XrStructureType", type_prefix, type_string);
        } else {
                        contents.emplace_back("XrStructureType", type_prefix, std::to_string(value->type));
        }
        std::string next_prefix = prefix;
        next_prefix += "next";
        // Decode the next chain if it exists
        if (!ApiDumpDecodeNextChain(gen_dispatch_table, value->next, next_prefix, contents)) {
            throw std::invalid_argument("Invalid Operation");
        }
        std::string viewconfigurationtype_prefix = prefix;
        viewconfigurationtype_prefix += "viewConfigurationType";
        contents.emplace_back("XrViewConfigurationType", viewconfigurationtype_prefix, std::to_string(value->viewConfigurationType));
        std::string fovmutable_prefix = prefix;
        fovmutable_prefix += "fovMutable";
        std::ostringstream oss_fovMutable;
        oss_fovMutable << "0x" << std::hex << (value->fovMutable);
        contents.emplace_back("XrBool32", fovmutable_prefix, oss_fovMutable.str());
        return true;
    } catch(...) {
    }
    return false;
}

bool ApiDumpOutputXrStruct(XrGeneratedDispatchTable* gen_dispatch_table, const XrViewConfigurationView* value,
                           std::string prefix, std::string type_string, bool is_pointer,
                           std::vector<std::tuple<std::string, std::string, std::string>> &contents) {
    (void)gen_dispatch_table;  // silence warning
    try {
        contents.emplace_back(type_string, prefix, PointerToHexString(value));
        if (is_pointer) {
            prefix += "->";
        } else {
            prefix += ".";
        }
        std::string type_prefix = prefix;
        type_prefix += "type";
        if (nullptr != gen_dispatch_table) {
            char type_string[XR_MAX_STRUCTURE_NAME_SIZE];
            gen_dispatch_table->StructureTypeToString(FindInstanceFromDispatchTable(gen_dispatch_table),
                                                      value->type, type_string);
            contents.emplace_back("XrStructureType", type_prefix, type_string);
        } else {
                        contents.emplace_back("XrStructureType", type_prefix, std::to_string(value->type));
        }
        std::string next_prefix = prefix;
        next_prefix += "next";
        // Decode the next chain if it exists
        if (!ApiDumpDecodeNextChain(gen_dispatch_table, value->next, next_prefix, contents)) {
            throw std::invalid_argument("Invalid Operation");
        }
        std::string recommendedimagerectwidth_prefix = prefix;
        recommendedimagerectwidth_prefix += "recommendedImageRectWidth";
        std::ostringstream oss_recommendedImageRectWidth;
        oss_recommendedImageRectWidth << "0x" << std::hex << (value->recommendedImageRectWidth);
        contents.emplace_back("uint32_t", recommendedimagerectwidth_prefix, oss_recommendedImageRectWidth.str());
        std::string maximagerectwidth_prefix = prefix;
        maximagerectwidth_prefix += "maxImageRectWidth";
        std::ostringstream oss_maxImageRectWidth;
        oss_maxImageRectWidth << "0x" << std::hex << (value->maxImageRectWidth);
        contents.emplace_back("uint32_t", maximagerectwidth_prefix, oss_maxImageRectWidth.str());
        std::string recommendedimagerectheight_prefix = prefix;
        recommendedimagerectheight_prefix += "recommendedImageRectHeight";
        std::ostringstream oss_recommendedImageRectHeight;
        oss_recommendedImageRectHeight << "0x" << std::hex << (value->recommendedImageRectHeight);
        contents.emplace_back("uint32_t", recommendedimagerectheight_prefix, oss_recommendedImageRectHeight.str());
        std::string maximagerectheight_prefix = prefix;
        maximagerectheight_prefix += "maxImageRectHeight";
        std::ostringstream oss_maxImageRectHeight;
        oss_maxImageRectHeight << "0x" << std::hex << (value->maxImageRectHeight);
        contents.emplace_back("uint32_t", maximagerectheight_prefix, oss_maxImageRectHeight.str());
        std::string recommendedswapchainsamplecount_prefix = prefix;
        recommendedswapchainsamplecount_prefix += "recommendedSwapchainSampleCount";
        std::ostringstream oss_recommendedSwapchainSampleCount;
        oss_recommendedSwapchainSampleCount << "0x" << std::hex << (value->recommendedSwapchainSampleCount);
        contents.emplace_back("uint32_t", recommendedswapchainsamplecount_prefix, oss_recommendedSwapchainSampleCount.str());
        std::string maxswapchainsamplecount_prefix = prefix;
        maxswapchainsamplecount_prefix += "maxSwapchainSampleCount";
        std::ostringstream oss_maxSwapchainSampleCount;
        oss_maxSwapchainSampleCount << "0x" << std::hex << (value->maxSwapchainSampleCount);
        contents.emplace_back("uint32_t", maxswapchainsamplecount_prefix, oss_maxSwapchainSampleCount.str());
        return true;
    } catch(...) {
    }
    return false;
}

bool ApiDumpOutputXrStruct(XrGeneratedDispatchTable* gen_dispatch_table, const XrSwapchainCreateInfo* value,
                           std::string prefix, std::string type_string, bool is_pointer,
                           std::vector<std::tuple<std::string, std::string, std::string>> &contents) {
    (void)gen_dispatch_table;  // silence warning
    try {
        contents.emplace_back(type_string, prefix, PointerToHexString(value));
        if (is_pointer) {
            prefix += "->";
        } else {
            prefix += ".";
        }
        std::string type_prefix = prefix;
        type_prefix += "type";
        if (nullptr != gen_dispatch_table) {
            char type_string[XR_MAX_STRUCTURE_NAME_SIZE];
            gen_dispatch_table->StructureTypeToString(FindInstanceFromDispatchTable(gen_dispatch_table),
                                                      value->type, type_string);
            contents.emplace_back("XrStructureType", type_prefix, type_string);
        } else {
                        contents.emplace_back("XrStructureType", type_prefix, std::to_string(value->type));
        }
        std::string next_prefix = prefix;
        next_prefix += "next";
        // Decode the next chain if it exists
        if (!ApiDumpDecodeNextChain(gen_dispatch_table, value->next, next_prefix, contents)) {
            throw std::invalid_argument("Invalid Operation");
        }
        std::string createflags_prefix = prefix;
        createflags_prefix += "createFlags";
        contents.emplace_back("XrSwapchainCreateFlags", createflags_prefix, std::to_string(value->createFlags));
        std::string usageflags_prefix = prefix;
        usageflags_prefix += "usageFlags";
        contents.emplace_back("XrSwapchainUsageFlags", usageflags_prefix, std::to_string(value->usageFlags));
        std::string format_prefix = prefix;
        format_prefix += "format";
        contents.emplace_back("int64_t", format_prefix, std::to_string(value->format));
        std::string samplecount_prefix = prefix;
        samplecount_prefix += "sampleCount";
        std::ostringstream oss_sampleCount;
        oss_sampleCount << "0x" << std::hex << (value->sampleCount);
        contents.emplace_back("uint32_t", samplecount_prefix, oss_sampleCount.str());
        std::string width_prefix = prefix;
        width_prefix += "width";
        std::ostringstream oss_width;
        oss_width << "0x" << std::hex << (value->width);
        contents.emplace_back("uint32_t", width_prefix, oss_width.str());
        std::string height_prefix = prefix;
        height_prefix += "height";
        std::ostringstream oss_height;
        oss_height << "0x" << std::hex << (value->height);
        contents.emplace_back("uint32_t", height_prefix, oss_height.str());
        std::string facecount_prefix = prefix;
        facecount_prefix += "faceCount";
        std::ostringstream oss_faceCount;
        oss_faceCount << "0x" << std::hex << (value->faceCount);
        contents.emplace_back("uint32_t", facecount_prefix, oss_faceCount.str());
        std::string arraysize_prefix = prefix;
        arraysize_prefix += "arraySize";
        std::ostringstream oss_arraySize;
        oss_arraySize << "0x" << std::hex << (value->arraySize);
        contents.emplace_back("uint32_t", arraysize_prefix, oss_arraySize.str());
        std::string mipcount_prefix = prefix;
        mipcount_prefix += "mipCount";
        std::ostringstream oss_mipCount;
        oss_mipCount << "0x" << std::hex << (value->mipCount);
        contents.emplace_back("uint32_t", mipcount_prefix, oss_mipCount.str());
        return true;
    } catch(...) {
    }
    return false;
}

bool ApiDumpOutputXrStruct(XrGeneratedDispatchTable* gen_dispatch_table, const XrSwapchainImageBaseHeader* value,
                           std::string prefix, std::string type_string, bool is_pointer,
                           std::vector<std::tuple<std::string, std::string, std::string>> &contents) {
    (void)gen_dispatch_table;  // silence warning
    try {
#if defined(XR_USE_GRAPHICS_API_OPENGL)
        if (value->type == XR_TYPE_SWAPCHAIN_IMAGE_OPENGL_KHR) {
            const XrSwapchainImageOpenGLKHR* new_value = reinterpret_cast<const XrSwapchainImageOpenGLKHR*>(value);
            return ApiDumpOutputXrStruct(gen_dispatch_table, new_value, prefix, type_string, is_pointer, contents);
        }
#endif // defined(XR_USE_GRAPHICS_API_OPENGL)
#if defined(XR_USE_GRAPHICS_API_OPENGL_ES)
        if (value->type == XR_TYPE_SWAPCHAIN_IMAGE_OPENGL_ES_KHR) {
            const XrSwapchainImageOpenGLESKHR* new_value = reinterpret_cast<const XrSwapchainImageOpenGLESKHR*>(value);
            return ApiDumpOutputXrStruct(gen_dispatch_table, new_value, prefix, type_string, is_pointer, contents);
        }
#endif // defined(XR_USE_GRAPHICS_API_OPENGL_ES)
#if defined(XR_USE_GRAPHICS_API_VULKAN)
        if (value->type == XR_TYPE_SWAPCHAIN_IMAGE_VULKAN_KHR) {
            const XrSwapchainImageVulkanKHR* new_value = reinterpret_cast<const XrSwapchainImageVulkanKHR*>(value);
            return ApiDumpOutputXrStruct(gen_dispatch_table, new_value, prefix, type_string, is_pointer, contents);
        }
#endif // defined(XR_USE_GRAPHICS_API_VULKAN)
#if defined(XR_USE_GRAPHICS_API_D3D11)
        if (value->type == XR_TYPE_SWAPCHAIN_IMAGE_D3D11_KHR) {
            const XrSwapchainImageD3D11KHR* new_value = reinterpret_cast<const XrSwapchainImageD3D11KHR*>(value);
            return ApiDumpOutputXrStruct(gen_dispatch_table, new_value, prefix, type_string, is_pointer, contents);
        }
#endif // defined(XR_USE_GRAPHICS_API_D3D11)
#if defined(XR_USE_GRAPHICS_API_D3D12)
        if (value->type == XR_TYPE_SWAPCHAIN_IMAGE_D3D12_KHR) {
            const XrSwapchainImageD3D12KHR* new_value = reinterpret_cast<const XrSwapchainImageD3D12KHR*>(value);
            return ApiDumpOutputXrStruct(gen_dispatch_table, new_value, prefix, type_string, is_pointer, contents);
        }
#endif // defined(XR_USE_GRAPHICS_API_D3D12)
        // Fallback path - Just output generic information about the base struct
        contents.emplace_back(type_string, prefix, PointerToHexString(value));
        if (is_pointer) {
            prefix += "->";
        } else {
            prefix += ".";
        }
        std::string type_prefix = prefix;
        type_prefix += "type";
        if (nullptr != gen_dispatch_table) {
            char type_string[XR_MAX_STRUCTURE_NAME_SIZE];
            gen_dispatch_table->StructureTypeToString(FindInstanceFromDispatchTable(gen_dispatch_table),
                                                      value->type, type_string);
            contents.emplace_back("XrStructureType", type_prefix, type_string);
        } else {
                        contents.emplace_back("XrStructureType", type_prefix, std::to_string(value->type));
        }
        std::string next_prefix = prefix;
        next_prefix += "next";
        // Decode the next chain if it exists
        if (!ApiDumpDecodeNextChain(gen_dispatch_table, value->next, next_prefix, contents)) {
            throw std::invalid_argument("Invalid Operation");
        }
        return true;
    } catch(...) {
    }
    return false;
}

bool ApiDumpOutputXrStruct(XrGeneratedDispatchTable* gen_dispatch_table, const XrSwapchainImageAcquireInfo* value,
                           std::string prefix, std::string type_string, bool is_pointer,
                           std::vector<std::tuple<std::string, std::string, std::string>> &contents) {
    (void)gen_dispatch_table;  // silence warning
    try {
        contents.emplace_back(type_string, prefix, PointerToHexString(value));
        if (is_pointer) {
            prefix += "->";
        } else {
            prefix += ".";
        }
        std::string type_prefix = prefix;
        type_prefix += "type";
        if (nullptr != gen_dispatch_table) {
            char type_string[XR_MAX_STRUCTURE_NAME_SIZE];
            gen_dispatch_table->StructureTypeToString(FindInstanceFromDispatchTable(gen_dispatch_table),
                                                      value->type, type_string);
            contents.emplace_back("XrStructureType", type_prefix, type_string);
        } else {
                        contents.emplace_back("XrStructureType", type_prefix, std::to_string(value->type));
        }
        std::string next_prefix = prefix;
        next_prefix += "next";
        // Decode the next chain if it exists
        if (!ApiDumpDecodeNextChain(gen_dispatch_table, value->next, next_prefix, contents)) {
            throw std::invalid_argument("Invalid Operation");
        }
        return true;
    } catch(...) {
    }
    return false;
}

bool ApiDumpOutputXrStruct(XrGeneratedDispatchTable* gen_dispatch_table, const XrSwapchainImageWaitInfo* value,
                           std::string prefix, std::string type_string, bool is_pointer,
                           std::vector<std::tuple<std::string, std::string, std::string>> &contents) {
    (void)gen_dispatch_table;  // silence warning
    try {
        contents.emplace_back(type_string, prefix, PointerToHexString(value));
        if (is_pointer) {
            prefix += "->";
        } else {
            prefix += ".";
        }
        std::string type_prefix = prefix;
        type_prefix += "type";
        if (nullptr != gen_dispatch_table) {
            char type_string[XR_MAX_STRUCTURE_NAME_SIZE];
            gen_dispatch_table->StructureTypeToString(FindInstanceFromDispatchTable(gen_dispatch_table),
                                                      value->type, type_string);
            contents.emplace_back("XrStructureType", type_prefix, type_string);
        } else {
                        contents.emplace_back("XrStructureType", type_prefix, std::to_string(value->type));
        }
        std::string next_prefix = prefix;
        next_prefix += "next";
        // Decode the next chain if it exists
        if (!ApiDumpDecodeNextChain(gen_dispatch_table, value->next, next_prefix, contents)) {
            throw std::invalid_argument("Invalid Operation");
        }
        std::string timeout_prefix = prefix;
        timeout_prefix += "timeout";
        contents.emplace_back("XrDuration", timeout_prefix, std::to_string(value->timeout));
        return true;
    } catch(...) {
    }
    return false;
}

bool ApiDumpOutputXrStruct(XrGeneratedDispatchTable* gen_dispatch_table, const XrSwapchainImageReleaseInfo* value,
                           std::string prefix, std::string type_string, bool is_pointer,
                           std::vector<std::tuple<std::string, std::string, std::string>> &contents) {
    (void)gen_dispatch_table;  // silence warning
    try {
        contents.emplace_back(type_string, prefix, PointerToHexString(value));
        if (is_pointer) {
            prefix += "->";
        } else {
            prefix += ".";
        }
        std::string type_prefix = prefix;
        type_prefix += "type";
        if (nullptr != gen_dispatch_table) {
            char type_string[XR_MAX_STRUCTURE_NAME_SIZE];
            gen_dispatch_table->StructureTypeToString(FindInstanceFromDispatchTable(gen_dispatch_table),
                                                      value->type, type_string);
            contents.emplace_back("XrStructureType", type_prefix, type_string);
        } else {
                        contents.emplace_back("XrStructureType", type_prefix, std::to_string(value->type));
        }
        std::string next_prefix = prefix;
        next_prefix += "next";
        // Decode the next chain if it exists
        if (!ApiDumpDecodeNextChain(gen_dispatch_table, value->next, next_prefix, contents)) {
            throw std::invalid_argument("Invalid Operation");
        }
        return true;
    } catch(...) {
    }
    return false;
}

bool ApiDumpOutputXrStruct(XrGeneratedDispatchTable* gen_dispatch_table, const XrSessionBeginInfo* value,
                           std::string prefix, std::string type_string, bool is_pointer,
                           std::vector<std::tuple<std::string, std::string, std::string>> &contents) {
    (void)gen_dispatch_table;  // silence warning
    try {
        contents.emplace_back(type_string, prefix, PointerToHexString(value));
        if (is_pointer) {
            prefix += "->";
        } else {
            prefix += ".";
        }
        std::string type_prefix = prefix;
        type_prefix += "type";
        if (nullptr != gen_dispatch_table) {
            char type_string[XR_MAX_STRUCTURE_NAME_SIZE];
            gen_dispatch_table->StructureTypeToString(FindInstanceFromDispatchTable(gen_dispatch_table),
                                                      value->type, type_string);
            contents.emplace_back("XrStructureType", type_prefix, type_string);
        } else {
                        contents.emplace_back("XrStructureType", type_prefix, std::to_string(value->type));
        }
        std::string next_prefix = prefix;
        next_prefix += "next";
        // Decode the next chain if it exists
        if (!ApiDumpDecodeNextChain(gen_dispatch_table, value->next, next_prefix, contents)) {
            throw std::invalid_argument("Invalid Operation");
        }
        std::string primaryviewconfigurationtype_prefix = prefix;
        primaryviewconfigurationtype_prefix += "primaryViewConfigurationType";
        contents.emplace_back("XrViewConfigurationType", primaryviewconfigurationtype_prefix, std::to_string(value->primaryViewConfigurationType));
        return true;
    } catch(...) {
    }
    return false;
}

bool ApiDumpOutputXrStruct(XrGeneratedDispatchTable* gen_dispatch_table, const XrFrameWaitInfo* value,
                           std::string prefix, std::string type_string, bool is_pointer,
                           std::vector<std::tuple<std::string, std::string, std::string>> &contents) {
    (void)gen_dispatch_table;  // silence warning
    try {
        contents.emplace_back(type_string, prefix, PointerToHexString(value));
        if (is_pointer) {
            prefix += "->";
        } else {
            prefix += ".";
        }
        std::string type_prefix = prefix;
        type_prefix += "type";
        if (nullptr != gen_dispatch_table) {
            char type_string[XR_MAX_STRUCTURE_NAME_SIZE];
            gen_dispatch_table->StructureTypeToString(FindInstanceFromDispatchTable(gen_dispatch_table),
                                                      value->type, type_string);
            contents.emplace_back("XrStructureType", type_prefix, type_string);
        } else {
                        contents.emplace_back("XrStructureType", type_prefix, std::to_string(value->type));
        }
        std::string next_prefix = prefix;
        next_prefix += "next";
        // Decode the next chain if it exists
        if (!ApiDumpDecodeNextChain(gen_dispatch_table, value->next, next_prefix, contents)) {
            throw std::invalid_argument("Invalid Operation");
        }
        return true;
    } catch(...) {
    }
    return false;
}

bool ApiDumpOutputXrStruct(XrGeneratedDispatchTable* gen_dispatch_table, const XrFrameState* value,
                           std::string prefix, std::string type_string, bool is_pointer,
                           std::vector<std::tuple<std::string, std::string, std::string>> &contents) {
    (void)gen_dispatch_table;  // silence warning
    try {
        contents.emplace_back(type_string, prefix, PointerToHexString(value));
        if (is_pointer) {
            prefix += "->";
        } else {
            prefix += ".";
        }
        std::string type_prefix = prefix;
        type_prefix += "type";
        if (nullptr != gen_dispatch_table) {
            char type_string[XR_MAX_STRUCTURE_NAME_SIZE];
            gen_dispatch_table->StructureTypeToString(FindInstanceFromDispatchTable(gen_dispatch_table),
                                                      value->type, type_string);
            contents.emplace_back("XrStructureType", type_prefix, type_string);
        } else {
                        contents.emplace_back("XrStructureType", type_prefix, std::to_string(value->type));
        }
        std::string next_prefix = prefix;
        next_prefix += "next";
        // Decode the next chain if it exists
        if (!ApiDumpDecodeNextChain(gen_dispatch_table, value->next, next_prefix, contents)) {
            throw std::invalid_argument("Invalid Operation");
        }
        std::string predicteddisplaytime_prefix = prefix;
        predicteddisplaytime_prefix += "predictedDisplayTime";
        contents.emplace_back("XrTime", predicteddisplaytime_prefix, std::to_string(value->predictedDisplayTime));
        std::string predicteddisplayperiod_prefix = prefix;
        predicteddisplayperiod_prefix += "predictedDisplayPeriod";
        contents.emplace_back("XrDuration", predicteddisplayperiod_prefix, std::to_string(value->predictedDisplayPeriod));
        std::string shouldrender_prefix = prefix;
        shouldrender_prefix += "shouldRender";
        std::ostringstream oss_shouldRender;
        oss_shouldRender << "0x" << std::hex << (value->shouldRender);
        contents.emplace_back("XrBool32", shouldrender_prefix, oss_shouldRender.str());
        return true;
    } catch(...) {
    }
    return false;
}

bool ApiDumpOutputXrStruct(XrGeneratedDispatchTable* gen_dispatch_table, const XrFrameBeginInfo* value,
                           std::string prefix, std::string type_string, bool is_pointer,
                           std::vector<std::tuple<std::string, std::string, std::string>> &contents) {
    (void)gen_dispatch_table;  // silence warning
    try {
        contents.emplace_back(type_string, prefix, PointerToHexString(value));
        if (is_pointer) {
            prefix += "->";
        } else {
            prefix += ".";
        }
        std::string type_prefix = prefix;
        type_prefix += "type";
        if (nullptr != gen_dispatch_table) {
            char type_string[XR_MAX_STRUCTURE_NAME_SIZE];
            gen_dispatch_table->StructureTypeToString(FindInstanceFromDispatchTable(gen_dispatch_table),
                                                      value->type, type_string);
            contents.emplace_back("XrStructureType", type_prefix, type_string);
        } else {
                        contents.emplace_back("XrStructureType", type_prefix, std::to_string(value->type));
        }
        std::string next_prefix = prefix;
        next_prefix += "next";
        // Decode the next chain if it exists
        if (!ApiDumpDecodeNextChain(gen_dispatch_table, value->next, next_prefix, contents)) {
            throw std::invalid_argument("Invalid Operation");
        }
        return true;
    } catch(...) {
    }
    return false;
}

bool ApiDumpOutputXrStruct(XrGeneratedDispatchTable* gen_dispatch_table, const XrCompositionLayerBaseHeader* value,
                           std::string prefix, std::string type_string, bool is_pointer,
                           std::vector<std::tuple<std::string, std::string, std::string>> &contents) {
    (void)gen_dispatch_table;  // silence warning
    try {
        if (value->type == XR_TYPE_COMPOSITION_LAYER_PROJECTION) {
            const XrCompositionLayerProjection* new_value = reinterpret_cast<const XrCompositionLayerProjection*>(value);
            return ApiDumpOutputXrStruct(gen_dispatch_table, new_value, prefix, type_string, is_pointer, contents);
        }
        if (value->type == XR_TYPE_COMPOSITION_LAYER_QUAD) {
            const XrCompositionLayerQuad* new_value = reinterpret_cast<const XrCompositionLayerQuad*>(value);
            return ApiDumpOutputXrStruct(gen_dispatch_table, new_value, prefix, type_string, is_pointer, contents);
        }
        if (value->type == XR_TYPE_COMPOSITION_LAYER_CUBE_KHR) {
            const XrCompositionLayerCubeKHR* new_value = reinterpret_cast<const XrCompositionLayerCubeKHR*>(value);
            return ApiDumpOutputXrStruct(gen_dispatch_table, new_value, prefix, type_string, is_pointer, contents);
        }
        if (value->type == XR_TYPE_COMPOSITION_LAYER_CYLINDER_KHR) {
            const XrCompositionLayerCylinderKHR* new_value = reinterpret_cast<const XrCompositionLayerCylinderKHR*>(value);
            return ApiDumpOutputXrStruct(gen_dispatch_table, new_value, prefix, type_string, is_pointer, contents);
        }
        if (value->type == XR_TYPE_COMPOSITION_LAYER_EQUIRECT_KHR) {
            const XrCompositionLayerEquirectKHR* new_value = reinterpret_cast<const XrCompositionLayerEquirectKHR*>(value);
            return ApiDumpOutputXrStruct(gen_dispatch_table, new_value, prefix, type_string, is_pointer, contents);
        }
        if (value->type == XR_TYPE_COMPOSITION_LAYER_EQUIRECT2_KHR) {
            const XrCompositionLayerEquirect2KHR* new_value = reinterpret_cast<const XrCompositionLayerEquirect2KHR*>(value);
            return ApiDumpOutputXrStruct(gen_dispatch_table, new_value, prefix, type_string, is_pointer, contents);
        }
        // Fallback path - Just output generic information about the base struct
        contents.emplace_back(type_string, prefix, PointerToHexString(value));
        if (is_pointer) {
            prefix += "->";
        } else {
            prefix += ".";
        }
        std::string type_prefix = prefix;
        type_prefix += "type";
        if (nullptr != gen_dispatch_table) {
            char type_string[XR_MAX_STRUCTURE_NAME_SIZE];
            gen_dispatch_table->StructureTypeToString(FindInstanceFromDispatchTable(gen_dispatch_table),
                                                      value->type, type_string);
            contents.emplace_back("XrStructureType", type_prefix, type_string);
        } else {
                        contents.emplace_back("XrStructureType", type_prefix, std::to_string(value->type));
        }
        std::string next_prefix = prefix;
        next_prefix += "next";
        // Decode the next chain if it exists
        if (!ApiDumpDecodeNextChain(gen_dispatch_table, value->next, next_prefix, contents)) {
            throw std::invalid_argument("Invalid Operation");
        }
        std::string layerflags_prefix = prefix;
        layerflags_prefix += "layerFlags";
        contents.emplace_back("XrCompositionLayerFlags", layerflags_prefix, std::to_string(value->layerFlags));
        std::string space_prefix = prefix;
        space_prefix += "space";
        std::ostringstream oss_space;
        oss_space << std::hex << reinterpret_cast<const void*>(value->space);
        contents.emplace_back("XrSpace", space_prefix, oss_space.str());
        return true;
    } catch(...) {
    }
    return false;
}

bool ApiDumpOutputXrStruct(XrGeneratedDispatchTable* gen_dispatch_table, const XrFrameEndInfo* value,
                           std::string prefix, std::string type_string, bool is_pointer,
                           std::vector<std::tuple<std::string, std::string, std::string>> &contents) {
    (void)gen_dispatch_table;  // silence warning
    try {
        contents.emplace_back(type_string, prefix, PointerToHexString(value));
        if (is_pointer) {
            prefix += "->";
        } else {
            prefix += ".";
        }
        std::string type_prefix = prefix;
        type_prefix += "type";
        if (nullptr != gen_dispatch_table) {
            char type_string[XR_MAX_STRUCTURE_NAME_SIZE];
            gen_dispatch_table->StructureTypeToString(FindInstanceFromDispatchTable(gen_dispatch_table),
                                                      value->type, type_string);
            contents.emplace_back("XrStructureType", type_prefix, type_string);
        } else {
                        contents.emplace_back("XrStructureType", type_prefix, std::to_string(value->type));
        }
        std::string next_prefix = prefix;
        next_prefix += "next";
        // Decode the next chain if it exists
        if (!ApiDumpDecodeNextChain(gen_dispatch_table, value->next, next_prefix, contents)) {
            throw std::invalid_argument("Invalid Operation");
        }
        std::string displaytime_prefix = prefix;
        displaytime_prefix += "displayTime";
        contents.emplace_back("XrTime", displaytime_prefix, std::to_string(value->displayTime));
        std::string environmentblendmode_prefix = prefix;
        environmentblendmode_prefix += "environmentBlendMode";
        contents.emplace_back("XrEnvironmentBlendMode", environmentblendmode_prefix, std::to_string(value->environmentBlendMode));
        std::string layercount_prefix = prefix;
        layercount_prefix += "layerCount";
        std::ostringstream oss_layerCount;
        oss_layerCount << "0x" << std::hex << (value->layerCount);
        contents.emplace_back("uint32_t", layercount_prefix, oss_layerCount.str());
        std::string layers_prefix = prefix;
        layers_prefix += "layers";
        std::ostringstream oss_layers_array;
        oss_layers_array << std::hex << reinterpret_cast<const void*>(value->layers);
        contents.emplace_back("const XrCompositionLayerBaseHeader* const*", layers_prefix, oss_layers_array.str());
        for (uint32_t value_layers_inc = 0; value_layers_inc < value->layerCount; ++value_layers_inc) {
            std::string layers_array_prefix = layers_prefix;
            layers_array_prefix += "[";
            layers_array_prefix += std::to_string(value_layers_inc);
            layers_array_prefix += "]";
            if (nullptr == value->layers[value_layers_inc]) {
                std::ostringstream oss_layers;
                oss_layers << std::hex << reinterpret_cast<const void*>(value->layers[value_layers_inc]);
                contents.emplace_back("const XrCompositionLayerBaseHeader* const*", layers_array_prefix, oss_layers.str());
            } else if (!ApiDumpOutputXrStruct(gen_dispatch_table, value->layers[value_layers_inc], layers_array_prefix, "const XrCompositionLayerBaseHeader* const*", true, contents)) {
                throw std::invalid_argument("Invalid Operation");
            }
        }
        return true;
    } catch(...) {
    }
    return false;
}

bool ApiDumpOutputXrStruct(XrGeneratedDispatchTable* gen_dispatch_table, const XrViewLocateInfo* value,
                           std::string prefix, std::string type_string, bool is_pointer,
                           std::vector<std::tuple<std::string, std::string, std::string>> &contents) {
    (void)gen_dispatch_table;  // silence warning
    try {
        contents.emplace_back(type_string, prefix, PointerToHexString(value));
        if (is_pointer) {
            prefix += "->";
        } else {
            prefix += ".";
        }
        std::string type_prefix = prefix;
        type_prefix += "type";
        if (nullptr != gen_dispatch_table) {
            char type_string[XR_MAX_STRUCTURE_NAME_SIZE];
            gen_dispatch_table->StructureTypeToString(FindInstanceFromDispatchTable(gen_dispatch_table),
                                                      value->type, type_string);
            contents.emplace_back("XrStructureType", type_prefix, type_string);
        } else {
                        contents.emplace_back("XrStructureType", type_prefix, std::to_string(value->type));
        }
        std::string next_prefix = prefix;
        next_prefix += "next";
        // Decode the next chain if it exists
        if (!ApiDumpDecodeNextChain(gen_dispatch_table, value->next, next_prefix, contents)) {
            throw std::invalid_argument("Invalid Operation");
        }
        std::string viewconfigurationtype_prefix = prefix;
        viewconfigurationtype_prefix += "viewConfigurationType";
        contents.emplace_back("XrViewConfigurationType", viewconfigurationtype_prefix, std::to_string(value->viewConfigurationType));
        std::string displaytime_prefix = prefix;
        displaytime_prefix += "displayTime";
        contents.emplace_back("XrTime", displaytime_prefix, std::to_string(value->displayTime));
        std::string space_prefix = prefix;
        space_prefix += "space";
        std::ostringstream oss_space;
        oss_space << std::hex << reinterpret_cast<const void*>(value->space);
        contents.emplace_back("XrSpace", space_prefix, oss_space.str());
        return true;
    } catch(...) {
    }
    return false;
}

bool ApiDumpOutputXrStruct(XrGeneratedDispatchTable* gen_dispatch_table, const XrViewState* value,
                           std::string prefix, std::string type_string, bool is_pointer,
                           std::vector<std::tuple<std::string, std::string, std::string>> &contents) {
    (void)gen_dispatch_table;  // silence warning
    try {
        contents.emplace_back(type_string, prefix, PointerToHexString(value));
        if (is_pointer) {
            prefix += "->";
        } else {
            prefix += ".";
        }
        std::string type_prefix = prefix;
        type_prefix += "type";
        if (nullptr != gen_dispatch_table) {
            char type_string[XR_MAX_STRUCTURE_NAME_SIZE];
            gen_dispatch_table->StructureTypeToString(FindInstanceFromDispatchTable(gen_dispatch_table),
                                                      value->type, type_string);
            contents.emplace_back("XrStructureType", type_prefix, type_string);
        } else {
                        contents.emplace_back("XrStructureType", type_prefix, std::to_string(value->type));
        }
        std::string next_prefix = prefix;
        next_prefix += "next";
        // Decode the next chain if it exists
        if (!ApiDumpDecodeNextChain(gen_dispatch_table, value->next, next_prefix, contents)) {
            throw std::invalid_argument("Invalid Operation");
        }
        std::string viewstateflags_prefix = prefix;
        viewstateflags_prefix += "viewStateFlags";
        contents.emplace_back("XrViewStateFlags", viewstateflags_prefix, std::to_string(value->viewStateFlags));
        return true;
    } catch(...) {
    }
    return false;
}

bool ApiDumpOutputXrStruct(XrGeneratedDispatchTable* gen_dispatch_table, const XrFovf* value,
                           std::string prefix, std::string type_string, bool is_pointer,
                           std::vector<std::tuple<std::string, std::string, std::string>> &contents) {
    (void)gen_dispatch_table;  // silence warning
    try {
        contents.emplace_back(type_string, prefix, PointerToHexString(value));
        if (is_pointer) {
            prefix += "->";
        } else {
            prefix += ".";
        }
        std::string angleleft_prefix = prefix;
        angleleft_prefix += "angleLeft";
        std::ostringstream oss_angleLeft;
        oss_angleLeft << std::setprecision(32) << (value->angleLeft);
        contents.emplace_back("float", angleleft_prefix, oss_angleLeft.str());
        std::string angleright_prefix = prefix;
        angleright_prefix += "angleRight";
        std::ostringstream oss_angleRight;
        oss_angleRight << std::setprecision(32) << (value->angleRight);
        contents.emplace_back("float", angleright_prefix, oss_angleRight.str());
        std::string angleup_prefix = prefix;
        angleup_prefix += "angleUp";
        std::ostringstream oss_angleUp;
        oss_angleUp << std::setprecision(32) << (value->angleUp);
        contents.emplace_back("float", angleup_prefix, oss_angleUp.str());
        std::string angledown_prefix = prefix;
        angledown_prefix += "angleDown";
        std::ostringstream oss_angleDown;
        oss_angleDown << std::setprecision(32) << (value->angleDown);
        contents.emplace_back("float", angledown_prefix, oss_angleDown.str());
        return true;
    } catch(...) {
    }
    return false;
}

bool ApiDumpOutputXrStruct(XrGeneratedDispatchTable* gen_dispatch_table, const XrView* value,
                           std::string prefix, std::string type_string, bool is_pointer,
                           std::vector<std::tuple<std::string, std::string, std::string>> &contents) {
    (void)gen_dispatch_table;  // silence warning
    try {
        contents.emplace_back(type_string, prefix, PointerToHexString(value));
        if (is_pointer) {
            prefix += "->";
        } else {
            prefix += ".";
        }
        std::string type_prefix = prefix;
        type_prefix += "type";
        if (nullptr != gen_dispatch_table) {
            char type_string[XR_MAX_STRUCTURE_NAME_SIZE];
            gen_dispatch_table->StructureTypeToString(FindInstanceFromDispatchTable(gen_dispatch_table),
                                                      value->type, type_string);
            contents.emplace_back("XrStructureType", type_prefix, type_string);
        } else {
                        contents.emplace_back("XrStructureType", type_prefix, std::to_string(value->type));
        }
        std::string next_prefix = prefix;
        next_prefix += "next";
        // Decode the next chain if it exists
        if (!ApiDumpDecodeNextChain(gen_dispatch_table, value->next, next_prefix, contents)) {
            throw std::invalid_argument("Invalid Operation");
        }
        std::string pose_prefix = prefix;
        pose_prefix += "pose";
        if (!ApiDumpOutputXrStruct(gen_dispatch_table, &value->pose, pose_prefix, "XrPosef", false, contents)) {
            throw std::invalid_argument("Invalid Operation");
        }
        std::string fov_prefix = prefix;
        fov_prefix += "fov";
        if (!ApiDumpOutputXrStruct(gen_dispatch_table, &value->fov, fov_prefix, "XrFovf", false, contents)) {
            throw std::invalid_argument("Invalid Operation");
        }
        return true;
    } catch(...) {
    }
    return false;
}

bool ApiDumpOutputXrStruct(XrGeneratedDispatchTable* gen_dispatch_table, const XrActionSetCreateInfo* value,
                           std::string prefix, std::string type_string, bool is_pointer,
                           std::vector<std::tuple<std::string, std::string, std::string>> &contents) {
    (void)gen_dispatch_table;  // silence warning
    try {
        contents.emplace_back(type_string, prefix, PointerToHexString(value));
        if (is_pointer) {
            prefix += "->";
        } else {
            prefix += ".";
        }
        std::string type_prefix = prefix;
        type_prefix += "type";
        if (nullptr != gen_dispatch_table) {
            char type_string[XR_MAX_STRUCTURE_NAME_SIZE];
            gen_dispatch_table->StructureTypeToString(FindInstanceFromDispatchTable(gen_dispatch_table),
                                                      value->type, type_string);
            contents.emplace_back("XrStructureType", type_prefix, type_string);
        } else {
                        contents.emplace_back("XrStructureType", type_prefix, std::to_string(value->type));
        }
        std::string next_prefix = prefix;
        next_prefix += "next";
        // Decode the next chain if it exists
        if (!ApiDumpDecodeNextChain(gen_dispatch_table, value->next, next_prefix, contents)) {
            throw std::invalid_argument("Invalid Operation");
        }
        std::string actionsetname_prefix = prefix;
        actionsetname_prefix += "actionSetName";
        contents.emplace_back("char*", actionsetname_prefix, value->actionSetName);
        std::string localizedactionsetname_prefix = prefix;
        localizedactionsetname_prefix += "localizedActionSetName";
        contents.emplace_back("char*", localizedactionsetname_prefix, value->localizedActionSetName);
        std::string priority_prefix = prefix;
        priority_prefix += "priority";
        std::ostringstream oss_priority;
        oss_priority << "0x" << std::hex << (value->priority);
        contents.emplace_back("uint32_t", priority_prefix, oss_priority.str());
        return true;
    } catch(...) {
    }
    return false;
}

bool ApiDumpOutputXrStruct(XrGeneratedDispatchTable* gen_dispatch_table, const XrActionCreateInfo* value,
                           std::string prefix, std::string type_string, bool is_pointer,
                           std::vector<std::tuple<std::string, std::string, std::string>> &contents) {
    (void)gen_dispatch_table;  // silence warning
    try {
        contents.emplace_back(type_string, prefix, PointerToHexString(value));
        if (is_pointer) {
            prefix += "->";
        } else {
            prefix += ".";
        }
        std::string type_prefix = prefix;
        type_prefix += "type";
        if (nullptr != gen_dispatch_table) {
            char type_string[XR_MAX_STRUCTURE_NAME_SIZE];
            gen_dispatch_table->StructureTypeToString(FindInstanceFromDispatchTable(gen_dispatch_table),
                                                      value->type, type_string);
            contents.emplace_back("XrStructureType", type_prefix, type_string);
        } else {
                        contents.emplace_back("XrStructureType", type_prefix, std::to_string(value->type));
        }
        std::string next_prefix = prefix;
        next_prefix += "next";
        // Decode the next chain if it exists
        if (!ApiDumpDecodeNextChain(gen_dispatch_table, value->next, next_prefix, contents)) {
            throw std::invalid_argument("Invalid Operation");
        }
        std::string actionname_prefix = prefix;
        actionname_prefix += "actionName";
        contents.emplace_back("char*", actionname_prefix, value->actionName);
        std::string actiontype_prefix = prefix;
        actiontype_prefix += "actionType";
        contents.emplace_back("XrActionType", actiontype_prefix, std::to_string(value->actionType));
        std::string countsubactionpaths_prefix = prefix;
        countsubactionpaths_prefix += "countSubactionPaths";
        std::ostringstream oss_countSubactionPaths;
        oss_countSubactionPaths << "0x" << std::hex << (value->countSubactionPaths);
        contents.emplace_back("uint32_t", countsubactionpaths_prefix, oss_countSubactionPaths.str());
        std::string subactionpaths_prefix = prefix;
        subactionpaths_prefix += "subactionPaths";
        std::ostringstream oss_subactionPaths_array;
        oss_subactionPaths_array << std::hex << reinterpret_cast<const void*>(value->subactionPaths);
        contents.emplace_back("const XrPath*", subactionpaths_prefix, oss_subactionPaths_array.str());
        for (uint32_t value_subactionpaths_inc = 0; value_subactionpaths_inc < value->countSubactionPaths; ++value_subactionpaths_inc) {
            std::string subactionpaths_array_prefix = subactionpaths_prefix;
            subactionpaths_array_prefix += "[";
            subactionpaths_array_prefix += std::to_string(value_subactionpaths_inc);
            subactionpaths_array_prefix += "]";
            contents.emplace_back("const XrPath*", subactionpaths_array_prefix, std::to_string(value->subactionPaths[value_subactionpaths_inc]));
        }
        std::string localizedactionname_prefix = prefix;
        localizedactionname_prefix += "localizedActionName";
        contents.emplace_back("char*", localizedactionname_prefix, value->localizedActionName);
        return true;
    } catch(...) {
    }
    return false;
}

bool ApiDumpOutputXrStruct(XrGeneratedDispatchTable* gen_dispatch_table, const XrActionSuggestedBinding* value,
                           std::string prefix, std::string type_string, bool is_pointer,
                           std::vector<std::tuple<std::string, std::string, std::string>> &contents) {
    (void)gen_dispatch_table;  // silence warning
    try {
        contents.emplace_back(type_string, prefix, PointerToHexString(value));
        if (is_pointer) {
            prefix += "->";
        } else {
            prefix += ".";
        }
        std::string action_prefix = prefix;
        action_prefix += "action";
        std::ostringstream oss_action;
        oss_action << std::hex << reinterpret_cast<const void*>(value->action);
        contents.emplace_back("XrAction", action_prefix, oss_action.str());
        std::string binding_prefix = prefix;
        binding_prefix += "binding";
        contents.emplace_back("XrPath", binding_prefix, std::to_string(value->binding));
        return true;
    } catch(...) {
    }
    return false;
}

bool ApiDumpOutputXrStruct(XrGeneratedDispatchTable* gen_dispatch_table, const XrInteractionProfileSuggestedBinding* value,
                           std::string prefix, std::string type_string, bool is_pointer,
                           std::vector<std::tuple<std::string, std::string, std::string>> &contents) {
    (void)gen_dispatch_table;  // silence warning
    try {
        contents.emplace_back(type_string, prefix, PointerToHexString(value));
        if (is_pointer) {
            prefix += "->";
        } else {
            prefix += ".";
        }
        std::string type_prefix = prefix;
        type_prefix += "type";
        if (nullptr != gen_dispatch_table) {
            char type_string[XR_MAX_STRUCTURE_NAME_SIZE];
            gen_dispatch_table->StructureTypeToString(FindInstanceFromDispatchTable(gen_dispatch_table),
                                                      value->type, type_string);
            contents.emplace_back("XrStructureType", type_prefix, type_string);
        } else {
                        contents.emplace_back("XrStructureType", type_prefix, std::to_string(value->type));
        }
        std::string next_prefix = prefix;
        next_prefix += "next";
        // Decode the next chain if it exists
        if (!ApiDumpDecodeNextChain(gen_dispatch_table, value->next, next_prefix, contents)) {
            throw std::invalid_argument("Invalid Operation");
        }
        std::string interactionprofile_prefix = prefix;
        interactionprofile_prefix += "interactionProfile";
        contents.emplace_back("XrPath", interactionprofile_prefix, std::to_string(value->interactionProfile));
        std::string countsuggestedbindings_prefix = prefix;
        countsuggestedbindings_prefix += "countSuggestedBindings";
        std::ostringstream oss_countSuggestedBindings;
        oss_countSuggestedBindings << "0x" << std::hex << (value->countSuggestedBindings);
        contents.emplace_back("uint32_t", countsuggestedbindings_prefix, oss_countSuggestedBindings.str());
        std::string suggestedbindings_prefix = prefix;
        suggestedbindings_prefix += "suggestedBindings";
        std::ostringstream oss_suggestedBindings_array;
        oss_suggestedBindings_array << std::hex << reinterpret_cast<const void*>(value->suggestedBindings);
        contents.emplace_back("const XrActionSuggestedBinding*", suggestedbindings_prefix, oss_suggestedBindings_array.str());
        for (uint32_t value_suggestedbindings_inc = 0; value_suggestedbindings_inc < value->countSuggestedBindings; ++value_suggestedbindings_inc) {
            std::string suggestedbindings_array_prefix = suggestedbindings_prefix;
            suggestedbindings_array_prefix += "[";
            suggestedbindings_array_prefix += std::to_string(value_suggestedbindings_inc);
            suggestedbindings_array_prefix += "]";
            if (!ApiDumpOutputXrStruct(gen_dispatch_table, &value->suggestedBindings[value_suggestedbindings_inc], suggestedbindings_array_prefix, "const XrActionSuggestedBinding*", false, contents)) {
                throw std::invalid_argument("Invalid Operation");
            }
        }
        return true;
    } catch(...) {
    }
    return false;
}

bool ApiDumpOutputXrStruct(XrGeneratedDispatchTable* gen_dispatch_table, const XrSessionActionSetsAttachInfo* value,
                           std::string prefix, std::string type_string, bool is_pointer,
                           std::vector<std::tuple<std::string, std::string, std::string>> &contents) {
    (void)gen_dispatch_table;  // silence warning
    try {
        contents.emplace_back(type_string, prefix, PointerToHexString(value));
        if (is_pointer) {
            prefix += "->";
        } else {
            prefix += ".";
        }
        std::string type_prefix = prefix;
        type_prefix += "type";
        if (nullptr != gen_dispatch_table) {
            char type_string[XR_MAX_STRUCTURE_NAME_SIZE];
            gen_dispatch_table->StructureTypeToString(FindInstanceFromDispatchTable(gen_dispatch_table),
                                                      value->type, type_string);
            contents.emplace_back("XrStructureType", type_prefix, type_string);
        } else {
                        contents.emplace_back("XrStructureType", type_prefix, std::to_string(value->type));
        }
        std::string next_prefix = prefix;
        next_prefix += "next";
        // Decode the next chain if it exists
        if (!ApiDumpDecodeNextChain(gen_dispatch_table, value->next, next_prefix, contents)) {
            throw std::invalid_argument("Invalid Operation");
        }
        std::string countactionsets_prefix = prefix;
        countactionsets_prefix += "countActionSets";
        std::ostringstream oss_countActionSets;
        oss_countActionSets << "0x" << std::hex << (value->countActionSets);
        contents.emplace_back("uint32_t", countactionsets_prefix, oss_countActionSets.str());
        std::string actionsets_prefix = prefix;
        actionsets_prefix += "actionSets";
        std::ostringstream oss_actionSets_array;
        oss_actionSets_array << std::hex << reinterpret_cast<const void*>(value->actionSets);
        contents.emplace_back("const XrActionSet*", actionsets_prefix, oss_actionSets_array.str());
        for (uint32_t value_actionsets_inc = 0; value_actionsets_inc < value->countActionSets; ++value_actionsets_inc) {
            std::string actionsets_array_prefix = actionsets_prefix;
            actionsets_array_prefix += "[";
            actionsets_array_prefix += std::to_string(value_actionsets_inc);
            actionsets_array_prefix += "]";
            std::ostringstream oss_actionSets;
            oss_actionSets << std::hex << reinterpret_cast<const void*>(value->actionSets[value_actionsets_inc]);
            contents.emplace_back("const XrActionSet*", actionsets_array_prefix, oss_actionSets.str());
        }
        return true;
    } catch(...) {
    }
    return false;
}

bool ApiDumpOutputXrStruct(XrGeneratedDispatchTable* gen_dispatch_table, const XrInteractionProfileState* value,
                           std::string prefix, std::string type_string, bool is_pointer,
                           std::vector<std::tuple<std::string, std::string, std::string>> &contents) {
    (void)gen_dispatch_table;  // silence warning
    try {
        contents.emplace_back(type_string, prefix, PointerToHexString(value));
        if (is_pointer) {
            prefix += "->";
        } else {
            prefix += ".";
        }
        std::string type_prefix = prefix;
        type_prefix += "type";
        if (nullptr != gen_dispatch_table) {
            char type_string[XR_MAX_STRUCTURE_NAME_SIZE];
            gen_dispatch_table->StructureTypeToString(FindInstanceFromDispatchTable(gen_dispatch_table),
                                                      value->type, type_string);
            contents.emplace_back("XrStructureType", type_prefix, type_string);
        } else {
                        contents.emplace_back("XrStructureType", type_prefix, std::to_string(value->type));
        }
        std::string next_prefix = prefix;
        next_prefix += "next";
        // Decode the next chain if it exists
        if (!ApiDumpDecodeNextChain(gen_dispatch_table, value->next, next_prefix, contents)) {
            throw std::invalid_argument("Invalid Operation");
        }
        std::string interactionprofile_prefix = prefix;
        interactionprofile_prefix += "interactionProfile";
        contents.emplace_back("XrPath", interactionprofile_prefix, std::to_string(value->interactionProfile));
        return true;
    } catch(...) {
    }
    return false;
}

bool ApiDumpOutputXrStruct(XrGeneratedDispatchTable* gen_dispatch_table, const XrActionStateGetInfo* value,
                           std::string prefix, std::string type_string, bool is_pointer,
                           std::vector<std::tuple<std::string, std::string, std::string>> &contents) {
    (void)gen_dispatch_table;  // silence warning
    try {
        contents.emplace_back(type_string, prefix, PointerToHexString(value));
        if (is_pointer) {
            prefix += "->";
        } else {
            prefix += ".";
        }
        std::string type_prefix = prefix;
        type_prefix += "type";
        if (nullptr != gen_dispatch_table) {
            char type_string[XR_MAX_STRUCTURE_NAME_SIZE];
            gen_dispatch_table->StructureTypeToString(FindInstanceFromDispatchTable(gen_dispatch_table),
                                                      value->type, type_string);
            contents.emplace_back("XrStructureType", type_prefix, type_string);
        } else {
                        contents.emplace_back("XrStructureType", type_prefix, std::to_string(value->type));
        }
        std::string next_prefix = prefix;
        next_prefix += "next";
        // Decode the next chain if it exists
        if (!ApiDumpDecodeNextChain(gen_dispatch_table, value->next, next_prefix, contents)) {
            throw std::invalid_argument("Invalid Operation");
        }
        std::string action_prefix = prefix;
        action_prefix += "action";
        std::ostringstream oss_action;
        oss_action << std::hex << reinterpret_cast<const void*>(value->action);
        contents.emplace_back("XrAction", action_prefix, oss_action.str());
        std::string subactionpath_prefix = prefix;
        subactionpath_prefix += "subactionPath";
        contents.emplace_back("XrPath", subactionpath_prefix, std::to_string(value->subactionPath));
        return true;
    } catch(...) {
    }
    return false;
}

bool ApiDumpOutputXrStruct(XrGeneratedDispatchTable* gen_dispatch_table, const XrActionStateBoolean* value,
                           std::string prefix, std::string type_string, bool is_pointer,
                           std::vector<std::tuple<std::string, std::string, std::string>> &contents) {
    (void)gen_dispatch_table;  // silence warning
    try {
        contents.emplace_back(type_string, prefix, PointerToHexString(value));
        if (is_pointer) {
            prefix += "->";
        } else {
            prefix += ".";
        }
        std::string type_prefix = prefix;
        type_prefix += "type";
        if (nullptr != gen_dispatch_table) {
            char type_string[XR_MAX_STRUCTURE_NAME_SIZE];
            gen_dispatch_table->StructureTypeToString(FindInstanceFromDispatchTable(gen_dispatch_table),
                                                      value->type, type_string);
            contents.emplace_back("XrStructureType", type_prefix, type_string);
        } else {
                        contents.emplace_back("XrStructureType", type_prefix, std::to_string(value->type));
        }
        std::string next_prefix = prefix;
        next_prefix += "next";
        // Decode the next chain if it exists
        if (!ApiDumpDecodeNextChain(gen_dispatch_table, value->next, next_prefix, contents)) {
            throw std::invalid_argument("Invalid Operation");
        }
        std::string currentstate_prefix = prefix;
        currentstate_prefix += "currentState";
        std::ostringstream oss_currentState;
        oss_currentState << "0x" << std::hex << (value->currentState);
        contents.emplace_back("XrBool32", currentstate_prefix, oss_currentState.str());
        std::string changedsincelastsync_prefix = prefix;
        changedsincelastsync_prefix += "changedSinceLastSync";
        std::ostringstream oss_changedSinceLastSync;
        oss_changedSinceLastSync << "0x" << std::hex << (value->changedSinceLastSync);
        contents.emplace_back("XrBool32", changedsincelastsync_prefix, oss_changedSinceLastSync.str());
        std::string lastchangetime_prefix = prefix;
        lastchangetime_prefix += "lastChangeTime";
        contents.emplace_back("XrTime", lastchangetime_prefix, std::to_string(value->lastChangeTime));
        std::string isactive_prefix = prefix;
        isactive_prefix += "isActive";
        std::ostringstream oss_isActive;
        oss_isActive << "0x" << std::hex << (value->isActive);
        contents.emplace_back("XrBool32", isactive_prefix, oss_isActive.str());
        return true;
    } catch(...) {
    }
    return false;
}

bool ApiDumpOutputXrStruct(XrGeneratedDispatchTable* gen_dispatch_table, const XrActionStateFloat* value,
                           std::string prefix, std::string type_string, bool is_pointer,
                           std::vector<std::tuple<std::string, std::string, std::string>> &contents) {
    (void)gen_dispatch_table;  // silence warning
    try {
        contents.emplace_back(type_string, prefix, PointerToHexString(value));
        if (is_pointer) {
            prefix += "->";
        } else {
            prefix += ".";
        }
        std::string type_prefix = prefix;
        type_prefix += "type";
        if (nullptr != gen_dispatch_table) {
            char type_string[XR_MAX_STRUCTURE_NAME_SIZE];
            gen_dispatch_table->StructureTypeToString(FindInstanceFromDispatchTable(gen_dispatch_table),
                                                      value->type, type_string);
            contents.emplace_back("XrStructureType", type_prefix, type_string);
        } else {
                        contents.emplace_back("XrStructureType", type_prefix, std::to_string(value->type));
        }
        std::string next_prefix = prefix;
        next_prefix += "next";
        // Decode the next chain if it exists
        if (!ApiDumpDecodeNextChain(gen_dispatch_table, value->next, next_prefix, contents)) {
            throw std::invalid_argument("Invalid Operation");
        }
        std::string currentstate_prefix = prefix;
        currentstate_prefix += "currentState";
        std::ostringstream oss_currentState;
        oss_currentState << std::setprecision(32) << (value->currentState);
        contents.emplace_back("float", currentstate_prefix, oss_currentState.str());
        std::string changedsincelastsync_prefix = prefix;
        changedsincelastsync_prefix += "changedSinceLastSync";
        std::ostringstream oss_changedSinceLastSync;
        oss_changedSinceLastSync << "0x" << std::hex << (value->changedSinceLastSync);
        contents.emplace_back("XrBool32", changedsincelastsync_prefix, oss_changedSinceLastSync.str());
        std::string lastchangetime_prefix = prefix;
        lastchangetime_prefix += "lastChangeTime";
        contents.emplace_back("XrTime", lastchangetime_prefix, std::to_string(value->lastChangeTime));
        std::string isactive_prefix = prefix;
        isactive_prefix += "isActive";
        std::ostringstream oss_isActive;
        oss_isActive << "0x" << std::hex << (value->isActive);
        contents.emplace_back("XrBool32", isactive_prefix, oss_isActive.str());
        return true;
    } catch(...) {
    }
    return false;
}

bool ApiDumpOutputXrStruct(XrGeneratedDispatchTable* gen_dispatch_table, const XrVector2f* value,
                           std::string prefix, std::string type_string, bool is_pointer,
                           std::vector<std::tuple<std::string, std::string, std::string>> &contents) {
    (void)gen_dispatch_table;  // silence warning
    try {
        contents.emplace_back(type_string, prefix, PointerToHexString(value));
        if (is_pointer) {
            prefix += "->";
        } else {
            prefix += ".";
        }
        std::string x_prefix = prefix;
        x_prefix += "x";
        std::ostringstream oss_x;
        oss_x << std::setprecision(32) << (value->x);
        contents.emplace_back("float", x_prefix, oss_x.str());
        std::string y_prefix = prefix;
        y_prefix += "y";
        std::ostringstream oss_y;
        oss_y << std::setprecision(32) << (value->y);
        contents.emplace_back("float", y_prefix, oss_y.str());
        return true;
    } catch(...) {
    }
    return false;
}

bool ApiDumpOutputXrStruct(XrGeneratedDispatchTable* gen_dispatch_table, const XrActionStateVector2f* value,
                           std::string prefix, std::string type_string, bool is_pointer,
                           std::vector<std::tuple<std::string, std::string, std::string>> &contents) {
    (void)gen_dispatch_table;  // silence warning
    try {
        contents.emplace_back(type_string, prefix, PointerToHexString(value));
        if (is_pointer) {
            prefix += "->";
        } else {
            prefix += ".";
        }
        std::string type_prefix = prefix;
        type_prefix += "type";
        if (nullptr != gen_dispatch_table) {
            char type_string[XR_MAX_STRUCTURE_NAME_SIZE];
            gen_dispatch_table->StructureTypeToString(FindInstanceFromDispatchTable(gen_dispatch_table),
                                                      value->type, type_string);
            contents.emplace_back("XrStructureType", type_prefix, type_string);
        } else {
                        contents.emplace_back("XrStructureType", type_prefix, std::to_string(value->type));
        }
        std::string next_prefix = prefix;
        next_prefix += "next";
        // Decode the next chain if it exists
        if (!ApiDumpDecodeNextChain(gen_dispatch_table, value->next, next_prefix, contents)) {
            throw std::invalid_argument("Invalid Operation");
        }
        std::string currentstate_prefix = prefix;
        currentstate_prefix += "currentState";
        if (!ApiDumpOutputXrStruct(gen_dispatch_table, &value->currentState, currentstate_prefix, "XrVector2f", false, contents)) {
            throw std::invalid_argument("Invalid Operation");
        }
        std::string changedsincelastsync_prefix = prefix;
        changedsincelastsync_prefix += "changedSinceLastSync";
        std::ostringstream oss_changedSinceLastSync;
        oss_changedSinceLastSync << "0x" << std::hex << (value->changedSinceLastSync);
        contents.emplace_back("XrBool32", changedsincelastsync_prefix, oss_changedSinceLastSync.str());
        std::string lastchangetime_prefix = prefix;
        lastchangetime_prefix += "lastChangeTime";
        contents.emplace_back("XrTime", lastchangetime_prefix, std::to_string(value->lastChangeTime));
        std::string isactive_prefix = prefix;
        isactive_prefix += "isActive";
        std::ostringstream oss_isActive;
        oss_isActive << "0x" << std::hex << (value->isActive);
        contents.emplace_back("XrBool32", isactive_prefix, oss_isActive.str());
        return true;
    } catch(...) {
    }
    return false;
}

bool ApiDumpOutputXrStruct(XrGeneratedDispatchTable* gen_dispatch_table, const XrActionStatePose* value,
                           std::string prefix, std::string type_string, bool is_pointer,
                           std::vector<std::tuple<std::string, std::string, std::string>> &contents) {
    (void)gen_dispatch_table;  // silence warning
    try {
        contents.emplace_back(type_string, prefix, PointerToHexString(value));
        if (is_pointer) {
            prefix += "->";
        } else {
            prefix += ".";
        }
        std::string type_prefix = prefix;
        type_prefix += "type";
        if (nullptr != gen_dispatch_table) {
            char type_string[XR_MAX_STRUCTURE_NAME_SIZE];
            gen_dispatch_table->StructureTypeToString(FindInstanceFromDispatchTable(gen_dispatch_table),
                                                      value->type, type_string);
            contents.emplace_back("XrStructureType", type_prefix, type_string);
        } else {
                        contents.emplace_back("XrStructureType", type_prefix, std::to_string(value->type));
        }
        std::string next_prefix = prefix;
        next_prefix += "next";
        // Decode the next chain if it exists
        if (!ApiDumpDecodeNextChain(gen_dispatch_table, value->next, next_prefix, contents)) {
            throw std::invalid_argument("Invalid Operation");
        }
        std::string isactive_prefix = prefix;
        isactive_prefix += "isActive";
        std::ostringstream oss_isActive;
        oss_isActive << "0x" << std::hex << (value->isActive);
        contents.emplace_back("XrBool32", isactive_prefix, oss_isActive.str());
        return true;
    } catch(...) {
    }
    return false;
}

bool ApiDumpOutputXrStruct(XrGeneratedDispatchTable* gen_dispatch_table, const XrActiveActionSet* value,
                           std::string prefix, std::string type_string, bool is_pointer,
                           std::vector<std::tuple<std::string, std::string, std::string>> &contents) {
    (void)gen_dispatch_table;  // silence warning
    try {
        contents.emplace_back(type_string, prefix, PointerToHexString(value));
        if (is_pointer) {
            prefix += "->";
        } else {
            prefix += ".";
        }
        std::string actionset_prefix = prefix;
        actionset_prefix += "actionSet";
        std::ostringstream oss_actionSet;
        oss_actionSet << std::hex << reinterpret_cast<const void*>(value->actionSet);
        contents.emplace_back("XrActionSet", actionset_prefix, oss_actionSet.str());
        std::string subactionpath_prefix = prefix;
        subactionpath_prefix += "subactionPath";
        contents.emplace_back("XrPath", subactionpath_prefix, std::to_string(value->subactionPath));
        return true;
    } catch(...) {
    }
    return false;
}

bool ApiDumpOutputXrStruct(XrGeneratedDispatchTable* gen_dispatch_table, const XrActionsSyncInfo* value,
                           std::string prefix, std::string type_string, bool is_pointer,
                           std::vector<std::tuple<std::string, std::string, std::string>> &contents) {
    (void)gen_dispatch_table;  // silence warning
    try {
        contents.emplace_back(type_string, prefix, PointerToHexString(value));
        if (is_pointer) {
            prefix += "->";
        } else {
            prefix += ".";
        }
        std::string type_prefix = prefix;
        type_prefix += "type";
        if (nullptr != gen_dispatch_table) {
            char type_string[XR_MAX_STRUCTURE_NAME_SIZE];
            gen_dispatch_table->StructureTypeToString(FindInstanceFromDispatchTable(gen_dispatch_table),
                                                      value->type, type_string);
            contents.emplace_back("XrStructureType", type_prefix, type_string);
        } else {
                        contents.emplace_back("XrStructureType", type_prefix, std::to_string(value->type));
        }
        std::string next_prefix = prefix;
        next_prefix += "next";
        // Decode the next chain if it exists
        if (!ApiDumpDecodeNextChain(gen_dispatch_table, value->next, next_prefix, contents)) {
            throw std::invalid_argument("Invalid Operation");
        }
        std::string countactiveactionsets_prefix = prefix;
        countactiveactionsets_prefix += "countActiveActionSets";
        std::ostringstream oss_countActiveActionSets;
        oss_countActiveActionSets << "0x" << std::hex << (value->countActiveActionSets);
        contents.emplace_back("uint32_t", countactiveactionsets_prefix, oss_countActiveActionSets.str());
        std::string activeactionsets_prefix = prefix;
        activeactionsets_prefix += "activeActionSets";
        std::ostringstream oss_activeActionSets_array;
        oss_activeActionSets_array << std::hex << reinterpret_cast<const void*>(value->activeActionSets);
        contents.emplace_back("const XrActiveActionSet*", activeactionsets_prefix, oss_activeActionSets_array.str());
        for (uint32_t value_activeactionsets_inc = 0; value_activeactionsets_inc < value->countActiveActionSets; ++value_activeactionsets_inc) {
            std::string activeactionsets_array_prefix = activeactionsets_prefix;
            activeactionsets_array_prefix += "[";
            activeactionsets_array_prefix += std::to_string(value_activeactionsets_inc);
            activeactionsets_array_prefix += "]";
            if (!ApiDumpOutputXrStruct(gen_dispatch_table, &value->activeActionSets[value_activeactionsets_inc], activeactionsets_array_prefix, "const XrActiveActionSet*", false, contents)) {
                throw std::invalid_argument("Invalid Operation");
            }
        }
        return true;
    } catch(...) {
    }
    return false;
}

bool ApiDumpOutputXrStruct(XrGeneratedDispatchTable* gen_dispatch_table, const XrBoundSourcesForActionEnumerateInfo* value,
                           std::string prefix, std::string type_string, bool is_pointer,
                           std::vector<std::tuple<std::string, std::string, std::string>> &contents) {
    (void)gen_dispatch_table;  // silence warning
    try {
        contents.emplace_back(type_string, prefix, PointerToHexString(value));
        if (is_pointer) {
            prefix += "->";
        } else {
            prefix += ".";
        }
        std::string type_prefix = prefix;
        type_prefix += "type";
        if (nullptr != gen_dispatch_table) {
            char type_string[XR_MAX_STRUCTURE_NAME_SIZE];
            gen_dispatch_table->StructureTypeToString(FindInstanceFromDispatchTable(gen_dispatch_table),
                                                      value->type, type_string);
            contents.emplace_back("XrStructureType", type_prefix, type_string);
        } else {
                        contents.emplace_back("XrStructureType", type_prefix, std::to_string(value->type));
        }
        std::string next_prefix = prefix;
        next_prefix += "next";
        // Decode the next chain if it exists
        if (!ApiDumpDecodeNextChain(gen_dispatch_table, value->next, next_prefix, contents)) {
            throw std::invalid_argument("Invalid Operation");
        }
        std::string action_prefix = prefix;
        action_prefix += "action";
        std::ostringstream oss_action;
        oss_action << std::hex << reinterpret_cast<const void*>(value->action);
        contents.emplace_back("XrAction", action_prefix, oss_action.str());
        return true;
    } catch(...) {
    }
    return false;
}

bool ApiDumpOutputXrStruct(XrGeneratedDispatchTable* gen_dispatch_table, const XrInputSourceLocalizedNameGetInfo* value,
                           std::string prefix, std::string type_string, bool is_pointer,
                           std::vector<std::tuple<std::string, std::string, std::string>> &contents) {
    (void)gen_dispatch_table;  // silence warning
    try {
        contents.emplace_back(type_string, prefix, PointerToHexString(value));
        if (is_pointer) {
            prefix += "->";
        } else {
            prefix += ".";
        }
        std::string type_prefix = prefix;
        type_prefix += "type";
        if (nullptr != gen_dispatch_table) {
            char type_string[XR_MAX_STRUCTURE_NAME_SIZE];
            gen_dispatch_table->StructureTypeToString(FindInstanceFromDispatchTable(gen_dispatch_table),
                                                      value->type, type_string);
            contents.emplace_back("XrStructureType", type_prefix, type_string);
        } else {
                        contents.emplace_back("XrStructureType", type_prefix, std::to_string(value->type));
        }
        std::string next_prefix = prefix;
        next_prefix += "next";
        // Decode the next chain if it exists
        if (!ApiDumpDecodeNextChain(gen_dispatch_table, value->next, next_prefix, contents)) {
            throw std::invalid_argument("Invalid Operation");
        }
        std::string sourcepath_prefix = prefix;
        sourcepath_prefix += "sourcePath";
        contents.emplace_back("XrPath", sourcepath_prefix, std::to_string(value->sourcePath));
        std::string whichcomponents_prefix = prefix;
        whichcomponents_prefix += "whichComponents";
        contents.emplace_back("XrInputSourceLocalizedNameFlags", whichcomponents_prefix, std::to_string(value->whichComponents));
        return true;
    } catch(...) {
    }
    return false;
}

bool ApiDumpOutputXrStruct(XrGeneratedDispatchTable* gen_dispatch_table, const XrHapticActionInfo* value,
                           std::string prefix, std::string type_string, bool is_pointer,
                           std::vector<std::tuple<std::string, std::string, std::string>> &contents) {
    (void)gen_dispatch_table;  // silence warning
    try {
        contents.emplace_back(type_string, prefix, PointerToHexString(value));
        if (is_pointer) {
            prefix += "->";
        } else {
            prefix += ".";
        }
        std::string type_prefix = prefix;
        type_prefix += "type";
        if (nullptr != gen_dispatch_table) {
            char type_string[XR_MAX_STRUCTURE_NAME_SIZE];
            gen_dispatch_table->StructureTypeToString(FindInstanceFromDispatchTable(gen_dispatch_table),
                                                      value->type, type_string);
            contents.emplace_back("XrStructureType", type_prefix, type_string);
        } else {
                        contents.emplace_back("XrStructureType", type_prefix, std::to_string(value->type));
        }
        std::string next_prefix = prefix;
        next_prefix += "next";
        // Decode the next chain if it exists
        if (!ApiDumpDecodeNextChain(gen_dispatch_table, value->next, next_prefix, contents)) {
            throw std::invalid_argument("Invalid Operation");
        }
        std::string action_prefix = prefix;
        action_prefix += "action";
        std::ostringstream oss_action;
        oss_action << std::hex << reinterpret_cast<const void*>(value->action);
        contents.emplace_back("XrAction", action_prefix, oss_action.str());
        std::string subactionpath_prefix = prefix;
        subactionpath_prefix += "subactionPath";
        contents.emplace_back("XrPath", subactionpath_prefix, std::to_string(value->subactionPath));
        return true;
    } catch(...) {
    }
    return false;
}

bool ApiDumpOutputXrStruct(XrGeneratedDispatchTable* gen_dispatch_table, const XrHapticBaseHeader* value,
                           std::string prefix, std::string type_string, bool is_pointer,
                           std::vector<std::tuple<std::string, std::string, std::string>> &contents) {
    (void)gen_dispatch_table;  // silence warning
    try {
        if (value->type == XR_TYPE_HAPTIC_VIBRATION) {
            const XrHapticVibration* new_value = reinterpret_cast<const XrHapticVibration*>(value);
            return ApiDumpOutputXrStruct(gen_dispatch_table, new_value, prefix, type_string, is_pointer, contents);
        }
        // Fallback path - Just output generic information about the base struct
        contents.emplace_back(type_string, prefix, PointerToHexString(value));
        if (is_pointer) {
            prefix += "->";
        } else {
            prefix += ".";
        }
        std::string type_prefix = prefix;
        type_prefix += "type";
        if (nullptr != gen_dispatch_table) {
            char type_string[XR_MAX_STRUCTURE_NAME_SIZE];
            gen_dispatch_table->StructureTypeToString(FindInstanceFromDispatchTable(gen_dispatch_table),
                                                      value->type, type_string);
            contents.emplace_back("XrStructureType", type_prefix, type_string);
        } else {
                        contents.emplace_back("XrStructureType", type_prefix, std::to_string(value->type));
        }
        std::string next_prefix = prefix;
        next_prefix += "next";
        // Decode the next chain if it exists
        if (!ApiDumpDecodeNextChain(gen_dispatch_table, value->next, next_prefix, contents)) {
            throw std::invalid_argument("Invalid Operation");
        }
        return true;
    } catch(...) {
    }
    return false;
}

bool ApiDumpOutputXrStruct(XrGeneratedDispatchTable* gen_dispatch_table, const XrBaseInStructure* value,
                           std::string prefix, std::string type_string, bool is_pointer,
                           std::vector<std::tuple<std::string, std::string, std::string>> &contents) {
    (void)gen_dispatch_table;  // silence warning
    try {
        contents.emplace_back(type_string, prefix, PointerToHexString(value));
        if (is_pointer) {
            prefix += "->";
        } else {
            prefix += ".";
        }
        std::string type_prefix = prefix;
        type_prefix += "type";
        if (nullptr != gen_dispatch_table) {
            char type_string[XR_MAX_STRUCTURE_NAME_SIZE];
            gen_dispatch_table->StructureTypeToString(FindInstanceFromDispatchTable(gen_dispatch_table),
                                                      value->type, type_string);
            contents.emplace_back("XrStructureType", type_prefix, type_string);
        } else {
                        contents.emplace_back("XrStructureType", type_prefix, std::to_string(value->type));
        }
        std::string next_prefix = prefix;
        next_prefix += "next";
        // Decode the next chain if it exists
        if (!ApiDumpDecodeNextChain(gen_dispatch_table, value->next, next_prefix, contents)) {
            throw std::invalid_argument("Invalid Operation");
        }
        return true;
    } catch(...) {
    }
    return false;
}

bool ApiDumpOutputXrStruct(XrGeneratedDispatchTable* gen_dispatch_table, const XrBaseOutStructure* value,
                           std::string prefix, std::string type_string, bool is_pointer,
                           std::vector<std::tuple<std::string, std::string, std::string>> &contents) {
    (void)gen_dispatch_table;  // silence warning
    try {
        contents.emplace_back(type_string, prefix, PointerToHexString(value));
        if (is_pointer) {
            prefix += "->";
        } else {
            prefix += ".";
        }
        std::string type_prefix = prefix;
        type_prefix += "type";
        if (nullptr != gen_dispatch_table) {
            char type_string[XR_MAX_STRUCTURE_NAME_SIZE];
            gen_dispatch_table->StructureTypeToString(FindInstanceFromDispatchTable(gen_dispatch_table),
                                                      value->type, type_string);
            contents.emplace_back("XrStructureType", type_prefix, type_string);
        } else {
                        contents.emplace_back("XrStructureType", type_prefix, std::to_string(value->type));
        }
        std::string next_prefix = prefix;
        next_prefix += "next";
        // Decode the next chain if it exists
        if (!ApiDumpDecodeNextChain(gen_dispatch_table, value->next, next_prefix, contents)) {
            throw std::invalid_argument("Invalid Operation");
        }
        return true;
    } catch(...) {
    }
    return false;
}

bool ApiDumpOutputXrStruct(XrGeneratedDispatchTable* gen_dispatch_table, const XrOffset2Di* value,
                           std::string prefix, std::string type_string, bool is_pointer,
                           std::vector<std::tuple<std::string, std::string, std::string>> &contents) {
    (void)gen_dispatch_table;  // silence warning
    try {
        contents.emplace_back(type_string, prefix, PointerToHexString(value));
        if (is_pointer) {
            prefix += "->";
        } else {
            prefix += ".";
        }
        std::string x_prefix = prefix;
        x_prefix += "x";
        contents.emplace_back("int32_t", x_prefix, std::to_string(value->x));
        std::string y_prefix = prefix;
        y_prefix += "y";
        contents.emplace_back("int32_t", y_prefix, std::to_string(value->y));
        return true;
    } catch(...) {
    }
    return false;
}

bool ApiDumpOutputXrStruct(XrGeneratedDispatchTable* gen_dispatch_table, const XrExtent2Di* value,
                           std::string prefix, std::string type_string, bool is_pointer,
                           std::vector<std::tuple<std::string, std::string, std::string>> &contents) {
    (void)gen_dispatch_table;  // silence warning
    try {
        contents.emplace_back(type_string, prefix, PointerToHexString(value));
        if (is_pointer) {
            prefix += "->";
        } else {
            prefix += ".";
        }
        std::string width_prefix = prefix;
        width_prefix += "width";
        contents.emplace_back("int32_t", width_prefix, std::to_string(value->width));
        std::string height_prefix = prefix;
        height_prefix += "height";
        contents.emplace_back("int32_t", height_prefix, std::to_string(value->height));
        return true;
    } catch(...) {
    }
    return false;
}

bool ApiDumpOutputXrStruct(XrGeneratedDispatchTable* gen_dispatch_table, const XrRect2Di* value,
                           std::string prefix, std::string type_string, bool is_pointer,
                           std::vector<std::tuple<std::string, std::string, std::string>> &contents) {
    (void)gen_dispatch_table;  // silence warning
    try {
        contents.emplace_back(type_string, prefix, PointerToHexString(value));
        if (is_pointer) {
            prefix += "->";
        } else {
            prefix += ".";
        }
        std::string offset_prefix = prefix;
        offset_prefix += "offset";
        if (!ApiDumpOutputXrStruct(gen_dispatch_table, &value->offset, offset_prefix, "XrOffset2Di", false, contents)) {
            throw std::invalid_argument("Invalid Operation");
        }
        std::string extent_prefix = prefix;
        extent_prefix += "extent";
        if (!ApiDumpOutputXrStruct(gen_dispatch_table, &value->extent, extent_prefix, "XrExtent2Di", false, contents)) {
            throw std::invalid_argument("Invalid Operation");
        }
        return true;
    } catch(...) {
    }
    return false;
}

bool ApiDumpOutputXrStruct(XrGeneratedDispatchTable* gen_dispatch_table, const XrSwapchainSubImage* value,
                           std::string prefix, std::string type_string, bool is_pointer,
                           std::vector<std::tuple<std::string, std::string, std::string>> &contents) {
    (void)gen_dispatch_table;  // silence warning
    try {
        contents.emplace_back(type_string, prefix, PointerToHexString(value));
        if (is_pointer) {
            prefix += "->";
        } else {
            prefix += ".";
        }
        std::string swapchain_prefix = prefix;
        swapchain_prefix += "swapchain";
        std::ostringstream oss_swapchain;
        oss_swapchain << std::hex << reinterpret_cast<const void*>(value->swapchain);
        contents.emplace_back("XrSwapchain", swapchain_prefix, oss_swapchain.str());
        std::string imagerect_prefix = prefix;
        imagerect_prefix += "imageRect";
        if (!ApiDumpOutputXrStruct(gen_dispatch_table, &value->imageRect, imagerect_prefix, "XrRect2Di", false, contents)) {
            throw std::invalid_argument("Invalid Operation");
        }
        std::string imagearrayindex_prefix = prefix;
        imagearrayindex_prefix += "imageArrayIndex";
        std::ostringstream oss_imageArrayIndex;
        oss_imageArrayIndex << "0x" << std::hex << (value->imageArrayIndex);
        contents.emplace_back("uint32_t", imagearrayindex_prefix, oss_imageArrayIndex.str());
        return true;
    } catch(...) {
    }
    return false;
}

bool ApiDumpOutputXrStruct(XrGeneratedDispatchTable* gen_dispatch_table, const XrCompositionLayerProjectionView* value,
                           std::string prefix, std::string type_string, bool is_pointer,
                           std::vector<std::tuple<std::string, std::string, std::string>> &contents) {
    (void)gen_dispatch_table;  // silence warning
    try {
        contents.emplace_back(type_string, prefix, PointerToHexString(value));
        if (is_pointer) {
            prefix += "->";
        } else {
            prefix += ".";
        }
        std::string type_prefix = prefix;
        type_prefix += "type";
        if (nullptr != gen_dispatch_table) {
            char type_string[XR_MAX_STRUCTURE_NAME_SIZE];
            gen_dispatch_table->StructureTypeToString(FindInstanceFromDispatchTable(gen_dispatch_table),
                                                      value->type, type_string);
            contents.emplace_back("XrStructureType", type_prefix, type_string);
        } else {
                        contents.emplace_back("XrStructureType", type_prefix, std::to_string(value->type));
        }
        std::string next_prefix = prefix;
        next_prefix += "next";
        // Decode the next chain if it exists
        if (!ApiDumpDecodeNextChain(gen_dispatch_table, value->next, next_prefix, contents)) {
            throw std::invalid_argument("Invalid Operation");
        }
        std::string pose_prefix = prefix;
        pose_prefix += "pose";
        if (!ApiDumpOutputXrStruct(gen_dispatch_table, &value->pose, pose_prefix, "XrPosef", false, contents)) {
            throw std::invalid_argument("Invalid Operation");
        }
        std::string fov_prefix = prefix;
        fov_prefix += "fov";
        if (!ApiDumpOutputXrStruct(gen_dispatch_table, &value->fov, fov_prefix, "XrFovf", false, contents)) {
            throw std::invalid_argument("Invalid Operation");
        }
        std::string subimage_prefix = prefix;
        subimage_prefix += "subImage";
        if (!ApiDumpOutputXrStruct(gen_dispatch_table, &value->subImage, subimage_prefix, "XrSwapchainSubImage", false, contents)) {
            throw std::invalid_argument("Invalid Operation");
        }
        return true;
    } catch(...) {
    }
    return false;
}

bool ApiDumpOutputXrStruct(XrGeneratedDispatchTable* gen_dispatch_table, const XrCompositionLayerProjection* value,
                           std::string prefix, std::string type_string, bool is_pointer,
                           std::vector<std::tuple<std::string, std::string, std::string>> &contents) {
    (void)gen_dispatch_table;  // silence warning
    try {
        contents.emplace_back(type_string, prefix, PointerToHexString(value));
        if (is_pointer) {
            prefix += "->";
        } else {
            prefix += ".";
        }
        std::string type_prefix = prefix;
        type_prefix += "type";
        if (nullptr != gen_dispatch_table) {
            char type_string[XR_MAX_STRUCTURE_NAME_SIZE];
            gen_dispatch_table->StructureTypeToString(FindInstanceFromDispatchTable(gen_dispatch_table),
                                                      value->type, type_string);
            contents.emplace_back("XrStructureType", type_prefix, type_string);
        } else {
                        contents.emplace_back("XrStructureType", type_prefix, std::to_string(value->type));
        }
        std::string next_prefix = prefix;
        next_prefix += "next";
        // Decode the next chain if it exists
        if (!ApiDumpDecodeNextChain(gen_dispatch_table, value->next, next_prefix, contents)) {
            throw std::invalid_argument("Invalid Operation");
        }
        std::string layerflags_prefix = prefix;
        layerflags_prefix += "layerFlags";
        contents.emplace_back("XrCompositionLayerFlags", layerflags_prefix, std::to_string(value->layerFlags));
        std::string space_prefix = prefix;
        space_prefix += "space";
        std::ostringstream oss_space;
        oss_space << std::hex << reinterpret_cast<const void*>(value->space);
        contents.emplace_back("XrSpace", space_prefix, oss_space.str());
        std::string viewcount_prefix = prefix;
        viewcount_prefix += "viewCount";
        std::ostringstream oss_viewCount;
        oss_viewCount << "0x" << std::hex << (value->viewCount);
        contents.emplace_back("uint32_t", viewcount_prefix, oss_viewCount.str());
        std::string views_prefix = prefix;
        views_prefix += "views";
        std::ostringstream oss_views_array;
        oss_views_array << std::hex << reinterpret_cast<const void*>(value->views);
        contents.emplace_back("const XrCompositionLayerProjectionView*", views_prefix, oss_views_array.str());
        for (uint32_t value_views_inc = 0; value_views_inc < value->viewCount; ++value_views_inc) {
            std::string views_array_prefix = views_prefix;
            views_array_prefix += "[";
            views_array_prefix += std::to_string(value_views_inc);
            views_array_prefix += "]";
            if (!ApiDumpOutputXrStruct(gen_dispatch_table, &value->views[value_views_inc], views_array_prefix, "const XrCompositionLayerProjectionView*", false, contents)) {
                throw std::invalid_argument("Invalid Operation");
            }
        }
        return true;
    } catch(...) {
    }
    return false;
}

bool ApiDumpOutputXrStruct(XrGeneratedDispatchTable* gen_dispatch_table, const XrCompositionLayerQuad* value,
                           std::string prefix, std::string type_string, bool is_pointer,
                           std::vector<std::tuple<std::string, std::string, std::string>> &contents) {
    (void)gen_dispatch_table;  // silence warning
    try {
        contents.emplace_back(type_string, prefix, PointerToHexString(value));
        if (is_pointer) {
            prefix += "->";
        } else {
            prefix += ".";
        }
        std::string type_prefix = prefix;
        type_prefix += "type";
        if (nullptr != gen_dispatch_table) {
            char type_string[XR_MAX_STRUCTURE_NAME_SIZE];
            gen_dispatch_table->StructureTypeToString(FindInstanceFromDispatchTable(gen_dispatch_table),
                                                      value->type, type_string);
            contents.emplace_back("XrStructureType", type_prefix, type_string);
        } else {
                        contents.emplace_back("XrStructureType", type_prefix, std::to_string(value->type));
        }
        std::string next_prefix = prefix;
        next_prefix += "next";
        // Decode the next chain if it exists
        if (!ApiDumpDecodeNextChain(gen_dispatch_table, value->next, next_prefix, contents)) {
            throw std::invalid_argument("Invalid Operation");
        }
        std::string layerflags_prefix = prefix;
        layerflags_prefix += "layerFlags";
        contents.emplace_back("XrCompositionLayerFlags", layerflags_prefix, std::to_string(value->layerFlags));
        std::string space_prefix = prefix;
        space_prefix += "space";
        std::ostringstream oss_space;
        oss_space << std::hex << reinterpret_cast<const void*>(value->space);
        contents.emplace_back("XrSpace", space_prefix, oss_space.str());
        std::string eyevisibility_prefix = prefix;
        eyevisibility_prefix += "eyeVisibility";
        contents.emplace_back("XrEyeVisibility", eyevisibility_prefix, std::to_string(value->eyeVisibility));
        std::string subimage_prefix = prefix;
        subimage_prefix += "subImage";
        if (!ApiDumpOutputXrStruct(gen_dispatch_table, &value->subImage, subimage_prefix, "XrSwapchainSubImage", false, contents)) {
            throw std::invalid_argument("Invalid Operation");
        }
        std::string pose_prefix = prefix;
        pose_prefix += "pose";
        if (!ApiDumpOutputXrStruct(gen_dispatch_table, &value->pose, pose_prefix, "XrPosef", false, contents)) {
            throw std::invalid_argument("Invalid Operation");
        }
        std::string size_prefix = prefix;
        size_prefix += "size";
        if (!ApiDumpOutputXrStruct(gen_dispatch_table, &value->size, size_prefix, "XrExtent2Df", false, contents)) {
            throw std::invalid_argument("Invalid Operation");
        }
        return true;
    } catch(...) {
    }
    return false;
}

bool ApiDumpOutputXrStruct(XrGeneratedDispatchTable* gen_dispatch_table, const XrEventDataBaseHeader* value,
                           std::string prefix, std::string type_string, bool is_pointer,
                           std::vector<std::tuple<std::string, std::string, std::string>> &contents) {
    (void)gen_dispatch_table;  // silence warning
    try {
        if (value->type == XR_TYPE_EVENT_DATA_EVENTS_LOST) {
            const XrEventDataEventsLost* new_value = reinterpret_cast<const XrEventDataEventsLost*>(value);
            return ApiDumpOutputXrStruct(gen_dispatch_table, new_value, prefix, type_string, is_pointer, contents);
        }
        if (value->type == XR_TYPE_EVENT_DATA_INSTANCE_LOSS_PENDING) {
            const XrEventDataInstanceLossPending* new_value = reinterpret_cast<const XrEventDataInstanceLossPending*>(value);
            return ApiDumpOutputXrStruct(gen_dispatch_table, new_value, prefix, type_string, is_pointer, contents);
        }
        if (value->type == XR_TYPE_EVENT_DATA_SESSION_STATE_CHANGED) {
            const XrEventDataSessionStateChanged* new_value = reinterpret_cast<const XrEventDataSessionStateChanged*>(value);
            return ApiDumpOutputXrStruct(gen_dispatch_table, new_value, prefix, type_string, is_pointer, contents);
        }
        if (value->type == XR_TYPE_EVENT_DATA_REFERENCE_SPACE_CHANGE_PENDING) {
            const XrEventDataReferenceSpaceChangePending* new_value = reinterpret_cast<const XrEventDataReferenceSpaceChangePending*>(value);
            return ApiDumpOutputXrStruct(gen_dispatch_table, new_value, prefix, type_string, is_pointer, contents);
        }
        if (value->type == XR_TYPE_EVENT_DATA_INTERACTION_PROFILE_CHANGED) {
            const XrEventDataInteractionProfileChanged* new_value = reinterpret_cast<const XrEventDataInteractionProfileChanged*>(value);
            return ApiDumpOutputXrStruct(gen_dispatch_table, new_value, prefix, type_string, is_pointer, contents);
        }
        if (value->type == XR_TYPE_EVENT_DATA_VISIBILITY_MASK_CHANGED_KHR) {
            const XrEventDataVisibilityMaskChangedKHR* new_value = reinterpret_cast<const XrEventDataVisibilityMaskChangedKHR*>(value);
            return ApiDumpOutputXrStruct(gen_dispatch_table, new_value, prefix, type_string, is_pointer, contents);
        }
        if (value->type == XR_TYPE_EVENT_DATA_PERF_SETTINGS_EXT) {
            const XrEventDataPerfSettingsEXT* new_value = reinterpret_cast<const XrEventDataPerfSettingsEXT*>(value);
            return ApiDumpOutputXrStruct(gen_dispatch_table, new_value, prefix, type_string, is_pointer, contents);
        }
        if (value->type == XR_TYPE_EVENT_DATA_MAIN_SESSION_VISIBILITY_CHANGED_EXTX) {
            const XrEventDataMainSessionVisibilityChangedEXTX* new_value = reinterpret_cast<const XrEventDataMainSessionVisibilityChangedEXTX*>(value);
            return ApiDumpOutputXrStruct(gen_dispatch_table, new_value, prefix, type_string, is_pointer, contents);
        }
        if (value->type == XR_TYPE_EVENT_DATA_DISPLAY_REFRESH_RATE_CHANGED_FB) {
            const XrEventDataDisplayRefreshRateChangedFB* new_value = reinterpret_cast<const XrEventDataDisplayRefreshRateChangedFB*>(value);
            return ApiDumpOutputXrStruct(gen_dispatch_table, new_value, prefix, type_string, is_pointer, contents);
        }
        // Fallback path - Just output generic information about the base struct
        contents.emplace_back(type_string, prefix, PointerToHexString(value));
        if (is_pointer) {
            prefix += "->";
        } else {
            prefix += ".";
        }
        std::string type_prefix = prefix;
        type_prefix += "type";
        if (nullptr != gen_dispatch_table) {
            char type_string[XR_MAX_STRUCTURE_NAME_SIZE];
            gen_dispatch_table->StructureTypeToString(FindInstanceFromDispatchTable(gen_dispatch_table),
                                                      value->type, type_string);
            contents.emplace_back("XrStructureType", type_prefix, type_string);
        } else {
                        contents.emplace_back("XrStructureType", type_prefix, std::to_string(value->type));
        }
        std::string next_prefix = prefix;
        next_prefix += "next";
        // Decode the next chain if it exists
        if (!ApiDumpDecodeNextChain(gen_dispatch_table, value->next, next_prefix, contents)) {
            throw std::invalid_argument("Invalid Operation");
        }
        return true;
    } catch(...) {
    }
    return false;
}

bool ApiDumpOutputXrStruct(XrGeneratedDispatchTable* gen_dispatch_table, const XrEventDataEventsLost* value,
                           std::string prefix, std::string type_string, bool is_pointer,
                           std::vector<std::tuple<std::string, std::string, std::string>> &contents) {
    (void)gen_dispatch_table;  // silence warning
    try {
        contents.emplace_back(type_string, prefix, PointerToHexString(value));
        if (is_pointer) {
            prefix += "->";
        } else {
            prefix += ".";
        }
        std::string type_prefix = prefix;
        type_prefix += "type";
        if (nullptr != gen_dispatch_table) {
            char type_string[XR_MAX_STRUCTURE_NAME_SIZE];
            gen_dispatch_table->StructureTypeToString(FindInstanceFromDispatchTable(gen_dispatch_table),
                                                      value->type, type_string);
            contents.emplace_back("XrStructureType", type_prefix, type_string);
        } else {
                        contents.emplace_back("XrStructureType", type_prefix, std::to_string(value->type));
        }
        std::string next_prefix = prefix;
        next_prefix += "next";
        // Decode the next chain if it exists
        if (!ApiDumpDecodeNextChain(gen_dispatch_table, value->next, next_prefix, contents)) {
            throw std::invalid_argument("Invalid Operation");
        }
        std::string losteventcount_prefix = prefix;
        losteventcount_prefix += "lostEventCount";
        std::ostringstream oss_lostEventCount;
        oss_lostEventCount << "0x" << std::hex << (value->lostEventCount);
        contents.emplace_back("uint32_t", losteventcount_prefix, oss_lostEventCount.str());
        return true;
    } catch(...) {
    }
    return false;
}

bool ApiDumpOutputXrStruct(XrGeneratedDispatchTable* gen_dispatch_table, const XrEventDataInstanceLossPending* value,
                           std::string prefix, std::string type_string, bool is_pointer,
                           std::vector<std::tuple<std::string, std::string, std::string>> &contents) {
    (void)gen_dispatch_table;  // silence warning
    try {
        contents.emplace_back(type_string, prefix, PointerToHexString(value));
        if (is_pointer) {
            prefix += "->";
        } else {
            prefix += ".";
        }
        std::string type_prefix = prefix;
        type_prefix += "type";
        if (nullptr != gen_dispatch_table) {
            char type_string[XR_MAX_STRUCTURE_NAME_SIZE];
            gen_dispatch_table->StructureTypeToString(FindInstanceFromDispatchTable(gen_dispatch_table),
                                                      value->type, type_string);
            contents.emplace_back("XrStructureType", type_prefix, type_string);
        } else {
                        contents.emplace_back("XrStructureType", type_prefix, std::to_string(value->type));
        }
        std::string next_prefix = prefix;
        next_prefix += "next";
        // Decode the next chain if it exists
        if (!ApiDumpDecodeNextChain(gen_dispatch_table, value->next, next_prefix, contents)) {
            throw std::invalid_argument("Invalid Operation");
        }
        std::string losstime_prefix = prefix;
        losstime_prefix += "lossTime";
        contents.emplace_back("XrTime", losstime_prefix, std::to_string(value->lossTime));
        return true;
    } catch(...) {
    }
    return false;
}

bool ApiDumpOutputXrStruct(XrGeneratedDispatchTable* gen_dispatch_table, const XrEventDataSessionStateChanged* value,
                           std::string prefix, std::string type_string, bool is_pointer,
                           std::vector<std::tuple<std::string, std::string, std::string>> &contents) {
    (void)gen_dispatch_table;  // silence warning
    try {
        contents.emplace_back(type_string, prefix, PointerToHexString(value));
        if (is_pointer) {
            prefix += "->";
        } else {
            prefix += ".";
        }
        std::string type_prefix = prefix;
        type_prefix += "type";
        if (nullptr != gen_dispatch_table) {
            char type_string[XR_MAX_STRUCTURE_NAME_SIZE];
            gen_dispatch_table->StructureTypeToString(FindInstanceFromDispatchTable(gen_dispatch_table),
                                                      value->type, type_string);
            contents.emplace_back("XrStructureType", type_prefix, type_string);
        } else {
                        contents.emplace_back("XrStructureType", type_prefix, std::to_string(value->type));
        }
        std::string next_prefix = prefix;
        next_prefix += "next";
        // Decode the next chain if it exists
        if (!ApiDumpDecodeNextChain(gen_dispatch_table, value->next, next_prefix, contents)) {
            throw std::invalid_argument("Invalid Operation");
        }
        std::string session_prefix = prefix;
        session_prefix += "session";
        std::ostringstream oss_session;
        oss_session << std::hex << reinterpret_cast<const void*>(value->session);
        contents.emplace_back("XrSession", session_prefix, oss_session.str());
        std::string state_prefix = prefix;
        state_prefix += "state";
        contents.emplace_back("XrSessionState", state_prefix, std::to_string(value->state));
        std::string time_prefix = prefix;
        time_prefix += "time";
        contents.emplace_back("XrTime", time_prefix, std::to_string(value->time));
        return true;
    } catch(...) {
    }
    return false;
}

bool ApiDumpOutputXrStruct(XrGeneratedDispatchTable* gen_dispatch_table, const XrEventDataReferenceSpaceChangePending* value,
                           std::string prefix, std::string type_string, bool is_pointer,
                           std::vector<std::tuple<std::string, std::string, std::string>> &contents) {
    (void)gen_dispatch_table;  // silence warning
    try {
        contents.emplace_back(type_string, prefix, PointerToHexString(value));
        if (is_pointer) {
            prefix += "->";
        } else {
            prefix += ".";
        }
        std::string type_prefix = prefix;
        type_prefix += "type";
        if (nullptr != gen_dispatch_table) {
            char type_string[XR_MAX_STRUCTURE_NAME_SIZE];
            gen_dispatch_table->StructureTypeToString(FindInstanceFromDispatchTable(gen_dispatch_table),
                                                      value->type, type_string);
            contents.emplace_back("XrStructureType", type_prefix, type_string);
        } else {
                        contents.emplace_back("XrStructureType", type_prefix, std::to_string(value->type));
        }
        std::string next_prefix = prefix;
        next_prefix += "next";
        // Decode the next chain if it exists
        if (!ApiDumpDecodeNextChain(gen_dispatch_table, value->next, next_prefix, contents)) {
            throw std::invalid_argument("Invalid Operation");
        }
        std::string session_prefix = prefix;
        session_prefix += "session";
        std::ostringstream oss_session;
        oss_session << std::hex << reinterpret_cast<const void*>(value->session);
        contents.emplace_back("XrSession", session_prefix, oss_session.str());
        std::string referencespacetype_prefix = prefix;
        referencespacetype_prefix += "referenceSpaceType";
        contents.emplace_back("XrReferenceSpaceType", referencespacetype_prefix, std::to_string(value->referenceSpaceType));
        std::string changetime_prefix = prefix;
        changetime_prefix += "changeTime";
        contents.emplace_back("XrTime", changetime_prefix, std::to_string(value->changeTime));
        std::string posevalid_prefix = prefix;
        posevalid_prefix += "poseValid";
        std::ostringstream oss_poseValid;
        oss_poseValid << "0x" << std::hex << (value->poseValid);
        contents.emplace_back("XrBool32", posevalid_prefix, oss_poseValid.str());
        std::string poseinpreviousspace_prefix = prefix;
        poseinpreviousspace_prefix += "poseInPreviousSpace";
        if (!ApiDumpOutputXrStruct(gen_dispatch_table, &value->poseInPreviousSpace, poseinpreviousspace_prefix, "XrPosef", false, contents)) {
            throw std::invalid_argument("Invalid Operation");
        }
        return true;
    } catch(...) {
    }
    return false;
}

bool ApiDumpOutputXrStruct(XrGeneratedDispatchTable* gen_dispatch_table, const XrEventDataInteractionProfileChanged* value,
                           std::string prefix, std::string type_string, bool is_pointer,
                           std::vector<std::tuple<std::string, std::string, std::string>> &contents) {
    (void)gen_dispatch_table;  // silence warning
    try {
        contents.emplace_back(type_string, prefix, PointerToHexString(value));
        if (is_pointer) {
            prefix += "->";
        } else {
            prefix += ".";
        }
        std::string type_prefix = prefix;
        type_prefix += "type";
        if (nullptr != gen_dispatch_table) {
            char type_string[XR_MAX_STRUCTURE_NAME_SIZE];
            gen_dispatch_table->StructureTypeToString(FindInstanceFromDispatchTable(gen_dispatch_table),
                                                      value->type, type_string);
            contents.emplace_back("XrStructureType", type_prefix, type_string);
        } else {
                        contents.emplace_back("XrStructureType", type_prefix, std::to_string(value->type));
        }
        std::string next_prefix = prefix;
        next_prefix += "next";
        // Decode the next chain if it exists
        if (!ApiDumpDecodeNextChain(gen_dispatch_table, value->next, next_prefix, contents)) {
            throw std::invalid_argument("Invalid Operation");
        }
        std::string session_prefix = prefix;
        session_prefix += "session";
        std::ostringstream oss_session;
        oss_session << std::hex << reinterpret_cast<const void*>(value->session);
        contents.emplace_back("XrSession", session_prefix, oss_session.str());
        return true;
    } catch(...) {
    }
    return false;
}

bool ApiDumpOutputXrStruct(XrGeneratedDispatchTable* gen_dispatch_table, const XrHapticVibration* value,
                           std::string prefix, std::string type_string, bool is_pointer,
                           std::vector<std::tuple<std::string, std::string, std::string>> &contents) {
    (void)gen_dispatch_table;  // silence warning
    try {
        contents.emplace_back(type_string, prefix, PointerToHexString(value));
        if (is_pointer) {
            prefix += "->";
        } else {
            prefix += ".";
        }
        std::string type_prefix = prefix;
        type_prefix += "type";
        if (nullptr != gen_dispatch_table) {
            char type_string[XR_MAX_STRUCTURE_NAME_SIZE];
            gen_dispatch_table->StructureTypeToString(FindInstanceFromDispatchTable(gen_dispatch_table),
                                                      value->type, type_string);
            contents.emplace_back("XrStructureType", type_prefix, type_string);
        } else {
                        contents.emplace_back("XrStructureType", type_prefix, std::to_string(value->type));
        }
        std::string next_prefix = prefix;
        next_prefix += "next";
        // Decode the next chain if it exists
        if (!ApiDumpDecodeNextChain(gen_dispatch_table, value->next, next_prefix, contents)) {
            throw std::invalid_argument("Invalid Operation");
        }
        std::string duration_prefix = prefix;
        duration_prefix += "duration";
        contents.emplace_back("XrDuration", duration_prefix, std::to_string(value->duration));
        std::string frequency_prefix = prefix;
        frequency_prefix += "frequency";
        std::ostringstream oss_frequency;
        oss_frequency << std::setprecision(32) << (value->frequency);
        contents.emplace_back("float", frequency_prefix, oss_frequency.str());
        std::string amplitude_prefix = prefix;
        amplitude_prefix += "amplitude";
        std::ostringstream oss_amplitude;
        oss_amplitude << std::setprecision(32) << (value->amplitude);
        contents.emplace_back("float", amplitude_prefix, oss_amplitude.str());
        return true;
    } catch(...) {
    }
    return false;
}

bool ApiDumpOutputXrStruct(XrGeneratedDispatchTable* gen_dispatch_table, const XrOffset2Df* value,
                           std::string prefix, std::string type_string, bool is_pointer,
                           std::vector<std::tuple<std::string, std::string, std::string>> &contents) {
    (void)gen_dispatch_table;  // silence warning
    try {
        contents.emplace_back(type_string, prefix, PointerToHexString(value));
        if (is_pointer) {
            prefix += "->";
        } else {
            prefix += ".";
        }
        std::string x_prefix = prefix;
        x_prefix += "x";
        std::ostringstream oss_x;
        oss_x << std::setprecision(32) << (value->x);
        contents.emplace_back("float", x_prefix, oss_x.str());
        std::string y_prefix = prefix;
        y_prefix += "y";
        std::ostringstream oss_y;
        oss_y << std::setprecision(32) << (value->y);
        contents.emplace_back("float", y_prefix, oss_y.str());
        return true;
    } catch(...) {
    }
    return false;
}

bool ApiDumpOutputXrStruct(XrGeneratedDispatchTable* gen_dispatch_table, const XrRect2Df* value,
                           std::string prefix, std::string type_string, bool is_pointer,
                           std::vector<std::tuple<std::string, std::string, std::string>> &contents) {
    (void)gen_dispatch_table;  // silence warning
    try {
        contents.emplace_back(type_string, prefix, PointerToHexString(value));
        if (is_pointer) {
            prefix += "->";
        } else {
            prefix += ".";
        }
        std::string offset_prefix = prefix;
        offset_prefix += "offset";
        if (!ApiDumpOutputXrStruct(gen_dispatch_table, &value->offset, offset_prefix, "XrOffset2Df", false, contents)) {
            throw std::invalid_argument("Invalid Operation");
        }
        std::string extent_prefix = prefix;
        extent_prefix += "extent";
        if (!ApiDumpOutputXrStruct(gen_dispatch_table, &value->extent, extent_prefix, "XrExtent2Df", false, contents)) {
            throw std::invalid_argument("Invalid Operation");
        }
        return true;
    } catch(...) {
    }
    return false;
}

bool ApiDumpOutputXrStruct(XrGeneratedDispatchTable* gen_dispatch_table, const XrVector4f* value,
                           std::string prefix, std::string type_string, bool is_pointer,
                           std::vector<std::tuple<std::string, std::string, std::string>> &contents) {
    (void)gen_dispatch_table;  // silence warning
    try {
        contents.emplace_back(type_string, prefix, PointerToHexString(value));
        if (is_pointer) {
            prefix += "->";
        } else {
            prefix += ".";
        }
        std::string x_prefix = prefix;
        x_prefix += "x";
        std::ostringstream oss_x;
        oss_x << std::setprecision(32) << (value->x);
        contents.emplace_back("float", x_prefix, oss_x.str());
        std::string y_prefix = prefix;
        y_prefix += "y";
        std::ostringstream oss_y;
        oss_y << std::setprecision(32) << (value->y);
        contents.emplace_back("float", y_prefix, oss_y.str());
        std::string z_prefix = prefix;
        z_prefix += "z";
        std::ostringstream oss_z;
        oss_z << std::setprecision(32) << (value->z);
        contents.emplace_back("float", z_prefix, oss_z.str());
        std::string w_prefix = prefix;
        w_prefix += "w";
        std::ostringstream oss_w;
        oss_w << std::setprecision(32) << (value->w);
        contents.emplace_back("float", w_prefix, oss_w.str());
        return true;
    } catch(...) {
    }
    return false;
}

bool ApiDumpOutputXrStruct(XrGeneratedDispatchTable* gen_dispatch_table, const XrColor4f* value,
                           std::string prefix, std::string type_string, bool is_pointer,
                           std::vector<std::tuple<std::string, std::string, std::string>> &contents) {
    (void)gen_dispatch_table;  // silence warning
    try {
        contents.emplace_back(type_string, prefix, PointerToHexString(value));
        if (is_pointer) {
            prefix += "->";
        } else {
            prefix += ".";
        }
        std::string r_prefix = prefix;
        r_prefix += "r";
        std::ostringstream oss_r;
        oss_r << std::setprecision(32) << (value->r);
        contents.emplace_back("float", r_prefix, oss_r.str());
        std::string g_prefix = prefix;
        g_prefix += "g";
        std::ostringstream oss_g;
        oss_g << std::setprecision(32) << (value->g);
        contents.emplace_back("float", g_prefix, oss_g.str());
        std::string b_prefix = prefix;
        b_prefix += "b";
        std::ostringstream oss_b;
        oss_b << std::setprecision(32) << (value->b);
        contents.emplace_back("float", b_prefix, oss_b.str());
        std::string a_prefix = prefix;
        a_prefix += "a";
        std::ostringstream oss_a;
        oss_a << std::setprecision(32) << (value->a);
        contents.emplace_back("float", a_prefix, oss_a.str());
        return true;
    } catch(...) {
    }
    return false;
}

bool ApiDumpOutputXrStruct(XrGeneratedDispatchTable* gen_dispatch_table, const XrCompositionLayerCubeKHR* value,
                           std::string prefix, std::string type_string, bool is_pointer,
                           std::vector<std::tuple<std::string, std::string, std::string>> &contents) {
    (void)gen_dispatch_table;  // silence warning
    try {
        contents.emplace_back(type_string, prefix, PointerToHexString(value));
        if (is_pointer) {
            prefix += "->";
        } else {
            prefix += ".";
        }
        std::string type_prefix = prefix;
        type_prefix += "type";
        if (nullptr != gen_dispatch_table) {
            char type_string[XR_MAX_STRUCTURE_NAME_SIZE];
            gen_dispatch_table->StructureTypeToString(FindInstanceFromDispatchTable(gen_dispatch_table),
                                                      value->type, type_string);
            contents.emplace_back("XrStructureType", type_prefix, type_string);
        } else {
                        contents.emplace_back("XrStructureType", type_prefix, std::to_string(value->type));
        }
        std::string next_prefix = prefix;
        next_prefix += "next";
        // Decode the next chain if it exists
        if (!ApiDumpDecodeNextChain(gen_dispatch_table, value->next, next_prefix, contents)) {
            throw std::invalid_argument("Invalid Operation");
        }
        std::string layerflags_prefix = prefix;
        layerflags_prefix += "layerFlags";
        contents.emplace_back("XrCompositionLayerFlags", layerflags_prefix, std::to_string(value->layerFlags));
        std::string space_prefix = prefix;
        space_prefix += "space";
        std::ostringstream oss_space;
        oss_space << std::hex << reinterpret_cast<const void*>(value->space);
        contents.emplace_back("XrSpace", space_prefix, oss_space.str());
        std::string eyevisibility_prefix = prefix;
        eyevisibility_prefix += "eyeVisibility";
        contents.emplace_back("XrEyeVisibility", eyevisibility_prefix, std::to_string(value->eyeVisibility));
        std::string swapchain_prefix = prefix;
        swapchain_prefix += "swapchain";
        std::ostringstream oss_swapchain;
        oss_swapchain << std::hex << reinterpret_cast<const void*>(value->swapchain);
        contents.emplace_back("XrSwapchain", swapchain_prefix, oss_swapchain.str());
        std::string imagearrayindex_prefix = prefix;
        imagearrayindex_prefix += "imageArrayIndex";
        std::ostringstream oss_imageArrayIndex;
        oss_imageArrayIndex << "0x" << std::hex << (value->imageArrayIndex);
        contents.emplace_back("uint32_t", imagearrayindex_prefix, oss_imageArrayIndex.str());
        std::string orientation_prefix = prefix;
        orientation_prefix += "orientation";
        if (!ApiDumpOutputXrStruct(gen_dispatch_table, &value->orientation, orientation_prefix, "XrQuaternionf", false, contents)) {
            throw std::invalid_argument("Invalid Operation");
        }
        return true;
    } catch(...) {
    }
    return false;
}

#if defined(XR_USE_PLATFORM_ANDROID)
bool ApiDumpOutputXrStruct(XrGeneratedDispatchTable* gen_dispatch_table, const XrInstanceCreateInfoAndroidKHR* value,
                           std::string prefix, std::string type_string, bool is_pointer,
                           std::vector<std::tuple<std::string, std::string, std::string>> &contents) {
    (void)gen_dispatch_table;  // silence warning
    try {
        contents.emplace_back(type_string, prefix, PointerToHexString(value));
        if (is_pointer) {
            prefix += "->";
        } else {
            prefix += ".";
        }
        std::string type_prefix = prefix;
        type_prefix += "type";
        if (nullptr != gen_dispatch_table) {
            char type_string[XR_MAX_STRUCTURE_NAME_SIZE];
            gen_dispatch_table->StructureTypeToString(FindInstanceFromDispatchTable(gen_dispatch_table),
                                                      value->type, type_string);
            contents.emplace_back("XrStructureType", type_prefix, type_string);
        } else {
                        contents.emplace_back("XrStructureType", type_prefix, std::to_string(value->type));
        }
        std::string next_prefix = prefix;
        next_prefix += "next";
        // Decode the next chain if it exists
        if (!ApiDumpDecodeNextChain(gen_dispatch_table, value->next, next_prefix, contents)) {
            throw std::invalid_argument("Invalid Operation");
        }
        std::string applicationvm_prefix = prefix;
        applicationvm_prefix += "applicationVM";
        std::ostringstream oss_applicationVM;
        oss_applicationVM << std::hex << reinterpret_cast<const void*>(value->applicationVM);
        contents.emplace_back("void* XR_MAY_ALIAS", applicationvm_prefix, oss_applicationVM.str());
        std::string applicationactivity_prefix = prefix;
        applicationactivity_prefix += "applicationActivity";
        std::ostringstream oss_applicationActivity;
        oss_applicationActivity << std::hex << reinterpret_cast<const void*>(value->applicationActivity);
        contents.emplace_back("void* XR_MAY_ALIAS", applicationactivity_prefix, oss_applicationActivity.str());
        return true;
    } catch(...) {
    }
    return false;
}
#endif // defined(XR_USE_PLATFORM_ANDROID)

bool ApiDumpOutputXrStruct(XrGeneratedDispatchTable* gen_dispatch_table, const XrCompositionLayerDepthInfoKHR* value,
                           std::string prefix, std::string type_string, bool is_pointer,
                           std::vector<std::tuple<std::string, std::string, std::string>> &contents) {
    (void)gen_dispatch_table;  // silence warning
    try {
        contents.emplace_back(type_string, prefix, PointerToHexString(value));
        if (is_pointer) {
            prefix += "->";
        } else {
            prefix += ".";
        }
        std::string type_prefix = prefix;
        type_prefix += "type";
        if (nullptr != gen_dispatch_table) {
            char type_string[XR_MAX_STRUCTURE_NAME_SIZE];
            gen_dispatch_table->StructureTypeToString(FindInstanceFromDispatchTable(gen_dispatch_table),
                                                      value->type, type_string);
            contents.emplace_back("XrStructureType", type_prefix, type_string);
        } else {
                        contents.emplace_back("XrStructureType", type_prefix, std::to_string(value->type));
        }
        std::string next_prefix = prefix;
        next_prefix += "next";
        // Decode the next chain if it exists
        if (!ApiDumpDecodeNextChain(gen_dispatch_table, value->next, next_prefix, contents)) {
            throw std::invalid_argument("Invalid Operation");
        }
        std::string subimage_prefix = prefix;
        subimage_prefix += "subImage";
        if (!ApiDumpOutputXrStruct(gen_dispatch_table, &value->subImage, subimage_prefix, "XrSwapchainSubImage", false, contents)) {
            throw std::invalid_argument("Invalid Operation");
        }
        std::string mindepth_prefix = prefix;
        mindepth_prefix += "minDepth";
        std::ostringstream oss_minDepth;
        oss_minDepth << std::setprecision(32) << (value->minDepth);
        contents.emplace_back("float", mindepth_prefix, oss_minDepth.str());
        std::string maxdepth_prefix = prefix;
        maxdepth_prefix += "maxDepth";
        std::ostringstream oss_maxDepth;
        oss_maxDepth << std::setprecision(32) << (value->maxDepth);
        contents.emplace_back("float", maxdepth_prefix, oss_maxDepth.str());
        std::string nearz_prefix = prefix;
        nearz_prefix += "nearZ";
        std::ostringstream oss_nearZ;
        oss_nearZ << std::setprecision(32) << (value->nearZ);
        contents.emplace_back("float", nearz_prefix, oss_nearZ.str());
        std::string farz_prefix = prefix;
        farz_prefix += "farZ";
        std::ostringstream oss_farZ;
        oss_farZ << std::setprecision(32) << (value->farZ);
        contents.emplace_back("float", farz_prefix, oss_farZ.str());
        return true;
    } catch(...) {
    }
    return false;
}

#if defined(XR_USE_GRAPHICS_API_VULKAN)
bool ApiDumpOutputXrStruct(XrGeneratedDispatchTable* gen_dispatch_table, const XrVulkanSwapchainFormatListCreateInfoKHR* value,
                           std::string prefix, std::string type_string, bool is_pointer,
                           std::vector<std::tuple<std::string, std::string, std::string>> &contents) {
    (void)gen_dispatch_table;  // silence warning
    try {
        contents.emplace_back(type_string, prefix, PointerToHexString(value));
        if (is_pointer) {
            prefix += "->";
        } else {
            prefix += ".";
        }
        std::string type_prefix = prefix;
        type_prefix += "type";
        if (nullptr != gen_dispatch_table) {
            char type_string[XR_MAX_STRUCTURE_NAME_SIZE];
            gen_dispatch_table->StructureTypeToString(FindInstanceFromDispatchTable(gen_dispatch_table),
                                                      value->type, type_string);
            contents.emplace_back("XrStructureType", type_prefix, type_string);
        } else {
                        contents.emplace_back("XrStructureType", type_prefix, std::to_string(value->type));
        }
        std::string next_prefix = prefix;
        next_prefix += "next";
        // Decode the next chain if it exists
        if (!ApiDumpDecodeNextChain(gen_dispatch_table, value->next, next_prefix, contents)) {
            throw std::invalid_argument("Invalid Operation");
        }
        std::string viewformatcount_prefix = prefix;
        viewformatcount_prefix += "viewFormatCount";
        std::ostringstream oss_viewFormatCount;
        oss_viewFormatCount << "0x" << std::hex << (value->viewFormatCount);
        contents.emplace_back("uint32_t", viewformatcount_prefix, oss_viewFormatCount.str());
        std::string viewformats_prefix = prefix;
        viewformats_prefix += "viewFormats";
        std::ostringstream oss_viewFormats_array;
        oss_viewFormats_array << std::hex << reinterpret_cast<const void*>(value->viewFormats);
        contents.emplace_back("const VkFormat*", viewformats_prefix, oss_viewFormats_array.str());
        for (uint32_t value_viewformats_inc = 0; value_viewformats_inc < value->viewFormatCount; ++value_viewformats_inc) {
            std::string viewformats_array_prefix = viewformats_prefix;
            viewformats_array_prefix += "[";
            viewformats_array_prefix += std::to_string(value_viewformats_inc);
            viewformats_array_prefix += "]";
            std::ostringstream oss_viewFormats;
            oss_viewFormats << std::hex << reinterpret_cast<const void*>(value->viewFormats[value_viewformats_inc]);
            contents.emplace_back("const VkFormat*", viewformats_array_prefix, oss_viewFormats.str());
        }
        return true;
    } catch(...) {
    }
    return false;
}
#endif // defined(XR_USE_GRAPHICS_API_VULKAN)

bool ApiDumpOutputXrStruct(XrGeneratedDispatchTable* gen_dispatch_table, const XrCompositionLayerCylinderKHR* value,
                           std::string prefix, std::string type_string, bool is_pointer,
                           std::vector<std::tuple<std::string, std::string, std::string>> &contents) {
    (void)gen_dispatch_table;  // silence warning
    try {
        contents.emplace_back(type_string, prefix, PointerToHexString(value));
        if (is_pointer) {
            prefix += "->";
        } else {
            prefix += ".";
        }
        std::string type_prefix = prefix;
        type_prefix += "type";
        if (nullptr != gen_dispatch_table) {
            char type_string[XR_MAX_STRUCTURE_NAME_SIZE];
            gen_dispatch_table->StructureTypeToString(FindInstanceFromDispatchTable(gen_dispatch_table),
                                                      value->type, type_string);
            contents.emplace_back("XrStructureType", type_prefix, type_string);
        } else {
                        contents.emplace_back("XrStructureType", type_prefix, std::to_string(value->type));
        }
        std::string next_prefix = prefix;
        next_prefix += "next";
        // Decode the next chain if it exists
        if (!ApiDumpDecodeNextChain(gen_dispatch_table, value->next, next_prefix, contents)) {
            throw std::invalid_argument("Invalid Operation");
        }
        std::string layerflags_prefix = prefix;
        layerflags_prefix += "layerFlags";
        contents.emplace_back("XrCompositionLayerFlags", layerflags_prefix, std::to_string(value->layerFlags));
        std::string space_prefix = prefix;
        space_prefix += "space";
        std::ostringstream oss_space;
        oss_space << std::hex << reinterpret_cast<const void*>(value->space);
        contents.emplace_back("XrSpace", space_prefix, oss_space.str());
        std::string eyevisibility_prefix = prefix;
        eyevisibility_prefix += "eyeVisibility";
        contents.emplace_back("XrEyeVisibility", eyevisibility_prefix, std::to_string(value->eyeVisibility));
        std::string subimage_prefix = prefix;
        subimage_prefix += "subImage";
        if (!ApiDumpOutputXrStruct(gen_dispatch_table, &value->subImage, subimage_prefix, "XrSwapchainSubImage", false, contents)) {
            throw std::invalid_argument("Invalid Operation");
        }
        std::string pose_prefix = prefix;
        pose_prefix += "pose";
        if (!ApiDumpOutputXrStruct(gen_dispatch_table, &value->pose, pose_prefix, "XrPosef", false, contents)) {
            throw std::invalid_argument("Invalid Operation");
        }
        std::string radius_prefix = prefix;
        radius_prefix += "radius";
        std::ostringstream oss_radius;
        oss_radius << std::setprecision(32) << (value->radius);
        contents.emplace_back("float", radius_prefix, oss_radius.str());
        std::string centralangle_prefix = prefix;
        centralangle_prefix += "centralAngle";
        std::ostringstream oss_centralAngle;
        oss_centralAngle << std::setprecision(32) << (value->centralAngle);
        contents.emplace_back("float", centralangle_prefix, oss_centralAngle.str());
        std::string aspectratio_prefix = prefix;
        aspectratio_prefix += "aspectRatio";
        std::ostringstream oss_aspectRatio;
        oss_aspectRatio << std::setprecision(32) << (value->aspectRatio);
        contents.emplace_back("float", aspectratio_prefix, oss_aspectRatio.str());
        return true;
    } catch(...) {
    }
    return false;
}

bool ApiDumpOutputXrStruct(XrGeneratedDispatchTable* gen_dispatch_table, const XrCompositionLayerEquirectKHR* value,
                           std::string prefix, std::string type_string, bool is_pointer,
                           std::vector<std::tuple<std::string, std::string, std::string>> &contents) {
    (void)gen_dispatch_table;  // silence warning
    try {
        contents.emplace_back(type_string, prefix, PointerToHexString(value));
        if (is_pointer) {
            prefix += "->";
        } else {
            prefix += ".";
        }
        std::string type_prefix = prefix;
        type_prefix += "type";
        if (nullptr != gen_dispatch_table) {
            char type_string[XR_MAX_STRUCTURE_NAME_SIZE];
            gen_dispatch_table->StructureTypeToString(FindInstanceFromDispatchTable(gen_dispatch_table),
                                                      value->type, type_string);
            contents.emplace_back("XrStructureType", type_prefix, type_string);
        } else {
                        contents.emplace_back("XrStructureType", type_prefix, std::to_string(value->type));
        }
        std::string next_prefix = prefix;
        next_prefix += "next";
        // Decode the next chain if it exists
        if (!ApiDumpDecodeNextChain(gen_dispatch_table, value->next, next_prefix, contents)) {
            throw std::invalid_argument("Invalid Operation");
        }
        std::string layerflags_prefix = prefix;
        layerflags_prefix += "layerFlags";
        contents.emplace_back("XrCompositionLayerFlags", layerflags_prefix, std::to_string(value->layerFlags));
        std::string space_prefix = prefix;
        space_prefix += "space";
        std::ostringstream oss_space;
        oss_space << std::hex << reinterpret_cast<const void*>(value->space);
        contents.emplace_back("XrSpace", space_prefix, oss_space.str());
        std::string eyevisibility_prefix = prefix;
        eyevisibility_prefix += "eyeVisibility";
        contents.emplace_back("XrEyeVisibility", eyevisibility_prefix, std::to_string(value->eyeVisibility));
        std::string subimage_prefix = prefix;
        subimage_prefix += "subImage";
        if (!ApiDumpOutputXrStruct(gen_dispatch_table, &value->subImage, subimage_prefix, "XrSwapchainSubImage", false, contents)) {
            throw std::invalid_argument("Invalid Operation");
        }
        std::string pose_prefix = prefix;
        pose_prefix += "pose";
        if (!ApiDumpOutputXrStruct(gen_dispatch_table, &value->pose, pose_prefix, "XrPosef", false, contents)) {
            throw std::invalid_argument("Invalid Operation");
        }
        std::string radius_prefix = prefix;
        radius_prefix += "radius";
        std::ostringstream oss_radius;
        oss_radius << std::setprecision(32) << (value->radius);
        contents.emplace_back("float", radius_prefix, oss_radius.str());
        std::string scale_prefix = prefix;
        scale_prefix += "scale";
        if (!ApiDumpOutputXrStruct(gen_dispatch_table, &value->scale, scale_prefix, "XrVector2f", false, contents)) {
            throw std::invalid_argument("Invalid Operation");
        }
        std::string bias_prefix = prefix;
        bias_prefix += "bias";
        if (!ApiDumpOutputXrStruct(gen_dispatch_table, &value->bias, bias_prefix, "XrVector2f", false, contents)) {
            throw std::invalid_argument("Invalid Operation");
        }
        return true;
    } catch(...) {
    }
    return false;
}

#if defined(XR_USE_GRAPHICS_API_OPENGL) && defined(XR_USE_PLATFORM_WIN32)
bool ApiDumpOutputXrStruct(XrGeneratedDispatchTable* gen_dispatch_table, const XrGraphicsBindingOpenGLWin32KHR* value,
                           std::string prefix, std::string type_string, bool is_pointer,
                           std::vector<std::tuple<std::string, std::string, std::string>> &contents) {
    (void)gen_dispatch_table;  // silence warning
    try {
        contents.emplace_back(type_string, prefix, PointerToHexString(value));
        if (is_pointer) {
            prefix += "->";
        } else {
            prefix += ".";
        }
        std::string type_prefix = prefix;
        type_prefix += "type";
        if (nullptr != gen_dispatch_table) {
            char type_string[XR_MAX_STRUCTURE_NAME_SIZE];
            gen_dispatch_table->StructureTypeToString(FindInstanceFromDispatchTable(gen_dispatch_table),
                                                      value->type, type_string);
            contents.emplace_back("XrStructureType", type_prefix, type_string);
        } else {
                        contents.emplace_back("XrStructureType", type_prefix, std::to_string(value->type));
        }
        std::string next_prefix = prefix;
        next_prefix += "next";
        // Decode the next chain if it exists
        if (!ApiDumpDecodeNextChain(gen_dispatch_table, value->next, next_prefix, contents)) {
            throw std::invalid_argument("Invalid Operation");
        }
        std::string hdc_prefix = prefix;
        hdc_prefix += "hDC";
        std::ostringstream oss_hDC;
        oss_hDC << std::hex << reinterpret_cast<const void*>(value->hDC);
        contents.emplace_back("HDC", hdc_prefix, oss_hDC.str());
        std::string hglrc_prefix = prefix;
        hglrc_prefix += "hGLRC";
        std::ostringstream oss_hGLRC;
        oss_hGLRC << std::hex << reinterpret_cast<const void*>(value->hGLRC);
        contents.emplace_back("HGLRC", hglrc_prefix, oss_hGLRC.str());
        return true;
    } catch(...) {
    }
    return false;
}
#endif // defined(XR_USE_GRAPHICS_API_OPENGL) && defined(XR_USE_PLATFORM_WIN32)

#if defined(XR_USE_GRAPHICS_API_OPENGL) && defined(XR_USE_PLATFORM_XLIB)
bool ApiDumpOutputXrStruct(XrGeneratedDispatchTable* gen_dispatch_table, const XrGraphicsBindingOpenGLXlibKHR* value,
                           std::string prefix, std::string type_string, bool is_pointer,
                           std::vector<std::tuple<std::string, std::string, std::string>> &contents) {
    (void)gen_dispatch_table;  // silence warning
    try {
        contents.emplace_back(type_string, prefix, PointerToHexString(value));
        if (is_pointer) {
            prefix += "->";
        } else {
            prefix += ".";
        }
        std::string type_prefix = prefix;
        type_prefix += "type";
        if (nullptr != gen_dispatch_table) {
            char type_string[XR_MAX_STRUCTURE_NAME_SIZE];
            gen_dispatch_table->StructureTypeToString(FindInstanceFromDispatchTable(gen_dispatch_table),
                                                      value->type, type_string);
            contents.emplace_back("XrStructureType", type_prefix, type_string);
        } else {
                        contents.emplace_back("XrStructureType", type_prefix, std::to_string(value->type));
        }
        std::string next_prefix = prefix;
        next_prefix += "next";
        // Decode the next chain if it exists
        if (!ApiDumpDecodeNextChain(gen_dispatch_table, value->next, next_prefix, contents)) {
            throw std::invalid_argument("Invalid Operation");
        }
        std::string xdisplay_prefix = prefix;
        xdisplay_prefix += "xDisplay";
        std::ostringstream oss_xDisplay;
        oss_xDisplay << std::hex << reinterpret_cast<const void*>(value->xDisplay);
        contents.emplace_back("Display*", xdisplay_prefix, oss_xDisplay.str());
        std::string visualid_prefix = prefix;
        visualid_prefix += "visualid";
        std::ostringstream oss_visualid;
        oss_visualid << "0x" << std::hex << (value->visualid);
        contents.emplace_back("uint32_t", visualid_prefix, oss_visualid.str());
        std::string glxfbconfig_prefix = prefix;
        glxfbconfig_prefix += "glxFBConfig";
        std::ostringstream oss_glxFBConfig;
        oss_glxFBConfig << std::hex << reinterpret_cast<const void*>(value->glxFBConfig);
        contents.emplace_back("GLXFBConfig", glxfbconfig_prefix, oss_glxFBConfig.str());
        std::string glxdrawable_prefix = prefix;
        glxdrawable_prefix += "glxDrawable";
        std::ostringstream oss_glxDrawable;
        oss_glxDrawable << std::hex << reinterpret_cast<const void*>(value->glxDrawable);
        contents.emplace_back("GLXDrawable", glxdrawable_prefix, oss_glxDrawable.str());
        std::string glxcontext_prefix = prefix;
        glxcontext_prefix += "glxContext";
        std::ostringstream oss_glxContext;
        oss_glxContext << std::hex << reinterpret_cast<const void*>(value->glxContext);
        contents.emplace_back("GLXContext", glxcontext_prefix, oss_glxContext.str());
        return true;
    } catch(...) {
    }
    return false;
}
#endif // defined(XR_USE_GRAPHICS_API_OPENGL) && defined(XR_USE_PLATFORM_XLIB)

#if defined(XR_USE_GRAPHICS_API_OPENGL) && defined(XR_USE_PLATFORM_XCB)
bool ApiDumpOutputXrStruct(XrGeneratedDispatchTable* gen_dispatch_table, const XrGraphicsBindingOpenGLXcbKHR* value,
                           std::string prefix, std::string type_string, bool is_pointer,
                           std::vector<std::tuple<std::string, std::string, std::string>> &contents) {
    (void)gen_dispatch_table;  // silence warning
    try {
        contents.emplace_back(type_string, prefix, PointerToHexString(value));
        if (is_pointer) {
            prefix += "->";
        } else {
            prefix += ".";
        }
        std::string type_prefix = prefix;
        type_prefix += "type";
        if (nullptr != gen_dispatch_table) {
            char type_string[XR_MAX_STRUCTURE_NAME_SIZE];
            gen_dispatch_table->StructureTypeToString(FindInstanceFromDispatchTable(gen_dispatch_table),
                                                      value->type, type_string);
            contents.emplace_back("XrStructureType", type_prefix, type_string);
        } else {
                        contents.emplace_back("XrStructureType", type_prefix, std::to_string(value->type));
        }
        std::string next_prefix = prefix;
        next_prefix += "next";
        // Decode the next chain if it exists
        if (!ApiDumpDecodeNextChain(gen_dispatch_table, value->next, next_prefix, contents)) {
            throw std::invalid_argument("Invalid Operation");
        }
        std::string connection_prefix = prefix;
        connection_prefix += "connection";
        std::ostringstream oss_connection;
        oss_connection << std::hex << reinterpret_cast<const void*>(value->connection);
        contents.emplace_back("xcb_connection_t*", connection_prefix, oss_connection.str());
        std::string screennumber_prefix = prefix;
        screennumber_prefix += "screenNumber";
        std::ostringstream oss_screenNumber;
        oss_screenNumber << "0x" << std::hex << (value->screenNumber);
        contents.emplace_back("uint32_t", screennumber_prefix, oss_screenNumber.str());
        std::string fbconfigid_prefix = prefix;
        fbconfigid_prefix += "fbconfigid";
        std::ostringstream oss_fbconfigid;
        oss_fbconfigid << std::hex << reinterpret_cast<const void*>(value->fbconfigid);
        contents.emplace_back("xcb_glx_fbconfig_t", fbconfigid_prefix, oss_fbconfigid.str());
        std::string visualid_prefix = prefix;
        visualid_prefix += "visualid";
        std::ostringstream oss_visualid;
        oss_visualid << std::hex << reinterpret_cast<const void*>(value->visualid);
        contents.emplace_back("xcb_visualid_t", visualid_prefix, oss_visualid.str());
        std::string glxdrawable_prefix = prefix;
        glxdrawable_prefix += "glxDrawable";
        std::ostringstream oss_glxDrawable;
        oss_glxDrawable << std::hex << reinterpret_cast<const void*>(value->glxDrawable);
        contents.emplace_back("xcb_glx_drawable_t", glxdrawable_prefix, oss_glxDrawable.str());
        std::string glxcontext_prefix = prefix;
        glxcontext_prefix += "glxContext";
        std::ostringstream oss_glxContext;
        oss_glxContext << std::hex << reinterpret_cast<const void*>(value->glxContext);
        contents.emplace_back("xcb_glx_context_t", glxcontext_prefix, oss_glxContext.str());
        return true;
    } catch(...) {
    }
    return false;
}
#endif // defined(XR_USE_GRAPHICS_API_OPENGL) && defined(XR_USE_PLATFORM_XCB)

#if defined(XR_USE_GRAPHICS_API_OPENGL) && defined(XR_USE_PLATFORM_WAYLAND)
bool ApiDumpOutputXrStruct(XrGeneratedDispatchTable* gen_dispatch_table, const XrGraphicsBindingOpenGLWaylandKHR* value,
                           std::string prefix, std::string type_string, bool is_pointer,
                           std::vector<std::tuple<std::string, std::string, std::string>> &contents) {
    (void)gen_dispatch_table;  // silence warning
    try {
        contents.emplace_back(type_string, prefix, PointerToHexString(value));
        if (is_pointer) {
            prefix += "->";
        } else {
            prefix += ".";
        }
        std::string type_prefix = prefix;
        type_prefix += "type";
        if (nullptr != gen_dispatch_table) {
            char type_string[XR_MAX_STRUCTURE_NAME_SIZE];
            gen_dispatch_table->StructureTypeToString(FindInstanceFromDispatchTable(gen_dispatch_table),
                                                      value->type, type_string);
            contents.emplace_back("XrStructureType", type_prefix, type_string);
        } else {
                        contents.emplace_back("XrStructureType", type_prefix, std::to_string(value->type));
        }
        std::string next_prefix = prefix;
        next_prefix += "next";
        // Decode the next chain if it exists
        if (!ApiDumpDecodeNextChain(gen_dispatch_table, value->next, next_prefix, contents)) {
            throw std::invalid_argument("Invalid Operation");
        }
        std::string display_prefix = prefix;
        display_prefix += "display";
        std::ostringstream oss_display;
        oss_display << std::hex << reinterpret_cast<const void*>(value->display);
        contents.emplace_back("struct wl_display*", display_prefix, oss_display.str());
        return true;
    } catch(...) {
    }
    return false;
}
#endif // defined(XR_USE_GRAPHICS_API_OPENGL) && defined(XR_USE_PLATFORM_WAYLAND)

#if defined(XR_USE_GRAPHICS_API_OPENGL)
bool ApiDumpOutputXrStruct(XrGeneratedDispatchTable* gen_dispatch_table, const XrSwapchainImageOpenGLKHR* value,
                           std::string prefix, std::string type_string, bool is_pointer,
                           std::vector<std::tuple<std::string, std::string, std::string>> &contents) {
    (void)gen_dispatch_table;  // silence warning
    try {
        contents.emplace_back(type_string, prefix, PointerToHexString(value));
        if (is_pointer) {
            prefix += "->";
        } else {
            prefix += ".";
        }
        std::string type_prefix = prefix;
        type_prefix += "type";
        if (nullptr != gen_dispatch_table) {
            char type_string[XR_MAX_STRUCTURE_NAME_SIZE];
            gen_dispatch_table->StructureTypeToString(FindInstanceFromDispatchTable(gen_dispatch_table),
                                                      value->type, type_string);
            contents.emplace_back("XrStructureType", type_prefix, type_string);
        } else {
                        contents.emplace_back("XrStructureType", type_prefix, std::to_string(value->type));
        }
        std::string next_prefix = prefix;
        next_prefix += "next";
        // Decode the next chain if it exists
        if (!ApiDumpDecodeNextChain(gen_dispatch_table, value->next, next_prefix, contents)) {
            throw std::invalid_argument("Invalid Operation");
        }
        std::string image_prefix = prefix;
        image_prefix += "image";
        std::ostringstream oss_image;
        oss_image << "0x" << std::hex << (value->image);
        contents.emplace_back("uint32_t", image_prefix, oss_image.str());
        return true;
    } catch(...) {
    }
    return false;
}
#endif // defined(XR_USE_GRAPHICS_API_OPENGL)

#if defined(XR_USE_GRAPHICS_API_OPENGL)
bool ApiDumpOutputXrStruct(XrGeneratedDispatchTable* gen_dispatch_table, const XrGraphicsRequirementsOpenGLKHR* value,
                           std::string prefix, std::string type_string, bool is_pointer,
                           std::vector<std::tuple<std::string, std::string, std::string>> &contents) {
    (void)gen_dispatch_table;  // silence warning
    try {
        contents.emplace_back(type_string, prefix, PointerToHexString(value));
        if (is_pointer) {
            prefix += "->";
        } else {
            prefix += ".";
        }
        std::string type_prefix = prefix;
        type_prefix += "type";
        if (nullptr != gen_dispatch_table) {
            char type_string[XR_MAX_STRUCTURE_NAME_SIZE];
            gen_dispatch_table->StructureTypeToString(FindInstanceFromDispatchTable(gen_dispatch_table),
                                                      value->type, type_string);
            contents.emplace_back("XrStructureType", type_prefix, type_string);
        } else {
                        contents.emplace_back("XrStructureType", type_prefix, std::to_string(value->type));
        }
        std::string next_prefix = prefix;
        next_prefix += "next";
        // Decode the next chain if it exists
        if (!ApiDumpDecodeNextChain(gen_dispatch_table, value->next, next_prefix, contents)) {
            throw std::invalid_argument("Invalid Operation");
        }
        std::string minapiversionsupported_prefix = prefix;
        minapiversionsupported_prefix += "minApiVersionSupported";
        std::ostringstream oss_minApiVersionSupported;
        oss_minApiVersionSupported << "0x" << std::hex << (value->minApiVersionSupported);
        contents.emplace_back("XrVersion", minapiversionsupported_prefix, oss_minApiVersionSupported.str());
        std::string maxapiversionsupported_prefix = prefix;
        maxapiversionsupported_prefix += "maxApiVersionSupported";
        std::ostringstream oss_maxApiVersionSupported;
        oss_maxApiVersionSupported << "0x" << std::hex << (value->maxApiVersionSupported);
        contents.emplace_back("XrVersion", maxapiversionsupported_prefix, oss_maxApiVersionSupported.str());
        return true;
    } catch(...) {
    }
    return false;
}
#endif // defined(XR_USE_GRAPHICS_API_OPENGL)

#if defined(XR_USE_GRAPHICS_API_OPENGL_ES) && defined(XR_USE_PLATFORM_ANDROID)
bool ApiDumpOutputXrStruct(XrGeneratedDispatchTable* gen_dispatch_table, const XrGraphicsBindingOpenGLESAndroidKHR* value,
                           std::string prefix, std::string type_string, bool is_pointer,
                           std::vector<std::tuple<std::string, std::string, std::string>> &contents) {
    (void)gen_dispatch_table;  // silence warning
    try {
        contents.emplace_back(type_string, prefix, PointerToHexString(value));
        if (is_pointer) {
            prefix += "->";
        } else {
            prefix += ".";
        }
        std::string type_prefix = prefix;
        type_prefix += "type";
        if (nullptr != gen_dispatch_table) {
            char type_string[XR_MAX_STRUCTURE_NAME_SIZE];
            gen_dispatch_table->StructureTypeToString(FindInstanceFromDispatchTable(gen_dispatch_table),
                                                      value->type, type_string);
            contents.emplace_back("XrStructureType", type_prefix, type_string);
        } else {
                        contents.emplace_back("XrStructureType", type_prefix, std::to_string(value->type));
        }
        std::string next_prefix = prefix;
        next_prefix += "next";
        // Decode the next chain if it exists
        if (!ApiDumpDecodeNextChain(gen_dispatch_table, value->next, next_prefix, contents)) {
            throw std::invalid_argument("Invalid Operation");
        }
        std::string display_prefix = prefix;
        display_prefix += "display";
        std::ostringstream oss_display;
        oss_display << std::hex << reinterpret_cast<const void*>(value->display);
        contents.emplace_back("EGLDisplay", display_prefix, oss_display.str());
        std::string config_prefix = prefix;
        config_prefix += "config";
        std::ostringstream oss_config;
        oss_config << std::hex << reinterpret_cast<const void*>(value->config);
        contents.emplace_back("EGLConfig", config_prefix, oss_config.str());
        std::string context_prefix = prefix;
        context_prefix += "context";
        std::ostringstream oss_context;
        oss_context << std::hex << reinterpret_cast<const void*>(value->context);
        contents.emplace_back("EGLContext", context_prefix, oss_context.str());
        return true;
    } catch(...) {
    }
    return false;
}
#endif // defined(XR_USE_GRAPHICS_API_OPENGL_ES) && defined(XR_USE_PLATFORM_ANDROID)

#if defined(XR_USE_GRAPHICS_API_OPENGL_ES)
bool ApiDumpOutputXrStruct(XrGeneratedDispatchTable* gen_dispatch_table, const XrSwapchainImageOpenGLESKHR* value,
                           std::string prefix, std::string type_string, bool is_pointer,
                           std::vector<std::tuple<std::string, std::string, std::string>> &contents) {
    (void)gen_dispatch_table;  // silence warning
    try {
        contents.emplace_back(type_string, prefix, PointerToHexString(value));
        if (is_pointer) {
            prefix += "->";
        } else {
            prefix += ".";
        }
        std::string type_prefix = prefix;
        type_prefix += "type";
        if (nullptr != gen_dispatch_table) {
            char type_string[XR_MAX_STRUCTURE_NAME_SIZE];
            gen_dispatch_table->StructureTypeToString(FindInstanceFromDispatchTable(gen_dispatch_table),
                                                      value->type, type_string);
            contents.emplace_back("XrStructureType", type_prefix, type_string);
        } else {
                        contents.emplace_back("XrStructureType", type_prefix, std::to_string(value->type));
        }
        std::string next_prefix = prefix;
        next_prefix += "next";
        // Decode the next chain if it exists
        if (!ApiDumpDecodeNextChain(gen_dispatch_table, value->next, next_prefix, contents)) {
            throw std::invalid_argument("Invalid Operation");
        }
        std::string image_prefix = prefix;
        image_prefix += "image";
        std::ostringstream oss_image;
        oss_image << "0x" << std::hex << (value->image);
        contents.emplace_back("uint32_t", image_prefix, oss_image.str());
        return true;
    } catch(...) {
    }
    return false;
}
#endif // defined(XR_USE_GRAPHICS_API_OPENGL_ES)

#if defined(XR_USE_GRAPHICS_API_OPENGL_ES)
bool ApiDumpOutputXrStruct(XrGeneratedDispatchTable* gen_dispatch_table, const XrGraphicsRequirementsOpenGLESKHR* value,
                           std::string prefix, std::string type_string, bool is_pointer,
                           std::vector<std::tuple<std::string, std::string, std::string>> &contents) {
    (void)gen_dispatch_table;  // silence warning
    try {
        contents.emplace_back(type_string, prefix, PointerToHexString(value));
        if (is_pointer) {
            prefix += "->";
        } else {
            prefix += ".";
        }
        std::string type_prefix = prefix;
        type_prefix += "type";
        if (nullptr != gen_dispatch_table) {
            char type_string[XR_MAX_STRUCTURE_NAME_SIZE];
            gen_dispatch_table->StructureTypeToString(FindInstanceFromDispatchTable(gen_dispatch_table),
                                                      value->type, type_string);
            contents.emplace_back("XrStructureType", type_prefix, type_string);
        } else {
                        contents.emplace_back("XrStructureType", type_prefix, std::to_string(value->type));
        }
        std::string next_prefix = prefix;
        next_prefix += "next";
        // Decode the next chain if it exists
        if (!ApiDumpDecodeNextChain(gen_dispatch_table, value->next, next_prefix, contents)) {
            throw std::invalid_argument("Invalid Operation");
        }
        std::string minapiversionsupported_prefix = prefix;
        minapiversionsupported_prefix += "minApiVersionSupported";
        std::ostringstream oss_minApiVersionSupported;
        oss_minApiVersionSupported << "0x" << std::hex << (value->minApiVersionSupported);
        contents.emplace_back("XrVersion", minapiversionsupported_prefix, oss_minApiVersionSupported.str());
        std::string maxapiversionsupported_prefix = prefix;
        maxapiversionsupported_prefix += "maxApiVersionSupported";
        std::ostringstream oss_maxApiVersionSupported;
        oss_maxApiVersionSupported << "0x" << std::hex << (value->maxApiVersionSupported);
        contents.emplace_back("XrVersion", maxapiversionsupported_prefix, oss_maxApiVersionSupported.str());
        return true;
    } catch(...) {
    }
    return false;
}
#endif // defined(XR_USE_GRAPHICS_API_OPENGL_ES)

#if defined(XR_USE_GRAPHICS_API_VULKAN)
bool ApiDumpOutputXrStruct(XrGeneratedDispatchTable* gen_dispatch_table, const XrGraphicsBindingVulkanKHR* value,
                           std::string prefix, std::string type_string, bool is_pointer,
                           std::vector<std::tuple<std::string, std::string, std::string>> &contents) {
    (void)gen_dispatch_table;  // silence warning
    try {
        contents.emplace_back(type_string, prefix, PointerToHexString(value));
        if (is_pointer) {
            prefix += "->";
        } else {
            prefix += ".";
        }
        std::string type_prefix = prefix;
        type_prefix += "type";
        if (nullptr != gen_dispatch_table) {
            char type_string[XR_MAX_STRUCTURE_NAME_SIZE];
            gen_dispatch_table->StructureTypeToString(FindInstanceFromDispatchTable(gen_dispatch_table),
                                                      value->type, type_string);
            contents.emplace_back("XrStructureType", type_prefix, type_string);
        } else {
                        contents.emplace_back("XrStructureType", type_prefix, std::to_string(value->type));
        }
        std::string next_prefix = prefix;
        next_prefix += "next";
        // Decode the next chain if it exists
        if (!ApiDumpDecodeNextChain(gen_dispatch_table, value->next, next_prefix, contents)) {
            throw std::invalid_argument("Invalid Operation");
        }
        std::string instance_prefix = prefix;
        instance_prefix += "instance";
        std::ostringstream oss_instance;
        oss_instance << std::hex << reinterpret_cast<const void*>(value->instance);
        contents.emplace_back("VkInstance", instance_prefix, oss_instance.str());
        std::string physicaldevice_prefix = prefix;
        physicaldevice_prefix += "physicalDevice";
        std::ostringstream oss_physicalDevice;
        oss_physicalDevice << std::hex << reinterpret_cast<const void*>(value->physicalDevice);
        contents.emplace_back("VkPhysicalDevice", physicaldevice_prefix, oss_physicalDevice.str());
        std::string device_prefix = prefix;
        device_prefix += "device";
        std::ostringstream oss_device;
        oss_device << std::hex << reinterpret_cast<const void*>(value->device);
        contents.emplace_back("VkDevice", device_prefix, oss_device.str());
        std::string queuefamilyindex_prefix = prefix;
        queuefamilyindex_prefix += "queueFamilyIndex";
        std::ostringstream oss_queueFamilyIndex;
        oss_queueFamilyIndex << "0x" << std::hex << (value->queueFamilyIndex);
        contents.emplace_back("uint32_t", queuefamilyindex_prefix, oss_queueFamilyIndex.str());
        std::string queueindex_prefix = prefix;
        queueindex_prefix += "queueIndex";
        std::ostringstream oss_queueIndex;
        oss_queueIndex << "0x" << std::hex << (value->queueIndex);
        contents.emplace_back("uint32_t", queueindex_prefix, oss_queueIndex.str());
        return true;
    } catch(...) {
    }
    return false;
}
#endif // defined(XR_USE_GRAPHICS_API_VULKAN)

#if defined(XR_USE_GRAPHICS_API_VULKAN)
bool ApiDumpOutputXrStruct(XrGeneratedDispatchTable* gen_dispatch_table, const XrSwapchainImageVulkanKHR* value,
                           std::string prefix, std::string type_string, bool is_pointer,
                           std::vector<std::tuple<std::string, std::string, std::string>> &contents) {
    (void)gen_dispatch_table;  // silence warning
    try {
        contents.emplace_back(type_string, prefix, PointerToHexString(value));
        if (is_pointer) {
            prefix += "->";
        } else {
            prefix += ".";
        }
        std::string type_prefix = prefix;
        type_prefix += "type";
        if (nullptr != gen_dispatch_table) {
            char type_string[XR_MAX_STRUCTURE_NAME_SIZE];
            gen_dispatch_table->StructureTypeToString(FindInstanceFromDispatchTable(gen_dispatch_table),
                                                      value->type, type_string);
            contents.emplace_back("XrStructureType", type_prefix, type_string);
        } else {
                        contents.emplace_back("XrStructureType", type_prefix, std::to_string(value->type));
        }
        std::string next_prefix = prefix;
        next_prefix += "next";
        // Decode the next chain if it exists
        if (!ApiDumpDecodeNextChain(gen_dispatch_table, value->next, next_prefix, contents)) {
            throw std::invalid_argument("Invalid Operation");
        }
        std::string image_prefix = prefix;
        image_prefix += "image";
        std::ostringstream oss_image;
        oss_image << std::hex << reinterpret_cast<const void*>(value->image);
        contents.emplace_back("VkImage", image_prefix, oss_image.str());
        return true;
    } catch(...) {
    }
    return false;
}
#endif // defined(XR_USE_GRAPHICS_API_VULKAN)

#if defined(XR_USE_GRAPHICS_API_VULKAN)
bool ApiDumpOutputXrStruct(XrGeneratedDispatchTable* gen_dispatch_table, const XrGraphicsRequirementsVulkanKHR* value,
                           std::string prefix, std::string type_string, bool is_pointer,
                           std::vector<std::tuple<std::string, std::string, std::string>> &contents) {
    (void)gen_dispatch_table;  // silence warning
    try {
        contents.emplace_back(type_string, prefix, PointerToHexString(value));
        if (is_pointer) {
            prefix += "->";
        } else {
            prefix += ".";
        }
        std::string type_prefix = prefix;
        type_prefix += "type";
        if (nullptr != gen_dispatch_table) {
            char type_string[XR_MAX_STRUCTURE_NAME_SIZE];
            gen_dispatch_table->StructureTypeToString(FindInstanceFromDispatchTable(gen_dispatch_table),
                                                      value->type, type_string);
            contents.emplace_back("XrStructureType", type_prefix, type_string);
        } else {
                        contents.emplace_back("XrStructureType", type_prefix, std::to_string(value->type));
        }
        std::string next_prefix = prefix;
        next_prefix += "next";
        // Decode the next chain if it exists
        if (!ApiDumpDecodeNextChain(gen_dispatch_table, value->next, next_prefix, contents)) {
            throw std::invalid_argument("Invalid Operation");
        }
        std::string minapiversionsupported_prefix = prefix;
        minapiversionsupported_prefix += "minApiVersionSupported";
        std::ostringstream oss_minApiVersionSupported;
        oss_minApiVersionSupported << "0x" << std::hex << (value->minApiVersionSupported);
        contents.emplace_back("XrVersion", minapiversionsupported_prefix, oss_minApiVersionSupported.str());
        std::string maxapiversionsupported_prefix = prefix;
        maxapiversionsupported_prefix += "maxApiVersionSupported";
        std::ostringstream oss_maxApiVersionSupported;
        oss_maxApiVersionSupported << "0x" << std::hex << (value->maxApiVersionSupported);
        contents.emplace_back("XrVersion", maxapiversionsupported_prefix, oss_maxApiVersionSupported.str());
        return true;
    } catch(...) {
    }
    return false;
}
#endif // defined(XR_USE_GRAPHICS_API_VULKAN)

#if defined(XR_USE_GRAPHICS_API_D3D11)
bool ApiDumpOutputXrStruct(XrGeneratedDispatchTable* gen_dispatch_table, const XrGraphicsBindingD3D11KHR* value,
                           std::string prefix, std::string type_string, bool is_pointer,
                           std::vector<std::tuple<std::string, std::string, std::string>> &contents) {
    (void)gen_dispatch_table;  // silence warning
    try {
        contents.emplace_back(type_string, prefix, PointerToHexString(value));
        if (is_pointer) {
            prefix += "->";
        } else {
            prefix += ".";
        }
        std::string type_prefix = prefix;
        type_prefix += "type";
        if (nullptr != gen_dispatch_table) {
            char type_string[XR_MAX_STRUCTURE_NAME_SIZE];
            gen_dispatch_table->StructureTypeToString(FindInstanceFromDispatchTable(gen_dispatch_table),
                                                      value->type, type_string);
            contents.emplace_back("XrStructureType", type_prefix, type_string);
        } else {
                        contents.emplace_back("XrStructureType", type_prefix, std::to_string(value->type));
        }
        std::string next_prefix = prefix;
        next_prefix += "next";
        // Decode the next chain if it exists
        if (!ApiDumpDecodeNextChain(gen_dispatch_table, value->next, next_prefix, contents)) {
            throw std::invalid_argument("Invalid Operation");
        }
        std::string device_prefix = prefix;
        device_prefix += "device";
        std::ostringstream oss_device;
        oss_device << std::hex << reinterpret_cast<const void*>(value->device);
        contents.emplace_back("ID3D11Device*", device_prefix, oss_device.str());
        return true;
    } catch(...) {
    }
    return false;
}
#endif // defined(XR_USE_GRAPHICS_API_D3D11)

#if defined(XR_USE_GRAPHICS_API_D3D11)
bool ApiDumpOutputXrStruct(XrGeneratedDispatchTable* gen_dispatch_table, const XrSwapchainImageD3D11KHR* value,
                           std::string prefix, std::string type_string, bool is_pointer,
                           std::vector<std::tuple<std::string, std::string, std::string>> &contents) {
    (void)gen_dispatch_table;  // silence warning
    try {
        contents.emplace_back(type_string, prefix, PointerToHexString(value));
        if (is_pointer) {
            prefix += "->";
        } else {
            prefix += ".";
        }
        std::string type_prefix = prefix;
        type_prefix += "type";
        if (nullptr != gen_dispatch_table) {
            char type_string[XR_MAX_STRUCTURE_NAME_SIZE];
            gen_dispatch_table->StructureTypeToString(FindInstanceFromDispatchTable(gen_dispatch_table),
                                                      value->type, type_string);
            contents.emplace_back("XrStructureType", type_prefix, type_string);
        } else {
                        contents.emplace_back("XrStructureType", type_prefix, std::to_string(value->type));
        }
        std::string next_prefix = prefix;
        next_prefix += "next";
        // Decode the next chain if it exists
        if (!ApiDumpDecodeNextChain(gen_dispatch_table, value->next, next_prefix, contents)) {
            throw std::invalid_argument("Invalid Operation");
        }
        std::string texture_prefix = prefix;
        texture_prefix += "texture";
        std::ostringstream oss_texture;
        oss_texture << std::hex << reinterpret_cast<const void*>(value->texture);
        contents.emplace_back("ID3D11Texture2D*", texture_prefix, oss_texture.str());
        return true;
    } catch(...) {
    }
    return false;
}
#endif // defined(XR_USE_GRAPHICS_API_D3D11)

#if defined(XR_USE_GRAPHICS_API_D3D11)
bool ApiDumpOutputXrStruct(XrGeneratedDispatchTable* gen_dispatch_table, const XrGraphicsRequirementsD3D11KHR* value,
                           std::string prefix, std::string type_string, bool is_pointer,
                           std::vector<std::tuple<std::string, std::string, std::string>> &contents) {
    (void)gen_dispatch_table;  // silence warning
    try {
        contents.emplace_back(type_string, prefix, PointerToHexString(value));
        if (is_pointer) {
            prefix += "->";
        } else {
            prefix += ".";
        }
        std::string type_prefix = prefix;
        type_prefix += "type";
        if (nullptr != gen_dispatch_table) {
            char type_string[XR_MAX_STRUCTURE_NAME_SIZE];
            gen_dispatch_table->StructureTypeToString(FindInstanceFromDispatchTable(gen_dispatch_table),
                                                      value->type, type_string);
            contents.emplace_back("XrStructureType", type_prefix, type_string);
        } else {
                        contents.emplace_back("XrStructureType", type_prefix, std::to_string(value->type));
        }
        std::string next_prefix = prefix;
        next_prefix += "next";
        // Decode the next chain if it exists
        if (!ApiDumpDecodeNextChain(gen_dispatch_table, value->next, next_prefix, contents)) {
            throw std::invalid_argument("Invalid Operation");
        }
        std::string adapterluid_prefix = prefix;
        adapterluid_prefix += "adapterLuid";
        {
            std::ostringstream oss_adapterLuid;
            oss_adapterLuid << std::uppercase;
            oss_adapterLuid.width(8);
            oss_adapterLuid << std::hex << value->adapterLuid.LowPart;
            oss_adapterLuid << std::hex << value->adapterLuid.HighPart;
            oss_adapterLuid << std::nouppercase;
            contents.emplace_back("LUID", adapterluid_prefix, oss_adapterLuid.str());
        }
        std::string minfeaturelevel_prefix = prefix;
        minfeaturelevel_prefix += "minFeatureLevel";
        contents.emplace_back("D3D_FEATURE_LEVEL", minfeaturelevel_prefix, std::to_string(value->minFeatureLevel));
        return true;
    } catch(...) {
    }
    return false;
}
#endif // defined(XR_USE_GRAPHICS_API_D3D11)

#if defined(XR_USE_GRAPHICS_API_D3D12)
bool ApiDumpOutputXrStruct(XrGeneratedDispatchTable* gen_dispatch_table, const XrGraphicsBindingD3D12KHR* value,
                           std::string prefix, std::string type_string, bool is_pointer,
                           std::vector<std::tuple<std::string, std::string, std::string>> &contents) {
    (void)gen_dispatch_table;  // silence warning
    try {
        contents.emplace_back(type_string, prefix, PointerToHexString(value));
        if (is_pointer) {
            prefix += "->";
        } else {
            prefix += ".";
        }
        std::string type_prefix = prefix;
        type_prefix += "type";
        if (nullptr != gen_dispatch_table) {
            char type_string[XR_MAX_STRUCTURE_NAME_SIZE];
            gen_dispatch_table->StructureTypeToString(FindInstanceFromDispatchTable(gen_dispatch_table),
                                                      value->type, type_string);
            contents.emplace_back("XrStructureType", type_prefix, type_string);
        } else {
                        contents.emplace_back("XrStructureType", type_prefix, std::to_string(value->type));
        }
        std::string next_prefix = prefix;
        next_prefix += "next";
        // Decode the next chain if it exists
        if (!ApiDumpDecodeNextChain(gen_dispatch_table, value->next, next_prefix, contents)) {
            throw std::invalid_argument("Invalid Operation");
        }
        std::string device_prefix = prefix;
        device_prefix += "device";
        std::ostringstream oss_device;
        oss_device << std::hex << reinterpret_cast<const void*>(value->device);
        contents.emplace_back("ID3D12Device*", device_prefix, oss_device.str());
        std::string queue_prefix = prefix;
        queue_prefix += "queue";
        std::ostringstream oss_queue;
        oss_queue << std::hex << reinterpret_cast<const void*>(value->queue);
        contents.emplace_back("ID3D12CommandQueue*", queue_prefix, oss_queue.str());
        return true;
    } catch(...) {
    }
    return false;
}
#endif // defined(XR_USE_GRAPHICS_API_D3D12)

#if defined(XR_USE_GRAPHICS_API_D3D12)
bool ApiDumpOutputXrStruct(XrGeneratedDispatchTable* gen_dispatch_table, const XrSwapchainImageD3D12KHR* value,
                           std::string prefix, std::string type_string, bool is_pointer,
                           std::vector<std::tuple<std::string, std::string, std::string>> &contents) {
    (void)gen_dispatch_table;  // silence warning
    try {
        contents.emplace_back(type_string, prefix, PointerToHexString(value));
        if (is_pointer) {
            prefix += "->";
        } else {
            prefix += ".";
        }
        std::string type_prefix = prefix;
        type_prefix += "type";
        if (nullptr != gen_dispatch_table) {
            char type_string[XR_MAX_STRUCTURE_NAME_SIZE];
            gen_dispatch_table->StructureTypeToString(FindInstanceFromDispatchTable(gen_dispatch_table),
                                                      value->type, type_string);
            contents.emplace_back("XrStructureType", type_prefix, type_string);
        } else {
                        contents.emplace_back("XrStructureType", type_prefix, std::to_string(value->type));
        }
        std::string next_prefix = prefix;
        next_prefix += "next";
        // Decode the next chain if it exists
        if (!ApiDumpDecodeNextChain(gen_dispatch_table, value->next, next_prefix, contents)) {
            throw std::invalid_argument("Invalid Operation");
        }
        std::string texture_prefix = prefix;
        texture_prefix += "texture";
        std::ostringstream oss_texture;
        oss_texture << std::hex << reinterpret_cast<const void*>(value->texture);
        contents.emplace_back("ID3D12Resource*", texture_prefix, oss_texture.str());
        return true;
    } catch(...) {
    }
    return false;
}
#endif // defined(XR_USE_GRAPHICS_API_D3D12)

#if defined(XR_USE_GRAPHICS_API_D3D12)
bool ApiDumpOutputXrStruct(XrGeneratedDispatchTable* gen_dispatch_table, const XrGraphicsRequirementsD3D12KHR* value,
                           std::string prefix, std::string type_string, bool is_pointer,
                           std::vector<std::tuple<std::string, std::string, std::string>> &contents) {
    (void)gen_dispatch_table;  // silence warning
    try {
        contents.emplace_back(type_string, prefix, PointerToHexString(value));
        if (is_pointer) {
            prefix += "->";
        } else {
            prefix += ".";
        }
        std::string type_prefix = prefix;
        type_prefix += "type";
        if (nullptr != gen_dispatch_table) {
            char type_string[XR_MAX_STRUCTURE_NAME_SIZE];
            gen_dispatch_table->StructureTypeToString(FindInstanceFromDispatchTable(gen_dispatch_table),
                                                      value->type, type_string);
            contents.emplace_back("XrStructureType", type_prefix, type_string);
        } else {
                        contents.emplace_back("XrStructureType", type_prefix, std::to_string(value->type));
        }
        std::string next_prefix = prefix;
        next_prefix += "next";
        // Decode the next chain if it exists
        if (!ApiDumpDecodeNextChain(gen_dispatch_table, value->next, next_prefix, contents)) {
            throw std::invalid_argument("Invalid Operation");
        }
        std::string adapterluid_prefix = prefix;
        adapterluid_prefix += "adapterLuid";
        {
            std::ostringstream oss_adapterLuid;
            oss_adapterLuid << std::uppercase;
            oss_adapterLuid.width(8);
            oss_adapterLuid << std::hex << value->adapterLuid.LowPart;
            oss_adapterLuid << std::hex << value->adapterLuid.HighPart;
            oss_adapterLuid << std::nouppercase;
            contents.emplace_back("LUID", adapterluid_prefix, oss_adapterLuid.str());
        }
        std::string minfeaturelevel_prefix = prefix;
        minfeaturelevel_prefix += "minFeatureLevel";
        contents.emplace_back("D3D_FEATURE_LEVEL", minfeaturelevel_prefix, std::to_string(value->minFeatureLevel));
        return true;
    } catch(...) {
    }
    return false;
}
#endif // defined(XR_USE_GRAPHICS_API_D3D12)

bool ApiDumpOutputXrStruct(XrGeneratedDispatchTable* gen_dispatch_table, const XrVisibilityMaskKHR* value,
                           std::string prefix, std::string type_string, bool is_pointer,
                           std::vector<std::tuple<std::string, std::string, std::string>> &contents) {
    (void)gen_dispatch_table;  // silence warning
    try {
        contents.emplace_back(type_string, prefix, PointerToHexString(value));
        if (is_pointer) {
            prefix += "->";
        } else {
            prefix += ".";
        }
        std::string type_prefix = prefix;
        type_prefix += "type";
        if (nullptr != gen_dispatch_table) {
            char type_string[XR_MAX_STRUCTURE_NAME_SIZE];
            gen_dispatch_table->StructureTypeToString(FindInstanceFromDispatchTable(gen_dispatch_table),
                                                      value->type, type_string);
            contents.emplace_back("XrStructureType", type_prefix, type_string);
        } else {
                        contents.emplace_back("XrStructureType", type_prefix, std::to_string(value->type));
        }
        std::string next_prefix = prefix;
        next_prefix += "next";
        // Decode the next chain if it exists
        if (!ApiDumpDecodeNextChain(gen_dispatch_table, value->next, next_prefix, contents)) {
            throw std::invalid_argument("Invalid Operation");
        }
        std::string vertexcapacityinput_prefix = prefix;
        vertexcapacityinput_prefix += "vertexCapacityInput";
        std::ostringstream oss_vertexCapacityInput;
        oss_vertexCapacityInput << "0x" << std::hex << (value->vertexCapacityInput);
        contents.emplace_back("uint32_t", vertexcapacityinput_prefix, oss_vertexCapacityInput.str());
        std::string vertexcountoutput_prefix = prefix;
        vertexcountoutput_prefix += "vertexCountOutput";
        std::ostringstream oss_vertexCountOutput;
        oss_vertexCountOutput << "0x" << std::hex << (value->vertexCountOutput);
        contents.emplace_back("uint32_t", vertexcountoutput_prefix, oss_vertexCountOutput.str());
        std::string vertices_prefix = prefix;
        vertices_prefix += "vertices";
        std::ostringstream oss_vertices;
        oss_vertices << std::hex << reinterpret_cast<const void*>(value->vertices);
        contents.emplace_back("XrVector2f*", vertices_prefix, oss_vertices.str());
        std::string indexcapacityinput_prefix = prefix;
        indexcapacityinput_prefix += "indexCapacityInput";
        std::ostringstream oss_indexCapacityInput;
        oss_indexCapacityInput << "0x" << std::hex << (value->indexCapacityInput);
        contents.emplace_back("uint32_t", indexcapacityinput_prefix, oss_indexCapacityInput.str());
        std::string indexcountoutput_prefix = prefix;
        indexcountoutput_prefix += "indexCountOutput";
        std::ostringstream oss_indexCountOutput;
        oss_indexCountOutput << "0x" << std::hex << (value->indexCountOutput);
        contents.emplace_back("uint32_t", indexcountoutput_prefix, oss_indexCountOutput.str());
        std::string indices_prefix = prefix;
        indices_prefix += "indices";
        std::ostringstream oss_indices;
        oss_indices << "0x" << std::hex << (value->indices);
        contents.emplace_back("uint32_t*", indices_prefix, oss_indices.str());
        return true;
    } catch(...) {
    }
    return false;
}

bool ApiDumpOutputXrStruct(XrGeneratedDispatchTable* gen_dispatch_table, const XrEventDataVisibilityMaskChangedKHR* value,
                           std::string prefix, std::string type_string, bool is_pointer,
                           std::vector<std::tuple<std::string, std::string, std::string>> &contents) {
    (void)gen_dispatch_table;  // silence warning
    try {
        contents.emplace_back(type_string, prefix, PointerToHexString(value));
        if (is_pointer) {
            prefix += "->";
        } else {
            prefix += ".";
        }
        std::string type_prefix = prefix;
        type_prefix += "type";
        if (nullptr != gen_dispatch_table) {
            char type_string[XR_MAX_STRUCTURE_NAME_SIZE];
            gen_dispatch_table->StructureTypeToString(FindInstanceFromDispatchTable(gen_dispatch_table),
                                                      value->type, type_string);
            contents.emplace_back("XrStructureType", type_prefix, type_string);
        } else {
                        contents.emplace_back("XrStructureType", type_prefix, std::to_string(value->type));
        }
        std::string next_prefix = prefix;
        next_prefix += "next";
        // Decode the next chain if it exists
        if (!ApiDumpDecodeNextChain(gen_dispatch_table, value->next, next_prefix, contents)) {
            throw std::invalid_argument("Invalid Operation");
        }
        std::string session_prefix = prefix;
        session_prefix += "session";
        std::ostringstream oss_session;
        oss_session << std::hex << reinterpret_cast<const void*>(value->session);
        contents.emplace_back("XrSession", session_prefix, oss_session.str());
        std::string viewconfigurationtype_prefix = prefix;
        viewconfigurationtype_prefix += "viewConfigurationType";
        contents.emplace_back("XrViewConfigurationType", viewconfigurationtype_prefix, std::to_string(value->viewConfigurationType));
        std::string viewindex_prefix = prefix;
        viewindex_prefix += "viewIndex";
        std::ostringstream oss_viewIndex;
        oss_viewIndex << "0x" << std::hex << (value->viewIndex);
        contents.emplace_back("uint32_t", viewindex_prefix, oss_viewIndex.str());
        return true;
    } catch(...) {
    }
    return false;
}

bool ApiDumpOutputXrStruct(XrGeneratedDispatchTable* gen_dispatch_table, const XrCompositionLayerColorScaleBiasKHR* value,
                           std::string prefix, std::string type_string, bool is_pointer,
                           std::vector<std::tuple<std::string, std::string, std::string>> &contents) {
    (void)gen_dispatch_table;  // silence warning
    try {
        contents.emplace_back(type_string, prefix, PointerToHexString(value));
        if (is_pointer) {
            prefix += "->";
        } else {
            prefix += ".";
        }
        std::string type_prefix = prefix;
        type_prefix += "type";
        if (nullptr != gen_dispatch_table) {
            char type_string[XR_MAX_STRUCTURE_NAME_SIZE];
            gen_dispatch_table->StructureTypeToString(FindInstanceFromDispatchTable(gen_dispatch_table),
                                                      value->type, type_string);
            contents.emplace_back("XrStructureType", type_prefix, type_string);
        } else {
                        contents.emplace_back("XrStructureType", type_prefix, std::to_string(value->type));
        }
        std::string next_prefix = prefix;
        next_prefix += "next";
        // Decode the next chain if it exists
        if (!ApiDumpDecodeNextChain(gen_dispatch_table, value->next, next_prefix, contents)) {
            throw std::invalid_argument("Invalid Operation");
        }
        std::string colorscale_prefix = prefix;
        colorscale_prefix += "colorScale";
        if (!ApiDumpOutputXrStruct(gen_dispatch_table, &value->colorScale, colorscale_prefix, "XrColor4f", false, contents)) {
            throw std::invalid_argument("Invalid Operation");
        }
        std::string colorbias_prefix = prefix;
        colorbias_prefix += "colorBias";
        if (!ApiDumpOutputXrStruct(gen_dispatch_table, &value->colorBias, colorbias_prefix, "XrColor4f", false, contents)) {
            throw std::invalid_argument("Invalid Operation");
        }
        return true;
    } catch(...) {
    }
    return false;
}

bool ApiDumpOutputXrStruct(XrGeneratedDispatchTable* gen_dispatch_table, const XrLoaderInitInfoBaseHeaderKHR* value,
                           std::string prefix, std::string type_string, bool is_pointer,
                           std::vector<std::tuple<std::string, std::string, std::string>> &contents) {
    (void)gen_dispatch_table;  // silence warning
    try {
#if defined(XR_USE_PLATFORM_ANDROID)
        if (value->type == XR_TYPE_LOADER_INIT_INFO_ANDROID_KHR) {
            const XrLoaderInitInfoAndroidKHR* new_value = reinterpret_cast<const XrLoaderInitInfoAndroidKHR*>(value);
            return ApiDumpOutputXrStruct(gen_dispatch_table, new_value, prefix, type_string, is_pointer, contents);
        }
#endif // defined(XR_USE_PLATFORM_ANDROID)
        // Fallback path - Just output generic information about the base struct
        contents.emplace_back(type_string, prefix, PointerToHexString(value));
        if (is_pointer) {
            prefix += "->";
        } else {
            prefix += ".";
        }
        std::string type_prefix = prefix;
        type_prefix += "type";
        if (nullptr != gen_dispatch_table) {
            char type_string[XR_MAX_STRUCTURE_NAME_SIZE];
            gen_dispatch_table->StructureTypeToString(FindInstanceFromDispatchTable(gen_dispatch_table),
                                                      value->type, type_string);
            contents.emplace_back("XrStructureType", type_prefix, type_string);
        } else {
                        contents.emplace_back("XrStructureType", type_prefix, std::to_string(value->type));
        }
        std::string next_prefix = prefix;
        next_prefix += "next";
        // Decode the next chain if it exists
        if (!ApiDumpDecodeNextChain(gen_dispatch_table, value->next, next_prefix, contents)) {
            throw std::invalid_argument("Invalid Operation");
        }
        return true;
    } catch(...) {
    }
    return false;
}

#if defined(XR_USE_PLATFORM_ANDROID)
bool ApiDumpOutputXrStruct(XrGeneratedDispatchTable* gen_dispatch_table, const XrLoaderInitInfoAndroidKHR* value,
                           std::string prefix, std::string type_string, bool is_pointer,
                           std::vector<std::tuple<std::string, std::string, std::string>> &contents) {
    (void)gen_dispatch_table;  // silence warning
    try {
        contents.emplace_back(type_string, prefix, PointerToHexString(value));
        if (is_pointer) {
            prefix += "->";
        } else {
            prefix += ".";
        }
        std::string type_prefix = prefix;
        type_prefix += "type";
        if (nullptr != gen_dispatch_table) {
            char type_string[XR_MAX_STRUCTURE_NAME_SIZE];
            gen_dispatch_table->StructureTypeToString(FindInstanceFromDispatchTable(gen_dispatch_table),
                                                      value->type, type_string);
            contents.emplace_back("XrStructureType", type_prefix, type_string);
        } else {
                        contents.emplace_back("XrStructureType", type_prefix, std::to_string(value->type));
        }
        std::string next_prefix = prefix;
        next_prefix += "next";
        // Decode the next chain if it exists
        if (!ApiDumpDecodeNextChain(gen_dispatch_table, value->next, next_prefix, contents)) {
            throw std::invalid_argument("Invalid Operation");
        }
        std::string applicationvm_prefix = prefix;
        applicationvm_prefix += "applicationVM";
        std::ostringstream oss_applicationVM;
        oss_applicationVM << std::hex << reinterpret_cast<const void*>(value->applicationVM);
        contents.emplace_back("void* XR_MAY_ALIAS", applicationvm_prefix, oss_applicationVM.str());
        std::string applicationcontext_prefix = prefix;
        applicationcontext_prefix += "applicationContext";
        std::ostringstream oss_applicationContext;
        oss_applicationContext << std::hex << reinterpret_cast<const void*>(value->applicationContext);
        contents.emplace_back("void* XR_MAY_ALIAS", applicationcontext_prefix, oss_applicationContext.str());
        return true;
    } catch(...) {
    }
    return false;
}
#endif // defined(XR_USE_PLATFORM_ANDROID)

#if defined(XR_USE_GRAPHICS_API_VULKAN)
bool ApiDumpOutputXrStruct(XrGeneratedDispatchTable* gen_dispatch_table, const XrVulkanInstanceCreateInfoKHR* value,
                           std::string prefix, std::string type_string, bool is_pointer,
                           std::vector<std::tuple<std::string, std::string, std::string>> &contents) {
    (void)gen_dispatch_table;  // silence warning
    try {
        contents.emplace_back(type_string, prefix, PointerToHexString(value));
        if (is_pointer) {
            prefix += "->";
        } else {
            prefix += ".";
        }
        std::string type_prefix = prefix;
        type_prefix += "type";
        if (nullptr != gen_dispatch_table) {
            char type_string[XR_MAX_STRUCTURE_NAME_SIZE];
            gen_dispatch_table->StructureTypeToString(FindInstanceFromDispatchTable(gen_dispatch_table),
                                                      value->type, type_string);
            contents.emplace_back("XrStructureType", type_prefix, type_string);
        } else {
                        contents.emplace_back("XrStructureType", type_prefix, std::to_string(value->type));
        }
        std::string next_prefix = prefix;
        next_prefix += "next";
        // Decode the next chain if it exists
        if (!ApiDumpDecodeNextChain(gen_dispatch_table, value->next, next_prefix, contents)) {
            throw std::invalid_argument("Invalid Operation");
        }
        std::string systemid_prefix = prefix;
        systemid_prefix += "systemId";
        contents.emplace_back("XrSystemId", systemid_prefix, std::to_string(value->systemId));
        std::string createflags_prefix = prefix;
        createflags_prefix += "createFlags";
        contents.emplace_back("XrVulkanInstanceCreateFlagsKHR", createflags_prefix, std::to_string(value->createFlags));
        std::string pfngetinstanceprocaddr_prefix = prefix;
        pfngetinstanceprocaddr_prefix += "pfnGetInstanceProcAddr";
        std::ostringstream oss_pfnGetInstanceProcAddr;
        oss_pfnGetInstanceProcAddr << std::hex << reinterpret_cast<const void*>(value->pfnGetInstanceProcAddr);
        contents.emplace_back("PFN_vkGetInstanceProcAddr", pfngetinstanceprocaddr_prefix, oss_pfnGetInstanceProcAddr.str());
        std::string vulkancreateinfo_prefix = prefix;
        vulkancreateinfo_prefix += "vulkanCreateInfo";
        std::ostringstream oss_vulkanCreateInfo;
        oss_vulkanCreateInfo << std::hex << reinterpret_cast<const void*>(value->vulkanCreateInfo);
        contents.emplace_back("const VkInstanceCreateInfo*", vulkancreateinfo_prefix, oss_vulkanCreateInfo.str());
        std::string vulkanallocator_prefix = prefix;
        vulkanallocator_prefix += "vulkanAllocator";
        std::ostringstream oss_vulkanAllocator;
        oss_vulkanAllocator << std::hex << reinterpret_cast<const void*>(value->vulkanAllocator);
        contents.emplace_back("const VkAllocationCallbacks*", vulkanallocator_prefix, oss_vulkanAllocator.str());
        return true;
    } catch(...) {
    }
    return false;
}
#endif // defined(XR_USE_GRAPHICS_API_VULKAN)

#if defined(XR_USE_GRAPHICS_API_VULKAN)
bool ApiDumpOutputXrStruct(XrGeneratedDispatchTable* gen_dispatch_table, const XrVulkanDeviceCreateInfoKHR* value,
                           std::string prefix, std::string type_string, bool is_pointer,
                           std::vector<std::tuple<std::string, std::string, std::string>> &contents) {
    (void)gen_dispatch_table;  // silence warning
    try {
        contents.emplace_back(type_string, prefix, PointerToHexString(value));
        if (is_pointer) {
            prefix += "->";
        } else {
            prefix += ".";
        }
        std::string type_prefix = prefix;
        type_prefix += "type";
        if (nullptr != gen_dispatch_table) {
            char type_string[XR_MAX_STRUCTURE_NAME_SIZE];
            gen_dispatch_table->StructureTypeToString(FindInstanceFromDispatchTable(gen_dispatch_table),
                                                      value->type, type_string);
            contents.emplace_back("XrStructureType", type_prefix, type_string);
        } else {
                        contents.emplace_back("XrStructureType", type_prefix, std::to_string(value->type));
        }
        std::string next_prefix = prefix;
        next_prefix += "next";
        // Decode the next chain if it exists
        if (!ApiDumpDecodeNextChain(gen_dispatch_table, value->next, next_prefix, contents)) {
            throw std::invalid_argument("Invalid Operation");
        }
        std::string systemid_prefix = prefix;
        systemid_prefix += "systemId";
        contents.emplace_back("XrSystemId", systemid_prefix, std::to_string(value->systemId));
        std::string createflags_prefix = prefix;
        createflags_prefix += "createFlags";
        contents.emplace_back("XrVulkanDeviceCreateFlagsKHR", createflags_prefix, std::to_string(value->createFlags));
        std::string pfngetinstanceprocaddr_prefix = prefix;
        pfngetinstanceprocaddr_prefix += "pfnGetInstanceProcAddr";
        std::ostringstream oss_pfnGetInstanceProcAddr;
        oss_pfnGetInstanceProcAddr << std::hex << reinterpret_cast<const void*>(value->pfnGetInstanceProcAddr);
        contents.emplace_back("PFN_vkGetInstanceProcAddr", pfngetinstanceprocaddr_prefix, oss_pfnGetInstanceProcAddr.str());
        std::string vulkanphysicaldevice_prefix = prefix;
        vulkanphysicaldevice_prefix += "vulkanPhysicalDevice";
        std::ostringstream oss_vulkanPhysicalDevice;
        oss_vulkanPhysicalDevice << std::hex << reinterpret_cast<const void*>(value->vulkanPhysicalDevice);
        contents.emplace_back("VkPhysicalDevice", vulkanphysicaldevice_prefix, oss_vulkanPhysicalDevice.str());
        std::string vulkancreateinfo_prefix = prefix;
        vulkancreateinfo_prefix += "vulkanCreateInfo";
        std::ostringstream oss_vulkanCreateInfo;
        oss_vulkanCreateInfo << std::hex << reinterpret_cast<const void*>(value->vulkanCreateInfo);
        contents.emplace_back("const VkDeviceCreateInfo*", vulkancreateinfo_prefix, oss_vulkanCreateInfo.str());
        std::string vulkanallocator_prefix = prefix;
        vulkanallocator_prefix += "vulkanAllocator";
        std::ostringstream oss_vulkanAllocator;
        oss_vulkanAllocator << std::hex << reinterpret_cast<const void*>(value->vulkanAllocator);
        contents.emplace_back("const VkAllocationCallbacks*", vulkanallocator_prefix, oss_vulkanAllocator.str());
        return true;
    } catch(...) {
    }
    return false;
}
#endif // defined(XR_USE_GRAPHICS_API_VULKAN)

#if defined(XR_USE_GRAPHICS_API_VULKAN)
bool ApiDumpOutputXrStruct(XrGeneratedDispatchTable* gen_dispatch_table, const XrVulkanGraphicsDeviceGetInfoKHR* value,
                           std::string prefix, std::string type_string, bool is_pointer,
                           std::vector<std::tuple<std::string, std::string, std::string>> &contents) {
    (void)gen_dispatch_table;  // silence warning
    try {
        contents.emplace_back(type_string, prefix, PointerToHexString(value));
        if (is_pointer) {
            prefix += "->";
        } else {
            prefix += ".";
        }
        std::string type_prefix = prefix;
        type_prefix += "type";
        if (nullptr != gen_dispatch_table) {
            char type_string[XR_MAX_STRUCTURE_NAME_SIZE];
            gen_dispatch_table->StructureTypeToString(FindInstanceFromDispatchTable(gen_dispatch_table),
                                                      value->type, type_string);
            contents.emplace_back("XrStructureType", type_prefix, type_string);
        } else {
                        contents.emplace_back("XrStructureType", type_prefix, std::to_string(value->type));
        }
        std::string next_prefix = prefix;
        next_prefix += "next";
        // Decode the next chain if it exists
        if (!ApiDumpDecodeNextChain(gen_dispatch_table, value->next, next_prefix, contents)) {
            throw std::invalid_argument("Invalid Operation");
        }
        std::string systemid_prefix = prefix;
        systemid_prefix += "systemId";
        contents.emplace_back("XrSystemId", systemid_prefix, std::to_string(value->systemId));
        std::string vulkaninstance_prefix = prefix;
        vulkaninstance_prefix += "vulkanInstance";
        std::ostringstream oss_vulkanInstance;
        oss_vulkanInstance << std::hex << reinterpret_cast<const void*>(value->vulkanInstance);
        contents.emplace_back("VkInstance", vulkaninstance_prefix, oss_vulkanInstance.str());
        return true;
    } catch(...) {
    }
    return false;
}
#endif // defined(XR_USE_GRAPHICS_API_VULKAN)

bool ApiDumpOutputXrStruct(XrGeneratedDispatchTable* gen_dispatch_table, const XrCompositionLayerEquirect2KHR* value,
                           std::string prefix, std::string type_string, bool is_pointer,
                           std::vector<std::tuple<std::string, std::string, std::string>> &contents) {
    (void)gen_dispatch_table;  // silence warning
    try {
        contents.emplace_back(type_string, prefix, PointerToHexString(value));
        if (is_pointer) {
            prefix += "->";
        } else {
            prefix += ".";
        }
        std::string type_prefix = prefix;
        type_prefix += "type";
        if (nullptr != gen_dispatch_table) {
            char type_string[XR_MAX_STRUCTURE_NAME_SIZE];
            gen_dispatch_table->StructureTypeToString(FindInstanceFromDispatchTable(gen_dispatch_table),
                                                      value->type, type_string);
            contents.emplace_back("XrStructureType", type_prefix, type_string);
        } else {
                        contents.emplace_back("XrStructureType", type_prefix, std::to_string(value->type));
        }
        std::string next_prefix = prefix;
        next_prefix += "next";
        // Decode the next chain if it exists
        if (!ApiDumpDecodeNextChain(gen_dispatch_table, value->next, next_prefix, contents)) {
            throw std::invalid_argument("Invalid Operation");
        }
        std::string layerflags_prefix = prefix;
        layerflags_prefix += "layerFlags";
        contents.emplace_back("XrCompositionLayerFlags", layerflags_prefix, std::to_string(value->layerFlags));
        std::string space_prefix = prefix;
        space_prefix += "space";
        std::ostringstream oss_space;
        oss_space << std::hex << reinterpret_cast<const void*>(value->space);
        contents.emplace_back("XrSpace", space_prefix, oss_space.str());
        std::string eyevisibility_prefix = prefix;
        eyevisibility_prefix += "eyeVisibility";
        contents.emplace_back("XrEyeVisibility", eyevisibility_prefix, std::to_string(value->eyeVisibility));
        std::string subimage_prefix = prefix;
        subimage_prefix += "subImage";
        if (!ApiDumpOutputXrStruct(gen_dispatch_table, &value->subImage, subimage_prefix, "XrSwapchainSubImage", false, contents)) {
            throw std::invalid_argument("Invalid Operation");
        }
        std::string pose_prefix = prefix;
        pose_prefix += "pose";
        if (!ApiDumpOutputXrStruct(gen_dispatch_table, &value->pose, pose_prefix, "XrPosef", false, contents)) {
            throw std::invalid_argument("Invalid Operation");
        }
        std::string radius_prefix = prefix;
        radius_prefix += "radius";
        std::ostringstream oss_radius;
        oss_radius << std::setprecision(32) << (value->radius);
        contents.emplace_back("float", radius_prefix, oss_radius.str());
        std::string centralhorizontalangle_prefix = prefix;
        centralhorizontalangle_prefix += "centralHorizontalAngle";
        std::ostringstream oss_centralHorizontalAngle;
        oss_centralHorizontalAngle << std::setprecision(32) << (value->centralHorizontalAngle);
        contents.emplace_back("float", centralhorizontalangle_prefix, oss_centralHorizontalAngle.str());
        std::string upperverticalangle_prefix = prefix;
        upperverticalangle_prefix += "upperVerticalAngle";
        std::ostringstream oss_upperVerticalAngle;
        oss_upperVerticalAngle << std::setprecision(32) << (value->upperVerticalAngle);
        contents.emplace_back("float", upperverticalangle_prefix, oss_upperVerticalAngle.str());
        std::string lowerverticalangle_prefix = prefix;
        lowerverticalangle_prefix += "lowerVerticalAngle";
        std::ostringstream oss_lowerVerticalAngle;
        oss_lowerVerticalAngle << std::setprecision(32) << (value->lowerVerticalAngle);
        contents.emplace_back("float", lowerverticalangle_prefix, oss_lowerVerticalAngle.str());
        return true;
    } catch(...) {
    }
    return false;
}

bool ApiDumpOutputXrStruct(XrGeneratedDispatchTable* gen_dispatch_table, const XrBindingModificationBaseHeaderKHR* value,
                           std::string prefix, std::string type_string, bool is_pointer,
                           std::vector<std::tuple<std::string, std::string, std::string>> &contents) {
    (void)gen_dispatch_table;  // silence warning
    try {
        contents.emplace_back(type_string, prefix, PointerToHexString(value));
        if (is_pointer) {
            prefix += "->";
        } else {
            prefix += ".";
        }
        std::string type_prefix = prefix;
        type_prefix += "type";
        if (nullptr != gen_dispatch_table) {
            char type_string[XR_MAX_STRUCTURE_NAME_SIZE];
            gen_dispatch_table->StructureTypeToString(FindInstanceFromDispatchTable(gen_dispatch_table),
                                                      value->type, type_string);
            contents.emplace_back("XrStructureType", type_prefix, type_string);
        } else {
                        contents.emplace_back("XrStructureType", type_prefix, std::to_string(value->type));
        }
        std::string next_prefix = prefix;
        next_prefix += "next";
        // Decode the next chain if it exists
        if (!ApiDumpDecodeNextChain(gen_dispatch_table, value->next, next_prefix, contents)) {
            throw std::invalid_argument("Invalid Operation");
        }
        return true;
    } catch(...) {
    }
    return false;
}

bool ApiDumpOutputXrStruct(XrGeneratedDispatchTable* gen_dispatch_table, const XrBindingModificationsKHR* value,
                           std::string prefix, std::string type_string, bool is_pointer,
                           std::vector<std::tuple<std::string, std::string, std::string>> &contents) {
    (void)gen_dispatch_table;  // silence warning
    try {
        contents.emplace_back(type_string, prefix, PointerToHexString(value));
        if (is_pointer) {
            prefix += "->";
        } else {
            prefix += ".";
        }
        std::string type_prefix = prefix;
        type_prefix += "type";
        if (nullptr != gen_dispatch_table) {
            char type_string[XR_MAX_STRUCTURE_NAME_SIZE];
            gen_dispatch_table->StructureTypeToString(FindInstanceFromDispatchTable(gen_dispatch_table),
                                                      value->type, type_string);
            contents.emplace_back("XrStructureType", type_prefix, type_string);
        } else {
                        contents.emplace_back("XrStructureType", type_prefix, std::to_string(value->type));
        }
        std::string next_prefix = prefix;
        next_prefix += "next";
        // Decode the next chain if it exists
        if (!ApiDumpDecodeNextChain(gen_dispatch_table, value->next, next_prefix, contents)) {
            throw std::invalid_argument("Invalid Operation");
        }
        std::string bindingmodificationcount_prefix = prefix;
        bindingmodificationcount_prefix += "bindingModificationCount";
        std::ostringstream oss_bindingModificationCount;
        oss_bindingModificationCount << "0x" << std::hex << (value->bindingModificationCount);
        contents.emplace_back("uint32_t", bindingmodificationcount_prefix, oss_bindingModificationCount.str());
        std::string bindingmodifications_prefix = prefix;
        bindingmodifications_prefix += "bindingModifications";
        std::ostringstream oss_bindingModifications_array;
        oss_bindingModifications_array << std::hex << reinterpret_cast<const void*>(value->bindingModifications);
        contents.emplace_back("const XrBindingModificationBaseHeaderKHR* const*", bindingmodifications_prefix, oss_bindingModifications_array.str());
        for (uint32_t value_bindingmodifications_inc = 0; value_bindingmodifications_inc < value->bindingModificationCount; ++value_bindingmodifications_inc) {
            std::string bindingmodifications_array_prefix = bindingmodifications_prefix;
            bindingmodifications_array_prefix += "[";
            bindingmodifications_array_prefix += std::to_string(value_bindingmodifications_inc);
            bindingmodifications_array_prefix += "]";
            if (nullptr == value->bindingModifications[value_bindingmodifications_inc]) {
                std::ostringstream oss_bindingModifications;
                oss_bindingModifications << std::hex << reinterpret_cast<const void*>(value->bindingModifications[value_bindingmodifications_inc]);
                contents.emplace_back("const XrBindingModificationBaseHeaderKHR* const*", bindingmodifications_array_prefix, oss_bindingModifications.str());
            } else if (!ApiDumpOutputXrStruct(gen_dispatch_table, value->bindingModifications[value_bindingmodifications_inc], bindingmodifications_array_prefix, "const XrBindingModificationBaseHeaderKHR* const*", true, contents)) {
                throw std::invalid_argument("Invalid Operation");
            }
        }
        return true;
    } catch(...) {
    }
    return false;
}

bool ApiDumpOutputXrStruct(XrGeneratedDispatchTable* gen_dispatch_table, const XrEventDataPerfSettingsEXT* value,
                           std::string prefix, std::string type_string, bool is_pointer,
                           std::vector<std::tuple<std::string, std::string, std::string>> &contents) {
    (void)gen_dispatch_table;  // silence warning
    try {
        contents.emplace_back(type_string, prefix, PointerToHexString(value));
        if (is_pointer) {
            prefix += "->";
        } else {
            prefix += ".";
        }
        std::string type_prefix = prefix;
        type_prefix += "type";
        if (nullptr != gen_dispatch_table) {
            char type_string[XR_MAX_STRUCTURE_NAME_SIZE];
            gen_dispatch_table->StructureTypeToString(FindInstanceFromDispatchTable(gen_dispatch_table),
                                                      value->type, type_string);
            contents.emplace_back("XrStructureType", type_prefix, type_string);
        } else {
                        contents.emplace_back("XrStructureType", type_prefix, std::to_string(value->type));
        }
        std::string next_prefix = prefix;
        next_prefix += "next";
        // Decode the next chain if it exists
        if (!ApiDumpDecodeNextChain(gen_dispatch_table, value->next, next_prefix, contents)) {
            throw std::invalid_argument("Invalid Operation");
        }
        std::string domain_prefix = prefix;
        domain_prefix += "domain";
        contents.emplace_back("XrPerfSettingsDomainEXT", domain_prefix, std::to_string(value->domain));
        std::string subdomain_prefix = prefix;
        subdomain_prefix += "subDomain";
        contents.emplace_back("XrPerfSettingsSubDomainEXT", subdomain_prefix, std::to_string(value->subDomain));
        std::string fromlevel_prefix = prefix;
        fromlevel_prefix += "fromLevel";
        contents.emplace_back("XrPerfSettingsNotificationLevelEXT", fromlevel_prefix, std::to_string(value->fromLevel));
        std::string tolevel_prefix = prefix;
        tolevel_prefix += "toLevel";
        contents.emplace_back("XrPerfSettingsNotificationLevelEXT", tolevel_prefix, std::to_string(value->toLevel));
        return true;
    } catch(...) {
    }
    return false;
}

bool ApiDumpOutputXrStruct(XrGeneratedDispatchTable* gen_dispatch_table, const XrDebugUtilsObjectNameInfoEXT* value,
                           std::string prefix, std::string type_string, bool is_pointer,
                           std::vector<std::tuple<std::string, std::string, std::string>> &contents) {
    (void)gen_dispatch_table;  // silence warning
    try {
        contents.emplace_back(type_string, prefix, PointerToHexString(value));
        if (is_pointer) {
            prefix += "->";
        } else {
            prefix += ".";
        }
        std::string type_prefix = prefix;
        type_prefix += "type";
        if (nullptr != gen_dispatch_table) {
            char type_string[XR_MAX_STRUCTURE_NAME_SIZE];
            gen_dispatch_table->StructureTypeToString(FindInstanceFromDispatchTable(gen_dispatch_table),
                                                      value->type, type_string);
            contents.emplace_back("XrStructureType", type_prefix, type_string);
        } else {
                        contents.emplace_back("XrStructureType", type_prefix, std::to_string(value->type));
        }
        std::string next_prefix = prefix;
        next_prefix += "next";
        // Decode the next chain if it exists
        if (!ApiDumpDecodeNextChain(gen_dispatch_table, value->next, next_prefix, contents)) {
            throw std::invalid_argument("Invalid Operation");
        }
        std::string objecttype_prefix = prefix;
        objecttype_prefix += "objectType";
        contents.emplace_back("XrObjectType", objecttype_prefix, std::to_string(value->objectType));
        std::string objecthandle_prefix = prefix;
        objecthandle_prefix += "objectHandle";
        std::ostringstream oss_objectHandle;
        oss_objectHandle << "0x" << std::hex << (value->objectHandle);
        contents.emplace_back("uint64_t", objecthandle_prefix, oss_objectHandle.str());
        std::string objectname_prefix = prefix;
        objectname_prefix += "objectName";
        if (nullptr == value->objectName) {
            std::ostringstream oss_objectName_array;
            oss_objectName_array << std::hex << reinterpret_cast<const void*>(value->objectName);
            contents.emplace_back("const char*", objectname_prefix, oss_objectName_array.str());
        } else {
            std::ostringstream oss_objectName;
            oss_objectName << std::hex << reinterpret_cast<const void*>(*value->objectName);
            contents.emplace_back("const char*", objectname_prefix, oss_objectName.str());
        }
        return true;
    } catch(...) {
    }
    return false;
}

bool ApiDumpOutputXrStruct(XrGeneratedDispatchTable* gen_dispatch_table, const XrDebugUtilsLabelEXT* value,
                           std::string prefix, std::string type_string, bool is_pointer,
                           std::vector<std::tuple<std::string, std::string, std::string>> &contents) {
    (void)gen_dispatch_table;  // silence warning
    try {
        contents.emplace_back(type_string, prefix, PointerToHexString(value));
        if (is_pointer) {
            prefix += "->";
        } else {
            prefix += ".";
        }
        std::string type_prefix = prefix;
        type_prefix += "type";
        if (nullptr != gen_dispatch_table) {
            char type_string[XR_MAX_STRUCTURE_NAME_SIZE];
            gen_dispatch_table->StructureTypeToString(FindInstanceFromDispatchTable(gen_dispatch_table),
                                                      value->type, type_string);
            contents.emplace_back("XrStructureType", type_prefix, type_string);
        } else {
                        contents.emplace_back("XrStructureType", type_prefix, std::to_string(value->type));
        }
        std::string next_prefix = prefix;
        next_prefix += "next";
        // Decode the next chain if it exists
        if (!ApiDumpDecodeNextChain(gen_dispatch_table, value->next, next_prefix, contents)) {
            throw std::invalid_argument("Invalid Operation");
        }
        std::string labelname_prefix = prefix;
        labelname_prefix += "labelName";
        std::ostringstream oss_labelName;
        oss_labelName << std::hex << reinterpret_cast<const void*>(*value->labelName);
        contents.emplace_back("const char*", labelname_prefix, oss_labelName.str());
        return true;
    } catch(...) {
    }
    return false;
}

bool ApiDumpOutputXrStruct(XrGeneratedDispatchTable* gen_dispatch_table, const XrDebugUtilsMessengerCallbackDataEXT* value,
                           std::string prefix, std::string type_string, bool is_pointer,
                           std::vector<std::tuple<std::string, std::string, std::string>> &contents) {
    (void)gen_dispatch_table;  // silence warning
    try {
        contents.emplace_back(type_string, prefix, PointerToHexString(value));
        if (is_pointer) {
            prefix += "->";
        } else {
            prefix += ".";
        }
        std::string type_prefix = prefix;
        type_prefix += "type";
        if (nullptr != gen_dispatch_table) {
            char type_string[XR_MAX_STRUCTURE_NAME_SIZE];
            gen_dispatch_table->StructureTypeToString(FindInstanceFromDispatchTable(gen_dispatch_table),
                                                      value->type, type_string);
            contents.emplace_back("XrStructureType", type_prefix, type_string);
        } else {
                        contents.emplace_back("XrStructureType", type_prefix, std::to_string(value->type));
        }
        std::string next_prefix = prefix;
        next_prefix += "next";
        // Decode the next chain if it exists
        if (!ApiDumpDecodeNextChain(gen_dispatch_table, value->next, next_prefix, contents)) {
            throw std::invalid_argument("Invalid Operation");
        }
        std::string messageid_prefix = prefix;
        messageid_prefix += "messageId";
        std::ostringstream oss_messageId;
        oss_messageId << std::hex << reinterpret_cast<const void*>(*value->messageId);
        contents.emplace_back("const char*", messageid_prefix, oss_messageId.str());
        std::string functionname_prefix = prefix;
        functionname_prefix += "functionName";
        std::ostringstream oss_functionName;
        oss_functionName << std::hex << reinterpret_cast<const void*>(*value->functionName);
        contents.emplace_back("const char*", functionname_prefix, oss_functionName.str());
        std::string message_prefix = prefix;
        message_prefix += "message";
        std::ostringstream oss_message;
        oss_message << std::hex << reinterpret_cast<const void*>(*value->message);
        contents.emplace_back("const char*", message_prefix, oss_message.str());
        std::string objectcount_prefix = prefix;
        objectcount_prefix += "objectCount";
        std::ostringstream oss_objectCount;
        oss_objectCount << "0x" << std::hex << (value->objectCount);
        contents.emplace_back("uint32_t", objectcount_prefix, oss_objectCount.str());
        std::string objects_prefix = prefix;
        objects_prefix += "objects";
        std::ostringstream oss_objects;
        oss_objects << std::hex << reinterpret_cast<const void*>(value->objects);
        contents.emplace_back("XrDebugUtilsObjectNameInfoEXT*", objects_prefix, oss_objects.str());
        std::string sessionlabelcount_prefix = prefix;
        sessionlabelcount_prefix += "sessionLabelCount";
        std::ostringstream oss_sessionLabelCount;
        oss_sessionLabelCount << "0x" << std::hex << (value->sessionLabelCount);
        contents.emplace_back("uint32_t", sessionlabelcount_prefix, oss_sessionLabelCount.str());
        std::string sessionlabels_prefix = prefix;
        sessionlabels_prefix += "sessionLabels";
        std::ostringstream oss_sessionLabels;
        oss_sessionLabels << std::hex << reinterpret_cast<const void*>(value->sessionLabels);
        contents.emplace_back("XrDebugUtilsLabelEXT*", sessionlabels_prefix, oss_sessionLabels.str());
        return true;
    } catch(...) {
    }
    return false;
}

bool ApiDumpOutputXrStruct(XrGeneratedDispatchTable* gen_dispatch_table, const XrDebugUtilsMessengerCreateInfoEXT* value,
                           std::string prefix, std::string type_string, bool is_pointer,
                           std::vector<std::tuple<std::string, std::string, std::string>> &contents) {
    (void)gen_dispatch_table;  // silence warning
    try {
        contents.emplace_back(type_string, prefix, PointerToHexString(value));
        if (is_pointer) {
            prefix += "->";
        } else {
            prefix += ".";
        }
        std::string type_prefix = prefix;
        type_prefix += "type";
        if (nullptr != gen_dispatch_table) {
            char type_string[XR_MAX_STRUCTURE_NAME_SIZE];
            gen_dispatch_table->StructureTypeToString(FindInstanceFromDispatchTable(gen_dispatch_table),
                                                      value->type, type_string);
            contents.emplace_back("XrStructureType", type_prefix, type_string);
        } else {
                        contents.emplace_back("XrStructureType", type_prefix, std::to_string(value->type));
        }
        std::string next_prefix = prefix;
        next_prefix += "next";
        // Decode the next chain if it exists
        if (!ApiDumpDecodeNextChain(gen_dispatch_table, value->next, next_prefix, contents)) {
            throw std::invalid_argument("Invalid Operation");
        }
        std::string messageseverities_prefix = prefix;
        messageseverities_prefix += "messageSeverities";
        contents.emplace_back("XrDebugUtilsMessageSeverityFlagsEXT", messageseverities_prefix, std::to_string(value->messageSeverities));
        std::string messagetypes_prefix = prefix;
        messagetypes_prefix += "messageTypes";
        contents.emplace_back("XrDebugUtilsMessageTypeFlagsEXT", messagetypes_prefix, std::to_string(value->messageTypes));
        std::string usercallback_prefix = prefix;
        usercallback_prefix += "userCallback";
        std::ostringstream oss_userCallback;
        oss_userCallback << std::hex << reinterpret_cast<const void*>(value->userCallback);
        contents.emplace_back("PFN_xrDebugUtilsMessengerCallbackEXT", usercallback_prefix, oss_userCallback.str());
        std::string userdata_prefix = prefix;
        userdata_prefix += "userData";
        std::ostringstream oss_userData;
        oss_userData << std::hex << reinterpret_cast<const void*>(value->userData);
        contents.emplace_back("void* XR_MAY_ALIAS", userdata_prefix, oss_userData.str());
        return true;
    } catch(...) {
    }
    return false;
}

bool ApiDumpOutputXrStruct(XrGeneratedDispatchTable* gen_dispatch_table, const XrSystemEyeGazeInteractionPropertiesEXT* value,
                           std::string prefix, std::string type_string, bool is_pointer,
                           std::vector<std::tuple<std::string, std::string, std::string>> &contents) {
    (void)gen_dispatch_table;  // silence warning
    try {
        contents.emplace_back(type_string, prefix, PointerToHexString(value));
        if (is_pointer) {
            prefix += "->";
        } else {
            prefix += ".";
        }
        std::string type_prefix = prefix;
        type_prefix += "type";
        if (nullptr != gen_dispatch_table) {
            char type_string[XR_MAX_STRUCTURE_NAME_SIZE];
            gen_dispatch_table->StructureTypeToString(FindInstanceFromDispatchTable(gen_dispatch_table),
                                                      value->type, type_string);
            contents.emplace_back("XrStructureType", type_prefix, type_string);
        } else {
                        contents.emplace_back("XrStructureType", type_prefix, std::to_string(value->type));
        }
        std::string next_prefix = prefix;
        next_prefix += "next";
        // Decode the next chain if it exists
        if (!ApiDumpDecodeNextChain(gen_dispatch_table, value->next, next_prefix, contents)) {
            throw std::invalid_argument("Invalid Operation");
        }
        std::string supportseyegazeinteraction_prefix = prefix;
        supportseyegazeinteraction_prefix += "supportsEyeGazeInteraction";
        std::ostringstream oss_supportsEyeGazeInteraction;
        oss_supportsEyeGazeInteraction << "0x" << std::hex << (value->supportsEyeGazeInteraction);
        contents.emplace_back("XrBool32", supportseyegazeinteraction_prefix, oss_supportsEyeGazeInteraction.str());
        return true;
    } catch(...) {
    }
    return false;
}

bool ApiDumpOutputXrStruct(XrGeneratedDispatchTable* gen_dispatch_table, const XrEyeGazeSampleTimeEXT* value,
                           std::string prefix, std::string type_string, bool is_pointer,
                           std::vector<std::tuple<std::string, std::string, std::string>> &contents) {
    (void)gen_dispatch_table;  // silence warning
    try {
        contents.emplace_back(type_string, prefix, PointerToHexString(value));
        if (is_pointer) {
            prefix += "->";
        } else {
            prefix += ".";
        }
        std::string type_prefix = prefix;
        type_prefix += "type";
        if (nullptr != gen_dispatch_table) {
            char type_string[XR_MAX_STRUCTURE_NAME_SIZE];
            gen_dispatch_table->StructureTypeToString(FindInstanceFromDispatchTable(gen_dispatch_table),
                                                      value->type, type_string);
            contents.emplace_back("XrStructureType", type_prefix, type_string);
        } else {
                        contents.emplace_back("XrStructureType", type_prefix, std::to_string(value->type));
        }
        std::string next_prefix = prefix;
        next_prefix += "next";
        // Decode the next chain if it exists
        if (!ApiDumpDecodeNextChain(gen_dispatch_table, value->next, next_prefix, contents)) {
            throw std::invalid_argument("Invalid Operation");
        }
        std::string time_prefix = prefix;
        time_prefix += "time";
        contents.emplace_back("XrTime", time_prefix, std::to_string(value->time));
        return true;
    } catch(...) {
    }
    return false;
}

bool ApiDumpOutputXrStruct(XrGeneratedDispatchTable* gen_dispatch_table, const XrSessionCreateInfoOverlayEXTX* value,
                           std::string prefix, std::string type_string, bool is_pointer,
                           std::vector<std::tuple<std::string, std::string, std::string>> &contents) {
    (void)gen_dispatch_table;  // silence warning
    try {
        contents.emplace_back(type_string, prefix, PointerToHexString(value));
        if (is_pointer) {
            prefix += "->";
        } else {
            prefix += ".";
        }
        std::string type_prefix = prefix;
        type_prefix += "type";
        if (nullptr != gen_dispatch_table) {
            char type_string[XR_MAX_STRUCTURE_NAME_SIZE];
            gen_dispatch_table->StructureTypeToString(FindInstanceFromDispatchTable(gen_dispatch_table),
                                                      value->type, type_string);
            contents.emplace_back("XrStructureType", type_prefix, type_string);
        } else {
                        contents.emplace_back("XrStructureType", type_prefix, std::to_string(value->type));
        }
        std::string next_prefix = prefix;
        next_prefix += "next";
        // Decode the next chain if it exists
        if (!ApiDumpDecodeNextChain(gen_dispatch_table, value->next, next_prefix, contents)) {
            throw std::invalid_argument("Invalid Operation");
        }
        std::string createflags_prefix = prefix;
        createflags_prefix += "createFlags";
        contents.emplace_back("XrOverlaySessionCreateFlagsEXTX", createflags_prefix, std::to_string(value->createFlags));
        std::string sessionlayersplacement_prefix = prefix;
        sessionlayersplacement_prefix += "sessionLayersPlacement";
        std::ostringstream oss_sessionLayersPlacement;
        oss_sessionLayersPlacement << "0x" << std::hex << (value->sessionLayersPlacement);
        contents.emplace_back("uint32_t", sessionlayersplacement_prefix, oss_sessionLayersPlacement.str());
        return true;
    } catch(...) {
    }
    return false;
}

bool ApiDumpOutputXrStruct(XrGeneratedDispatchTable* gen_dispatch_table, const XrEventDataMainSessionVisibilityChangedEXTX* value,
                           std::string prefix, std::string type_string, bool is_pointer,
                           std::vector<std::tuple<std::string, std::string, std::string>> &contents) {
    (void)gen_dispatch_table;  // silence warning
    try {
        contents.emplace_back(type_string, prefix, PointerToHexString(value));
        if (is_pointer) {
            prefix += "->";
        } else {
            prefix += ".";
        }
        std::string type_prefix = prefix;
        type_prefix += "type";
        if (nullptr != gen_dispatch_table) {
            char type_string[XR_MAX_STRUCTURE_NAME_SIZE];
            gen_dispatch_table->StructureTypeToString(FindInstanceFromDispatchTable(gen_dispatch_table),
                                                      value->type, type_string);
            contents.emplace_back("XrStructureType", type_prefix, type_string);
        } else {
                        contents.emplace_back("XrStructureType", type_prefix, std::to_string(value->type));
        }
        std::string next_prefix = prefix;
        next_prefix += "next";
        // Decode the next chain if it exists
        if (!ApiDumpDecodeNextChain(gen_dispatch_table, value->next, next_prefix, contents)) {
            throw std::invalid_argument("Invalid Operation");
        }
        std::string visible_prefix = prefix;
        visible_prefix += "visible";
        std::ostringstream oss_visible;
        oss_visible << "0x" << std::hex << (value->visible);
        contents.emplace_back("XrBool32", visible_prefix, oss_visible.str());
        std::string flags_prefix = prefix;
        flags_prefix += "flags";
        contents.emplace_back("XrOverlayMainSessionFlagsEXTX", flags_prefix, std::to_string(value->flags));
        return true;
    } catch(...) {
    }
    return false;
}

bool ApiDumpOutputXrStruct(XrGeneratedDispatchTable* gen_dispatch_table, const XrSpatialAnchorCreateInfoMSFT* value,
                           std::string prefix, std::string type_string, bool is_pointer,
                           std::vector<std::tuple<std::string, std::string, std::string>> &contents) {
    (void)gen_dispatch_table;  // silence warning
    try {
        contents.emplace_back(type_string, prefix, PointerToHexString(value));
        if (is_pointer) {
            prefix += "->";
        } else {
            prefix += ".";
        }
        std::string type_prefix = prefix;
        type_prefix += "type";
        if (nullptr != gen_dispatch_table) {
            char type_string[XR_MAX_STRUCTURE_NAME_SIZE];
            gen_dispatch_table->StructureTypeToString(FindInstanceFromDispatchTable(gen_dispatch_table),
                                                      value->type, type_string);
            contents.emplace_back("XrStructureType", type_prefix, type_string);
        } else {
                        contents.emplace_back("XrStructureType", type_prefix, std::to_string(value->type));
        }
        std::string next_prefix = prefix;
        next_prefix += "next";
        // Decode the next chain if it exists
        if (!ApiDumpDecodeNextChain(gen_dispatch_table, value->next, next_prefix, contents)) {
            throw std::invalid_argument("Invalid Operation");
        }
        std::string space_prefix = prefix;
        space_prefix += "space";
        std::ostringstream oss_space;
        oss_space << std::hex << reinterpret_cast<const void*>(value->space);
        contents.emplace_back("XrSpace", space_prefix, oss_space.str());
        std::string pose_prefix = prefix;
        pose_prefix += "pose";
        if (!ApiDumpOutputXrStruct(gen_dispatch_table, &value->pose, pose_prefix, "XrPosef", false, contents)) {
            throw std::invalid_argument("Invalid Operation");
        }
        std::string time_prefix = prefix;
        time_prefix += "time";
        contents.emplace_back("XrTime", time_prefix, std::to_string(value->time));
        return true;
    } catch(...) {
    }
    return false;
}

bool ApiDumpOutputXrStruct(XrGeneratedDispatchTable* gen_dispatch_table, const XrSpatialAnchorSpaceCreateInfoMSFT* value,
                           std::string prefix, std::string type_string, bool is_pointer,
                           std::vector<std::tuple<std::string, std::string, std::string>> &contents) {
    (void)gen_dispatch_table;  // silence warning
    try {
        contents.emplace_back(type_string, prefix, PointerToHexString(value));
        if (is_pointer) {
            prefix += "->";
        } else {
            prefix += ".";
        }
        std::string type_prefix = prefix;
        type_prefix += "type";
        if (nullptr != gen_dispatch_table) {
            char type_string[XR_MAX_STRUCTURE_NAME_SIZE];
            gen_dispatch_table->StructureTypeToString(FindInstanceFromDispatchTable(gen_dispatch_table),
                                                      value->type, type_string);
            contents.emplace_back("XrStructureType", type_prefix, type_string);
        } else {
                        contents.emplace_back("XrStructureType", type_prefix, std::to_string(value->type));
        }
        std::string next_prefix = prefix;
        next_prefix += "next";
        // Decode the next chain if it exists
        if (!ApiDumpDecodeNextChain(gen_dispatch_table, value->next, next_prefix, contents)) {
            throw std::invalid_argument("Invalid Operation");
        }
        std::string anchor_prefix = prefix;
        anchor_prefix += "anchor";
        std::ostringstream oss_anchor;
        oss_anchor << std::hex << reinterpret_cast<const void*>(value->anchor);
        contents.emplace_back("XrSpatialAnchorMSFT", anchor_prefix, oss_anchor.str());
        std::string poseinanchorspace_prefix = prefix;
        poseinanchorspace_prefix += "poseInAnchorSpace";
        if (!ApiDumpOutputXrStruct(gen_dispatch_table, &value->poseInAnchorSpace, poseinanchorspace_prefix, "XrPosef", false, contents)) {
            throw std::invalid_argument("Invalid Operation");
        }
        return true;
    } catch(...) {
    }
    return false;
}

bool ApiDumpOutputXrStruct(XrGeneratedDispatchTable* gen_dispatch_table, const XrViewConfigurationDepthRangeEXT* value,
                           std::string prefix, std::string type_string, bool is_pointer,
                           std::vector<std::tuple<std::string, std::string, std::string>> &contents) {
    (void)gen_dispatch_table;  // silence warning
    try {
        contents.emplace_back(type_string, prefix, PointerToHexString(value));
        if (is_pointer) {
            prefix += "->";
        } else {
            prefix += ".";
        }
        std::string type_prefix = prefix;
        type_prefix += "type";
        if (nullptr != gen_dispatch_table) {
            char type_string[XR_MAX_STRUCTURE_NAME_SIZE];
            gen_dispatch_table->StructureTypeToString(FindInstanceFromDispatchTable(gen_dispatch_table),
                                                      value->type, type_string);
            contents.emplace_back("XrStructureType", type_prefix, type_string);
        } else {
                        contents.emplace_back("XrStructureType", type_prefix, std::to_string(value->type));
        }
        std::string next_prefix = prefix;
        next_prefix += "next";
        // Decode the next chain if it exists
        if (!ApiDumpDecodeNextChain(gen_dispatch_table, value->next, next_prefix, contents)) {
            throw std::invalid_argument("Invalid Operation");
        }
        std::string recommendednearz_prefix = prefix;
        recommendednearz_prefix += "recommendedNearZ";
        std::ostringstream oss_recommendedNearZ;
        oss_recommendedNearZ << std::setprecision(32) << (value->recommendedNearZ);
        contents.emplace_back("float", recommendednearz_prefix, oss_recommendedNearZ.str());
        std::string minnearz_prefix = prefix;
        minnearz_prefix += "minNearZ";
        std::ostringstream oss_minNearZ;
        oss_minNearZ << std::setprecision(32) << (value->minNearZ);
        contents.emplace_back("float", minnearz_prefix, oss_minNearZ.str());
        std::string recommendedfarz_prefix = prefix;
        recommendedfarz_prefix += "recommendedFarZ";
        std::ostringstream oss_recommendedFarZ;
        oss_recommendedFarZ << std::setprecision(32) << (value->recommendedFarZ);
        contents.emplace_back("float", recommendedfarz_prefix, oss_recommendedFarZ.str());
        std::string maxfarz_prefix = prefix;
        maxfarz_prefix += "maxFarZ";
        std::ostringstream oss_maxFarZ;
        oss_maxFarZ << std::setprecision(32) << (value->maxFarZ);
        contents.emplace_back("float", maxfarz_prefix, oss_maxFarZ.str());
        return true;
    } catch(...) {
    }
    return false;
}

#if defined(XR_USE_PLATFORM_EGL)
bool ApiDumpOutputXrStruct(XrGeneratedDispatchTable* gen_dispatch_table, const XrGraphicsBindingEGLMNDX* value,
                           std::string prefix, std::string type_string, bool is_pointer,
                           std::vector<std::tuple<std::string, std::string, std::string>> &contents) {
    (void)gen_dispatch_table;  // silence warning
    try {
        contents.emplace_back(type_string, prefix, PointerToHexString(value));
        if (is_pointer) {
            prefix += "->";
        } else {
            prefix += ".";
        }
        std::string type_prefix = prefix;
        type_prefix += "type";
        if (nullptr != gen_dispatch_table) {
            char type_string[XR_MAX_STRUCTURE_NAME_SIZE];
            gen_dispatch_table->StructureTypeToString(FindInstanceFromDispatchTable(gen_dispatch_table),
                                                      value->type, type_string);
            contents.emplace_back("XrStructureType", type_prefix, type_string);
        } else {
                        contents.emplace_back("XrStructureType", type_prefix, std::to_string(value->type));
        }
        std::string next_prefix = prefix;
        next_prefix += "next";
        // Decode the next chain if it exists
        if (!ApiDumpDecodeNextChain(gen_dispatch_table, value->next, next_prefix, contents)) {
            throw std::invalid_argument("Invalid Operation");
        }
        std::string getprocaddress_prefix = prefix;
        getprocaddress_prefix += "getProcAddress";
        contents.emplace_back("PFNEGLGETPROCADDRESSPROC", getprocaddress_prefix, std::to_string(value->getProcAddress));
        std::string display_prefix = prefix;
        display_prefix += "display";
        std::ostringstream oss_display;
        oss_display << std::hex << reinterpret_cast<const void*>(value->display);
        contents.emplace_back("EGLDisplay", display_prefix, oss_display.str());
        std::string config_prefix = prefix;
        config_prefix += "config";
        std::ostringstream oss_config;
        oss_config << std::hex << reinterpret_cast<const void*>(value->config);
        contents.emplace_back("EGLConfig", config_prefix, oss_config.str());
        std::string context_prefix = prefix;
        context_prefix += "context";
        std::ostringstream oss_context;
        oss_context << std::hex << reinterpret_cast<const void*>(value->context);
        contents.emplace_back("EGLContext", context_prefix, oss_context.str());
        return true;
    } catch(...) {
    }
    return false;
}
#endif // defined(XR_USE_PLATFORM_EGL)

bool ApiDumpOutputXrStruct(XrGeneratedDispatchTable* gen_dispatch_table, const XrSpatialGraphNodeSpaceCreateInfoMSFT* value,
                           std::string prefix, std::string type_string, bool is_pointer,
                           std::vector<std::tuple<std::string, std::string, std::string>> &contents) {
    (void)gen_dispatch_table;  // silence warning
    try {
        contents.emplace_back(type_string, prefix, PointerToHexString(value));
        if (is_pointer) {
            prefix += "->";
        } else {
            prefix += ".";
        }
        std::string type_prefix = prefix;
        type_prefix += "type";
        if (nullptr != gen_dispatch_table) {
            char type_string[XR_MAX_STRUCTURE_NAME_SIZE];
            gen_dispatch_table->StructureTypeToString(FindInstanceFromDispatchTable(gen_dispatch_table),
                                                      value->type, type_string);
            contents.emplace_back("XrStructureType", type_prefix, type_string);
        } else {
                        contents.emplace_back("XrStructureType", type_prefix, std::to_string(value->type));
        }
        std::string next_prefix = prefix;
        next_prefix += "next";
        // Decode the next chain if it exists
        if (!ApiDumpDecodeNextChain(gen_dispatch_table, value->next, next_prefix, contents)) {
            throw std::invalid_argument("Invalid Operation");
        }
        std::string nodetype_prefix = prefix;
        nodetype_prefix += "nodeType";
        contents.emplace_back("XrSpatialGraphNodeTypeMSFT", nodetype_prefix, std::to_string(value->nodeType));
        std::string nodeid_prefix = prefix;
        nodeid_prefix += "nodeId";
        std::ostringstream oss_nodeId_array;
        oss_nodeId_array << "0x" << std::hex << (value->nodeId);
        contents.emplace_back("uint8_t*", nodeid_prefix, oss_nodeId_array.str());
        for (uint32_t value_nodeid_inc = 0; value_nodeid_inc < 16; ++value_nodeid_inc) {
            std::string nodeid_array_prefix = nodeid_prefix;
            nodeid_array_prefix += "[";
            nodeid_array_prefix += std::to_string(value_nodeid_inc);
            nodeid_array_prefix += "]";
            std::ostringstream oss_nodeId;
            oss_nodeId << "0x" << std::hex << (value->nodeId[value_nodeid_inc]);
            contents.emplace_back("uint8_t", nodeid_array_prefix, oss_nodeId.str());
        }
        std::string pose_prefix = prefix;
        pose_prefix += "pose";
        if (!ApiDumpOutputXrStruct(gen_dispatch_table, &value->pose, pose_prefix, "XrPosef", false, contents)) {
            throw std::invalid_argument("Invalid Operation");
        }
        return true;
    } catch(...) {
    }
    return false;
}

bool ApiDumpOutputXrStruct(XrGeneratedDispatchTable* gen_dispatch_table, const XrSystemHandTrackingPropertiesEXT* value,
                           std::string prefix, std::string type_string, bool is_pointer,
                           std::vector<std::tuple<std::string, std::string, std::string>> &contents) {
    (void)gen_dispatch_table;  // silence warning
    try {
        contents.emplace_back(type_string, prefix, PointerToHexString(value));
        if (is_pointer) {
            prefix += "->";
        } else {
            prefix += ".";
        }
        std::string type_prefix = prefix;
        type_prefix += "type";
        if (nullptr != gen_dispatch_table) {
            char type_string[XR_MAX_STRUCTURE_NAME_SIZE];
            gen_dispatch_table->StructureTypeToString(FindInstanceFromDispatchTable(gen_dispatch_table),
                                                      value->type, type_string);
            contents.emplace_back("XrStructureType", type_prefix, type_string);
        } else {
                        contents.emplace_back("XrStructureType", type_prefix, std::to_string(value->type));
        }
        std::string next_prefix = prefix;
        next_prefix += "next";
        // Decode the next chain if it exists
        if (!ApiDumpDecodeNextChain(gen_dispatch_table, value->next, next_prefix, contents)) {
            throw std::invalid_argument("Invalid Operation");
        }
        std::string supportshandtracking_prefix = prefix;
        supportshandtracking_prefix += "supportsHandTracking";
        std::ostringstream oss_supportsHandTracking;
        oss_supportsHandTracking << "0x" << std::hex << (value->supportsHandTracking);
        contents.emplace_back("XrBool32", supportshandtracking_prefix, oss_supportsHandTracking.str());
        return true;
    } catch(...) {
    }
    return false;
}

bool ApiDumpOutputXrStruct(XrGeneratedDispatchTable* gen_dispatch_table, const XrHandTrackerCreateInfoEXT* value,
                           std::string prefix, std::string type_string, bool is_pointer,
                           std::vector<std::tuple<std::string, std::string, std::string>> &contents) {
    (void)gen_dispatch_table;  // silence warning
    try {
        contents.emplace_back(type_string, prefix, PointerToHexString(value));
        if (is_pointer) {
            prefix += "->";
        } else {
            prefix += ".";
        }
        std::string type_prefix = prefix;
        type_prefix += "type";
        if (nullptr != gen_dispatch_table) {
            char type_string[XR_MAX_STRUCTURE_NAME_SIZE];
            gen_dispatch_table->StructureTypeToString(FindInstanceFromDispatchTable(gen_dispatch_table),
                                                      value->type, type_string);
            contents.emplace_back("XrStructureType", type_prefix, type_string);
        } else {
                        contents.emplace_back("XrStructureType", type_prefix, std::to_string(value->type));
        }
        std::string next_prefix = prefix;
        next_prefix += "next";
        // Decode the next chain if it exists
        if (!ApiDumpDecodeNextChain(gen_dispatch_table, value->next, next_prefix, contents)) {
            throw std::invalid_argument("Invalid Operation");
        }
        std::string hand_prefix = prefix;
        hand_prefix += "hand";
        contents.emplace_back("XrHandEXT", hand_prefix, std::to_string(value->hand));
        std::string handjointset_prefix = prefix;
        handjointset_prefix += "handJointSet";
        contents.emplace_back("XrHandJointSetEXT", handjointset_prefix, std::to_string(value->handJointSet));
        return true;
    } catch(...) {
    }
    return false;
}

bool ApiDumpOutputXrStruct(XrGeneratedDispatchTable* gen_dispatch_table, const XrHandJointsLocateInfoEXT* value,
                           std::string prefix, std::string type_string, bool is_pointer,
                           std::vector<std::tuple<std::string, std::string, std::string>> &contents) {
    (void)gen_dispatch_table;  // silence warning
    try {
        contents.emplace_back(type_string, prefix, PointerToHexString(value));
        if (is_pointer) {
            prefix += "->";
        } else {
            prefix += ".";
        }
        std::string type_prefix = prefix;
        type_prefix += "type";
        if (nullptr != gen_dispatch_table) {
            char type_string[XR_MAX_STRUCTURE_NAME_SIZE];
            gen_dispatch_table->StructureTypeToString(FindInstanceFromDispatchTable(gen_dispatch_table),
                                                      value->type, type_string);
            contents.emplace_back("XrStructureType", type_prefix, type_string);
        } else {
                        contents.emplace_back("XrStructureType", type_prefix, std::to_string(value->type));
        }
        std::string next_prefix = prefix;
        next_prefix += "next";
        // Decode the next chain if it exists
        if (!ApiDumpDecodeNextChain(gen_dispatch_table, value->next, next_prefix, contents)) {
            throw std::invalid_argument("Invalid Operation");
        }
        std::string basespace_prefix = prefix;
        basespace_prefix += "baseSpace";
        std::ostringstream oss_baseSpace;
        oss_baseSpace << std::hex << reinterpret_cast<const void*>(value->baseSpace);
        contents.emplace_back("XrSpace", basespace_prefix, oss_baseSpace.str());
        std::string time_prefix = prefix;
        time_prefix += "time";
        contents.emplace_back("XrTime", time_prefix, std::to_string(value->time));
        return true;
    } catch(...) {
    }
    return false;
}

bool ApiDumpOutputXrStruct(XrGeneratedDispatchTable* gen_dispatch_table, const XrHandJointLocationEXT* value,
                           std::string prefix, std::string type_string, bool is_pointer,
                           std::vector<std::tuple<std::string, std::string, std::string>> &contents) {
    (void)gen_dispatch_table;  // silence warning
    try {
        contents.emplace_back(type_string, prefix, PointerToHexString(value));
        if (is_pointer) {
            prefix += "->";
        } else {
            prefix += ".";
        }
        std::string locationflags_prefix = prefix;
        locationflags_prefix += "locationFlags";
        contents.emplace_back("XrSpaceLocationFlags", locationflags_prefix, std::to_string(value->locationFlags));
        std::string pose_prefix = prefix;
        pose_prefix += "pose";
        if (!ApiDumpOutputXrStruct(gen_dispatch_table, &value->pose, pose_prefix, "XrPosef", false, contents)) {
            throw std::invalid_argument("Invalid Operation");
        }
        std::string radius_prefix = prefix;
        radius_prefix += "radius";
        std::ostringstream oss_radius;
        oss_radius << std::setprecision(32) << (value->radius);
        contents.emplace_back("float", radius_prefix, oss_radius.str());
        return true;
    } catch(...) {
    }
    return false;
}

bool ApiDumpOutputXrStruct(XrGeneratedDispatchTable* gen_dispatch_table, const XrHandJointVelocityEXT* value,
                           std::string prefix, std::string type_string, bool is_pointer,
                           std::vector<std::tuple<std::string, std::string, std::string>> &contents) {
    (void)gen_dispatch_table;  // silence warning
    try {
        contents.emplace_back(type_string, prefix, PointerToHexString(value));
        if (is_pointer) {
            prefix += "->";
        } else {
            prefix += ".";
        }
        std::string velocityflags_prefix = prefix;
        velocityflags_prefix += "velocityFlags";
        contents.emplace_back("XrSpaceVelocityFlags", velocityflags_prefix, std::to_string(value->velocityFlags));
        std::string linearvelocity_prefix = prefix;
        linearvelocity_prefix += "linearVelocity";
        if (!ApiDumpOutputXrStruct(gen_dispatch_table, &value->linearVelocity, linearvelocity_prefix, "XrVector3f", false, contents)) {
            throw std::invalid_argument("Invalid Operation");
        }
        std::string angularvelocity_prefix = prefix;
        angularvelocity_prefix += "angularVelocity";
        if (!ApiDumpOutputXrStruct(gen_dispatch_table, &value->angularVelocity, angularvelocity_prefix, "XrVector3f", false, contents)) {
            throw std::invalid_argument("Invalid Operation");
        }
        return true;
    } catch(...) {
    }
    return false;
}

bool ApiDumpOutputXrStruct(XrGeneratedDispatchTable* gen_dispatch_table, const XrHandJointLocationsEXT* value,
                           std::string prefix, std::string type_string, bool is_pointer,
                           std::vector<std::tuple<std::string, std::string, std::string>> &contents) {
    (void)gen_dispatch_table;  // silence warning
    try {
        contents.emplace_back(type_string, prefix, PointerToHexString(value));
        if (is_pointer) {
            prefix += "->";
        } else {
            prefix += ".";
        }
        std::string type_prefix = prefix;
        type_prefix += "type";
        if (nullptr != gen_dispatch_table) {
            char type_string[XR_MAX_STRUCTURE_NAME_SIZE];
            gen_dispatch_table->StructureTypeToString(FindInstanceFromDispatchTable(gen_dispatch_table),
                                                      value->type, type_string);
            contents.emplace_back("XrStructureType", type_prefix, type_string);
        } else {
                        contents.emplace_back("XrStructureType", type_prefix, std::to_string(value->type));
        }
        std::string next_prefix = prefix;
        next_prefix += "next";
        // Decode the next chain if it exists
        if (!ApiDumpDecodeNextChain(gen_dispatch_table, value->next, next_prefix, contents)) {
            throw std::invalid_argument("Invalid Operation");
        }
        std::string isactive_prefix = prefix;
        isactive_prefix += "isActive";
        std::ostringstream oss_isActive;
        oss_isActive << "0x" << std::hex << (value->isActive);
        contents.emplace_back("XrBool32", isactive_prefix, oss_isActive.str());
        std::string jointcount_prefix = prefix;
        jointcount_prefix += "jointCount";
        std::ostringstream oss_jointCount;
        oss_jointCount << "0x" << std::hex << (value->jointCount);
        contents.emplace_back("uint32_t", jointcount_prefix, oss_jointCount.str());
        std::string jointlocations_prefix = prefix;
        jointlocations_prefix += "jointLocations";
        std::ostringstream oss_jointLocations;
        oss_jointLocations << std::hex << reinterpret_cast<const void*>(value->jointLocations);
        contents.emplace_back("XrHandJointLocationEXT*", jointlocations_prefix, oss_jointLocations.str());
        return true;
    } catch(...) {
    }
    return false;
}

bool ApiDumpOutputXrStruct(XrGeneratedDispatchTable* gen_dispatch_table, const XrHandJointVelocitiesEXT* value,
                           std::string prefix, std::string type_string, bool is_pointer,
                           std::vector<std::tuple<std::string, std::string, std::string>> &contents) {
    (void)gen_dispatch_table;  // silence warning
    try {
        contents.emplace_back(type_string, prefix, PointerToHexString(value));
        if (is_pointer) {
            prefix += "->";
        } else {
            prefix += ".";
        }
        std::string type_prefix = prefix;
        type_prefix += "type";
        if (nullptr != gen_dispatch_table) {
            char type_string[XR_MAX_STRUCTURE_NAME_SIZE];
            gen_dispatch_table->StructureTypeToString(FindInstanceFromDispatchTable(gen_dispatch_table),
                                                      value->type, type_string);
            contents.emplace_back("XrStructureType", type_prefix, type_string);
        } else {
                        contents.emplace_back("XrStructureType", type_prefix, std::to_string(value->type));
        }
        std::string next_prefix = prefix;
        next_prefix += "next";
        // Decode the next chain if it exists
        if (!ApiDumpDecodeNextChain(gen_dispatch_table, value->next, next_prefix, contents)) {
            throw std::invalid_argument("Invalid Operation");
        }
        std::string jointcount_prefix = prefix;
        jointcount_prefix += "jointCount";
        std::ostringstream oss_jointCount;
        oss_jointCount << "0x" << std::hex << (value->jointCount);
        contents.emplace_back("uint32_t", jointcount_prefix, oss_jointCount.str());
        std::string jointvelocities_prefix = prefix;
        jointvelocities_prefix += "jointVelocities";
        std::ostringstream oss_jointVelocities;
        oss_jointVelocities << std::hex << reinterpret_cast<const void*>(value->jointVelocities);
        contents.emplace_back("XrHandJointVelocityEXT*", jointvelocities_prefix, oss_jointVelocities.str());
        return true;
    } catch(...) {
    }
    return false;
}

bool ApiDumpOutputXrStruct(XrGeneratedDispatchTable* gen_dispatch_table, const XrSystemHandTrackingMeshPropertiesMSFT* value,
                           std::string prefix, std::string type_string, bool is_pointer,
                           std::vector<std::tuple<std::string, std::string, std::string>> &contents) {
    (void)gen_dispatch_table;  // silence warning
    try {
        contents.emplace_back(type_string, prefix, PointerToHexString(value));
        if (is_pointer) {
            prefix += "->";
        } else {
            prefix += ".";
        }
        std::string type_prefix = prefix;
        type_prefix += "type";
        if (nullptr != gen_dispatch_table) {
            char type_string[XR_MAX_STRUCTURE_NAME_SIZE];
            gen_dispatch_table->StructureTypeToString(FindInstanceFromDispatchTable(gen_dispatch_table),
                                                      value->type, type_string);
            contents.emplace_back("XrStructureType", type_prefix, type_string);
        } else {
                        contents.emplace_back("XrStructureType", type_prefix, std::to_string(value->type));
        }
        std::string next_prefix = prefix;
        next_prefix += "next";
        // Decode the next chain if it exists
        if (!ApiDumpDecodeNextChain(gen_dispatch_table, value->next, next_prefix, contents)) {
            throw std::invalid_argument("Invalid Operation");
        }
        std::string supportshandtrackingmesh_prefix = prefix;
        supportshandtrackingmesh_prefix += "supportsHandTrackingMesh";
        std::ostringstream oss_supportsHandTrackingMesh;
        oss_supportsHandTrackingMesh << "0x" << std::hex << (value->supportsHandTrackingMesh);
        contents.emplace_back("XrBool32", supportshandtrackingmesh_prefix, oss_supportsHandTrackingMesh.str());
        std::string maxhandmeshindexcount_prefix = prefix;
        maxhandmeshindexcount_prefix += "maxHandMeshIndexCount";
        std::ostringstream oss_maxHandMeshIndexCount;
        oss_maxHandMeshIndexCount << "0x" << std::hex << (value->maxHandMeshIndexCount);
        contents.emplace_back("uint32_t", maxhandmeshindexcount_prefix, oss_maxHandMeshIndexCount.str());
        std::string maxhandmeshvertexcount_prefix = prefix;
        maxhandmeshvertexcount_prefix += "maxHandMeshVertexCount";
        std::ostringstream oss_maxHandMeshVertexCount;
        oss_maxHandMeshVertexCount << "0x" << std::hex << (value->maxHandMeshVertexCount);
        contents.emplace_back("uint32_t", maxhandmeshvertexcount_prefix, oss_maxHandMeshVertexCount.str());
        return true;
    } catch(...) {
    }
    return false;
}

bool ApiDumpOutputXrStruct(XrGeneratedDispatchTable* gen_dispatch_table, const XrHandMeshSpaceCreateInfoMSFT* value,
                           std::string prefix, std::string type_string, bool is_pointer,
                           std::vector<std::tuple<std::string, std::string, std::string>> &contents) {
    (void)gen_dispatch_table;  // silence warning
    try {
        contents.emplace_back(type_string, prefix, PointerToHexString(value));
        if (is_pointer) {
            prefix += "->";
        } else {
            prefix += ".";
        }
        std::string type_prefix = prefix;
        type_prefix += "type";
        if (nullptr != gen_dispatch_table) {
            char type_string[XR_MAX_STRUCTURE_NAME_SIZE];
            gen_dispatch_table->StructureTypeToString(FindInstanceFromDispatchTable(gen_dispatch_table),
                                                      value->type, type_string);
            contents.emplace_back("XrStructureType", type_prefix, type_string);
        } else {
                        contents.emplace_back("XrStructureType", type_prefix, std::to_string(value->type));
        }
        std::string next_prefix = prefix;
        next_prefix += "next";
        // Decode the next chain if it exists
        if (!ApiDumpDecodeNextChain(gen_dispatch_table, value->next, next_prefix, contents)) {
            throw std::invalid_argument("Invalid Operation");
        }
        std::string handposetype_prefix = prefix;
        handposetype_prefix += "handPoseType";
        contents.emplace_back("XrHandPoseTypeMSFT", handposetype_prefix, std::to_string(value->handPoseType));
        std::string poseinhandmeshspace_prefix = prefix;
        poseinhandmeshspace_prefix += "poseInHandMeshSpace";
        if (!ApiDumpOutputXrStruct(gen_dispatch_table, &value->poseInHandMeshSpace, poseinhandmeshspace_prefix, "XrPosef", false, contents)) {
            throw std::invalid_argument("Invalid Operation");
        }
        return true;
    } catch(...) {
    }
    return false;
}

bool ApiDumpOutputXrStruct(XrGeneratedDispatchTable* gen_dispatch_table, const XrHandMeshUpdateInfoMSFT* value,
                           std::string prefix, std::string type_string, bool is_pointer,
                           std::vector<std::tuple<std::string, std::string, std::string>> &contents) {
    (void)gen_dispatch_table;  // silence warning
    try {
        contents.emplace_back(type_string, prefix, PointerToHexString(value));
        if (is_pointer) {
            prefix += "->";
        } else {
            prefix += ".";
        }
        std::string type_prefix = prefix;
        type_prefix += "type";
        if (nullptr != gen_dispatch_table) {
            char type_string[XR_MAX_STRUCTURE_NAME_SIZE];
            gen_dispatch_table->StructureTypeToString(FindInstanceFromDispatchTable(gen_dispatch_table),
                                                      value->type, type_string);
            contents.emplace_back("XrStructureType", type_prefix, type_string);
        } else {
                        contents.emplace_back("XrStructureType", type_prefix, std::to_string(value->type));
        }
        std::string next_prefix = prefix;
        next_prefix += "next";
        // Decode the next chain if it exists
        if (!ApiDumpDecodeNextChain(gen_dispatch_table, value->next, next_prefix, contents)) {
            throw std::invalid_argument("Invalid Operation");
        }
        std::string time_prefix = prefix;
        time_prefix += "time";
        contents.emplace_back("XrTime", time_prefix, std::to_string(value->time));
        std::string handposetype_prefix = prefix;
        handposetype_prefix += "handPoseType";
        contents.emplace_back("XrHandPoseTypeMSFT", handposetype_prefix, std::to_string(value->handPoseType));
        return true;
    } catch(...) {
    }
    return false;
}

bool ApiDumpOutputXrStruct(XrGeneratedDispatchTable* gen_dispatch_table, const XrHandMeshIndexBufferMSFT* value,
                           std::string prefix, std::string type_string, bool is_pointer,
                           std::vector<std::tuple<std::string, std::string, std::string>> &contents) {
    (void)gen_dispatch_table;  // silence warning
    try {
        contents.emplace_back(type_string, prefix, PointerToHexString(value));
        if (is_pointer) {
            prefix += "->";
        } else {
            prefix += ".";
        }
        std::string indexbufferkey_prefix = prefix;
        indexbufferkey_prefix += "indexBufferKey";
        std::ostringstream oss_indexBufferKey;
        oss_indexBufferKey << "0x" << std::hex << (value->indexBufferKey);
        contents.emplace_back("uint32_t", indexbufferkey_prefix, oss_indexBufferKey.str());
        std::string indexcapacityinput_prefix = prefix;
        indexcapacityinput_prefix += "indexCapacityInput";
        std::ostringstream oss_indexCapacityInput;
        oss_indexCapacityInput << "0x" << std::hex << (value->indexCapacityInput);
        contents.emplace_back("uint32_t", indexcapacityinput_prefix, oss_indexCapacityInput.str());
        std::string indexcountoutput_prefix = prefix;
        indexcountoutput_prefix += "indexCountOutput";
        std::ostringstream oss_indexCountOutput;
        oss_indexCountOutput << "0x" << std::hex << (value->indexCountOutput);
        contents.emplace_back("uint32_t", indexcountoutput_prefix, oss_indexCountOutput.str());
        std::string indices_prefix = prefix;
        indices_prefix += "indices";
        std::ostringstream oss_indices;
        oss_indices << "0x" << std::hex << (value->indices);
        contents.emplace_back("uint32_t*", indices_prefix, oss_indices.str());
        return true;
    } catch(...) {
    }
    return false;
}

bool ApiDumpOutputXrStruct(XrGeneratedDispatchTable* gen_dispatch_table, const XrHandMeshVertexMSFT* value,
                           std::string prefix, std::string type_string, bool is_pointer,
                           std::vector<std::tuple<std::string, std::string, std::string>> &contents) {
    (void)gen_dispatch_table;  // silence warning
    try {
        contents.emplace_back(type_string, prefix, PointerToHexString(value));
        if (is_pointer) {
            prefix += "->";
        } else {
            prefix += ".";
        }
        std::string position_prefix = prefix;
        position_prefix += "position";
        if (!ApiDumpOutputXrStruct(gen_dispatch_table, &value->position, position_prefix, "XrVector3f", false, contents)) {
            throw std::invalid_argument("Invalid Operation");
        }
        std::string normal_prefix = prefix;
        normal_prefix += "normal";
        if (!ApiDumpOutputXrStruct(gen_dispatch_table, &value->normal, normal_prefix, "XrVector3f", false, contents)) {
            throw std::invalid_argument("Invalid Operation");
        }
        return true;
    } catch(...) {
    }
    return false;
}

bool ApiDumpOutputXrStruct(XrGeneratedDispatchTable* gen_dispatch_table, const XrHandMeshVertexBufferMSFT* value,
                           std::string prefix, std::string type_string, bool is_pointer,
                           std::vector<std::tuple<std::string, std::string, std::string>> &contents) {
    (void)gen_dispatch_table;  // silence warning
    try {
        contents.emplace_back(type_string, prefix, PointerToHexString(value));
        if (is_pointer) {
            prefix += "->";
        } else {
            prefix += ".";
        }
        std::string vertexupdatetime_prefix = prefix;
        vertexupdatetime_prefix += "vertexUpdateTime";
        contents.emplace_back("XrTime", vertexupdatetime_prefix, std::to_string(value->vertexUpdateTime));
        std::string vertexcapacityinput_prefix = prefix;
        vertexcapacityinput_prefix += "vertexCapacityInput";
        std::ostringstream oss_vertexCapacityInput;
        oss_vertexCapacityInput << "0x" << std::hex << (value->vertexCapacityInput);
        contents.emplace_back("uint32_t", vertexcapacityinput_prefix, oss_vertexCapacityInput.str());
        std::string vertexcountoutput_prefix = prefix;
        vertexcountoutput_prefix += "vertexCountOutput";
        std::ostringstream oss_vertexCountOutput;
        oss_vertexCountOutput << "0x" << std::hex << (value->vertexCountOutput);
        contents.emplace_back("uint32_t", vertexcountoutput_prefix, oss_vertexCountOutput.str());
        std::string vertices_prefix = prefix;
        vertices_prefix += "vertices";
        std::ostringstream oss_vertices;
        oss_vertices << std::hex << reinterpret_cast<const void*>(value->vertices);
        contents.emplace_back("XrHandMeshVertexMSFT*", vertices_prefix, oss_vertices.str());
        return true;
    } catch(...) {
    }
    return false;
}

bool ApiDumpOutputXrStruct(XrGeneratedDispatchTable* gen_dispatch_table, const XrHandMeshMSFT* value,
                           std::string prefix, std::string type_string, bool is_pointer,
                           std::vector<std::tuple<std::string, std::string, std::string>> &contents) {
    (void)gen_dispatch_table;  // silence warning
    try {
        contents.emplace_back(type_string, prefix, PointerToHexString(value));
        if (is_pointer) {
            prefix += "->";
        } else {
            prefix += ".";
        }
        std::string type_prefix = prefix;
        type_prefix += "type";
        if (nullptr != gen_dispatch_table) {
            char type_string[XR_MAX_STRUCTURE_NAME_SIZE];
            gen_dispatch_table->StructureTypeToString(FindInstanceFromDispatchTable(gen_dispatch_table),
                                                      value->type, type_string);
            contents.emplace_back("XrStructureType", type_prefix, type_string);
        } else {
                        contents.emplace_back("XrStructureType", type_prefix, std::to_string(value->type));
        }
        std::string next_prefix = prefix;
        next_prefix += "next";
        // Decode the next chain if it exists
        if (!ApiDumpDecodeNextChain(gen_dispatch_table, value->next, next_prefix, contents)) {
            throw std::invalid_argument("Invalid Operation");
        }
        std::string isactive_prefix = prefix;
        isactive_prefix += "isActive";
        std::ostringstream oss_isActive;
        oss_isActive << "0x" << std::hex << (value->isActive);
        contents.emplace_back("XrBool32", isactive_prefix, oss_isActive.str());
        std::string indexbufferchanged_prefix = prefix;
        indexbufferchanged_prefix += "indexBufferChanged";
        std::ostringstream oss_indexBufferChanged;
        oss_indexBufferChanged << "0x" << std::hex << (value->indexBufferChanged);
        contents.emplace_back("XrBool32", indexbufferchanged_prefix, oss_indexBufferChanged.str());
        std::string vertexbufferchanged_prefix = prefix;
        vertexbufferchanged_prefix += "vertexBufferChanged";
        std::ostringstream oss_vertexBufferChanged;
        oss_vertexBufferChanged << "0x" << std::hex << (value->vertexBufferChanged);
        contents.emplace_back("XrBool32", vertexbufferchanged_prefix, oss_vertexBufferChanged.str());
        std::string indexbuffer_prefix = prefix;
        indexbuffer_prefix += "indexBuffer";
        if (!ApiDumpOutputXrStruct(gen_dispatch_table, &value->indexBuffer, indexbuffer_prefix, "XrHandMeshIndexBufferMSFT", false, contents)) {
            throw std::invalid_argument("Invalid Operation");
        }
        std::string vertexbuffer_prefix = prefix;
        vertexbuffer_prefix += "vertexBuffer";
        if (!ApiDumpOutputXrStruct(gen_dispatch_table, &value->vertexBuffer, vertexbuffer_prefix, "XrHandMeshVertexBufferMSFT", false, contents)) {
            throw std::invalid_argument("Invalid Operation");
        }
        return true;
    } catch(...) {
    }
    return false;
}

bool ApiDumpOutputXrStruct(XrGeneratedDispatchTable* gen_dispatch_table, const XrHandPoseTypeInfoMSFT* value,
                           std::string prefix, std::string type_string, bool is_pointer,
                           std::vector<std::tuple<std::string, std::string, std::string>> &contents) {
    (void)gen_dispatch_table;  // silence warning
    try {
        contents.emplace_back(type_string, prefix, PointerToHexString(value));
        if (is_pointer) {
            prefix += "->";
        } else {
            prefix += ".";
        }
        std::string type_prefix = prefix;
        type_prefix += "type";
        if (nullptr != gen_dispatch_table) {
            char type_string[XR_MAX_STRUCTURE_NAME_SIZE];
            gen_dispatch_table->StructureTypeToString(FindInstanceFromDispatchTable(gen_dispatch_table),
                                                      value->type, type_string);
            contents.emplace_back("XrStructureType", type_prefix, type_string);
        } else {
                        contents.emplace_back("XrStructureType", type_prefix, std::to_string(value->type));
        }
        std::string next_prefix = prefix;
        next_prefix += "next";
        // Decode the next chain if it exists
        if (!ApiDumpDecodeNextChain(gen_dispatch_table, value->next, next_prefix, contents)) {
            throw std::invalid_argument("Invalid Operation");
        }
        std::string handposetype_prefix = prefix;
        handposetype_prefix += "handPoseType";
        contents.emplace_back("XrHandPoseTypeMSFT", handposetype_prefix, std::to_string(value->handPoseType));
        return true;
    } catch(...) {
    }
    return false;
}

bool ApiDumpOutputXrStruct(XrGeneratedDispatchTable* gen_dispatch_table, const XrSecondaryViewConfigurationSessionBeginInfoMSFT* value,
                           std::string prefix, std::string type_string, bool is_pointer,
                           std::vector<std::tuple<std::string, std::string, std::string>> &contents) {
    (void)gen_dispatch_table;  // silence warning
    try {
        contents.emplace_back(type_string, prefix, PointerToHexString(value));
        if (is_pointer) {
            prefix += "->";
        } else {
            prefix += ".";
        }
        std::string type_prefix = prefix;
        type_prefix += "type";
        if (nullptr != gen_dispatch_table) {
            char type_string[XR_MAX_STRUCTURE_NAME_SIZE];
            gen_dispatch_table->StructureTypeToString(FindInstanceFromDispatchTable(gen_dispatch_table),
                                                      value->type, type_string);
            contents.emplace_back("XrStructureType", type_prefix, type_string);
        } else {
                        contents.emplace_back("XrStructureType", type_prefix, std::to_string(value->type));
        }
        std::string next_prefix = prefix;
        next_prefix += "next";
        // Decode the next chain if it exists
        if (!ApiDumpDecodeNextChain(gen_dispatch_table, value->next, next_prefix, contents)) {
            throw std::invalid_argument("Invalid Operation");
        }
        std::string viewconfigurationcount_prefix = prefix;
        viewconfigurationcount_prefix += "viewConfigurationCount";
        std::ostringstream oss_viewConfigurationCount;
        oss_viewConfigurationCount << "0x" << std::hex << (value->viewConfigurationCount);
        contents.emplace_back("uint32_t", viewconfigurationcount_prefix, oss_viewConfigurationCount.str());
        std::string enabledviewconfigurationtypes_prefix = prefix;
        enabledviewconfigurationtypes_prefix += "enabledViewConfigurationTypes";
        std::ostringstream oss_enabledViewConfigurationTypes_array;
        oss_enabledViewConfigurationTypes_array << std::hex << reinterpret_cast<const void*>(value->enabledViewConfigurationTypes);
        contents.emplace_back("const XrViewConfigurationType*", enabledviewconfigurationtypes_prefix, oss_enabledViewConfigurationTypes_array.str());
        for (uint32_t value_enabledviewconfigurationtypes_inc = 0; value_enabledviewconfigurationtypes_inc < value->viewConfigurationCount; ++value_enabledviewconfigurationtypes_inc) {
            std::string enabledviewconfigurationtypes_array_prefix = enabledviewconfigurationtypes_prefix;
            enabledviewconfigurationtypes_array_prefix += "[";
            enabledviewconfigurationtypes_array_prefix += std::to_string(value_enabledviewconfigurationtypes_inc);
            enabledviewconfigurationtypes_array_prefix += "]";
            contents.emplace_back("const XrViewConfigurationType*", enabledviewconfigurationtypes_array_prefix, std::to_string(value->enabledViewConfigurationTypes[value_enabledviewconfigurationtypes_inc]));
        }
        return true;
    } catch(...) {
    }
    return false;
}

bool ApiDumpOutputXrStruct(XrGeneratedDispatchTable* gen_dispatch_table, const XrSecondaryViewConfigurationStateMSFT* value,
                           std::string prefix, std::string type_string, bool is_pointer,
                           std::vector<std::tuple<std::string, std::string, std::string>> &contents) {
    (void)gen_dispatch_table;  // silence warning
    try {
        contents.emplace_back(type_string, prefix, PointerToHexString(value));
        if (is_pointer) {
            prefix += "->";
        } else {
            prefix += ".";
        }
        std::string type_prefix = prefix;
        type_prefix += "type";
        if (nullptr != gen_dispatch_table) {
            char type_string[XR_MAX_STRUCTURE_NAME_SIZE];
            gen_dispatch_table->StructureTypeToString(FindInstanceFromDispatchTable(gen_dispatch_table),
                                                      value->type, type_string);
            contents.emplace_back("XrStructureType", type_prefix, type_string);
        } else {
                        contents.emplace_back("XrStructureType", type_prefix, std::to_string(value->type));
        }
        std::string next_prefix = prefix;
        next_prefix += "next";
        // Decode the next chain if it exists
        if (!ApiDumpDecodeNextChain(gen_dispatch_table, value->next, next_prefix, contents)) {
            throw std::invalid_argument("Invalid Operation");
        }
        std::string viewconfigurationtype_prefix = prefix;
        viewconfigurationtype_prefix += "viewConfigurationType";
        contents.emplace_back("XrViewConfigurationType", viewconfigurationtype_prefix, std::to_string(value->viewConfigurationType));
        std::string active_prefix = prefix;
        active_prefix += "active";
        std::ostringstream oss_active;
        oss_active << "0x" << std::hex << (value->active);
        contents.emplace_back("XrBool32", active_prefix, oss_active.str());
        return true;
    } catch(...) {
    }
    return false;
}

bool ApiDumpOutputXrStruct(XrGeneratedDispatchTable* gen_dispatch_table, const XrSecondaryViewConfigurationFrameStateMSFT* value,
                           std::string prefix, std::string type_string, bool is_pointer,
                           std::vector<std::tuple<std::string, std::string, std::string>> &contents) {
    (void)gen_dispatch_table;  // silence warning
    try {
        contents.emplace_back(type_string, prefix, PointerToHexString(value));
        if (is_pointer) {
            prefix += "->";
        } else {
            prefix += ".";
        }
        std::string type_prefix = prefix;
        type_prefix += "type";
        if (nullptr != gen_dispatch_table) {
            char type_string[XR_MAX_STRUCTURE_NAME_SIZE];
            gen_dispatch_table->StructureTypeToString(FindInstanceFromDispatchTable(gen_dispatch_table),
                                                      value->type, type_string);
            contents.emplace_back("XrStructureType", type_prefix, type_string);
        } else {
                        contents.emplace_back("XrStructureType", type_prefix, std::to_string(value->type));
        }
        std::string next_prefix = prefix;
        next_prefix += "next";
        // Decode the next chain if it exists
        if (!ApiDumpDecodeNextChain(gen_dispatch_table, value->next, next_prefix, contents)) {
            throw std::invalid_argument("Invalid Operation");
        }
        std::string viewconfigurationcount_prefix = prefix;
        viewconfigurationcount_prefix += "viewConfigurationCount";
        std::ostringstream oss_viewConfigurationCount;
        oss_viewConfigurationCount << "0x" << std::hex << (value->viewConfigurationCount);
        contents.emplace_back("uint32_t", viewconfigurationcount_prefix, oss_viewConfigurationCount.str());
        std::string viewconfigurationstates_prefix = prefix;
        viewconfigurationstates_prefix += "viewConfigurationStates";
        std::ostringstream oss_viewConfigurationStates;
        oss_viewConfigurationStates << std::hex << reinterpret_cast<const void*>(value->viewConfigurationStates);
        contents.emplace_back("XrSecondaryViewConfigurationStateMSFT*", viewconfigurationstates_prefix, oss_viewConfigurationStates.str());
        return true;
    } catch(...) {
    }
    return false;
}

bool ApiDumpOutputXrStruct(XrGeneratedDispatchTable* gen_dispatch_table, const XrSecondaryViewConfigurationLayerInfoMSFT* value,
                           std::string prefix, std::string type_string, bool is_pointer,
                           std::vector<std::tuple<std::string, std::string, std::string>> &contents) {
    (void)gen_dispatch_table;  // silence warning
    try {
        contents.emplace_back(type_string, prefix, PointerToHexString(value));
        if (is_pointer) {
            prefix += "->";
        } else {
            prefix += ".";
        }
        std::string type_prefix = prefix;
        type_prefix += "type";
        if (nullptr != gen_dispatch_table) {
            char type_string[XR_MAX_STRUCTURE_NAME_SIZE];
            gen_dispatch_table->StructureTypeToString(FindInstanceFromDispatchTable(gen_dispatch_table),
                                                      value->type, type_string);
            contents.emplace_back("XrStructureType", type_prefix, type_string);
        } else {
                        contents.emplace_back("XrStructureType", type_prefix, std::to_string(value->type));
        }
        std::string next_prefix = prefix;
        next_prefix += "next";
        // Decode the next chain if it exists
        if (!ApiDumpDecodeNextChain(gen_dispatch_table, value->next, next_prefix, contents)) {
            throw std::invalid_argument("Invalid Operation");
        }
        std::string viewconfigurationtype_prefix = prefix;
        viewconfigurationtype_prefix += "viewConfigurationType";
        contents.emplace_back("XrViewConfigurationType", viewconfigurationtype_prefix, std::to_string(value->viewConfigurationType));
        std::string environmentblendmode_prefix = prefix;
        environmentblendmode_prefix += "environmentBlendMode";
        contents.emplace_back("XrEnvironmentBlendMode", environmentblendmode_prefix, std::to_string(value->environmentBlendMode));
        std::string layercount_prefix = prefix;
        layercount_prefix += "layerCount";
        std::ostringstream oss_layerCount;
        oss_layerCount << "0x" << std::hex << (value->layerCount);
        contents.emplace_back("uint32_t", layercount_prefix, oss_layerCount.str());
        std::string layers_prefix = prefix;
        layers_prefix += "layers";
        std::ostringstream oss_layers_array;
        oss_layers_array << std::hex << reinterpret_cast<const void*>(value->layers);
        contents.emplace_back("const XrCompositionLayerBaseHeader* const*", layers_prefix, oss_layers_array.str());
        for (uint32_t value_layers_inc = 0; value_layers_inc < value->layerCount; ++value_layers_inc) {
            std::string layers_array_prefix = layers_prefix;
            layers_array_prefix += "[";
            layers_array_prefix += std::to_string(value_layers_inc);
            layers_array_prefix += "]";
            if (!ApiDumpOutputXrStruct(gen_dispatch_table, value->layers[value_layers_inc], layers_array_prefix, "const XrCompositionLayerBaseHeader* const*", true, contents)) {
                throw std::invalid_argument("Invalid Operation");
            }
        }
        return true;
    } catch(...) {
    }
    return false;
}

bool ApiDumpOutputXrStruct(XrGeneratedDispatchTable* gen_dispatch_table, const XrSecondaryViewConfigurationFrameEndInfoMSFT* value,
                           std::string prefix, std::string type_string, bool is_pointer,
                           std::vector<std::tuple<std::string, std::string, std::string>> &contents) {
    (void)gen_dispatch_table;  // silence warning
    try {
        contents.emplace_back(type_string, prefix, PointerToHexString(value));
        if (is_pointer) {
            prefix += "->";
        } else {
            prefix += ".";
        }
        std::string type_prefix = prefix;
        type_prefix += "type";
        if (nullptr != gen_dispatch_table) {
            char type_string[XR_MAX_STRUCTURE_NAME_SIZE];
            gen_dispatch_table->StructureTypeToString(FindInstanceFromDispatchTable(gen_dispatch_table),
                                                      value->type, type_string);
            contents.emplace_back("XrStructureType", type_prefix, type_string);
        } else {
                        contents.emplace_back("XrStructureType", type_prefix, std::to_string(value->type));
        }
        std::string next_prefix = prefix;
        next_prefix += "next";
        // Decode the next chain if it exists
        if (!ApiDumpDecodeNextChain(gen_dispatch_table, value->next, next_prefix, contents)) {
            throw std::invalid_argument("Invalid Operation");
        }
        std::string viewconfigurationcount_prefix = prefix;
        viewconfigurationcount_prefix += "viewConfigurationCount";
        std::ostringstream oss_viewConfigurationCount;
        oss_viewConfigurationCount << "0x" << std::hex << (value->viewConfigurationCount);
        contents.emplace_back("uint32_t", viewconfigurationcount_prefix, oss_viewConfigurationCount.str());
        std::string viewconfigurationlayersinfo_prefix = prefix;
        viewconfigurationlayersinfo_prefix += "viewConfigurationLayersInfo";
        std::ostringstream oss_viewConfigurationLayersInfo_array;
        oss_viewConfigurationLayersInfo_array << std::hex << reinterpret_cast<const void*>(value->viewConfigurationLayersInfo);
        contents.emplace_back("const XrSecondaryViewConfigurationLayerInfoMSFT*", viewconfigurationlayersinfo_prefix, oss_viewConfigurationLayersInfo_array.str());
        for (uint32_t value_viewconfigurationlayersinfo_inc = 0; value_viewconfigurationlayersinfo_inc < value->viewConfigurationCount; ++value_viewconfigurationlayersinfo_inc) {
            std::string viewconfigurationlayersinfo_array_prefix = viewconfigurationlayersinfo_prefix;
            viewconfigurationlayersinfo_array_prefix += "[";
            viewconfigurationlayersinfo_array_prefix += std::to_string(value_viewconfigurationlayersinfo_inc);
            viewconfigurationlayersinfo_array_prefix += "]";
            if (!ApiDumpOutputXrStruct(gen_dispatch_table, &value->viewConfigurationLayersInfo[value_viewconfigurationlayersinfo_inc], viewconfigurationlayersinfo_array_prefix, "const XrSecondaryViewConfigurationLayerInfoMSFT*", false, contents)) {
                throw std::invalid_argument("Invalid Operation");
            }
        }
        return true;
    } catch(...) {
    }
    return false;
}

bool ApiDumpOutputXrStruct(XrGeneratedDispatchTable* gen_dispatch_table, const XrSecondaryViewConfigurationSwapchainCreateInfoMSFT* value,
                           std::string prefix, std::string type_string, bool is_pointer,
                           std::vector<std::tuple<std::string, std::string, std::string>> &contents) {
    (void)gen_dispatch_table;  // silence warning
    try {
        contents.emplace_back(type_string, prefix, PointerToHexString(value));
        if (is_pointer) {
            prefix += "->";
        } else {
            prefix += ".";
        }
        std::string type_prefix = prefix;
        type_prefix += "type";
        if (nullptr != gen_dispatch_table) {
            char type_string[XR_MAX_STRUCTURE_NAME_SIZE];
            gen_dispatch_table->StructureTypeToString(FindInstanceFromDispatchTable(gen_dispatch_table),
                                                      value->type, type_string);
            contents.emplace_back("XrStructureType", type_prefix, type_string);
        } else {
                        contents.emplace_back("XrStructureType", type_prefix, std::to_string(value->type));
        }
        std::string next_prefix = prefix;
        next_prefix += "next";
        // Decode the next chain if it exists
        if (!ApiDumpDecodeNextChain(gen_dispatch_table, value->next, next_prefix, contents)) {
            throw std::invalid_argument("Invalid Operation");
        }
        std::string viewconfigurationtype_prefix = prefix;
        viewconfigurationtype_prefix += "viewConfigurationType";
        contents.emplace_back("XrViewConfigurationType", viewconfigurationtype_prefix, std::to_string(value->viewConfigurationType));
        return true;
    } catch(...) {
    }
    return false;
}

bool ApiDumpOutputXrStruct(XrGeneratedDispatchTable* gen_dispatch_table, const XrControllerModelKeyStateMSFT* value,
                           std::string prefix, std::string type_string, bool is_pointer,
                           std::vector<std::tuple<std::string, std::string, std::string>> &contents) {
    (void)gen_dispatch_table;  // silence warning
    try {
        contents.emplace_back(type_string, prefix, PointerToHexString(value));
        if (is_pointer) {
            prefix += "->";
        } else {
            prefix += ".";
        }
        std::string type_prefix = prefix;
        type_prefix += "type";
        if (nullptr != gen_dispatch_table) {
            char type_string[XR_MAX_STRUCTURE_NAME_SIZE];
            gen_dispatch_table->StructureTypeToString(FindInstanceFromDispatchTable(gen_dispatch_table),
                                                      value->type, type_string);
            contents.emplace_back("XrStructureType", type_prefix, type_string);
        } else {
                        contents.emplace_back("XrStructureType", type_prefix, std::to_string(value->type));
        }
        std::string next_prefix = prefix;
        next_prefix += "next";
        // Decode the next chain if it exists
        if (!ApiDumpDecodeNextChain(gen_dispatch_table, value->next, next_prefix, contents)) {
            throw std::invalid_argument("Invalid Operation");
        }
        std::string modelkey_prefix = prefix;
        modelkey_prefix += "modelKey";
        contents.emplace_back("XrControllerModelKeyMSFT", modelkey_prefix, std::to_string(value->modelKey));
        return true;
    } catch(...) {
    }
    return false;
}

bool ApiDumpOutputXrStruct(XrGeneratedDispatchTable* gen_dispatch_table, const XrControllerModelNodePropertiesMSFT* value,
                           std::string prefix, std::string type_string, bool is_pointer,
                           std::vector<std::tuple<std::string, std::string, std::string>> &contents) {
    (void)gen_dispatch_table;  // silence warning
    try {
        contents.emplace_back(type_string, prefix, PointerToHexString(value));
        if (is_pointer) {
            prefix += "->";
        } else {
            prefix += ".";
        }
        std::string type_prefix = prefix;
        type_prefix += "type";
        if (nullptr != gen_dispatch_table) {
            char type_string[XR_MAX_STRUCTURE_NAME_SIZE];
            gen_dispatch_table->StructureTypeToString(FindInstanceFromDispatchTable(gen_dispatch_table),
                                                      value->type, type_string);
            contents.emplace_back("XrStructureType", type_prefix, type_string);
        } else {
                        contents.emplace_back("XrStructureType", type_prefix, std::to_string(value->type));
        }
        std::string next_prefix = prefix;
        next_prefix += "next";
        // Decode the next chain if it exists
        if (!ApiDumpDecodeNextChain(gen_dispatch_table, value->next, next_prefix, contents)) {
            throw std::invalid_argument("Invalid Operation");
        }
        std::string parentnodename_prefix = prefix;
        parentnodename_prefix += "parentNodeName";
        contents.emplace_back("char*", parentnodename_prefix, value->parentNodeName);
        std::string nodename_prefix = prefix;
        nodename_prefix += "nodeName";
        contents.emplace_back("char*", nodename_prefix, value->nodeName);
        return true;
    } catch(...) {
    }
    return false;
}

bool ApiDumpOutputXrStruct(XrGeneratedDispatchTable* gen_dispatch_table, const XrControllerModelPropertiesMSFT* value,
                           std::string prefix, std::string type_string, bool is_pointer,
                           std::vector<std::tuple<std::string, std::string, std::string>> &contents) {
    (void)gen_dispatch_table;  // silence warning
    try {
        contents.emplace_back(type_string, prefix, PointerToHexString(value));
        if (is_pointer) {
            prefix += "->";
        } else {
            prefix += ".";
        }
        std::string type_prefix = prefix;
        type_prefix += "type";
        if (nullptr != gen_dispatch_table) {
            char type_string[XR_MAX_STRUCTURE_NAME_SIZE];
            gen_dispatch_table->StructureTypeToString(FindInstanceFromDispatchTable(gen_dispatch_table),
                                                      value->type, type_string);
            contents.emplace_back("XrStructureType", type_prefix, type_string);
        } else {
                        contents.emplace_back("XrStructureType", type_prefix, std::to_string(value->type));
        }
        std::string next_prefix = prefix;
        next_prefix += "next";
        // Decode the next chain if it exists
        if (!ApiDumpDecodeNextChain(gen_dispatch_table, value->next, next_prefix, contents)) {
            throw std::invalid_argument("Invalid Operation");
        }
        std::string nodecapacityinput_prefix = prefix;
        nodecapacityinput_prefix += "nodeCapacityInput";
        std::ostringstream oss_nodeCapacityInput;
        oss_nodeCapacityInput << "0x" << std::hex << (value->nodeCapacityInput);
        contents.emplace_back("uint32_t", nodecapacityinput_prefix, oss_nodeCapacityInput.str());
        std::string nodecountoutput_prefix = prefix;
        nodecountoutput_prefix += "nodeCountOutput";
        std::ostringstream oss_nodeCountOutput;
        oss_nodeCountOutput << "0x" << std::hex << (value->nodeCountOutput);
        contents.emplace_back("uint32_t", nodecountoutput_prefix, oss_nodeCountOutput.str());
        std::string nodeproperties_prefix = prefix;
        nodeproperties_prefix += "nodeProperties";
        std::ostringstream oss_nodeProperties;
        oss_nodeProperties << std::hex << reinterpret_cast<const void*>(value->nodeProperties);
        contents.emplace_back("XrControllerModelNodePropertiesMSFT*", nodeproperties_prefix, oss_nodeProperties.str());
        return true;
    } catch(...) {
    }
    return false;
}

bool ApiDumpOutputXrStruct(XrGeneratedDispatchTable* gen_dispatch_table, const XrControllerModelNodeStateMSFT* value,
                           std::string prefix, std::string type_string, bool is_pointer,
                           std::vector<std::tuple<std::string, std::string, std::string>> &contents) {
    (void)gen_dispatch_table;  // silence warning
    try {
        contents.emplace_back(type_string, prefix, PointerToHexString(value));
        if (is_pointer) {
            prefix += "->";
        } else {
            prefix += ".";
        }
        std::string type_prefix = prefix;
        type_prefix += "type";
        if (nullptr != gen_dispatch_table) {
            char type_string[XR_MAX_STRUCTURE_NAME_SIZE];
            gen_dispatch_table->StructureTypeToString(FindInstanceFromDispatchTable(gen_dispatch_table),
                                                      value->type, type_string);
            contents.emplace_back("XrStructureType", type_prefix, type_string);
        } else {
                        contents.emplace_back("XrStructureType", type_prefix, std::to_string(value->type));
        }
        std::string next_prefix = prefix;
        next_prefix += "next";
        // Decode the next chain if it exists
        if (!ApiDumpDecodeNextChain(gen_dispatch_table, value->next, next_prefix, contents)) {
            throw std::invalid_argument("Invalid Operation");
        }
        std::string nodepose_prefix = prefix;
        nodepose_prefix += "nodePose";
        if (!ApiDumpOutputXrStruct(gen_dispatch_table, &value->nodePose, nodepose_prefix, "XrPosef", false, contents)) {
            throw std::invalid_argument("Invalid Operation");
        }
        return true;
    } catch(...) {
    }
    return false;
}

bool ApiDumpOutputXrStruct(XrGeneratedDispatchTable* gen_dispatch_table, const XrControllerModelStateMSFT* value,
                           std::string prefix, std::string type_string, bool is_pointer,
                           std::vector<std::tuple<std::string, std::string, std::string>> &contents) {
    (void)gen_dispatch_table;  // silence warning
    try {
        contents.emplace_back(type_string, prefix, PointerToHexString(value));
        if (is_pointer) {
            prefix += "->";
        } else {
            prefix += ".";
        }
        std::string type_prefix = prefix;
        type_prefix += "type";
        if (nullptr != gen_dispatch_table) {
            char type_string[XR_MAX_STRUCTURE_NAME_SIZE];
            gen_dispatch_table->StructureTypeToString(FindInstanceFromDispatchTable(gen_dispatch_table),
                                                      value->type, type_string);
            contents.emplace_back("XrStructureType", type_prefix, type_string);
        } else {
                        contents.emplace_back("XrStructureType", type_prefix, std::to_string(value->type));
        }
        std::string next_prefix = prefix;
        next_prefix += "next";
        // Decode the next chain if it exists
        if (!ApiDumpDecodeNextChain(gen_dispatch_table, value->next, next_prefix, contents)) {
            throw std::invalid_argument("Invalid Operation");
        }
        std::string nodecapacityinput_prefix = prefix;
        nodecapacityinput_prefix += "nodeCapacityInput";
        std::ostringstream oss_nodeCapacityInput;
        oss_nodeCapacityInput << "0x" << std::hex << (value->nodeCapacityInput);
        contents.emplace_back("uint32_t", nodecapacityinput_prefix, oss_nodeCapacityInput.str());
        std::string nodecountoutput_prefix = prefix;
        nodecountoutput_prefix += "nodeCountOutput";
        std::ostringstream oss_nodeCountOutput;
        oss_nodeCountOutput << "0x" << std::hex << (value->nodeCountOutput);
        contents.emplace_back("uint32_t", nodecountoutput_prefix, oss_nodeCountOutput.str());
        std::string nodestates_prefix = prefix;
        nodestates_prefix += "nodeStates";
        std::ostringstream oss_nodeStates;
        oss_nodeStates << std::hex << reinterpret_cast<const void*>(value->nodeStates);
        contents.emplace_back("XrControllerModelNodeStateMSFT*", nodestates_prefix, oss_nodeStates.str());
        return true;
    } catch(...) {
    }
    return false;
}

bool ApiDumpOutputXrStruct(XrGeneratedDispatchTable* gen_dispatch_table, const XrViewConfigurationViewFovEPIC* value,
                           std::string prefix, std::string type_string, bool is_pointer,
                           std::vector<std::tuple<std::string, std::string, std::string>> &contents) {
    (void)gen_dispatch_table;  // silence warning
    try {
        contents.emplace_back(type_string, prefix, PointerToHexString(value));
        if (is_pointer) {
            prefix += "->";
        } else {
            prefix += ".";
        }
        std::string type_prefix = prefix;
        type_prefix += "type";
        if (nullptr != gen_dispatch_table) {
            char type_string[XR_MAX_STRUCTURE_NAME_SIZE];
            gen_dispatch_table->StructureTypeToString(FindInstanceFromDispatchTable(gen_dispatch_table),
                                                      value->type, type_string);
            contents.emplace_back("XrStructureType", type_prefix, type_string);
        } else {
                        contents.emplace_back("XrStructureType", type_prefix, std::to_string(value->type));
        }
        std::string next_prefix = prefix;
        next_prefix += "next";
        // Decode the next chain if it exists
        if (!ApiDumpDecodeNextChain(gen_dispatch_table, value->next, next_prefix, contents)) {
            throw std::invalid_argument("Invalid Operation");
        }
        std::string recommendedfov_prefix = prefix;
        recommendedfov_prefix += "recommendedFov";
        if (!ApiDumpOutputXrStruct(gen_dispatch_table, &value->recommendedFov, recommendedfov_prefix, "XrFovf", false, contents)) {
            throw std::invalid_argument("Invalid Operation");
        }
        std::string maxmutablefov_prefix = prefix;
        maxmutablefov_prefix += "maxMutableFov";
        if (!ApiDumpOutputXrStruct(gen_dispatch_table, &value->maxMutableFov, maxmutablefov_prefix, "XrFovf", false, contents)) {
            throw std::invalid_argument("Invalid Operation");
        }
        return true;
    } catch(...) {
    }
    return false;
}

#if defined(XR_USE_PLATFORM_WIN32) && defined(XR_USE_PLATFORM_WIN32)
bool ApiDumpOutputXrStruct(XrGeneratedDispatchTable* gen_dispatch_table, const XrHolographicWindowAttachmentMSFT* value,
                           std::string prefix, std::string type_string, bool is_pointer,
                           std::vector<std::tuple<std::string, std::string, std::string>> &contents) {
    (void)gen_dispatch_table;  // silence warning
    try {
        contents.emplace_back(type_string, prefix, PointerToHexString(value));
        if (is_pointer) {
            prefix += "->";
        } else {
            prefix += ".";
        }
        std::string type_prefix = prefix;
        type_prefix += "type";
        if (nullptr != gen_dispatch_table) {
            char type_string[XR_MAX_STRUCTURE_NAME_SIZE];
            gen_dispatch_table->StructureTypeToString(FindInstanceFromDispatchTable(gen_dispatch_table),
                                                      value->type, type_string);
            contents.emplace_back("XrStructureType", type_prefix, type_string);
        } else {
                        contents.emplace_back("XrStructureType", type_prefix, std::to_string(value->type));
        }
        std::string next_prefix = prefix;
        next_prefix += "next";
        // Decode the next chain if it exists
        if (!ApiDumpDecodeNextChain(gen_dispatch_table, value->next, next_prefix, contents)) {
            throw std::invalid_argument("Invalid Operation");
        }
        std::string holographicspace_prefix = prefix;
        holographicspace_prefix += "holographicSpace";
        std::ostringstream oss_holographicSpace;
        oss_holographicSpace << std::hex << reinterpret_cast<const void*>(value->holographicSpace);
        contents.emplace_back("IUnknown*", holographicspace_prefix, oss_holographicSpace.str());
        std::string corewindow_prefix = prefix;
        corewindow_prefix += "coreWindow";
        std::ostringstream oss_coreWindow;
        oss_coreWindow << std::hex << reinterpret_cast<const void*>(value->coreWindow);
        contents.emplace_back("IUnknown*", corewindow_prefix, oss_coreWindow.str());
        return true;
    } catch(...) {
    }
    return false;
}
#endif // defined(XR_USE_PLATFORM_WIN32) && defined(XR_USE_PLATFORM_WIN32)

bool ApiDumpOutputXrStruct(XrGeneratedDispatchTable* gen_dispatch_table, const XrInteractionProfileAnalogThresholdVALVE* value,
                           std::string prefix, std::string type_string, bool is_pointer,
                           std::vector<std::tuple<std::string, std::string, std::string>> &contents) {
    (void)gen_dispatch_table;  // silence warning
    try {
        contents.emplace_back(type_string, prefix, PointerToHexString(value));
        if (is_pointer) {
            prefix += "->";
        } else {
            prefix += ".";
        }
        std::string type_prefix = prefix;
        type_prefix += "type";
        if (nullptr != gen_dispatch_table) {
            char type_string[XR_MAX_STRUCTURE_NAME_SIZE];
            gen_dispatch_table->StructureTypeToString(FindInstanceFromDispatchTable(gen_dispatch_table),
                                                      value->type, type_string);
            contents.emplace_back("XrStructureType", type_prefix, type_string);
        } else {
                        contents.emplace_back("XrStructureType", type_prefix, std::to_string(value->type));
        }
        std::string next_prefix = prefix;
        next_prefix += "next";
        // Decode the next chain if it exists
        if (!ApiDumpDecodeNextChain(gen_dispatch_table, value->next, next_prefix, contents)) {
            throw std::invalid_argument("Invalid Operation");
        }
        std::string action_prefix = prefix;
        action_prefix += "action";
        std::ostringstream oss_action;
        oss_action << std::hex << reinterpret_cast<const void*>(value->action);
        contents.emplace_back("XrAction", action_prefix, oss_action.str());
        std::string binding_prefix = prefix;
        binding_prefix += "binding";
        contents.emplace_back("XrPath", binding_prefix, std::to_string(value->binding));
        std::string onthreshold_prefix = prefix;
        onthreshold_prefix += "onThreshold";
        std::ostringstream oss_onThreshold;
        oss_onThreshold << std::setprecision(32) << (value->onThreshold);
        contents.emplace_back("float", onthreshold_prefix, oss_onThreshold.str());
        std::string offthreshold_prefix = prefix;
        offthreshold_prefix += "offThreshold";
        std::ostringstream oss_offThreshold;
        oss_offThreshold << std::setprecision(32) << (value->offThreshold);
        contents.emplace_back("float", offthreshold_prefix, oss_offThreshold.str());
        std::string onhaptic_prefix = prefix;
        onhaptic_prefix += "onHaptic";
        if (nullptr == value->onHaptic) {
            std::ostringstream oss_onHaptic;
            oss_onHaptic << std::hex << reinterpret_cast<const void*>(value->onHaptic);
            contents.emplace_back("const XrHapticBaseHeader*", onhaptic_prefix, oss_onHaptic.str());
        } else if (!ApiDumpOutputXrStruct(gen_dispatch_table, value->onHaptic, onhaptic_prefix, "const XrHapticBaseHeader*", true, contents)) {
            throw std::invalid_argument("Invalid Operation");
        }
        std::string offhaptic_prefix = prefix;
        offhaptic_prefix += "offHaptic";
        if (nullptr == value->offHaptic) {
            std::ostringstream oss_offHaptic;
            oss_offHaptic << std::hex << reinterpret_cast<const void*>(value->offHaptic);
            contents.emplace_back("const XrHapticBaseHeader*", offhaptic_prefix, oss_offHaptic.str());
        } else if (!ApiDumpOutputXrStruct(gen_dispatch_table, value->offHaptic, offhaptic_prefix, "const XrHapticBaseHeader*", true, contents)) {
            throw std::invalid_argument("Invalid Operation");
        }
        return true;
    } catch(...) {
    }
    return false;
}

bool ApiDumpOutputXrStruct(XrGeneratedDispatchTable* gen_dispatch_table, const XrEventDataDisplayRefreshRateChangedFB* value,
                           std::string prefix, std::string type_string, bool is_pointer,
                           std::vector<std::tuple<std::string, std::string, std::string>> &contents) {
    (void)gen_dispatch_table;  // silence warning
    try {
        contents.emplace_back(type_string, prefix, PointerToHexString(value));
        if (is_pointer) {
            prefix += "->";
        } else {
            prefix += ".";
        }
        std::string type_prefix = prefix;
        type_prefix += "type";
        if (nullptr != gen_dispatch_table) {
            char type_string[XR_MAX_STRUCTURE_NAME_SIZE];
            gen_dispatch_table->StructureTypeToString(FindInstanceFromDispatchTable(gen_dispatch_table),
                                                      value->type, type_string);
            contents.emplace_back("XrStructureType", type_prefix, type_string);
        } else {
                        contents.emplace_back("XrStructureType", type_prefix, std::to_string(value->type));
        }
        std::string next_prefix = prefix;
        next_prefix += "next";
        // Decode the next chain if it exists
        if (!ApiDumpDecodeNextChain(gen_dispatch_table, value->next, next_prefix, contents)) {
            throw std::invalid_argument("Invalid Operation");
        }
        std::string fromdisplayrefreshrate_prefix = prefix;
        fromdisplayrefreshrate_prefix += "fromDisplayRefreshRate";
        std::ostringstream oss_fromDisplayRefreshRate;
        oss_fromDisplayRefreshRate << std::setprecision(32) << (value->fromDisplayRefreshRate);
        contents.emplace_back("float", fromdisplayrefreshrate_prefix, oss_fromDisplayRefreshRate.str());
        std::string todisplayrefreshrate_prefix = prefix;
        todisplayrefreshrate_prefix += "toDisplayRefreshRate";
        std::ostringstream oss_toDisplayRefreshRate;
        oss_toDisplayRefreshRate << std::setprecision(32) << (value->toDisplayRefreshRate);
        contents.emplace_back("float", todisplayrefreshrate_prefix, oss_toDisplayRefreshRate.str());
        return true;
    } catch(...) {
    }
    return false;
}

bool ApiDumpOutputXrStruct(XrGeneratedDispatchTable* gen_dispatch_table, const XrSystemColorSpacePropertiesFB* value,
                           std::string prefix, std::string type_string, bool is_pointer,
                           std::vector<std::tuple<std::string, std::string, std::string>> &contents) {
    (void)gen_dispatch_table;  // silence warning
    try {
        contents.emplace_back(type_string, prefix, PointerToHexString(value));
        if (is_pointer) {
            prefix += "->";
        } else {
            prefix += ".";
        }
        std::string type_prefix = prefix;
        type_prefix += "type";
        if (nullptr != gen_dispatch_table) {
            char type_string[XR_MAX_STRUCTURE_NAME_SIZE];
            gen_dispatch_table->StructureTypeToString(FindInstanceFromDispatchTable(gen_dispatch_table),
                                                      value->type, type_string);
            contents.emplace_back("XrStructureType", type_prefix, type_string);
        } else {
                        contents.emplace_back("XrStructureType", type_prefix, std::to_string(value->type));
        }
        std::string next_prefix = prefix;
        next_prefix += "next";
        // Decode the next chain if it exists
        if (!ApiDumpDecodeNextChain(gen_dispatch_table, value->next, next_prefix, contents)) {
            throw std::invalid_argument("Invalid Operation");
        }
        std::string colorspace_prefix = prefix;
        colorspace_prefix += "colorSpace";
        contents.emplace_back("XrColorSpaceFB", colorspace_prefix, std::to_string(value->colorSpace));
        return true;
    } catch(...) {
    }
    return false;
}

bool ApiDumpDecodeNextChain(XrGeneratedDispatchTable* gen_dispatch_table, const void* value, std::string prefix,
                            std::vector<std::tuple<std::string, std::string, std::string>> &contents) {
    (void)gen_dispatch_table;  // silence warning
    try {
        contents.emplace_back("const void *", prefix, PointerToHexString(value));
        if (nullptr == value) {
            return true;
        }
        const XrBaseInStructure* next_header = reinterpret_cast<const XrBaseInStructure*>(value);
        switch (next_header->type) {
            case XR_TYPE_API_LAYER_PROPERTIES:
                if (!ApiDumpOutputXrStruct(gen_dispatch_table, reinterpret_cast<const XrApiLayerProperties*>(value), prefix, "const XrApiLayerProperties*", true, contents)) {
                    return false;
                }
                return true;
            case XR_TYPE_EXTENSION_PROPERTIES:
                if (!ApiDumpOutputXrStruct(gen_dispatch_table, reinterpret_cast<const XrExtensionProperties*>(value), prefix, "const XrExtensionProperties*", true, contents)) {
                    return false;
                }
                return true;
            case XR_TYPE_INSTANCE_CREATE_INFO:
                if (!ApiDumpOutputXrStruct(gen_dispatch_table, reinterpret_cast<const XrInstanceCreateInfo*>(value), prefix, "const XrInstanceCreateInfo*", true, contents)) {
                    return false;
                }
                return true;
            case XR_TYPE_SYSTEM_GET_INFO:
                if (!ApiDumpOutputXrStruct(gen_dispatch_table, reinterpret_cast<const XrSystemGetInfo*>(value), prefix, "const XrSystemGetInfo*", true, contents)) {
                    return false;
                }
                return true;
            case XR_TYPE_SYSTEM_PROPERTIES:
                if (!ApiDumpOutputXrStruct(gen_dispatch_table, reinterpret_cast<const XrSystemProperties*>(value), prefix, "const XrSystemProperties*", true, contents)) {
                    return false;
                }
                return true;
            case XR_TYPE_VIEW_LOCATE_INFO:
                if (!ApiDumpOutputXrStruct(gen_dispatch_table, reinterpret_cast<const XrViewLocateInfo*>(value), prefix, "const XrViewLocateInfo*", true, contents)) {
                    return false;
                }
                return true;
            case XR_TYPE_VIEW:
                if (!ApiDumpOutputXrStruct(gen_dispatch_table, reinterpret_cast<const XrView*>(value), prefix, "const XrView*", true, contents)) {
                    return false;
                }
                return true;
            case XR_TYPE_SESSION_CREATE_INFO:
                if (!ApiDumpOutputXrStruct(gen_dispatch_table, reinterpret_cast<const XrSessionCreateInfo*>(value), prefix, "const XrSessionCreateInfo*", true, contents)) {
                    return false;
                }
                return true;
            case XR_TYPE_SWAPCHAIN_CREATE_INFO:
                if (!ApiDumpOutputXrStruct(gen_dispatch_table, reinterpret_cast<const XrSwapchainCreateInfo*>(value), prefix, "const XrSwapchainCreateInfo*", true, contents)) {
                    return false;
                }
                return true;
            case XR_TYPE_SESSION_BEGIN_INFO:
                if (!ApiDumpOutputXrStruct(gen_dispatch_table, reinterpret_cast<const XrSessionBeginInfo*>(value), prefix, "const XrSessionBeginInfo*", true, contents)) {
                    return false;
                }
                return true;
            case XR_TYPE_VIEW_STATE:
                if (!ApiDumpOutputXrStruct(gen_dispatch_table, reinterpret_cast<const XrViewState*>(value), prefix, "const XrViewState*", true, contents)) {
                    return false;
                }
                return true;
            case XR_TYPE_FRAME_END_INFO:
                if (!ApiDumpOutputXrStruct(gen_dispatch_table, reinterpret_cast<const XrFrameEndInfo*>(value), prefix, "const XrFrameEndInfo*", true, contents)) {
                    return false;
                }
                return true;
            case XR_TYPE_HAPTIC_VIBRATION:
                if (!ApiDumpOutputXrStruct(gen_dispatch_table, reinterpret_cast<const XrHapticVibration*>(value), prefix, "const XrHapticVibration*", true, contents)) {
                    return false;
                }
                return true;
            case XR_TYPE_EVENT_DATA_BUFFER:
                if (!ApiDumpOutputXrStruct(gen_dispatch_table, reinterpret_cast<const XrEventDataBuffer*>(value), prefix, "const XrEventDataBuffer*", true, contents)) {
                    return false;
                }
                return true;
            case XR_TYPE_EVENT_DATA_INSTANCE_LOSS_PENDING:
                if (!ApiDumpOutputXrStruct(gen_dispatch_table, reinterpret_cast<const XrEventDataInstanceLossPending*>(value), prefix, "const XrEventDataInstanceLossPending*", true, contents)) {
                    return false;
                }
                return true;
            case XR_TYPE_EVENT_DATA_SESSION_STATE_CHANGED:
                if (!ApiDumpOutputXrStruct(gen_dispatch_table, reinterpret_cast<const XrEventDataSessionStateChanged*>(value), prefix, "const XrEventDataSessionStateChanged*", true, contents)) {
                    return false;
                }
                return true;
            case XR_TYPE_ACTION_STATE_BOOLEAN:
                if (!ApiDumpOutputXrStruct(gen_dispatch_table, reinterpret_cast<const XrActionStateBoolean*>(value), prefix, "const XrActionStateBoolean*", true, contents)) {
                    return false;
                }
                return true;
            case XR_TYPE_ACTION_STATE_FLOAT:
                if (!ApiDumpOutputXrStruct(gen_dispatch_table, reinterpret_cast<const XrActionStateFloat*>(value), prefix, "const XrActionStateFloat*", true, contents)) {
                    return false;
                }
                return true;
            case XR_TYPE_ACTION_STATE_VECTOR2F:
                if (!ApiDumpOutputXrStruct(gen_dispatch_table, reinterpret_cast<const XrActionStateVector2f*>(value), prefix, "const XrActionStateVector2f*", true, contents)) {
                    return false;
                }
                return true;
            case XR_TYPE_ACTION_STATE_POSE:
                if (!ApiDumpOutputXrStruct(gen_dispatch_table, reinterpret_cast<const XrActionStatePose*>(value), prefix, "const XrActionStatePose*", true, contents)) {
                    return false;
                }
                return true;
            case XR_TYPE_ACTION_SET_CREATE_INFO:
                if (!ApiDumpOutputXrStruct(gen_dispatch_table, reinterpret_cast<const XrActionSetCreateInfo*>(value), prefix, "const XrActionSetCreateInfo*", true, contents)) {
                    return false;
                }
                return true;
            case XR_TYPE_ACTION_CREATE_INFO:
                if (!ApiDumpOutputXrStruct(gen_dispatch_table, reinterpret_cast<const XrActionCreateInfo*>(value), prefix, "const XrActionCreateInfo*", true, contents)) {
                    return false;
                }
                return true;
            case XR_TYPE_INSTANCE_PROPERTIES:
                if (!ApiDumpOutputXrStruct(gen_dispatch_table, reinterpret_cast<const XrInstanceProperties*>(value), prefix, "const XrInstanceProperties*", true, contents)) {
                    return false;
                }
                return true;
            case XR_TYPE_FRAME_WAIT_INFO:
                if (!ApiDumpOutputXrStruct(gen_dispatch_table, reinterpret_cast<const XrFrameWaitInfo*>(value), prefix, "const XrFrameWaitInfo*", true, contents)) {
                    return false;
                }
                return true;
            case XR_TYPE_COMPOSITION_LAYER_PROJECTION:
                if (!ApiDumpOutputXrStruct(gen_dispatch_table, reinterpret_cast<const XrCompositionLayerProjection*>(value), prefix, "const XrCompositionLayerProjection*", true, contents)) {
                    return false;
                }
                return true;
            case XR_TYPE_COMPOSITION_LAYER_QUAD:
                if (!ApiDumpOutputXrStruct(gen_dispatch_table, reinterpret_cast<const XrCompositionLayerQuad*>(value), prefix, "const XrCompositionLayerQuad*", true, contents)) {
                    return false;
                }
                return true;
            case XR_TYPE_REFERENCE_SPACE_CREATE_INFO:
                if (!ApiDumpOutputXrStruct(gen_dispatch_table, reinterpret_cast<const XrReferenceSpaceCreateInfo*>(value), prefix, "const XrReferenceSpaceCreateInfo*", true, contents)) {
                    return false;
                }
                return true;
            case XR_TYPE_ACTION_SPACE_CREATE_INFO:
                if (!ApiDumpOutputXrStruct(gen_dispatch_table, reinterpret_cast<const XrActionSpaceCreateInfo*>(value), prefix, "const XrActionSpaceCreateInfo*", true, contents)) {
                    return false;
                }
                return true;
            case XR_TYPE_EVENT_DATA_REFERENCE_SPACE_CHANGE_PENDING:
                if (!ApiDumpOutputXrStruct(gen_dispatch_table, reinterpret_cast<const XrEventDataReferenceSpaceChangePending*>(value), prefix, "const XrEventDataReferenceSpaceChangePending*", true, contents)) {
                    return false;
                }
                return true;
            case XR_TYPE_VIEW_CONFIGURATION_VIEW:
                if (!ApiDumpOutputXrStruct(gen_dispatch_table, reinterpret_cast<const XrViewConfigurationView*>(value), prefix, "const XrViewConfigurationView*", true, contents)) {
                    return false;
                }
                return true;
            case XR_TYPE_SPACE_LOCATION:
                if (!ApiDumpOutputXrStruct(gen_dispatch_table, reinterpret_cast<const XrSpaceLocation*>(value), prefix, "const XrSpaceLocation*", true, contents)) {
                    return false;
                }
                return true;
            case XR_TYPE_SPACE_VELOCITY:
                if (!ApiDumpOutputXrStruct(gen_dispatch_table, reinterpret_cast<const XrSpaceVelocity*>(value), prefix, "const XrSpaceVelocity*", true, contents)) {
                    return false;
                }
                return true;
            case XR_TYPE_FRAME_STATE:
                if (!ApiDumpOutputXrStruct(gen_dispatch_table, reinterpret_cast<const XrFrameState*>(value), prefix, "const XrFrameState*", true, contents)) {
                    return false;
                }
                return true;
            case XR_TYPE_VIEW_CONFIGURATION_PROPERTIES:
                if (!ApiDumpOutputXrStruct(gen_dispatch_table, reinterpret_cast<const XrViewConfigurationProperties*>(value), prefix, "const XrViewConfigurationProperties*", true, contents)) {
                    return false;
                }
                return true;
            case XR_TYPE_FRAME_BEGIN_INFO:
                if (!ApiDumpOutputXrStruct(gen_dispatch_table, reinterpret_cast<const XrFrameBeginInfo*>(value), prefix, "const XrFrameBeginInfo*", true, contents)) {
                    return false;
                }
                return true;
            case XR_TYPE_COMPOSITION_LAYER_PROJECTION_VIEW:
                if (!ApiDumpOutputXrStruct(gen_dispatch_table, reinterpret_cast<const XrCompositionLayerProjectionView*>(value), prefix, "const XrCompositionLayerProjectionView*", true, contents)) {
                    return false;
                }
                return true;
            case XR_TYPE_EVENT_DATA_EVENTS_LOST:
                if (!ApiDumpOutputXrStruct(gen_dispatch_table, reinterpret_cast<const XrEventDataEventsLost*>(value), prefix, "const XrEventDataEventsLost*", true, contents)) {
                    return false;
                }
                return true;
            case XR_TYPE_INTERACTION_PROFILE_SUGGESTED_BINDING:
                if (!ApiDumpOutputXrStruct(gen_dispatch_table, reinterpret_cast<const XrInteractionProfileSuggestedBinding*>(value), prefix, "const XrInteractionProfileSuggestedBinding*", true, contents)) {
                    return false;
                }
                return true;
            case XR_TYPE_EVENT_DATA_INTERACTION_PROFILE_CHANGED:
                if (!ApiDumpOutputXrStruct(gen_dispatch_table, reinterpret_cast<const XrEventDataInteractionProfileChanged*>(value), prefix, "const XrEventDataInteractionProfileChanged*", true, contents)) {
                    return false;
                }
                return true;
            case XR_TYPE_INTERACTION_PROFILE_STATE:
                if (!ApiDumpOutputXrStruct(gen_dispatch_table, reinterpret_cast<const XrInteractionProfileState*>(value), prefix, "const XrInteractionProfileState*", true, contents)) {
                    return false;
                }
                return true;
            case XR_TYPE_SWAPCHAIN_IMAGE_ACQUIRE_INFO:
                if (!ApiDumpOutputXrStruct(gen_dispatch_table, reinterpret_cast<const XrSwapchainImageAcquireInfo*>(value), prefix, "const XrSwapchainImageAcquireInfo*", true, contents)) {
                    return false;
                }
                return true;
            case XR_TYPE_SWAPCHAIN_IMAGE_WAIT_INFO:
                if (!ApiDumpOutputXrStruct(gen_dispatch_table, reinterpret_cast<const XrSwapchainImageWaitInfo*>(value), prefix, "const XrSwapchainImageWaitInfo*", true, contents)) {
                    return false;
                }
                return true;
            case XR_TYPE_SWAPCHAIN_IMAGE_RELEASE_INFO:
                if (!ApiDumpOutputXrStruct(gen_dispatch_table, reinterpret_cast<const XrSwapchainImageReleaseInfo*>(value), prefix, "const XrSwapchainImageReleaseInfo*", true, contents)) {
                    return false;
                }
                return true;
            case XR_TYPE_ACTION_STATE_GET_INFO:
                if (!ApiDumpOutputXrStruct(gen_dispatch_table, reinterpret_cast<const XrActionStateGetInfo*>(value), prefix, "const XrActionStateGetInfo*", true, contents)) {
                    return false;
                }
                return true;
            case XR_TYPE_HAPTIC_ACTION_INFO:
                if (!ApiDumpOutputXrStruct(gen_dispatch_table, reinterpret_cast<const XrHapticActionInfo*>(value), prefix, "const XrHapticActionInfo*", true, contents)) {
                    return false;
                }
                return true;
            case XR_TYPE_SESSION_ACTION_SETS_ATTACH_INFO:
                if (!ApiDumpOutputXrStruct(gen_dispatch_table, reinterpret_cast<const XrSessionActionSetsAttachInfo*>(value), prefix, "const XrSessionActionSetsAttachInfo*", true, contents)) {
                    return false;
                }
                return true;
            case XR_TYPE_ACTIONS_SYNC_INFO:
                if (!ApiDumpOutputXrStruct(gen_dispatch_table, reinterpret_cast<const XrActionsSyncInfo*>(value), prefix, "const XrActionsSyncInfo*", true, contents)) {
                    return false;
                }
                return true;
            case XR_TYPE_BOUND_SOURCES_FOR_ACTION_ENUMERATE_INFO:
                if (!ApiDumpOutputXrStruct(gen_dispatch_table, reinterpret_cast<const XrBoundSourcesForActionEnumerateInfo*>(value), prefix, "const XrBoundSourcesForActionEnumerateInfo*", true, contents)) {
                    return false;
                }
                return true;
            case XR_TYPE_INPUT_SOURCE_LOCALIZED_NAME_GET_INFO:
                if (!ApiDumpOutputXrStruct(gen_dispatch_table, reinterpret_cast<const XrInputSourceLocalizedNameGetInfo*>(value), prefix, "const XrInputSourceLocalizedNameGetInfo*", true, contents)) {
                    return false;
                }
                return true;
            case XR_TYPE_COMPOSITION_LAYER_CUBE_KHR:
                if (!ApiDumpOutputXrStruct(gen_dispatch_table, reinterpret_cast<const XrCompositionLayerCubeKHR*>(value), prefix, "const XrCompositionLayerCubeKHR*", true, contents)) {
                    return false;
                }
                return true;
#if defined(XR_USE_PLATFORM_ANDROID)
            case XR_TYPE_INSTANCE_CREATE_INFO_ANDROID_KHR:
                if (!ApiDumpOutputXrStruct(gen_dispatch_table, reinterpret_cast<const XrInstanceCreateInfoAndroidKHR*>(value), prefix, "const XrInstanceCreateInfoAndroidKHR*", true, contents)) {
                    return false;
                }
                return true;
#endif // defined(XR_USE_PLATFORM_ANDROID)
            case XR_TYPE_COMPOSITION_LAYER_DEPTH_INFO_KHR:
                if (!ApiDumpOutputXrStruct(gen_dispatch_table, reinterpret_cast<const XrCompositionLayerDepthInfoKHR*>(value), prefix, "const XrCompositionLayerDepthInfoKHR*", true, contents)) {
                    return false;
                }
                return true;
#if defined(XR_USE_GRAPHICS_API_VULKAN)
            case XR_TYPE_VULKAN_SWAPCHAIN_FORMAT_LIST_CREATE_INFO_KHR:
                if (!ApiDumpOutputXrStruct(gen_dispatch_table, reinterpret_cast<const XrVulkanSwapchainFormatListCreateInfoKHR*>(value), prefix, "const XrVulkanSwapchainFormatListCreateInfoKHR*", true, contents)) {
                    return false;
                }
                return true;
#endif // defined(XR_USE_GRAPHICS_API_VULKAN)
            case XR_TYPE_EVENT_DATA_PERF_SETTINGS_EXT:
                if (!ApiDumpOutputXrStruct(gen_dispatch_table, reinterpret_cast<const XrEventDataPerfSettingsEXT*>(value), prefix, "const XrEventDataPerfSettingsEXT*", true, contents)) {
                    return false;
                }
                return true;
            case XR_TYPE_COMPOSITION_LAYER_CYLINDER_KHR:
                if (!ApiDumpOutputXrStruct(gen_dispatch_table, reinterpret_cast<const XrCompositionLayerCylinderKHR*>(value), prefix, "const XrCompositionLayerCylinderKHR*", true, contents)) {
                    return false;
                }
                return true;
            case XR_TYPE_COMPOSITION_LAYER_EQUIRECT_KHR:
                if (!ApiDumpOutputXrStruct(gen_dispatch_table, reinterpret_cast<const XrCompositionLayerEquirectKHR*>(value), prefix, "const XrCompositionLayerEquirectKHR*", true, contents)) {
                    return false;
                }
                return true;
            case XR_TYPE_DEBUG_UTILS_OBJECT_NAME_INFO_EXT:
                if (!ApiDumpOutputXrStruct(gen_dispatch_table, reinterpret_cast<const XrDebugUtilsObjectNameInfoEXT*>(value), prefix, "const XrDebugUtilsObjectNameInfoEXT*", true, contents)) {
                    return false;
                }
                return true;
            case XR_TYPE_DEBUG_UTILS_MESSENGER_CALLBACK_DATA_EXT:
                if (!ApiDumpOutputXrStruct(gen_dispatch_table, reinterpret_cast<const XrDebugUtilsMessengerCallbackDataEXT*>(value), prefix, "const XrDebugUtilsMessengerCallbackDataEXT*", true, contents)) {
                    return false;
                }
                return true;
            case XR_TYPE_DEBUG_UTILS_MESSENGER_CREATE_INFO_EXT:
                if (!ApiDumpOutputXrStruct(gen_dispatch_table, reinterpret_cast<const XrDebugUtilsMessengerCreateInfoEXT*>(value), prefix, "const XrDebugUtilsMessengerCreateInfoEXT*", true, contents)) {
                    return false;
                }
                return true;
            case XR_TYPE_DEBUG_UTILS_LABEL_EXT:
                if (!ApiDumpOutputXrStruct(gen_dispatch_table, reinterpret_cast<const XrDebugUtilsLabelEXT*>(value), prefix, "const XrDebugUtilsLabelEXT*", true, contents)) {
                    return false;
                }
                return true;
#if defined(XR_USE_GRAPHICS_API_OPENGL) && defined(XR_USE_PLATFORM_WIN32)
            case XR_TYPE_GRAPHICS_BINDING_OPENGL_WIN32_KHR:
                if (!ApiDumpOutputXrStruct(gen_dispatch_table, reinterpret_cast<const XrGraphicsBindingOpenGLWin32KHR*>(value), prefix, "const XrGraphicsBindingOpenGLWin32KHR*", true, contents)) {
                    return false;
                }
                return true;
#endif // defined(XR_USE_GRAPHICS_API_OPENGL) && defined(XR_USE_PLATFORM_WIN32)
#if defined(XR_USE_GRAPHICS_API_OPENGL) && defined(XR_USE_PLATFORM_XLIB)
            case XR_TYPE_GRAPHICS_BINDING_OPENGL_XLIB_KHR:
                if (!ApiDumpOutputXrStruct(gen_dispatch_table, reinterpret_cast<const XrGraphicsBindingOpenGLXlibKHR*>(value), prefix, "const XrGraphicsBindingOpenGLXlibKHR*", true, contents)) {
                    return false;
                }
                return true;
#endif // defined(XR_USE_GRAPHICS_API_OPENGL) && defined(XR_USE_PLATFORM_XLIB)
#if defined(XR_USE_GRAPHICS_API_OPENGL) && defined(XR_USE_PLATFORM_XCB)
            case XR_TYPE_GRAPHICS_BINDING_OPENGL_XCB_KHR:
                if (!ApiDumpOutputXrStruct(gen_dispatch_table, reinterpret_cast<const XrGraphicsBindingOpenGLXcbKHR*>(value), prefix, "const XrGraphicsBindingOpenGLXcbKHR*", true, contents)) {
                    return false;
                }
                return true;
#endif // defined(XR_USE_GRAPHICS_API_OPENGL) && defined(XR_USE_PLATFORM_XCB)
#if defined(XR_USE_GRAPHICS_API_OPENGL) && defined(XR_USE_PLATFORM_WAYLAND)
            case XR_TYPE_GRAPHICS_BINDING_OPENGL_WAYLAND_KHR:
                if (!ApiDumpOutputXrStruct(gen_dispatch_table, reinterpret_cast<const XrGraphicsBindingOpenGLWaylandKHR*>(value), prefix, "const XrGraphicsBindingOpenGLWaylandKHR*", true, contents)) {
                    return false;
                }
                return true;
#endif // defined(XR_USE_GRAPHICS_API_OPENGL) && defined(XR_USE_PLATFORM_WAYLAND)
#if defined(XR_USE_GRAPHICS_API_OPENGL)
            case XR_TYPE_SWAPCHAIN_IMAGE_OPENGL_KHR:
                if (!ApiDumpOutputXrStruct(gen_dispatch_table, reinterpret_cast<const XrSwapchainImageOpenGLKHR*>(value), prefix, "const XrSwapchainImageOpenGLKHR*", true, contents)) {
                    return false;
                }
                return true;
#endif // defined(XR_USE_GRAPHICS_API_OPENGL)
#if defined(XR_USE_GRAPHICS_API_OPENGL)
            case XR_TYPE_GRAPHICS_REQUIREMENTS_OPENGL_KHR:
                if (!ApiDumpOutputXrStruct(gen_dispatch_table, reinterpret_cast<const XrGraphicsRequirementsOpenGLKHR*>(value), prefix, "const XrGraphicsRequirementsOpenGLKHR*", true, contents)) {
                    return false;
                }
                return true;
#endif // defined(XR_USE_GRAPHICS_API_OPENGL)
#if defined(XR_USE_GRAPHICS_API_OPENGL_ES) && defined(XR_USE_PLATFORM_ANDROID)
            case XR_TYPE_GRAPHICS_BINDING_OPENGL_ES_ANDROID_KHR:
                if (!ApiDumpOutputXrStruct(gen_dispatch_table, reinterpret_cast<const XrGraphicsBindingOpenGLESAndroidKHR*>(value), prefix, "const XrGraphicsBindingOpenGLESAndroidKHR*", true, contents)) {
                    return false;
                }
                return true;
#endif // defined(XR_USE_GRAPHICS_API_OPENGL_ES) && defined(XR_USE_PLATFORM_ANDROID)
#if defined(XR_USE_GRAPHICS_API_OPENGL_ES)
            case XR_TYPE_SWAPCHAIN_IMAGE_OPENGL_ES_KHR:
                if (!ApiDumpOutputXrStruct(gen_dispatch_table, reinterpret_cast<const XrSwapchainImageOpenGLESKHR*>(value), prefix, "const XrSwapchainImageOpenGLESKHR*", true, contents)) {
                    return false;
                }
                return true;
#endif // defined(XR_USE_GRAPHICS_API_OPENGL_ES)
#if defined(XR_USE_GRAPHICS_API_OPENGL_ES)
            case XR_TYPE_GRAPHICS_REQUIREMENTS_OPENGL_ES_KHR:
                if (!ApiDumpOutputXrStruct(gen_dispatch_table, reinterpret_cast<const XrGraphicsRequirementsOpenGLESKHR*>(value), prefix, "const XrGraphicsRequirementsOpenGLESKHR*", true, contents)) {
                    return false;
                }
                return true;
#endif // defined(XR_USE_GRAPHICS_API_OPENGL_ES)
#if defined(XR_USE_GRAPHICS_API_VULKAN)
            case XR_TYPE_GRAPHICS_BINDING_VULKAN_KHR:
                if (!ApiDumpOutputXrStruct(gen_dispatch_table, reinterpret_cast<const XrGraphicsBindingVulkanKHR*>(value), prefix, "const XrGraphicsBindingVulkanKHR*", true, contents)) {
                    return false;
                }
                return true;
#endif // defined(XR_USE_GRAPHICS_API_VULKAN)
#if defined(XR_USE_GRAPHICS_API_VULKAN)
            case XR_TYPE_SWAPCHAIN_IMAGE_VULKAN_KHR:
                if (!ApiDumpOutputXrStruct(gen_dispatch_table, reinterpret_cast<const XrSwapchainImageVulkanKHR*>(value), prefix, "const XrSwapchainImageVulkanKHR*", true, contents)) {
                    return false;
                }
                return true;
#endif // defined(XR_USE_GRAPHICS_API_VULKAN)
#if defined(XR_USE_GRAPHICS_API_VULKAN)
            case XR_TYPE_GRAPHICS_REQUIREMENTS_VULKAN_KHR:
                if (!ApiDumpOutputXrStruct(gen_dispatch_table, reinterpret_cast<const XrGraphicsRequirementsVulkanKHR*>(value), prefix, "const XrGraphicsRequirementsVulkanKHR*", true, contents)) {
                    return false;
                }
                return true;
#endif // defined(XR_USE_GRAPHICS_API_VULKAN)
#if defined(XR_USE_GRAPHICS_API_D3D11)
            case XR_TYPE_GRAPHICS_BINDING_D3D11_KHR:
                if (!ApiDumpOutputXrStruct(gen_dispatch_table, reinterpret_cast<const XrGraphicsBindingD3D11KHR*>(value), prefix, "const XrGraphicsBindingD3D11KHR*", true, contents)) {
                    return false;
                }
                return true;
#endif // defined(XR_USE_GRAPHICS_API_D3D11)
#if defined(XR_USE_GRAPHICS_API_D3D11)
            case XR_TYPE_SWAPCHAIN_IMAGE_D3D11_KHR:
                if (!ApiDumpOutputXrStruct(gen_dispatch_table, reinterpret_cast<const XrSwapchainImageD3D11KHR*>(value), prefix, "const XrSwapchainImageD3D11KHR*", true, contents)) {
                    return false;
                }
                return true;
#endif // defined(XR_USE_GRAPHICS_API_D3D11)
#if defined(XR_USE_GRAPHICS_API_D3D11)
            case XR_TYPE_GRAPHICS_REQUIREMENTS_D3D11_KHR:
                if (!ApiDumpOutputXrStruct(gen_dispatch_table, reinterpret_cast<const XrGraphicsRequirementsD3D11KHR*>(value), prefix, "const XrGraphicsRequirementsD3D11KHR*", true, contents)) {
                    return false;
                }
                return true;
#endif // defined(XR_USE_GRAPHICS_API_D3D11)
#if defined(XR_USE_GRAPHICS_API_D3D12)
            case XR_TYPE_GRAPHICS_BINDING_D3D12_KHR:
                if (!ApiDumpOutputXrStruct(gen_dispatch_table, reinterpret_cast<const XrGraphicsBindingD3D12KHR*>(value), prefix, "const XrGraphicsBindingD3D12KHR*", true, contents)) {
                    return false;
                }
                return true;
#endif // defined(XR_USE_GRAPHICS_API_D3D12)
#if defined(XR_USE_GRAPHICS_API_D3D12)
            case XR_TYPE_SWAPCHAIN_IMAGE_D3D12_KHR:
                if (!ApiDumpOutputXrStruct(gen_dispatch_table, reinterpret_cast<const XrSwapchainImageD3D12KHR*>(value), prefix, "const XrSwapchainImageD3D12KHR*", true, contents)) {
                    return false;
                }
                return true;
#endif // defined(XR_USE_GRAPHICS_API_D3D12)
#if defined(XR_USE_GRAPHICS_API_D3D12)
            case XR_TYPE_GRAPHICS_REQUIREMENTS_D3D12_KHR:
                if (!ApiDumpOutputXrStruct(gen_dispatch_table, reinterpret_cast<const XrGraphicsRequirementsD3D12KHR*>(value), prefix, "const XrGraphicsRequirementsD3D12KHR*", true, contents)) {
                    return false;
                }
                return true;
#endif // defined(XR_USE_GRAPHICS_API_D3D12)
            case XR_TYPE_SYSTEM_EYE_GAZE_INTERACTION_PROPERTIES_EXT:
                if (!ApiDumpOutputXrStruct(gen_dispatch_table, reinterpret_cast<const XrSystemEyeGazeInteractionPropertiesEXT*>(value), prefix, "const XrSystemEyeGazeInteractionPropertiesEXT*", true, contents)) {
                    return false;
                }
                return true;
            case XR_TYPE_EYE_GAZE_SAMPLE_TIME_EXT:
                if (!ApiDumpOutputXrStruct(gen_dispatch_table, reinterpret_cast<const XrEyeGazeSampleTimeEXT*>(value), prefix, "const XrEyeGazeSampleTimeEXT*", true, contents)) {
                    return false;
                }
                return true;
            case XR_TYPE_VISIBILITY_MASK_KHR:
                if (!ApiDumpOutputXrStruct(gen_dispatch_table, reinterpret_cast<const XrVisibilityMaskKHR*>(value), prefix, "const XrVisibilityMaskKHR*", true, contents)) {
                    return false;
                }
                return true;
            case XR_TYPE_EVENT_DATA_VISIBILITY_MASK_CHANGED_KHR:
                if (!ApiDumpOutputXrStruct(gen_dispatch_table, reinterpret_cast<const XrEventDataVisibilityMaskChangedKHR*>(value), prefix, "const XrEventDataVisibilityMaskChangedKHR*", true, contents)) {
                    return false;
                }
                return true;
            case XR_TYPE_SESSION_CREATE_INFO_OVERLAY_EXTX:
                if (!ApiDumpOutputXrStruct(gen_dispatch_table, reinterpret_cast<const XrSessionCreateInfoOverlayEXTX*>(value), prefix, "const XrSessionCreateInfoOverlayEXTX*", true, contents)) {
                    return false;
                }
                return true;
            case XR_TYPE_EVENT_DATA_MAIN_SESSION_VISIBILITY_CHANGED_EXTX:
                if (!ApiDumpOutputXrStruct(gen_dispatch_table, reinterpret_cast<const XrEventDataMainSessionVisibilityChangedEXTX*>(value), prefix, "const XrEventDataMainSessionVisibilityChangedEXTX*", true, contents)) {
                    return false;
                }
                return true;
            case XR_TYPE_COMPOSITION_LAYER_COLOR_SCALE_BIAS_KHR:
                if (!ApiDumpOutputXrStruct(gen_dispatch_table, reinterpret_cast<const XrCompositionLayerColorScaleBiasKHR*>(value), prefix, "const XrCompositionLayerColorScaleBiasKHR*", true, contents)) {
                    return false;
                }
                return true;
            case XR_TYPE_SPATIAL_ANCHOR_CREATE_INFO_MSFT:
                if (!ApiDumpOutputXrStruct(gen_dispatch_table, reinterpret_cast<const XrSpatialAnchorCreateInfoMSFT*>(value), prefix, "const XrSpatialAnchorCreateInfoMSFT*", true, contents)) {
                    return false;
                }
                return true;
            case XR_TYPE_SPATIAL_ANCHOR_SPACE_CREATE_INFO_MSFT:
                if (!ApiDumpOutputXrStruct(gen_dispatch_table, reinterpret_cast<const XrSpatialAnchorSpaceCreateInfoMSFT*>(value), prefix, "const XrSpatialAnchorSpaceCreateInfoMSFT*", true, contents)) {
                    return false;
                }
                return true;
            case XR_TYPE_VIEW_CONFIGURATION_DEPTH_RANGE_EXT:
                if (!ApiDumpOutputXrStruct(gen_dispatch_table, reinterpret_cast<const XrViewConfigurationDepthRangeEXT*>(value), prefix, "const XrViewConfigurationDepthRangeEXT*", true, contents)) {
                    return false;
                }
                return true;
#if defined(XR_USE_PLATFORM_EGL)
            case XR_TYPE_GRAPHICS_BINDING_EGL_MNDX:
                if (!ApiDumpOutputXrStruct(gen_dispatch_table, reinterpret_cast<const XrGraphicsBindingEGLMNDX*>(value), prefix, "const XrGraphicsBindingEGLMNDX*", true, contents)) {
                    return false;
                }
                return true;
#endif // defined(XR_USE_PLATFORM_EGL)
            case XR_TYPE_SPATIAL_GRAPH_NODE_SPACE_CREATE_INFO_MSFT:
                if (!ApiDumpOutputXrStruct(gen_dispatch_table, reinterpret_cast<const XrSpatialGraphNodeSpaceCreateInfoMSFT*>(value), prefix, "const XrSpatialGraphNodeSpaceCreateInfoMSFT*", true, contents)) {
                    return false;
                }
                return true;
            case XR_TYPE_SYSTEM_HAND_TRACKING_PROPERTIES_EXT:
                if (!ApiDumpOutputXrStruct(gen_dispatch_table, reinterpret_cast<const XrSystemHandTrackingPropertiesEXT*>(value), prefix, "const XrSystemHandTrackingPropertiesEXT*", true, contents)) {
                    return false;
                }
                return true;
            case XR_TYPE_HAND_TRACKER_CREATE_INFO_EXT:
                if (!ApiDumpOutputXrStruct(gen_dispatch_table, reinterpret_cast<const XrHandTrackerCreateInfoEXT*>(value), prefix, "const XrHandTrackerCreateInfoEXT*", true, contents)) {
                    return false;
                }
                return true;
            case XR_TYPE_HAND_JOINTS_LOCATE_INFO_EXT:
                if (!ApiDumpOutputXrStruct(gen_dispatch_table, reinterpret_cast<const XrHandJointsLocateInfoEXT*>(value), prefix, "const XrHandJointsLocateInfoEXT*", true, contents)) {
                    return false;
                }
                return true;
            case XR_TYPE_HAND_JOINT_LOCATIONS_EXT:
                if (!ApiDumpOutputXrStruct(gen_dispatch_table, reinterpret_cast<const XrHandJointLocationsEXT*>(value), prefix, "const XrHandJointLocationsEXT*", true, contents)) {
                    return false;
                }
                return true;
            case XR_TYPE_HAND_JOINT_VELOCITIES_EXT:
                if (!ApiDumpOutputXrStruct(gen_dispatch_table, reinterpret_cast<const XrHandJointVelocitiesEXT*>(value), prefix, "const XrHandJointVelocitiesEXT*", true, contents)) {
                    return false;
                }
                return true;
            case XR_TYPE_SYSTEM_HAND_TRACKING_MESH_PROPERTIES_MSFT:
                if (!ApiDumpOutputXrStruct(gen_dispatch_table, reinterpret_cast<const XrSystemHandTrackingMeshPropertiesMSFT*>(value), prefix, "const XrSystemHandTrackingMeshPropertiesMSFT*", true, contents)) {
                    return false;
                }
                return true;
            case XR_TYPE_HAND_MESH_SPACE_CREATE_INFO_MSFT:
                if (!ApiDumpOutputXrStruct(gen_dispatch_table, reinterpret_cast<const XrHandMeshSpaceCreateInfoMSFT*>(value), prefix, "const XrHandMeshSpaceCreateInfoMSFT*", true, contents)) {
                    return false;
                }
                return true;
            case XR_TYPE_HAND_MESH_UPDATE_INFO_MSFT:
                if (!ApiDumpOutputXrStruct(gen_dispatch_table, reinterpret_cast<const XrHandMeshUpdateInfoMSFT*>(value), prefix, "const XrHandMeshUpdateInfoMSFT*", true, contents)) {
                    return false;
                }
                return true;
            case XR_TYPE_HAND_MESH_MSFT:
                if (!ApiDumpOutputXrStruct(gen_dispatch_table, reinterpret_cast<const XrHandMeshMSFT*>(value), prefix, "const XrHandMeshMSFT*", true, contents)) {
                    return false;
                }
                return true;
            case XR_TYPE_HAND_POSE_TYPE_INFO_MSFT:
                if (!ApiDumpOutputXrStruct(gen_dispatch_table, reinterpret_cast<const XrHandPoseTypeInfoMSFT*>(value), prefix, "const XrHandPoseTypeInfoMSFT*", true, contents)) {
                    return false;
                }
                return true;
            case XR_TYPE_SECONDARY_VIEW_CONFIGURATION_SESSION_BEGIN_INFO_MSFT:
                if (!ApiDumpOutputXrStruct(gen_dispatch_table, reinterpret_cast<const XrSecondaryViewConfigurationSessionBeginInfoMSFT*>(value), prefix, "const XrSecondaryViewConfigurationSessionBeginInfoMSFT*", true, contents)) {
                    return false;
                }
                return true;
            case XR_TYPE_SECONDARY_VIEW_CONFIGURATION_STATE_MSFT:
                if (!ApiDumpOutputXrStruct(gen_dispatch_table, reinterpret_cast<const XrSecondaryViewConfigurationStateMSFT*>(value), prefix, "const XrSecondaryViewConfigurationStateMSFT*", true, contents)) {
                    return false;
                }
                return true;
            case XR_TYPE_SECONDARY_VIEW_CONFIGURATION_FRAME_STATE_MSFT:
                if (!ApiDumpOutputXrStruct(gen_dispatch_table, reinterpret_cast<const XrSecondaryViewConfigurationFrameStateMSFT*>(value), prefix, "const XrSecondaryViewConfigurationFrameStateMSFT*", true, contents)) {
                    return false;
                }
                return true;
            case XR_TYPE_SECONDARY_VIEW_CONFIGURATION_FRAME_END_INFO_MSFT:
                if (!ApiDumpOutputXrStruct(gen_dispatch_table, reinterpret_cast<const XrSecondaryViewConfigurationFrameEndInfoMSFT*>(value), prefix, "const XrSecondaryViewConfigurationFrameEndInfoMSFT*", true, contents)) {
                    return false;
                }
                return true;
            case XR_TYPE_SECONDARY_VIEW_CONFIGURATION_LAYER_INFO_MSFT:
                if (!ApiDumpOutputXrStruct(gen_dispatch_table, reinterpret_cast<const XrSecondaryViewConfigurationLayerInfoMSFT*>(value), prefix, "const XrSecondaryViewConfigurationLayerInfoMSFT*", true, contents)) {
                    return false;
                }
                return true;
            case XR_TYPE_SECONDARY_VIEW_CONFIGURATION_SWAPCHAIN_CREATE_INFO_MSFT:
                if (!ApiDumpOutputXrStruct(gen_dispatch_table, reinterpret_cast<const XrSecondaryViewConfigurationSwapchainCreateInfoMSFT*>(value), prefix, "const XrSecondaryViewConfigurationSwapchainCreateInfoMSFT*", true, contents)) {
                    return false;
                }
                return true;
            case XR_TYPE_CONTROLLER_MODEL_KEY_STATE_MSFT:
                if (!ApiDumpOutputXrStruct(gen_dispatch_table, reinterpret_cast<const XrControllerModelKeyStateMSFT*>(value), prefix, "const XrControllerModelKeyStateMSFT*", true, contents)) {
                    return false;
                }
                return true;
            case XR_TYPE_CONTROLLER_MODEL_NODE_PROPERTIES_MSFT:
                if (!ApiDumpOutputXrStruct(gen_dispatch_table, reinterpret_cast<const XrControllerModelNodePropertiesMSFT*>(value), prefix, "const XrControllerModelNodePropertiesMSFT*", true, contents)) {
                    return false;
                }
                return true;
            case XR_TYPE_CONTROLLER_MODEL_PROPERTIES_MSFT:
                if (!ApiDumpOutputXrStruct(gen_dispatch_table, reinterpret_cast<const XrControllerModelPropertiesMSFT*>(value), prefix, "const XrControllerModelPropertiesMSFT*", true, contents)) {
                    return false;
                }
                return true;
            case XR_TYPE_CONTROLLER_MODEL_NODE_STATE_MSFT:
                if (!ApiDumpOutputXrStruct(gen_dispatch_table, reinterpret_cast<const XrControllerModelNodeStateMSFT*>(value), prefix, "const XrControllerModelNodeStateMSFT*", true, contents)) {
                    return false;
                }
                return true;
            case XR_TYPE_CONTROLLER_MODEL_STATE_MSFT:
                if (!ApiDumpOutputXrStruct(gen_dispatch_table, reinterpret_cast<const XrControllerModelStateMSFT*>(value), prefix, "const XrControllerModelStateMSFT*", true, contents)) {
                    return false;
                }
                return true;
            case XR_TYPE_VIEW_CONFIGURATION_VIEW_FOV_EPIC:
                if (!ApiDumpOutputXrStruct(gen_dispatch_table, reinterpret_cast<const XrViewConfigurationViewFovEPIC*>(value), prefix, "const XrViewConfigurationViewFovEPIC*", true, contents)) {
                    return false;
                }
                return true;
#if defined(XR_USE_PLATFORM_WIN32) && defined(XR_USE_PLATFORM_WIN32)
            case XR_TYPE_HOLOGRAPHIC_WINDOW_ATTACHMENT_MSFT:
                if (!ApiDumpOutputXrStruct(gen_dispatch_table, reinterpret_cast<const XrHolographicWindowAttachmentMSFT*>(value), prefix, "const XrHolographicWindowAttachmentMSFT*", true, contents)) {
                    return false;
                }
                return true;
#endif // defined(XR_USE_PLATFORM_WIN32) && defined(XR_USE_PLATFORM_WIN32)
            case XR_TYPE_INTERACTION_PROFILE_ANALOG_THRESHOLD_VALVE:
                if (!ApiDumpOutputXrStruct(gen_dispatch_table, reinterpret_cast<const XrInteractionProfileAnalogThresholdVALVE*>(value), prefix, "const XrInteractionProfileAnalogThresholdVALVE*", true, contents)) {
                    return false;
                }
                return true;
#if defined(XR_USE_PLATFORM_ANDROID)
            case XR_TYPE_LOADER_INIT_INFO_ANDROID_KHR:
                if (!ApiDumpOutputXrStruct(gen_dispatch_table, reinterpret_cast<const XrLoaderInitInfoAndroidKHR*>(value), prefix, "const XrLoaderInitInfoAndroidKHR*", true, contents)) {
                    return false;
                }
                return true;
#endif // defined(XR_USE_PLATFORM_ANDROID)
#if defined(XR_USE_GRAPHICS_API_VULKAN)
            case XR_TYPE_VULKAN_INSTANCE_CREATE_INFO_KHR:
                if (!ApiDumpOutputXrStruct(gen_dispatch_table, reinterpret_cast<const XrVulkanInstanceCreateInfoKHR*>(value), prefix, "const XrVulkanInstanceCreateInfoKHR*", true, contents)) {
                    return false;
                }
                return true;
#endif // defined(XR_USE_GRAPHICS_API_VULKAN)
#if defined(XR_USE_GRAPHICS_API_VULKAN)
            case XR_TYPE_VULKAN_DEVICE_CREATE_INFO_KHR:
                if (!ApiDumpOutputXrStruct(gen_dispatch_table, reinterpret_cast<const XrVulkanDeviceCreateInfoKHR*>(value), prefix, "const XrVulkanDeviceCreateInfoKHR*", true, contents)) {
                    return false;
                }
                return true;
#endif // defined(XR_USE_GRAPHICS_API_VULKAN)
#if defined(XR_USE_GRAPHICS_API_VULKAN)
            case XR_TYPE_VULKAN_GRAPHICS_DEVICE_GET_INFO_KHR:
                if (!ApiDumpOutputXrStruct(gen_dispatch_table, reinterpret_cast<const XrVulkanGraphicsDeviceGetInfoKHR*>(value), prefix, "const XrVulkanGraphicsDeviceGetInfoKHR*", true, contents)) {
                    return false;
                }
                return true;
#endif // defined(XR_USE_GRAPHICS_API_VULKAN)
            case XR_TYPE_COMPOSITION_LAYER_EQUIRECT2_KHR:
                if (!ApiDumpOutputXrStruct(gen_dispatch_table, reinterpret_cast<const XrCompositionLayerEquirect2KHR*>(value), prefix, "const XrCompositionLayerEquirect2KHR*", true, contents)) {
                    return false;
                }
                return true;
            case XR_TYPE_EVENT_DATA_DISPLAY_REFRESH_RATE_CHANGED_FB:
                if (!ApiDumpOutputXrStruct(gen_dispatch_table, reinterpret_cast<const XrEventDataDisplayRefreshRateChangedFB*>(value), prefix, "const XrEventDataDisplayRefreshRateChangedFB*", true, contents)) {
                    return false;
                }
                return true;
            case XR_TYPE_SYSTEM_COLOR_SPACE_PROPERTIES_FB:
                if (!ApiDumpOutputXrStruct(gen_dispatch_table, reinterpret_cast<const XrSystemColorSpacePropertiesFB*>(value), prefix, "const XrSystemColorSpacePropertiesFB*", true, contents)) {
                    return false;
                }
                return true;
            case XR_TYPE_BINDING_MODIFICATIONS_KHR:
                if (!ApiDumpOutputXrStruct(gen_dispatch_table, reinterpret_cast<const XrBindingModificationsKHR*>(value), prefix, "const XrBindingModificationsKHR*", true, contents)) {
                    return false;
                }
                return true;
            default:
                return false;
        }
    } catch(...) {
    }
    return false;
}


// Automatically generated api_dump layer commands

// ---- Core 1.0 commands
XRAPI_ATTR XrResult XRAPI_CALL ApiDumpLayerXrGetInstanceProperties(
    XrInstance instance,
    XrInstanceProperties* instanceProperties) {
    XrResult result = XR_SUCCESS;
    try {
        // Generate output for this command
        std::vector<std::tuple<std::string, std::string, std::string>> contents;
        std::unique_lock<std::mutex> mlock(g_instance_dispatch_mutex);
        auto map_iter = g_instance_dispatch_map.find(instance);
        mlock.unlock();

        if (map_iter == g_instance_dispatch_map.end()) return XR_ERROR_VALIDATION_FAILURE;
        XrGeneratedDispatchTable *gen_dispatch_table = map_iter->second;
        contents.emplace_back("XrResult", "xrGetInstanceProperties", "");
        std::ostringstream oss_instance;
        oss_instance << std::hex << reinterpret_cast<const void*>(instance);
        contents.emplace_back("XrInstance", "instance", oss_instance.str());
        std::ostringstream oss_instanceProperties;
        oss_instanceProperties << std::hex << reinterpret_cast<const void*>(instanceProperties);
        contents.emplace_back("XrInstanceProperties*", "instanceProperties", oss_instanceProperties.str());
        ApiDumpLayerRecordContent(contents);

        result = gen_dispatch_table->GetInstanceProperties(instance, instanceProperties);
    } catch (...) {
        return XR_ERROR_VALIDATION_FAILURE;
    }
    return result;
}

XRAPI_ATTR XrResult XRAPI_CALL ApiDumpLayerXrPollEvent(
    XrInstance instance,
    XrEventDataBuffer* eventData) {
    XrResult result = XR_SUCCESS;
    try {
        // Generate output for this command
        std::vector<std::tuple<std::string, std::string, std::string>> contents;
        std::unique_lock<std::mutex> mlock(g_instance_dispatch_mutex);
        auto map_iter = g_instance_dispatch_map.find(instance);
        mlock.unlock();

        if (map_iter == g_instance_dispatch_map.end()) return XR_ERROR_VALIDATION_FAILURE;
        XrGeneratedDispatchTable *gen_dispatch_table = map_iter->second;
        contents.emplace_back("XrResult", "xrPollEvent", "");
        std::ostringstream oss_instance;
        oss_instance << std::hex << reinterpret_cast<const void*>(instance);
        contents.emplace_back("XrInstance", "instance", oss_instance.str());
        std::ostringstream oss_eventData;
        oss_eventData << std::hex << reinterpret_cast<const void*>(eventData);
        contents.emplace_back("XrEventDataBuffer*", "eventData", oss_eventData.str());
        ApiDumpLayerRecordContent(contents);

        result = gen_dispatch_table->PollEvent(instance, eventData);
    } catch (...) {
        return XR_ERROR_VALIDATION_FAILURE;
    }
    return result;
}

XRAPI_ATTR XrResult XRAPI_CALL ApiDumpLayerXrResultToString(
    XrInstance instance,
    XrResult value,
    char buffer[XR_MAX_RESULT_STRING_SIZE]) {
    XrResult result = XR_SUCCESS;
    try {
        // Generate output for this command
        std::vector<std::tuple<std::string, std::string, std::string>> contents;
        std::unique_lock<std::mutex> mlock(g_instance_dispatch_mutex);
        auto map_iter = g_instance_dispatch_map.find(instance);
        mlock.unlock();

        if (map_iter == g_instance_dispatch_map.end()) return XR_ERROR_VALIDATION_FAILURE;
        XrGeneratedDispatchTable *gen_dispatch_table = map_iter->second;
        contents.emplace_back("XrResult", "xrResultToString", "");
        std::ostringstream oss_instance;
        oss_instance << std::hex << reinterpret_cast<const void*>(instance);
        contents.emplace_back("XrInstance", "instance", oss_instance.str());
        if (nullptr != gen_dispatch_table) {
            char value_string[XR_MAX_RESULT_STRING_SIZE];
            gen_dispatch_table->ResultToString(FindInstanceFromDispatchTable(gen_dispatch_table),
                                               value, value_string);
            contents.emplace_back("XrResult", "value", value_string);
        } else {
                        contents.emplace_back("XrResult", "value", std::to_string(value));
        }
        contents.emplace_back("char*", "buffer", buffer);
        ApiDumpLayerRecordContent(contents);

        result = gen_dispatch_table->ResultToString(instance, value, buffer);
    } catch (...) {
        return XR_ERROR_VALIDATION_FAILURE;
    }
    return result;
}

XRAPI_ATTR XrResult XRAPI_CALL ApiDumpLayerXrStructureTypeToString(
    XrInstance instance,
    XrStructureType value,
    char buffer[XR_MAX_STRUCTURE_NAME_SIZE]) {
    XrResult result = XR_SUCCESS;
    try {
        // Generate output for this command
        std::vector<std::tuple<std::string, std::string, std::string>> contents;
        std::unique_lock<std::mutex> mlock(g_instance_dispatch_mutex);
        auto map_iter = g_instance_dispatch_map.find(instance);
        mlock.unlock();

        if (map_iter == g_instance_dispatch_map.end()) return XR_ERROR_VALIDATION_FAILURE;
        XrGeneratedDispatchTable *gen_dispatch_table = map_iter->second;
        contents.emplace_back("XrResult", "xrStructureTypeToString", "");
        std::ostringstream oss_instance;
        oss_instance << std::hex << reinterpret_cast<const void*>(instance);
        contents.emplace_back("XrInstance", "instance", oss_instance.str());
        if (nullptr != gen_dispatch_table) {
            char value_string[XR_MAX_STRUCTURE_NAME_SIZE];
            gen_dispatch_table->StructureTypeToString(FindInstanceFromDispatchTable(gen_dispatch_table),
                                                      value, value_string);
            contents.emplace_back("XrStructureType", "value", value_string);
        } else {
                        contents.emplace_back("XrStructureType", "value", std::to_string(value));
        }
        contents.emplace_back("char*", "buffer", buffer);
        ApiDumpLayerRecordContent(contents);

        result = gen_dispatch_table->StructureTypeToString(instance, value, buffer);
    } catch (...) {
        return XR_ERROR_VALIDATION_FAILURE;
    }
    return result;
}

XRAPI_ATTR XrResult XRAPI_CALL ApiDumpLayerXrGetSystem(
    XrInstance instance,
    const XrSystemGetInfo* getInfo,
    XrSystemId* systemId) {
    XrResult result = XR_SUCCESS;
    try {
        // Generate output for this command
        std::vector<std::tuple<std::string, std::string, std::string>> contents;
        std::unique_lock<std::mutex> mlock(g_instance_dispatch_mutex);
        auto map_iter = g_instance_dispatch_map.find(instance);
        mlock.unlock();

        if (map_iter == g_instance_dispatch_map.end()) return XR_ERROR_VALIDATION_FAILURE;
        XrGeneratedDispatchTable *gen_dispatch_table = map_iter->second;
        contents.emplace_back("XrResult", "xrGetSystem", "");
        std::ostringstream oss_instance;
        oss_instance << std::hex << reinterpret_cast<const void*>(instance);
        contents.emplace_back("XrInstance", "instance", oss_instance.str());
        if (!ApiDumpOutputXrStruct(gen_dispatch_table, getInfo, "getInfo", "const XrSystemGetInfo*", true, contents)) {
            throw std::invalid_argument("Invalid Operation");
        }
        std::ostringstream oss_systemId;
        oss_systemId << std::hex << reinterpret_cast<const void*>(systemId);
        contents.emplace_back("XrSystemId*", "systemId", oss_systemId.str());
        ApiDumpLayerRecordContent(contents);

        result = gen_dispatch_table->GetSystem(instance, getInfo, systemId);
    } catch (...) {
        return XR_ERROR_VALIDATION_FAILURE;
    }
    return result;
}

XRAPI_ATTR XrResult XRAPI_CALL ApiDumpLayerXrGetSystemProperties(
    XrInstance instance,
    XrSystemId systemId,
    XrSystemProperties* properties) {
    XrResult result = XR_SUCCESS;
    try {
        // Generate output for this command
        std::vector<std::tuple<std::string, std::string, std::string>> contents;
        std::unique_lock<std::mutex> mlock(g_instance_dispatch_mutex);
        auto map_iter = g_instance_dispatch_map.find(instance);
        mlock.unlock();

        if (map_iter == g_instance_dispatch_map.end()) return XR_ERROR_VALIDATION_FAILURE;
        XrGeneratedDispatchTable *gen_dispatch_table = map_iter->second;
        contents.emplace_back("XrResult", "xrGetSystemProperties", "");
        std::ostringstream oss_instance;
        oss_instance << std::hex << reinterpret_cast<const void*>(instance);
        contents.emplace_back("XrInstance", "instance", oss_instance.str());
        contents.emplace_back("XrSystemId", "systemId", std::to_string(systemId));
        std::ostringstream oss_properties;
        oss_properties << std::hex << reinterpret_cast<const void*>(properties);
        contents.emplace_back("XrSystemProperties*", "properties", oss_properties.str());
        ApiDumpLayerRecordContent(contents);

        result = gen_dispatch_table->GetSystemProperties(instance, systemId, properties);
    } catch (...) {
        return XR_ERROR_VALIDATION_FAILURE;
    }
    return result;
}

XRAPI_ATTR XrResult XRAPI_CALL ApiDumpLayerXrEnumerateEnvironmentBlendModes(
    XrInstance instance,
    XrSystemId systemId,
    XrViewConfigurationType viewConfigurationType,
    uint32_t environmentBlendModeCapacityInput,
    uint32_t* environmentBlendModeCountOutput,
    XrEnvironmentBlendMode* environmentBlendModes) {
    XrResult result = XR_SUCCESS;
    try {
        // Generate output for this command
        std::vector<std::tuple<std::string, std::string, std::string>> contents;
        std::unique_lock<std::mutex> mlock(g_instance_dispatch_mutex);
        auto map_iter = g_instance_dispatch_map.find(instance);
        mlock.unlock();

        if (map_iter == g_instance_dispatch_map.end()) return XR_ERROR_VALIDATION_FAILURE;
        XrGeneratedDispatchTable *gen_dispatch_table = map_iter->second;
        contents.emplace_back("XrResult", "xrEnumerateEnvironmentBlendModes", "");
        std::ostringstream oss_instance;
        oss_instance << std::hex << reinterpret_cast<const void*>(instance);
        contents.emplace_back("XrInstance", "instance", oss_instance.str());
        contents.emplace_back("XrSystemId", "systemId", std::to_string(systemId));
        contents.emplace_back("XrViewConfigurationType", "viewConfigurationType", std::to_string(viewConfigurationType));
        std::ostringstream oss_environmentBlendModeCapacityInput;
        oss_environmentBlendModeCapacityInput << "0x" << std::hex << (environmentBlendModeCapacityInput);
        contents.emplace_back("uint32_t", "environmentBlendModeCapacityInput", oss_environmentBlendModeCapacityInput.str());
        std::ostringstream oss_environmentBlendModeCountOutput;
        oss_environmentBlendModeCountOutput << std::hex << (environmentBlendModeCountOutput);
        contents.emplace_back("uint32_t*", "environmentBlendModeCountOutput", oss_environmentBlendModeCountOutput.str());
        std::ostringstream oss_environmentBlendModes;
        oss_environmentBlendModes << std::hex << reinterpret_cast<const void*>(environmentBlendModes);
        contents.emplace_back("XrEnvironmentBlendMode*", "environmentBlendModes", oss_environmentBlendModes.str());
        ApiDumpLayerRecordContent(contents);

        result = gen_dispatch_table->EnumerateEnvironmentBlendModes(instance, systemId, viewConfigurationType, environmentBlendModeCapacityInput, environmentBlendModeCountOutput, environmentBlendModes);
    } catch (...) {
        return XR_ERROR_VALIDATION_FAILURE;
    }
    return result;
}

XRAPI_ATTR XrResult XRAPI_CALL ApiDumpLayerXrCreateSession(
    XrInstance instance,
    const XrSessionCreateInfo* createInfo,
    XrSession* session) {
    XrResult result = XR_SUCCESS;
    try {
        // Generate output for this command
        std::vector<std::tuple<std::string, std::string, std::string>> contents;
        std::unique_lock<std::mutex> mlock(g_instance_dispatch_mutex);
        auto map_iter = g_instance_dispatch_map.find(instance);
        mlock.unlock();

        if (map_iter == g_instance_dispatch_map.end()) return XR_ERROR_VALIDATION_FAILURE;
        XrGeneratedDispatchTable *gen_dispatch_table = map_iter->second;
        contents.emplace_back("XrResult", "xrCreateSession", "");
        std::ostringstream oss_instance;
        oss_instance << std::hex << reinterpret_cast<const void*>(instance);
        contents.emplace_back("XrInstance", "instance", oss_instance.str());
        if (!ApiDumpOutputXrStruct(gen_dispatch_table, createInfo, "createInfo", "const XrSessionCreateInfo*", true, contents)) {
            throw std::invalid_argument("Invalid Operation");
        }
        std::ostringstream oss_session;
        oss_session << std::hex << reinterpret_cast<const void*>(session);
        contents.emplace_back("XrSession*", "session", oss_session.str());
        ApiDumpLayerRecordContent(contents);

        result = gen_dispatch_table->CreateSession(instance, createInfo, session);
        if (XR_SUCCESS == result && nullptr != session) {
            auto exists = g_session_dispatch_map.find(*session);
            if (exists == g_session_dispatch_map.end()) {
                std::unique_lock<std::mutex> lock(g_session_dispatch_mutex);
                g_session_dispatch_map[*session] = gen_dispatch_table;
            }
        }
    } catch (...) {
        return XR_ERROR_VALIDATION_FAILURE;
    }
    return result;
}

XRAPI_ATTR XrResult XRAPI_CALL ApiDumpLayerXrDestroySession(
    XrSession session) {
    XrResult result = XR_SUCCESS;
    try {
        // Generate output for this command
        std::vector<std::tuple<std::string, std::string, std::string>> contents;
        std::unique_lock<std::mutex> mlock(g_session_dispatch_mutex);
        auto map_iter = g_session_dispatch_map.find(session);
        mlock.unlock();

        if (map_iter == g_session_dispatch_map.end()) return XR_ERROR_VALIDATION_FAILURE;
        XrGeneratedDispatchTable *gen_dispatch_table = map_iter->second;
        contents.emplace_back("XrResult", "xrDestroySession", "");
        std::ostringstream oss_session;
        oss_session << std::hex << reinterpret_cast<const void*>(session);
        contents.emplace_back("XrSession", "session", oss_session.str());
        ApiDumpLayerRecordContent(contents);

        result = gen_dispatch_table->DestroySession(session);
        auto exists = g_session_dispatch_map.find(session);
        if (exists != g_session_dispatch_map.end()) {
            std::unique_lock<std::mutex> lock(g_session_dispatch_mutex);
            g_session_dispatch_map.erase(session);
        }
    } catch (...) {
        return XR_ERROR_VALIDATION_FAILURE;
    }
    return result;
}

XRAPI_ATTR XrResult XRAPI_CALL ApiDumpLayerXrEnumerateReferenceSpaces(
    XrSession session,
    uint32_t spaceCapacityInput,
    uint32_t* spaceCountOutput,
    XrReferenceSpaceType* spaces) {
    XrResult result = XR_SUCCESS;
    try {
        // Generate output for this command
        std::vector<std::tuple<std::string, std::string, std::string>> contents;
        std::unique_lock<std::mutex> mlock(g_session_dispatch_mutex);
        auto map_iter = g_session_dispatch_map.find(session);
        mlock.unlock();

        if (map_iter == g_session_dispatch_map.end()) return XR_ERROR_VALIDATION_FAILURE;
        XrGeneratedDispatchTable *gen_dispatch_table = map_iter->second;
        contents.emplace_back("XrResult", "xrEnumerateReferenceSpaces", "");
        std::ostringstream oss_session;
        oss_session << std::hex << reinterpret_cast<const void*>(session);
        contents.emplace_back("XrSession", "session", oss_session.str());
        std::ostringstream oss_spaceCapacityInput;
        oss_spaceCapacityInput << "0x" << std::hex << (spaceCapacityInput);
        contents.emplace_back("uint32_t", "spaceCapacityInput", oss_spaceCapacityInput.str());
        std::ostringstream oss_spaceCountOutput;
        oss_spaceCountOutput << std::hex << (spaceCountOutput);
        contents.emplace_back("uint32_t*", "spaceCountOutput", oss_spaceCountOutput.str());
        std::ostringstream oss_spaces;
        oss_spaces << std::hex << reinterpret_cast<const void*>(spaces);
        contents.emplace_back("XrReferenceSpaceType*", "spaces", oss_spaces.str());
        ApiDumpLayerRecordContent(contents);

        result = gen_dispatch_table->EnumerateReferenceSpaces(session, spaceCapacityInput, spaceCountOutput, spaces);
    } catch (...) {
        return XR_ERROR_VALIDATION_FAILURE;
    }
    return result;
}

XRAPI_ATTR XrResult XRAPI_CALL ApiDumpLayerXrCreateReferenceSpace(
    XrSession session,
    const XrReferenceSpaceCreateInfo* createInfo,
    XrSpace* space) {
    XrResult result = XR_SUCCESS;
    try {
        // Generate output for this command
        std::vector<std::tuple<std::string, std::string, std::string>> contents;
        std::unique_lock<std::mutex> mlock(g_session_dispatch_mutex);
        auto map_iter = g_session_dispatch_map.find(session);
        mlock.unlock();

        if (map_iter == g_session_dispatch_map.end()) return XR_ERROR_VALIDATION_FAILURE;
        XrGeneratedDispatchTable *gen_dispatch_table = map_iter->second;
        contents.emplace_back("XrResult", "xrCreateReferenceSpace", "");
        std::ostringstream oss_session;
        oss_session << std::hex << reinterpret_cast<const void*>(session);
        contents.emplace_back("XrSession", "session", oss_session.str());
        if (!ApiDumpOutputXrStruct(gen_dispatch_table, createInfo, "createInfo", "const XrReferenceSpaceCreateInfo*", true, contents)) {
            throw std::invalid_argument("Invalid Operation");
        }
        std::ostringstream oss_space;
        oss_space << std::hex << reinterpret_cast<const void*>(space);
        contents.emplace_back("XrSpace*", "space", oss_space.str());
        ApiDumpLayerRecordContent(contents);

        result = gen_dispatch_table->CreateReferenceSpace(session, createInfo, space);
        if (XR_SUCCESS == result && nullptr != space) {
            auto exists = g_space_dispatch_map.find(*space);
            if (exists == g_space_dispatch_map.end()) {
                std::unique_lock<std::mutex> lock(g_space_dispatch_mutex);
                g_space_dispatch_map[*space] = gen_dispatch_table;
            }
        }
    } catch (...) {
        return XR_ERROR_VALIDATION_FAILURE;
    }
    return result;
}

XRAPI_ATTR XrResult XRAPI_CALL ApiDumpLayerXrGetReferenceSpaceBoundsRect(
    XrSession session,
    XrReferenceSpaceType referenceSpaceType,
    XrExtent2Df* bounds) {
    XrResult result = XR_SUCCESS;
    try {
        // Generate output for this command
        std::vector<std::tuple<std::string, std::string, std::string>> contents;
        std::unique_lock<std::mutex> mlock(g_session_dispatch_mutex);
        auto map_iter = g_session_dispatch_map.find(session);
        mlock.unlock();

        if (map_iter == g_session_dispatch_map.end()) return XR_ERROR_VALIDATION_FAILURE;
        XrGeneratedDispatchTable *gen_dispatch_table = map_iter->second;
        contents.emplace_back("XrResult", "xrGetReferenceSpaceBoundsRect", "");
        std::ostringstream oss_session;
        oss_session << std::hex << reinterpret_cast<const void*>(session);
        contents.emplace_back("XrSession", "session", oss_session.str());
        contents.emplace_back("XrReferenceSpaceType", "referenceSpaceType", std::to_string(referenceSpaceType));
        std::ostringstream oss_bounds;
        oss_bounds << std::hex << reinterpret_cast<const void*>(bounds);
        contents.emplace_back("XrExtent2Df*", "bounds", oss_bounds.str());
        ApiDumpLayerRecordContent(contents);

        result = gen_dispatch_table->GetReferenceSpaceBoundsRect(session, referenceSpaceType, bounds);
    } catch (...) {
        return XR_ERROR_VALIDATION_FAILURE;
    }
    return result;
}

XRAPI_ATTR XrResult XRAPI_CALL ApiDumpLayerXrCreateActionSpace(
    XrSession session,
    const XrActionSpaceCreateInfo* createInfo,
    XrSpace* space) {
    XrResult result = XR_SUCCESS;
    try {
        // Generate output for this command
        std::vector<std::tuple<std::string, std::string, std::string>> contents;
        std::unique_lock<std::mutex> mlock(g_session_dispatch_mutex);
        auto map_iter = g_session_dispatch_map.find(session);
        mlock.unlock();

        if (map_iter == g_session_dispatch_map.end()) return XR_ERROR_VALIDATION_FAILURE;
        XrGeneratedDispatchTable *gen_dispatch_table = map_iter->second;
        contents.emplace_back("XrResult", "xrCreateActionSpace", "");
        std::ostringstream oss_session;
        oss_session << std::hex << reinterpret_cast<const void*>(session);
        contents.emplace_back("XrSession", "session", oss_session.str());
        if (!ApiDumpOutputXrStruct(gen_dispatch_table, createInfo, "createInfo", "const XrActionSpaceCreateInfo*", true, contents)) {
            throw std::invalid_argument("Invalid Operation");
        }
        std::ostringstream oss_space;
        oss_space << std::hex << reinterpret_cast<const void*>(space);
        contents.emplace_back("XrSpace*", "space", oss_space.str());
        ApiDumpLayerRecordContent(contents);

        result = gen_dispatch_table->CreateActionSpace(session, createInfo, space);
        if (XR_SUCCESS == result && nullptr != space) {
            auto exists = g_space_dispatch_map.find(*space);
            if (exists == g_space_dispatch_map.end()) {
                std::unique_lock<std::mutex> lock(g_space_dispatch_mutex);
                g_space_dispatch_map[*space] = gen_dispatch_table;
            }
        }
    } catch (...) {
        return XR_ERROR_VALIDATION_FAILURE;
    }
    return result;
}

XRAPI_ATTR XrResult XRAPI_CALL ApiDumpLayerXrLocateSpace(
    XrSpace space,
    XrSpace baseSpace,
    XrTime time,
    XrSpaceLocation* location) {
    XrResult result = XR_SUCCESS;
    try {
        // Generate output for this command
        std::vector<std::tuple<std::string, std::string, std::string>> contents;
        std::unique_lock<std::mutex> mlock(g_space_dispatch_mutex);
        auto map_iter = g_space_dispatch_map.find(space);
        mlock.unlock();

        if (map_iter == g_space_dispatch_map.end()) return XR_ERROR_VALIDATION_FAILURE;
        XrGeneratedDispatchTable *gen_dispatch_table = map_iter->second;
        contents.emplace_back("XrResult", "xrLocateSpace", "");
        std::ostringstream oss_space;
        oss_space << std::hex << reinterpret_cast<const void*>(space);
        contents.emplace_back("XrSpace", "space", oss_space.str());
        std::ostringstream oss_baseSpace;
        oss_baseSpace << std::hex << reinterpret_cast<const void*>(baseSpace);
        contents.emplace_back("XrSpace", "baseSpace", oss_baseSpace.str());
        contents.emplace_back("XrTime", "time", std::to_string(time));
        std::ostringstream oss_location;
        oss_location << std::hex << reinterpret_cast<const void*>(location);
        contents.emplace_back("XrSpaceLocation*", "location", oss_location.str());
        ApiDumpLayerRecordContent(contents);

        result = gen_dispatch_table->LocateSpace(space, baseSpace, time, location);
    } catch (...) {
        return XR_ERROR_VALIDATION_FAILURE;
    }
    return result;
}

XRAPI_ATTR XrResult XRAPI_CALL ApiDumpLayerXrDestroySpace(
    XrSpace space) {
    XrResult result = XR_SUCCESS;
    try {
        // Generate output for this command
        std::vector<std::tuple<std::string, std::string, std::string>> contents;
        std::unique_lock<std::mutex> mlock(g_space_dispatch_mutex);
        auto map_iter = g_space_dispatch_map.find(space);
        mlock.unlock();

        if (map_iter == g_space_dispatch_map.end()) return XR_ERROR_VALIDATION_FAILURE;
        XrGeneratedDispatchTable *gen_dispatch_table = map_iter->second;
        contents.emplace_back("XrResult", "xrDestroySpace", "");
        std::ostringstream oss_space;
        oss_space << std::hex << reinterpret_cast<const void*>(space);
        contents.emplace_back("XrSpace", "space", oss_space.str());
        ApiDumpLayerRecordContent(contents);

        result = gen_dispatch_table->DestroySpace(space);
        auto exists = g_space_dispatch_map.find(space);
        if (exists != g_space_dispatch_map.end()) {
            std::unique_lock<std::mutex> lock(g_space_dispatch_mutex);
            g_space_dispatch_map.erase(space);
        }
    } catch (...) {
        return XR_ERROR_VALIDATION_FAILURE;
    }
    return result;
}

XRAPI_ATTR XrResult XRAPI_CALL ApiDumpLayerXrEnumerateViewConfigurations(
    XrInstance instance,
    XrSystemId systemId,
    uint32_t viewConfigurationTypeCapacityInput,
    uint32_t* viewConfigurationTypeCountOutput,
    XrViewConfigurationType* viewConfigurationTypes) {
    XrResult result = XR_SUCCESS;
    try {
        // Generate output for this command
        std::vector<std::tuple<std::string, std::string, std::string>> contents;
        std::unique_lock<std::mutex> mlock(g_instance_dispatch_mutex);
        auto map_iter = g_instance_dispatch_map.find(instance);
        mlock.unlock();

        if (map_iter == g_instance_dispatch_map.end()) return XR_ERROR_VALIDATION_FAILURE;
        XrGeneratedDispatchTable *gen_dispatch_table = map_iter->second;
        contents.emplace_back("XrResult", "xrEnumerateViewConfigurations", "");
        std::ostringstream oss_instance;
        oss_instance << std::hex << reinterpret_cast<const void*>(instance);
        contents.emplace_back("XrInstance", "instance", oss_instance.str());
        contents.emplace_back("XrSystemId", "systemId", std::to_string(systemId));
        std::ostringstream oss_viewConfigurationTypeCapacityInput;
        oss_viewConfigurationTypeCapacityInput << "0x" << std::hex << (viewConfigurationTypeCapacityInput);
        contents.emplace_back("uint32_t", "viewConfigurationTypeCapacityInput", oss_viewConfigurationTypeCapacityInput.str());
        std::ostringstream oss_viewConfigurationTypeCountOutput;
        oss_viewConfigurationTypeCountOutput << std::hex << (viewConfigurationTypeCountOutput);
        contents.emplace_back("uint32_t*", "viewConfigurationTypeCountOutput", oss_viewConfigurationTypeCountOutput.str());
        std::ostringstream oss_viewConfigurationTypes;
        oss_viewConfigurationTypes << std::hex << reinterpret_cast<const void*>(viewConfigurationTypes);
        contents.emplace_back("XrViewConfigurationType*", "viewConfigurationTypes", oss_viewConfigurationTypes.str());
        ApiDumpLayerRecordContent(contents);

        result = gen_dispatch_table->EnumerateViewConfigurations(instance, systemId, viewConfigurationTypeCapacityInput, viewConfigurationTypeCountOutput, viewConfigurationTypes);
    } catch (...) {
        return XR_ERROR_VALIDATION_FAILURE;
    }
    return result;
}

XRAPI_ATTR XrResult XRAPI_CALL ApiDumpLayerXrGetViewConfigurationProperties(
    XrInstance instance,
    XrSystemId systemId,
    XrViewConfigurationType viewConfigurationType,
    XrViewConfigurationProperties* configurationProperties) {
    XrResult result = XR_SUCCESS;
    try {
        // Generate output for this command
        std::vector<std::tuple<std::string, std::string, std::string>> contents;
        std::unique_lock<std::mutex> mlock(g_instance_dispatch_mutex);
        auto map_iter = g_instance_dispatch_map.find(instance);
        mlock.unlock();

        if (map_iter == g_instance_dispatch_map.end()) return XR_ERROR_VALIDATION_FAILURE;
        XrGeneratedDispatchTable *gen_dispatch_table = map_iter->second;
        contents.emplace_back("XrResult", "xrGetViewConfigurationProperties", "");
        std::ostringstream oss_instance;
        oss_instance << std::hex << reinterpret_cast<const void*>(instance);
        contents.emplace_back("XrInstance", "instance", oss_instance.str());
        contents.emplace_back("XrSystemId", "systemId", std::to_string(systemId));
        contents.emplace_back("XrViewConfigurationType", "viewConfigurationType", std::to_string(viewConfigurationType));
        std::ostringstream oss_configurationProperties;
        oss_configurationProperties << std::hex << reinterpret_cast<const void*>(configurationProperties);
        contents.emplace_back("XrViewConfigurationProperties*", "configurationProperties", oss_configurationProperties.str());
        ApiDumpLayerRecordContent(contents);

        result = gen_dispatch_table->GetViewConfigurationProperties(instance, systemId, viewConfigurationType, configurationProperties);
    } catch (...) {
        return XR_ERROR_VALIDATION_FAILURE;
    }
    return result;
}

XRAPI_ATTR XrResult XRAPI_CALL ApiDumpLayerXrEnumerateViewConfigurationViews(
    XrInstance instance,
    XrSystemId systemId,
    XrViewConfigurationType viewConfigurationType,
    uint32_t viewCapacityInput,
    uint32_t* viewCountOutput,
    XrViewConfigurationView* views) {
    XrResult result = XR_SUCCESS;
    try {
        // Generate output for this command
        std::vector<std::tuple<std::string, std::string, std::string>> contents;
        std::unique_lock<std::mutex> mlock(g_instance_dispatch_mutex);
        auto map_iter = g_instance_dispatch_map.find(instance);
        mlock.unlock();

        if (map_iter == g_instance_dispatch_map.end()) return XR_ERROR_VALIDATION_FAILURE;
        XrGeneratedDispatchTable *gen_dispatch_table = map_iter->second;
        contents.emplace_back("XrResult", "xrEnumerateViewConfigurationViews", "");
        std::ostringstream oss_instance;
        oss_instance << std::hex << reinterpret_cast<const void*>(instance);
        contents.emplace_back("XrInstance", "instance", oss_instance.str());
        contents.emplace_back("XrSystemId", "systemId", std::to_string(systemId));
        contents.emplace_back("XrViewConfigurationType", "viewConfigurationType", std::to_string(viewConfigurationType));
        std::ostringstream oss_viewCapacityInput;
        oss_viewCapacityInput << "0x" << std::hex << (viewCapacityInput);
        contents.emplace_back("uint32_t", "viewCapacityInput", oss_viewCapacityInput.str());
        std::ostringstream oss_viewCountOutput;
        oss_viewCountOutput << std::hex << (viewCountOutput);
        contents.emplace_back("uint32_t*", "viewCountOutput", oss_viewCountOutput.str());
        std::ostringstream oss_views;
        oss_views << std::hex << reinterpret_cast<const void*>(views);
        contents.emplace_back("XrViewConfigurationView*", "views", oss_views.str());
        ApiDumpLayerRecordContent(contents);

        result = gen_dispatch_table->EnumerateViewConfigurationViews(instance, systemId, viewConfigurationType, viewCapacityInput, viewCountOutput, views);
    } catch (...) {
        return XR_ERROR_VALIDATION_FAILURE;
    }
    return result;
}

XRAPI_ATTR XrResult XRAPI_CALL ApiDumpLayerXrEnumerateSwapchainFormats(
    XrSession session,
    uint32_t formatCapacityInput,
    uint32_t* formatCountOutput,
    int64_t* formats) {
    XrResult result = XR_SUCCESS;
    try {
        // Generate output for this command
        std::vector<std::tuple<std::string, std::string, std::string>> contents;
        std::unique_lock<std::mutex> mlock(g_session_dispatch_mutex);
        auto map_iter = g_session_dispatch_map.find(session);
        mlock.unlock();

        if (map_iter == g_session_dispatch_map.end()) return XR_ERROR_VALIDATION_FAILURE;
        XrGeneratedDispatchTable *gen_dispatch_table = map_iter->second;
        contents.emplace_back("XrResult", "xrEnumerateSwapchainFormats", "");
        std::ostringstream oss_session;
        oss_session << std::hex << reinterpret_cast<const void*>(session);
        contents.emplace_back("XrSession", "session", oss_session.str());
        std::ostringstream oss_formatCapacityInput;
        oss_formatCapacityInput << "0x" << std::hex << (formatCapacityInput);
        contents.emplace_back("uint32_t", "formatCapacityInput", oss_formatCapacityInput.str());
        std::ostringstream oss_formatCountOutput;
        oss_formatCountOutput << std::hex << (formatCountOutput);
        contents.emplace_back("uint32_t*", "formatCountOutput", oss_formatCountOutput.str());
        std::ostringstream oss_formats;
        oss_formats << std::hex << reinterpret_cast<const void*>(formats);
        contents.emplace_back("int64_t*", "formats", oss_formats.str());
        ApiDumpLayerRecordContent(contents);

        result = gen_dispatch_table->EnumerateSwapchainFormats(session, formatCapacityInput, formatCountOutput, formats);
    } catch (...) {
        return XR_ERROR_VALIDATION_FAILURE;
    }
    return result;
}

XRAPI_ATTR XrResult XRAPI_CALL ApiDumpLayerXrCreateSwapchain(
    XrSession session,
    const XrSwapchainCreateInfo* createInfo,
    XrSwapchain* swapchain) {
    XrResult result = XR_SUCCESS;
    try {
        // Generate output for this command
        std::vector<std::tuple<std::string, std::string, std::string>> contents;
        std::unique_lock<std::mutex> mlock(g_session_dispatch_mutex);
        auto map_iter = g_session_dispatch_map.find(session);
        mlock.unlock();

        if (map_iter == g_session_dispatch_map.end()) return XR_ERROR_VALIDATION_FAILURE;
        XrGeneratedDispatchTable *gen_dispatch_table = map_iter->second;
        contents.emplace_back("XrResult", "xrCreateSwapchain", "");
        std::ostringstream oss_session;
        oss_session << std::hex << reinterpret_cast<const void*>(session);
        contents.emplace_back("XrSession", "session", oss_session.str());
        if (!ApiDumpOutputXrStruct(gen_dispatch_table, createInfo, "createInfo", "const XrSwapchainCreateInfo*", true, contents)) {
            throw std::invalid_argument("Invalid Operation");
        }
        std::ostringstream oss_swapchain;
        oss_swapchain << std::hex << reinterpret_cast<const void*>(swapchain);
        contents.emplace_back("XrSwapchain*", "swapchain", oss_swapchain.str());
        ApiDumpLayerRecordContent(contents);

        result = gen_dispatch_table->CreateSwapchain(session, createInfo, swapchain);
        if (XR_SUCCESS == result && nullptr != swapchain) {
            auto exists = g_swapchain_dispatch_map.find(*swapchain);
            if (exists == g_swapchain_dispatch_map.end()) {
                std::unique_lock<std::mutex> lock(g_swapchain_dispatch_mutex);
                g_swapchain_dispatch_map[*swapchain] = gen_dispatch_table;
            }
        }
    } catch (...) {
        return XR_ERROR_VALIDATION_FAILURE;
    }
    return result;
}

XRAPI_ATTR XrResult XRAPI_CALL ApiDumpLayerXrDestroySwapchain(
    XrSwapchain swapchain) {
    XrResult result = XR_SUCCESS;
    try {
        // Generate output for this command
        std::vector<std::tuple<std::string, std::string, std::string>> contents;
        std::unique_lock<std::mutex> mlock(g_swapchain_dispatch_mutex);
        auto map_iter = g_swapchain_dispatch_map.find(swapchain);
        mlock.unlock();

        if (map_iter == g_swapchain_dispatch_map.end()) return XR_ERROR_VALIDATION_FAILURE;
        XrGeneratedDispatchTable *gen_dispatch_table = map_iter->second;
        contents.emplace_back("XrResult", "xrDestroySwapchain", "");
        std::ostringstream oss_swapchain;
        oss_swapchain << std::hex << reinterpret_cast<const void*>(swapchain);
        contents.emplace_back("XrSwapchain", "swapchain", oss_swapchain.str());
        ApiDumpLayerRecordContent(contents);

        result = gen_dispatch_table->DestroySwapchain(swapchain);
        auto exists = g_swapchain_dispatch_map.find(swapchain);
        if (exists != g_swapchain_dispatch_map.end()) {
            std::unique_lock<std::mutex> lock(g_swapchain_dispatch_mutex);
            g_swapchain_dispatch_map.erase(swapchain);
        }
    } catch (...) {
        return XR_ERROR_VALIDATION_FAILURE;
    }
    return result;
}

XRAPI_ATTR XrResult XRAPI_CALL ApiDumpLayerXrEnumerateSwapchainImages(
    XrSwapchain swapchain,
    uint32_t imageCapacityInput,
    uint32_t* imageCountOutput,
    XrSwapchainImageBaseHeader* images) {
    XrResult result = XR_SUCCESS;
    try {
        // Generate output for this command
        std::vector<std::tuple<std::string, std::string, std::string>> contents;
        std::unique_lock<std::mutex> mlock(g_swapchain_dispatch_mutex);
        auto map_iter = g_swapchain_dispatch_map.find(swapchain);
        mlock.unlock();

        if (map_iter == g_swapchain_dispatch_map.end()) return XR_ERROR_VALIDATION_FAILURE;
        XrGeneratedDispatchTable *gen_dispatch_table = map_iter->second;
        contents.emplace_back("XrResult", "xrEnumerateSwapchainImages", "");
        std::ostringstream oss_swapchain;
        oss_swapchain << std::hex << reinterpret_cast<const void*>(swapchain);
        contents.emplace_back("XrSwapchain", "swapchain", oss_swapchain.str());
        std::ostringstream oss_imageCapacityInput;
        oss_imageCapacityInput << "0x" << std::hex << (imageCapacityInput);
        contents.emplace_back("uint32_t", "imageCapacityInput", oss_imageCapacityInput.str());
        std::ostringstream oss_imageCountOutput;
        oss_imageCountOutput << std::hex << (imageCountOutput);
        contents.emplace_back("uint32_t*", "imageCountOutput", oss_imageCountOutput.str());
        std::ostringstream oss_images;
        oss_images << std::hex << reinterpret_cast<const void*>(images);
        contents.emplace_back("XrSwapchainImageBaseHeader*", "images", oss_images.str());
        ApiDumpLayerRecordContent(contents);

        result = gen_dispatch_table->EnumerateSwapchainImages(swapchain, imageCapacityInput, imageCountOutput, images);
    } catch (...) {
        return XR_ERROR_VALIDATION_FAILURE;
    }
    return result;
}

XRAPI_ATTR XrResult XRAPI_CALL ApiDumpLayerXrAcquireSwapchainImage(
    XrSwapchain swapchain,
    const XrSwapchainImageAcquireInfo* acquireInfo,
    uint32_t* index) {
    XrResult result = XR_SUCCESS;
    try {
        // Generate output for this command
        std::vector<std::tuple<std::string, std::string, std::string>> contents;
        std::unique_lock<std::mutex> mlock(g_swapchain_dispatch_mutex);
        auto map_iter = g_swapchain_dispatch_map.find(swapchain);
        mlock.unlock();

        if (map_iter == g_swapchain_dispatch_map.end()) return XR_ERROR_VALIDATION_FAILURE;
        XrGeneratedDispatchTable *gen_dispatch_table = map_iter->second;
        contents.emplace_back("XrResult", "xrAcquireSwapchainImage", "");
        std::ostringstream oss_swapchain;
        oss_swapchain << std::hex << reinterpret_cast<const void*>(swapchain);
        contents.emplace_back("XrSwapchain", "swapchain", oss_swapchain.str());
        if (nullptr == acquireInfo) {
            std::ostringstream oss_acquireInfo;
            oss_acquireInfo << std::hex << reinterpret_cast<const void*>(acquireInfo);
            contents.emplace_back("const XrSwapchainImageAcquireInfo*", "acquireInfo", oss_acquireInfo.str());
        } else if (!ApiDumpOutputXrStruct(gen_dispatch_table, acquireInfo, "acquireInfo", "const XrSwapchainImageAcquireInfo*", true, contents)) {
            throw std::invalid_argument("Invalid Operation");
        }
        std::ostringstream oss_index;
        oss_index << std::hex << (index);
        contents.emplace_back("uint32_t*", "index", oss_index.str());
        ApiDumpLayerRecordContent(contents);

        result = gen_dispatch_table->AcquireSwapchainImage(swapchain, acquireInfo, index);
    } catch (...) {
        return XR_ERROR_VALIDATION_FAILURE;
    }
    return result;
}

XRAPI_ATTR XrResult XRAPI_CALL ApiDumpLayerXrWaitSwapchainImage(
    XrSwapchain swapchain,
    const XrSwapchainImageWaitInfo* waitInfo) {
    XrResult result = XR_SUCCESS;
    try {
        // Generate output for this command
        std::vector<std::tuple<std::string, std::string, std::string>> contents;
        std::unique_lock<std::mutex> mlock(g_swapchain_dispatch_mutex);
        auto map_iter = g_swapchain_dispatch_map.find(swapchain);
        mlock.unlock();

        if (map_iter == g_swapchain_dispatch_map.end()) return XR_ERROR_VALIDATION_FAILURE;
        XrGeneratedDispatchTable *gen_dispatch_table = map_iter->second;
        contents.emplace_back("XrResult", "xrWaitSwapchainImage", "");
        std::ostringstream oss_swapchain;
        oss_swapchain << std::hex << reinterpret_cast<const void*>(swapchain);
        contents.emplace_back("XrSwapchain", "swapchain", oss_swapchain.str());
        if (!ApiDumpOutputXrStruct(gen_dispatch_table, waitInfo, "waitInfo", "const XrSwapchainImageWaitInfo*", true, contents)) {
            throw std::invalid_argument("Invalid Operation");
        }
        ApiDumpLayerRecordContent(contents);

        result = gen_dispatch_table->WaitSwapchainImage(swapchain, waitInfo);
    } catch (...) {
        return XR_ERROR_VALIDATION_FAILURE;
    }
    return result;
}

XRAPI_ATTR XrResult XRAPI_CALL ApiDumpLayerXrReleaseSwapchainImage(
    XrSwapchain swapchain,
    const XrSwapchainImageReleaseInfo* releaseInfo) {
    XrResult result = XR_SUCCESS;
    try {
        // Generate output for this command
        std::vector<std::tuple<std::string, std::string, std::string>> contents;
        std::unique_lock<std::mutex> mlock(g_swapchain_dispatch_mutex);
        auto map_iter = g_swapchain_dispatch_map.find(swapchain);
        mlock.unlock();

        if (map_iter == g_swapchain_dispatch_map.end()) return XR_ERROR_VALIDATION_FAILURE;
        XrGeneratedDispatchTable *gen_dispatch_table = map_iter->second;
        contents.emplace_back("XrResult", "xrReleaseSwapchainImage", "");
        std::ostringstream oss_swapchain;
        oss_swapchain << std::hex << reinterpret_cast<const void*>(swapchain);
        contents.emplace_back("XrSwapchain", "swapchain", oss_swapchain.str());
        if (nullptr == releaseInfo) {
            std::ostringstream oss_releaseInfo;
            oss_releaseInfo << std::hex << reinterpret_cast<const void*>(releaseInfo);
            contents.emplace_back("const XrSwapchainImageReleaseInfo*", "releaseInfo", oss_releaseInfo.str());
        } else if (!ApiDumpOutputXrStruct(gen_dispatch_table, releaseInfo, "releaseInfo", "const XrSwapchainImageReleaseInfo*", true, contents)) {
            throw std::invalid_argument("Invalid Operation");
        }
        ApiDumpLayerRecordContent(contents);

        result = gen_dispatch_table->ReleaseSwapchainImage(swapchain, releaseInfo);
    } catch (...) {
        return XR_ERROR_VALIDATION_FAILURE;
    }
    return result;
}

XRAPI_ATTR XrResult XRAPI_CALL ApiDumpLayerXrBeginSession(
    XrSession session,
    const XrSessionBeginInfo* beginInfo) {
    XrResult result = XR_SUCCESS;
    try {
        // Generate output for this command
        std::vector<std::tuple<std::string, std::string, std::string>> contents;
        std::unique_lock<std::mutex> mlock(g_session_dispatch_mutex);
        auto map_iter = g_session_dispatch_map.find(session);
        mlock.unlock();

        if (map_iter == g_session_dispatch_map.end()) return XR_ERROR_VALIDATION_FAILURE;
        XrGeneratedDispatchTable *gen_dispatch_table = map_iter->second;
        contents.emplace_back("XrResult", "xrBeginSession", "");
        std::ostringstream oss_session;
        oss_session << std::hex << reinterpret_cast<const void*>(session);
        contents.emplace_back("XrSession", "session", oss_session.str());
        if (!ApiDumpOutputXrStruct(gen_dispatch_table, beginInfo, "beginInfo", "const XrSessionBeginInfo*", true, contents)) {
            throw std::invalid_argument("Invalid Operation");
        }
        ApiDumpLayerRecordContent(contents);

        result = gen_dispatch_table->BeginSession(session, beginInfo);
    } catch (...) {
        return XR_ERROR_VALIDATION_FAILURE;
    }
    return result;
}

XRAPI_ATTR XrResult XRAPI_CALL ApiDumpLayerXrEndSession(
    XrSession session) {
    XrResult result = XR_SUCCESS;
    try {
        // Generate output for this command
        std::vector<std::tuple<std::string, std::string, std::string>> contents;
        std::unique_lock<std::mutex> mlock(g_session_dispatch_mutex);
        auto map_iter = g_session_dispatch_map.find(session);
        mlock.unlock();

        if (map_iter == g_session_dispatch_map.end()) return XR_ERROR_VALIDATION_FAILURE;
        XrGeneratedDispatchTable *gen_dispatch_table = map_iter->second;
        contents.emplace_back("XrResult", "xrEndSession", "");
        std::ostringstream oss_session;
        oss_session << std::hex << reinterpret_cast<const void*>(session);
        contents.emplace_back("XrSession", "session", oss_session.str());
        ApiDumpLayerRecordContent(contents);

        result = gen_dispatch_table->EndSession(session);
    } catch (...) {
        return XR_ERROR_VALIDATION_FAILURE;
    }
    return result;
}

XRAPI_ATTR XrResult XRAPI_CALL ApiDumpLayerXrRequestExitSession(
    XrSession session) {
    XrResult result = XR_SUCCESS;
    try {
        // Generate output for this command
        std::vector<std::tuple<std::string, std::string, std::string>> contents;
        std::unique_lock<std::mutex> mlock(g_session_dispatch_mutex);
        auto map_iter = g_session_dispatch_map.find(session);
        mlock.unlock();

        if (map_iter == g_session_dispatch_map.end()) return XR_ERROR_VALIDATION_FAILURE;
        XrGeneratedDispatchTable *gen_dispatch_table = map_iter->second;
        contents.emplace_back("XrResult", "xrRequestExitSession", "");
        std::ostringstream oss_session;
        oss_session << std::hex << reinterpret_cast<const void*>(session);
        contents.emplace_back("XrSession", "session", oss_session.str());
        ApiDumpLayerRecordContent(contents);

        result = gen_dispatch_table->RequestExitSession(session);
    } catch (...) {
        return XR_ERROR_VALIDATION_FAILURE;
    }
    return result;
}

XRAPI_ATTR XrResult XRAPI_CALL ApiDumpLayerXrWaitFrame(
    XrSession session,
    const XrFrameWaitInfo* frameWaitInfo,
    XrFrameState* frameState) {
    XrResult result = XR_SUCCESS;
    try {
        // Generate output for this command
        std::vector<std::tuple<std::string, std::string, std::string>> contents;
        std::unique_lock<std::mutex> mlock(g_session_dispatch_mutex);
        auto map_iter = g_session_dispatch_map.find(session);
        mlock.unlock();

        if (map_iter == g_session_dispatch_map.end()) return XR_ERROR_VALIDATION_FAILURE;
        XrGeneratedDispatchTable *gen_dispatch_table = map_iter->second;
        contents.emplace_back("XrResult", "xrWaitFrame", "");
        std::ostringstream oss_session;
        oss_session << std::hex << reinterpret_cast<const void*>(session);
        contents.emplace_back("XrSession", "session", oss_session.str());
        if (nullptr == frameWaitInfo) {
            std::ostringstream oss_frameWaitInfo;
            oss_frameWaitInfo << std::hex << reinterpret_cast<const void*>(frameWaitInfo);
            contents.emplace_back("const XrFrameWaitInfo*", "frameWaitInfo", oss_frameWaitInfo.str());
        } else if (!ApiDumpOutputXrStruct(gen_dispatch_table, frameWaitInfo, "frameWaitInfo", "const XrFrameWaitInfo*", true, contents)) {
            throw std::invalid_argument("Invalid Operation");
        }
        std::ostringstream oss_frameState;
        oss_frameState << std::hex << reinterpret_cast<const void*>(frameState);
        contents.emplace_back("XrFrameState*", "frameState", oss_frameState.str());
        ApiDumpLayerRecordContent(contents);

        result = gen_dispatch_table->WaitFrame(session, frameWaitInfo, frameState);
    } catch (...) {
        return XR_ERROR_VALIDATION_FAILURE;
    }
    return result;
}

XRAPI_ATTR XrResult XRAPI_CALL ApiDumpLayerXrBeginFrame(
    XrSession session,
    const XrFrameBeginInfo* frameBeginInfo) {
    XrResult result = XR_SUCCESS;
    try {
        // Generate output for this command
        std::vector<std::tuple<std::string, std::string, std::string>> contents;
        std::unique_lock<std::mutex> mlock(g_session_dispatch_mutex);
        auto map_iter = g_session_dispatch_map.find(session);
        mlock.unlock();

        if (map_iter == g_session_dispatch_map.end()) return XR_ERROR_VALIDATION_FAILURE;
        XrGeneratedDispatchTable *gen_dispatch_table = map_iter->second;
        contents.emplace_back("XrResult", "xrBeginFrame", "");
        std::ostringstream oss_session;
        oss_session << std::hex << reinterpret_cast<const void*>(session);
        contents.emplace_back("XrSession", "session", oss_session.str());
        if (nullptr == frameBeginInfo) {
            std::ostringstream oss_frameBeginInfo;
            oss_frameBeginInfo << std::hex << reinterpret_cast<const void*>(frameBeginInfo);
            contents.emplace_back("const XrFrameBeginInfo*", "frameBeginInfo", oss_frameBeginInfo.str());
        } else if (!ApiDumpOutputXrStruct(gen_dispatch_table, frameBeginInfo, "frameBeginInfo", "const XrFrameBeginInfo*", true, contents)) {
            throw std::invalid_argument("Invalid Operation");
        }
        ApiDumpLayerRecordContent(contents);

        result = gen_dispatch_table->BeginFrame(session, frameBeginInfo);
    } catch (...) {
        return XR_ERROR_VALIDATION_FAILURE;
    }
    return result;
}

XRAPI_ATTR XrResult XRAPI_CALL ApiDumpLayerXrEndFrame(
    XrSession session,
    const XrFrameEndInfo* frameEndInfo) {
    XrResult result = XR_SUCCESS;
    try {
        // Generate output for this command
        std::vector<std::tuple<std::string, std::string, std::string>> contents;
        std::unique_lock<std::mutex> mlock(g_session_dispatch_mutex);
        auto map_iter = g_session_dispatch_map.find(session);
        mlock.unlock();

        if (map_iter == g_session_dispatch_map.end()) return XR_ERROR_VALIDATION_FAILURE;
        XrGeneratedDispatchTable *gen_dispatch_table = map_iter->second;
        contents.emplace_back("XrResult", "xrEndFrame", "");
        std::ostringstream oss_session;
        oss_session << std::hex << reinterpret_cast<const void*>(session);
        contents.emplace_back("XrSession", "session", oss_session.str());
        if (!ApiDumpOutputXrStruct(gen_dispatch_table, frameEndInfo, "frameEndInfo", "const XrFrameEndInfo*", true, contents)) {
            throw std::invalid_argument("Invalid Operation");
        }
        ApiDumpLayerRecordContent(contents);

        result = gen_dispatch_table->EndFrame(session, frameEndInfo);
    } catch (...) {
        return XR_ERROR_VALIDATION_FAILURE;
    }
    return result;
}

XRAPI_ATTR XrResult XRAPI_CALL ApiDumpLayerXrLocateViews(
    XrSession session,
    const XrViewLocateInfo* viewLocateInfo,
    XrViewState* viewState,
    uint32_t viewCapacityInput,
    uint32_t* viewCountOutput,
    XrView* views) {
    XrResult result = XR_SUCCESS;
    try {
        // Generate output for this command
        std::vector<std::tuple<std::string, std::string, std::string>> contents;
        std::unique_lock<std::mutex> mlock(g_session_dispatch_mutex);
        auto map_iter = g_session_dispatch_map.find(session);
        mlock.unlock();

        if (map_iter == g_session_dispatch_map.end()) return XR_ERROR_VALIDATION_FAILURE;
        XrGeneratedDispatchTable *gen_dispatch_table = map_iter->second;
        contents.emplace_back("XrResult", "xrLocateViews", "");
        std::ostringstream oss_session;
        oss_session << std::hex << reinterpret_cast<const void*>(session);
        contents.emplace_back("XrSession", "session", oss_session.str());
        if (!ApiDumpOutputXrStruct(gen_dispatch_table, viewLocateInfo, "viewLocateInfo", "const XrViewLocateInfo*", true, contents)) {
            throw std::invalid_argument("Invalid Operation");
        }
        std::ostringstream oss_viewState;
        oss_viewState << std::hex << reinterpret_cast<const void*>(viewState);
        contents.emplace_back("XrViewState*", "viewState", oss_viewState.str());
        std::ostringstream oss_viewCapacityInput;
        oss_viewCapacityInput << "0x" << std::hex << (viewCapacityInput);
        contents.emplace_back("uint32_t", "viewCapacityInput", oss_viewCapacityInput.str());
        std::ostringstream oss_viewCountOutput;
        oss_viewCountOutput << std::hex << (viewCountOutput);
        contents.emplace_back("uint32_t*", "viewCountOutput", oss_viewCountOutput.str());
        std::ostringstream oss_views;
        oss_views << std::hex << reinterpret_cast<const void*>(views);
        contents.emplace_back("XrView*", "views", oss_views.str());
        ApiDumpLayerRecordContent(contents);

        result = gen_dispatch_table->LocateViews(session, viewLocateInfo, viewState, viewCapacityInput, viewCountOutput, views);
    } catch (...) {
        return XR_ERROR_VALIDATION_FAILURE;
    }
    return result;
}

XRAPI_ATTR XrResult XRAPI_CALL ApiDumpLayerXrStringToPath(
    XrInstance instance,
    const char* pathString,
    XrPath* path) {
    XrResult result = XR_SUCCESS;
    try {
        // Generate output for this command
        std::vector<std::tuple<std::string, std::string, std::string>> contents;
        std::unique_lock<std::mutex> mlock(g_instance_dispatch_mutex);
        auto map_iter = g_instance_dispatch_map.find(instance);
        mlock.unlock();

        if (map_iter == g_instance_dispatch_map.end()) return XR_ERROR_VALIDATION_FAILURE;
        XrGeneratedDispatchTable *gen_dispatch_table = map_iter->second;
        contents.emplace_back("XrResult", "xrStringToPath", "");
        std::ostringstream oss_instance;
        oss_instance << std::hex << reinterpret_cast<const void*>(instance);
        contents.emplace_back("XrInstance", "instance", oss_instance.str());
        contents.emplace_back("const char*", "pathString", pathString);
        std::ostringstream oss_path;
        oss_path << std::hex << reinterpret_cast<const void*>(path);
        contents.emplace_back("XrPath*", "path", oss_path.str());
        ApiDumpLayerRecordContent(contents);

        result = gen_dispatch_table->StringToPath(instance, pathString, path);
    } catch (...) {
        return XR_ERROR_VALIDATION_FAILURE;
    }
    return result;
}

XRAPI_ATTR XrResult XRAPI_CALL ApiDumpLayerXrPathToString(
    XrInstance instance,
    XrPath path,
    uint32_t bufferCapacityInput,
    uint32_t* bufferCountOutput,
    char* buffer) {
    XrResult result = XR_SUCCESS;
    try {
        // Generate output for this command
        std::vector<std::tuple<std::string, std::string, std::string>> contents;
        std::unique_lock<std::mutex> mlock(g_instance_dispatch_mutex);
        auto map_iter = g_instance_dispatch_map.find(instance);
        mlock.unlock();

        if (map_iter == g_instance_dispatch_map.end()) return XR_ERROR_VALIDATION_FAILURE;
        XrGeneratedDispatchTable *gen_dispatch_table = map_iter->second;
        contents.emplace_back("XrResult", "xrPathToString", "");
        std::ostringstream oss_instance;
        oss_instance << std::hex << reinterpret_cast<const void*>(instance);
        contents.emplace_back("XrInstance", "instance", oss_instance.str());
        contents.emplace_back("XrPath", "path", std::to_string(path));
        std::ostringstream oss_bufferCapacityInput;
        oss_bufferCapacityInput << "0x" << std::hex << (bufferCapacityInput);
        contents.emplace_back("uint32_t", "bufferCapacityInput", oss_bufferCapacityInput.str());
        std::ostringstream oss_bufferCountOutput;
        oss_bufferCountOutput << std::hex << (bufferCountOutput);
        contents.emplace_back("uint32_t*", "bufferCountOutput", oss_bufferCountOutput.str());
        contents.emplace_back("char*", "buffer", (buffer ? buffer : "(nullptr)"));
        ApiDumpLayerRecordContent(contents);

        result = gen_dispatch_table->PathToString(instance, path, bufferCapacityInput, bufferCountOutput, buffer);
    } catch (...) {
        return XR_ERROR_VALIDATION_FAILURE;
    }
    return result;
}

XRAPI_ATTR XrResult XRAPI_CALL ApiDumpLayerXrCreateActionSet(
    XrInstance instance,
    const XrActionSetCreateInfo* createInfo,
    XrActionSet* actionSet) {
    XrResult result = XR_SUCCESS;
    try {
        // Generate output for this command
        std::vector<std::tuple<std::string, std::string, std::string>> contents;
        std::unique_lock<std::mutex> mlock(g_instance_dispatch_mutex);
        auto map_iter = g_instance_dispatch_map.find(instance);
        mlock.unlock();

        if (map_iter == g_instance_dispatch_map.end()) return XR_ERROR_VALIDATION_FAILURE;
        XrGeneratedDispatchTable *gen_dispatch_table = map_iter->second;
        contents.emplace_back("XrResult", "xrCreateActionSet", "");
        std::ostringstream oss_instance;
        oss_instance << std::hex << reinterpret_cast<const void*>(instance);
        contents.emplace_back("XrInstance", "instance", oss_instance.str());
        if (!ApiDumpOutputXrStruct(gen_dispatch_table, createInfo, "createInfo", "const XrActionSetCreateInfo*", true, contents)) {
            throw std::invalid_argument("Invalid Operation");
        }
        std::ostringstream oss_actionSet;
        oss_actionSet << std::hex << reinterpret_cast<const void*>(actionSet);
        contents.emplace_back("XrActionSet*", "actionSet", oss_actionSet.str());
        ApiDumpLayerRecordContent(contents);

        result = gen_dispatch_table->CreateActionSet(instance, createInfo, actionSet);
        if (XR_SUCCESS == result && nullptr != actionSet) {
            auto exists = g_actionset_dispatch_map.find(*actionSet);
            if (exists == g_actionset_dispatch_map.end()) {
                std::unique_lock<std::mutex> lock(g_actionset_dispatch_mutex);
                g_actionset_dispatch_map[*actionSet] = gen_dispatch_table;
            }
        }
    } catch (...) {
        return XR_ERROR_VALIDATION_FAILURE;
    }
    return result;
}

XRAPI_ATTR XrResult XRAPI_CALL ApiDumpLayerXrDestroyActionSet(
    XrActionSet actionSet) {
    XrResult result = XR_SUCCESS;
    try {
        // Generate output for this command
        std::vector<std::tuple<std::string, std::string, std::string>> contents;
        std::unique_lock<std::mutex> mlock(g_actionset_dispatch_mutex);
        auto map_iter = g_actionset_dispatch_map.find(actionSet);
        mlock.unlock();

        if (map_iter == g_actionset_dispatch_map.end()) return XR_ERROR_VALIDATION_FAILURE;
        XrGeneratedDispatchTable *gen_dispatch_table = map_iter->second;
        contents.emplace_back("XrResult", "xrDestroyActionSet", "");
        std::ostringstream oss_actionSet;
        oss_actionSet << std::hex << reinterpret_cast<const void*>(actionSet);
        contents.emplace_back("XrActionSet", "actionSet", oss_actionSet.str());
        ApiDumpLayerRecordContent(contents);

        result = gen_dispatch_table->DestroyActionSet(actionSet);
        auto exists = g_actionset_dispatch_map.find(actionSet);
        if (exists != g_actionset_dispatch_map.end()) {
            std::unique_lock<std::mutex> lock(g_actionset_dispatch_mutex);
            g_actionset_dispatch_map.erase(actionSet);
        }
    } catch (...) {
        return XR_ERROR_VALIDATION_FAILURE;
    }
    return result;
}

XRAPI_ATTR XrResult XRAPI_CALL ApiDumpLayerXrCreateAction(
    XrActionSet actionSet,
    const XrActionCreateInfo* createInfo,
    XrAction* action) {
    XrResult result = XR_SUCCESS;
    try {
        // Generate output for this command
        std::vector<std::tuple<std::string, std::string, std::string>> contents;
        std::unique_lock<std::mutex> mlock(g_actionset_dispatch_mutex);
        auto map_iter = g_actionset_dispatch_map.find(actionSet);
        mlock.unlock();

        if (map_iter == g_actionset_dispatch_map.end()) return XR_ERROR_VALIDATION_FAILURE;
        XrGeneratedDispatchTable *gen_dispatch_table = map_iter->second;
        contents.emplace_back("XrResult", "xrCreateAction", "");
        std::ostringstream oss_actionSet;
        oss_actionSet << std::hex << reinterpret_cast<const void*>(actionSet);
        contents.emplace_back("XrActionSet", "actionSet", oss_actionSet.str());
        if (!ApiDumpOutputXrStruct(gen_dispatch_table, createInfo, "createInfo", "const XrActionCreateInfo*", true, contents)) {
            throw std::invalid_argument("Invalid Operation");
        }
        std::ostringstream oss_action;
        oss_action << std::hex << reinterpret_cast<const void*>(action);
        contents.emplace_back("XrAction*", "action", oss_action.str());
        ApiDumpLayerRecordContent(contents);

        result = gen_dispatch_table->CreateAction(actionSet, createInfo, action);
        if (XR_SUCCESS == result && nullptr != action) {
            auto exists = g_action_dispatch_map.find(*action);
            if (exists == g_action_dispatch_map.end()) {
                std::unique_lock<std::mutex> lock(g_action_dispatch_mutex);
                g_action_dispatch_map[*action] = gen_dispatch_table;
            }
        }
    } catch (...) {
        return XR_ERROR_VALIDATION_FAILURE;
    }
    return result;
}

XRAPI_ATTR XrResult XRAPI_CALL ApiDumpLayerXrDestroyAction(
    XrAction action) {
    XrResult result = XR_SUCCESS;
    try {
        // Generate output for this command
        std::vector<std::tuple<std::string, std::string, std::string>> contents;
        std::unique_lock<std::mutex> mlock(g_action_dispatch_mutex);
        auto map_iter = g_action_dispatch_map.find(action);
        mlock.unlock();

        if (map_iter == g_action_dispatch_map.end()) return XR_ERROR_VALIDATION_FAILURE;
        XrGeneratedDispatchTable *gen_dispatch_table = map_iter->second;
        contents.emplace_back("XrResult", "xrDestroyAction", "");
        std::ostringstream oss_action;
        oss_action << std::hex << reinterpret_cast<const void*>(action);
        contents.emplace_back("XrAction", "action", oss_action.str());
        ApiDumpLayerRecordContent(contents);

        result = gen_dispatch_table->DestroyAction(action);
        auto exists = g_action_dispatch_map.find(action);
        if (exists != g_action_dispatch_map.end()) {
            std::unique_lock<std::mutex> lock(g_action_dispatch_mutex);
            g_action_dispatch_map.erase(action);
        }
    } catch (...) {
        return XR_ERROR_VALIDATION_FAILURE;
    }
    return result;
}

XRAPI_ATTR XrResult XRAPI_CALL ApiDumpLayerXrSuggestInteractionProfileBindings(
    XrInstance instance,
    const XrInteractionProfileSuggestedBinding* suggestedBindings) {
    XrResult result = XR_SUCCESS;
    try {
        // Generate output for this command
        std::vector<std::tuple<std::string, std::string, std::string>> contents;
        std::unique_lock<std::mutex> mlock(g_instance_dispatch_mutex);
        auto map_iter = g_instance_dispatch_map.find(instance);
        mlock.unlock();

        if (map_iter == g_instance_dispatch_map.end()) return XR_ERROR_VALIDATION_FAILURE;
        XrGeneratedDispatchTable *gen_dispatch_table = map_iter->second;
        contents.emplace_back("XrResult", "xrSuggestInteractionProfileBindings", "");
        std::ostringstream oss_instance;
        oss_instance << std::hex << reinterpret_cast<const void*>(instance);
        contents.emplace_back("XrInstance", "instance", oss_instance.str());
        if (!ApiDumpOutputXrStruct(gen_dispatch_table, suggestedBindings, "suggestedBindings", "const XrInteractionProfileSuggestedBinding*", true, contents)) {
            throw std::invalid_argument("Invalid Operation");
        }
        ApiDumpLayerRecordContent(contents);

        result = gen_dispatch_table->SuggestInteractionProfileBindings(instance, suggestedBindings);
    } catch (...) {
        return XR_ERROR_VALIDATION_FAILURE;
    }
    return result;
}

XRAPI_ATTR XrResult XRAPI_CALL ApiDumpLayerXrAttachSessionActionSets(
    XrSession session,
    const XrSessionActionSetsAttachInfo* attachInfo) {
    XrResult result = XR_SUCCESS;
    try {
        // Generate output for this command
        std::vector<std::tuple<std::string, std::string, std::string>> contents;
        std::unique_lock<std::mutex> mlock(g_session_dispatch_mutex);
        auto map_iter = g_session_dispatch_map.find(session);
        mlock.unlock();

        if (map_iter == g_session_dispatch_map.end()) return XR_ERROR_VALIDATION_FAILURE;
        XrGeneratedDispatchTable *gen_dispatch_table = map_iter->second;
        contents.emplace_back("XrResult", "xrAttachSessionActionSets", "");
        std::ostringstream oss_session;
        oss_session << std::hex << reinterpret_cast<const void*>(session);
        contents.emplace_back("XrSession", "session", oss_session.str());
        if (!ApiDumpOutputXrStruct(gen_dispatch_table, attachInfo, "attachInfo", "const XrSessionActionSetsAttachInfo*", true, contents)) {
            throw std::invalid_argument("Invalid Operation");
        }
        ApiDumpLayerRecordContent(contents);

        result = gen_dispatch_table->AttachSessionActionSets(session, attachInfo);
    } catch (...) {
        return XR_ERROR_VALIDATION_FAILURE;
    }
    return result;
}

XRAPI_ATTR XrResult XRAPI_CALL ApiDumpLayerXrGetCurrentInteractionProfile(
    XrSession session,
    XrPath topLevelUserPath,
    XrInteractionProfileState* interactionProfile) {
    XrResult result = XR_SUCCESS;
    try {
        // Generate output for this command
        std::vector<std::tuple<std::string, std::string, std::string>> contents;
        std::unique_lock<std::mutex> mlock(g_session_dispatch_mutex);
        auto map_iter = g_session_dispatch_map.find(session);
        mlock.unlock();

        if (map_iter == g_session_dispatch_map.end()) return XR_ERROR_VALIDATION_FAILURE;
        XrGeneratedDispatchTable *gen_dispatch_table = map_iter->second;
        contents.emplace_back("XrResult", "xrGetCurrentInteractionProfile", "");
        std::ostringstream oss_session;
        oss_session << std::hex << reinterpret_cast<const void*>(session);
        contents.emplace_back("XrSession", "session", oss_session.str());
        contents.emplace_back("XrPath", "topLevelUserPath", std::to_string(topLevelUserPath));
        std::ostringstream oss_interactionProfile;
        oss_interactionProfile << std::hex << reinterpret_cast<const void*>(interactionProfile);
        contents.emplace_back("XrInteractionProfileState*", "interactionProfile", oss_interactionProfile.str());
        ApiDumpLayerRecordContent(contents);

        result = gen_dispatch_table->GetCurrentInteractionProfile(session, topLevelUserPath, interactionProfile);
    } catch (...) {
        return XR_ERROR_VALIDATION_FAILURE;
    }
    return result;
}

XRAPI_ATTR XrResult XRAPI_CALL ApiDumpLayerXrGetActionStateBoolean(
    XrSession session,
    const XrActionStateGetInfo* getInfo,
    XrActionStateBoolean* state) {
    XrResult result = XR_SUCCESS;
    try {
        // Generate output for this command
        std::vector<std::tuple<std::string, std::string, std::string>> contents;
        std::unique_lock<std::mutex> mlock(g_session_dispatch_mutex);
        auto map_iter = g_session_dispatch_map.find(session);
        mlock.unlock();

        if (map_iter == g_session_dispatch_map.end()) return XR_ERROR_VALIDATION_FAILURE;
        XrGeneratedDispatchTable *gen_dispatch_table = map_iter->second;
        contents.emplace_back("XrResult", "xrGetActionStateBoolean", "");
        std::ostringstream oss_session;
        oss_session << std::hex << reinterpret_cast<const void*>(session);
        contents.emplace_back("XrSession", "session", oss_session.str());
        if (!ApiDumpOutputXrStruct(gen_dispatch_table, getInfo, "getInfo", "const XrActionStateGetInfo*", true, contents)) {
            throw std::invalid_argument("Invalid Operation");
        }
        std::ostringstream oss_state;
        oss_state << std::hex << reinterpret_cast<const void*>(state);
        contents.emplace_back("XrActionStateBoolean*", "state", oss_state.str());
        ApiDumpLayerRecordContent(contents);

        result = gen_dispatch_table->GetActionStateBoolean(session, getInfo, state);
    } catch (...) {
        return XR_ERROR_VALIDATION_FAILURE;
    }
    return result;
}

XRAPI_ATTR XrResult XRAPI_CALL ApiDumpLayerXrGetActionStateFloat(
    XrSession session,
    const XrActionStateGetInfo* getInfo,
    XrActionStateFloat* state) {
    XrResult result = XR_SUCCESS;
    try {
        // Generate output for this command
        std::vector<std::tuple<std::string, std::string, std::string>> contents;
        std::unique_lock<std::mutex> mlock(g_session_dispatch_mutex);
        auto map_iter = g_session_dispatch_map.find(session);
        mlock.unlock();

        if (map_iter == g_session_dispatch_map.end()) return XR_ERROR_VALIDATION_FAILURE;
        XrGeneratedDispatchTable *gen_dispatch_table = map_iter->second;
        contents.emplace_back("XrResult", "xrGetActionStateFloat", "");
        std::ostringstream oss_session;
        oss_session << std::hex << reinterpret_cast<const void*>(session);
        contents.emplace_back("XrSession", "session", oss_session.str());
        if (!ApiDumpOutputXrStruct(gen_dispatch_table, getInfo, "getInfo", "const XrActionStateGetInfo*", true, contents)) {
            throw std::invalid_argument("Invalid Operation");
        }
        std::ostringstream oss_state;
        oss_state << std::hex << reinterpret_cast<const void*>(state);
        contents.emplace_back("XrActionStateFloat*", "state", oss_state.str());
        ApiDumpLayerRecordContent(contents);

        result = gen_dispatch_table->GetActionStateFloat(session, getInfo, state);
    } catch (...) {
        return XR_ERROR_VALIDATION_FAILURE;
    }
    return result;
}

XRAPI_ATTR XrResult XRAPI_CALL ApiDumpLayerXrGetActionStateVector2f(
    XrSession session,
    const XrActionStateGetInfo* getInfo,
    XrActionStateVector2f* state) {
    XrResult result = XR_SUCCESS;
    try {
        // Generate output for this command
        std::vector<std::tuple<std::string, std::string, std::string>> contents;
        std::unique_lock<std::mutex> mlock(g_session_dispatch_mutex);
        auto map_iter = g_session_dispatch_map.find(session);
        mlock.unlock();

        if (map_iter == g_session_dispatch_map.end()) return XR_ERROR_VALIDATION_FAILURE;
        XrGeneratedDispatchTable *gen_dispatch_table = map_iter->second;
        contents.emplace_back("XrResult", "xrGetActionStateVector2f", "");
        std::ostringstream oss_session;
        oss_session << std::hex << reinterpret_cast<const void*>(session);
        contents.emplace_back("XrSession", "session", oss_session.str());
        if (!ApiDumpOutputXrStruct(gen_dispatch_table, getInfo, "getInfo", "const XrActionStateGetInfo*", true, contents)) {
            throw std::invalid_argument("Invalid Operation");
        }
        std::ostringstream oss_state;
        oss_state << std::hex << reinterpret_cast<const void*>(state);
        contents.emplace_back("XrActionStateVector2f*", "state", oss_state.str());
        ApiDumpLayerRecordContent(contents);

        result = gen_dispatch_table->GetActionStateVector2f(session, getInfo, state);
    } catch (...) {
        return XR_ERROR_VALIDATION_FAILURE;
    }
    return result;
}

XRAPI_ATTR XrResult XRAPI_CALL ApiDumpLayerXrGetActionStatePose(
    XrSession session,
    const XrActionStateGetInfo* getInfo,
    XrActionStatePose* state) {
    XrResult result = XR_SUCCESS;
    try {
        // Generate output for this command
        std::vector<std::tuple<std::string, std::string, std::string>> contents;
        std::unique_lock<std::mutex> mlock(g_session_dispatch_mutex);
        auto map_iter = g_session_dispatch_map.find(session);
        mlock.unlock();

        if (map_iter == g_session_dispatch_map.end()) return XR_ERROR_VALIDATION_FAILURE;
        XrGeneratedDispatchTable *gen_dispatch_table = map_iter->second;
        contents.emplace_back("XrResult", "xrGetActionStatePose", "");
        std::ostringstream oss_session;
        oss_session << std::hex << reinterpret_cast<const void*>(session);
        contents.emplace_back("XrSession", "session", oss_session.str());
        if (!ApiDumpOutputXrStruct(gen_dispatch_table, getInfo, "getInfo", "const XrActionStateGetInfo*", true, contents)) {
            throw std::invalid_argument("Invalid Operation");
        }
        std::ostringstream oss_state;
        oss_state << std::hex << reinterpret_cast<const void*>(state);
        contents.emplace_back("XrActionStatePose*", "state", oss_state.str());
        ApiDumpLayerRecordContent(contents);

        result = gen_dispatch_table->GetActionStatePose(session, getInfo, state);
    } catch (...) {
        return XR_ERROR_VALIDATION_FAILURE;
    }
    return result;
}

XRAPI_ATTR XrResult XRAPI_CALL ApiDumpLayerXrSyncActions(
    XrSession session,
    const XrActionsSyncInfo* syncInfo) {
    XrResult result = XR_SUCCESS;
    try {
        // Generate output for this command
        std::vector<std::tuple<std::string, std::string, std::string>> contents;
        std::unique_lock<std::mutex> mlock(g_session_dispatch_mutex);
        auto map_iter = g_session_dispatch_map.find(session);
        mlock.unlock();

        if (map_iter == g_session_dispatch_map.end()) return XR_ERROR_VALIDATION_FAILURE;
        XrGeneratedDispatchTable *gen_dispatch_table = map_iter->second;
        contents.emplace_back("XrResult", "xrSyncActions", "");
        std::ostringstream oss_session;
        oss_session << std::hex << reinterpret_cast<const void*>(session);
        contents.emplace_back("XrSession", "session", oss_session.str());
        if (!ApiDumpOutputXrStruct(gen_dispatch_table, syncInfo, "syncInfo", "const XrActionsSyncInfo*", true, contents)) {
            throw std::invalid_argument("Invalid Operation");
        }
        ApiDumpLayerRecordContent(contents);

        result = gen_dispatch_table->SyncActions(session, syncInfo);
    } catch (...) {
        return XR_ERROR_VALIDATION_FAILURE;
    }
    return result;
}

XRAPI_ATTR XrResult XRAPI_CALL ApiDumpLayerXrEnumerateBoundSourcesForAction(
    XrSession session,
    const XrBoundSourcesForActionEnumerateInfo* enumerateInfo,
    uint32_t sourceCapacityInput,
    uint32_t* sourceCountOutput,
    XrPath* sources) {
    XrResult result = XR_SUCCESS;
    try {
        // Generate output for this command
        std::vector<std::tuple<std::string, std::string, std::string>> contents;
        std::unique_lock<std::mutex> mlock(g_session_dispatch_mutex);
        auto map_iter = g_session_dispatch_map.find(session);
        mlock.unlock();

        if (map_iter == g_session_dispatch_map.end()) return XR_ERROR_VALIDATION_FAILURE;
        XrGeneratedDispatchTable *gen_dispatch_table = map_iter->second;
        contents.emplace_back("XrResult", "xrEnumerateBoundSourcesForAction", "");
        std::ostringstream oss_session;
        oss_session << std::hex << reinterpret_cast<const void*>(session);
        contents.emplace_back("XrSession", "session", oss_session.str());
        if (!ApiDumpOutputXrStruct(gen_dispatch_table, enumerateInfo, "enumerateInfo", "const XrBoundSourcesForActionEnumerateInfo*", true, contents)) {
            throw std::invalid_argument("Invalid Operation");
        }
        std::ostringstream oss_sourceCapacityInput;
        oss_sourceCapacityInput << "0x" << std::hex << (sourceCapacityInput);
        contents.emplace_back("uint32_t", "sourceCapacityInput", oss_sourceCapacityInput.str());
        std::ostringstream oss_sourceCountOutput;
        oss_sourceCountOutput << std::hex << (sourceCountOutput);
        contents.emplace_back("uint32_t*", "sourceCountOutput", oss_sourceCountOutput.str());
        std::ostringstream oss_sources;
        oss_sources << std::hex << reinterpret_cast<const void*>(sources);
        contents.emplace_back("XrPath*", "sources", oss_sources.str());
        ApiDumpLayerRecordContent(contents);

        result = gen_dispatch_table->EnumerateBoundSourcesForAction(session, enumerateInfo, sourceCapacityInput, sourceCountOutput, sources);
    } catch (...) {
        return XR_ERROR_VALIDATION_FAILURE;
    }
    return result;
}

XRAPI_ATTR XrResult XRAPI_CALL ApiDumpLayerXrGetInputSourceLocalizedName(
    XrSession session,
    const XrInputSourceLocalizedNameGetInfo* getInfo,
    uint32_t bufferCapacityInput,
    uint32_t* bufferCountOutput,
    char* buffer) {
    XrResult result = XR_SUCCESS;
    try {
        // Generate output for this command
        std::vector<std::tuple<std::string, std::string, std::string>> contents;
        std::unique_lock<std::mutex> mlock(g_session_dispatch_mutex);
        auto map_iter = g_session_dispatch_map.find(session);
        mlock.unlock();

        if (map_iter == g_session_dispatch_map.end()) return XR_ERROR_VALIDATION_FAILURE;
        XrGeneratedDispatchTable *gen_dispatch_table = map_iter->second;
        contents.emplace_back("XrResult", "xrGetInputSourceLocalizedName", "");
        std::ostringstream oss_session;
        oss_session << std::hex << reinterpret_cast<const void*>(session);
        contents.emplace_back("XrSession", "session", oss_session.str());
        if (!ApiDumpOutputXrStruct(gen_dispatch_table, getInfo, "getInfo", "const XrInputSourceLocalizedNameGetInfo*", true, contents)) {
            throw std::invalid_argument("Invalid Operation");
        }
        std::ostringstream oss_bufferCapacityInput;
        oss_bufferCapacityInput << "0x" << std::hex << (bufferCapacityInput);
        contents.emplace_back("uint32_t", "bufferCapacityInput", oss_bufferCapacityInput.str());
        std::ostringstream oss_bufferCountOutput;
        oss_bufferCountOutput << std::hex << (bufferCountOutput);
        contents.emplace_back("uint32_t*", "bufferCountOutput", oss_bufferCountOutput.str());
        contents.emplace_back("char*", "buffer", (buffer ? buffer : "(nullptr)"));
        ApiDumpLayerRecordContent(contents);

        result = gen_dispatch_table->GetInputSourceLocalizedName(session, getInfo, bufferCapacityInput, bufferCountOutput, buffer);
    } catch (...) {
        return XR_ERROR_VALIDATION_FAILURE;
    }
    return result;
}

XRAPI_ATTR XrResult XRAPI_CALL ApiDumpLayerXrApplyHapticFeedback(
    XrSession session,
    const XrHapticActionInfo* hapticActionInfo,
    const XrHapticBaseHeader* hapticFeedback) {
    XrResult result = XR_SUCCESS;
    try {
        // Generate output for this command
        std::vector<std::tuple<std::string, std::string, std::string>> contents;
        std::unique_lock<std::mutex> mlock(g_session_dispatch_mutex);
        auto map_iter = g_session_dispatch_map.find(session);
        mlock.unlock();

        if (map_iter == g_session_dispatch_map.end()) return XR_ERROR_VALIDATION_FAILURE;
        XrGeneratedDispatchTable *gen_dispatch_table = map_iter->second;
        contents.emplace_back("XrResult", "xrApplyHapticFeedback", "");
        std::ostringstream oss_session;
        oss_session << std::hex << reinterpret_cast<const void*>(session);
        contents.emplace_back("XrSession", "session", oss_session.str());
        if (!ApiDumpOutputXrStruct(gen_dispatch_table, hapticActionInfo, "hapticActionInfo", "const XrHapticActionInfo*", true, contents)) {
            throw std::invalid_argument("Invalid Operation");
        }
        if (!ApiDumpOutputXrStruct(gen_dispatch_table, hapticFeedback, "hapticFeedback", "const XrHapticBaseHeader*", true, contents)) {
            throw std::invalid_argument("Invalid Operation");
        }
        ApiDumpLayerRecordContent(contents);

        result = gen_dispatch_table->ApplyHapticFeedback(session, hapticActionInfo, hapticFeedback);
    } catch (...) {
        return XR_ERROR_VALIDATION_FAILURE;
    }
    return result;
}

XRAPI_ATTR XrResult XRAPI_CALL ApiDumpLayerXrStopHapticFeedback(
    XrSession session,
    const XrHapticActionInfo* hapticActionInfo) {
    XrResult result = XR_SUCCESS;
    try {
        // Generate output for this command
        std::vector<std::tuple<std::string, std::string, std::string>> contents;
        std::unique_lock<std::mutex> mlock(g_session_dispatch_mutex);
        auto map_iter = g_session_dispatch_map.find(session);
        mlock.unlock();

        if (map_iter == g_session_dispatch_map.end()) return XR_ERROR_VALIDATION_FAILURE;
        XrGeneratedDispatchTable *gen_dispatch_table = map_iter->second;
        contents.emplace_back("XrResult", "xrStopHapticFeedback", "");
        std::ostringstream oss_session;
        oss_session << std::hex << reinterpret_cast<const void*>(session);
        contents.emplace_back("XrSession", "session", oss_session.str());
        if (!ApiDumpOutputXrStruct(gen_dispatch_table, hapticActionInfo, "hapticActionInfo", "const XrHapticActionInfo*", true, contents)) {
            throw std::invalid_argument("Invalid Operation");
        }
        ApiDumpLayerRecordContent(contents);

        result = gen_dispatch_table->StopHapticFeedback(session, hapticActionInfo);
    } catch (...) {
        return XR_ERROR_VALIDATION_FAILURE;
    }
    return result;
}


// ---- XR_KHR_android_thread_settings extension commands
#if defined(XR_USE_PLATFORM_ANDROID)
XRAPI_ATTR XrResult XRAPI_CALL ApiDumpLayerXrSetAndroidApplicationThreadKHR(
    XrSession session,
    XrAndroidThreadTypeKHR threadType,
    uint32_t threadId) {
    XrResult result = XR_SUCCESS;
    try {
        // Generate output for this command
        std::vector<std::tuple<std::string, std::string, std::string>> contents;
        std::unique_lock<std::mutex> mlock(g_session_dispatch_mutex);
        auto map_iter = g_session_dispatch_map.find(session);
        mlock.unlock();

        if (map_iter == g_session_dispatch_map.end()) return XR_ERROR_VALIDATION_FAILURE;
        XrGeneratedDispatchTable *gen_dispatch_table = map_iter->second;
        contents.emplace_back("XrResult", "xrSetAndroidApplicationThreadKHR", "");
        std::ostringstream oss_session;
        oss_session << std::hex << reinterpret_cast<const void*>(session);
        contents.emplace_back("XrSession", "session", oss_session.str());
        contents.emplace_back("XrAndroidThreadTypeKHR", "threadType", std::to_string(threadType));
        std::ostringstream oss_threadId;
        oss_threadId << "0x" << std::hex << (threadId);
        contents.emplace_back("uint32_t", "threadId", oss_threadId.str());
        ApiDumpLayerRecordContent(contents);

        result = gen_dispatch_table->SetAndroidApplicationThreadKHR(session, threadType, threadId);
    } catch (...) {
        return XR_ERROR_VALIDATION_FAILURE;
    }
    return result;
}

#endif // defined(XR_USE_PLATFORM_ANDROID)

// ---- XR_KHR_android_surface_swapchain extension commands
#if defined(XR_USE_PLATFORM_ANDROID)
XRAPI_ATTR XrResult XRAPI_CALL ApiDumpLayerXrCreateSwapchainAndroidSurfaceKHR(
    XrSession session,
    const XrSwapchainCreateInfo* info,
    XrSwapchain* swapchain,
    jobject* surface) {
    XrResult result = XR_SUCCESS;
    try {
        // Generate output for this command
        std::vector<std::tuple<std::string, std::string, std::string>> contents;
        std::unique_lock<std::mutex> mlock(g_session_dispatch_mutex);
        auto map_iter = g_session_dispatch_map.find(session);
        mlock.unlock();

        if (map_iter == g_session_dispatch_map.end()) return XR_ERROR_VALIDATION_FAILURE;
        XrGeneratedDispatchTable *gen_dispatch_table = map_iter->second;
        contents.emplace_back("XrResult", "xrCreateSwapchainAndroidSurfaceKHR", "");
        std::ostringstream oss_session;
        oss_session << std::hex << reinterpret_cast<const void*>(session);
        contents.emplace_back("XrSession", "session", oss_session.str());
        if (!ApiDumpOutputXrStruct(gen_dispatch_table, info, "info", "const XrSwapchainCreateInfo*", true, contents)) {
            throw std::invalid_argument("Invalid Operation");
        }
        std::ostringstream oss_swapchain;
        oss_swapchain << std::hex << reinterpret_cast<const void*>(swapchain);
        contents.emplace_back("XrSwapchain*", "swapchain", oss_swapchain.str());
        std::ostringstream oss_surface;
        oss_surface << std::hex << reinterpret_cast<const void*>(surface);
        contents.emplace_back("jobject*", "surface", oss_surface.str());
        ApiDumpLayerRecordContent(contents);

        result = gen_dispatch_table->CreateSwapchainAndroidSurfaceKHR(session, info, swapchain, surface);
    } catch (...) {
        return XR_ERROR_VALIDATION_FAILURE;
    }
    return result;
}

#endif // defined(XR_USE_PLATFORM_ANDROID)

// ---- XR_KHR_opengl_enable extension commands
#if defined(XR_USE_GRAPHICS_API_OPENGL)
XRAPI_ATTR XrResult XRAPI_CALL ApiDumpLayerXrGetOpenGLGraphicsRequirementsKHR(
    XrInstance instance,
    XrSystemId systemId,
    XrGraphicsRequirementsOpenGLKHR* graphicsRequirements) {
    XrResult result = XR_SUCCESS;
    try {
        // Generate output for this command
        std::vector<std::tuple<std::string, std::string, std::string>> contents;
        std::unique_lock<std::mutex> mlock(g_instance_dispatch_mutex);
        auto map_iter = g_instance_dispatch_map.find(instance);
        mlock.unlock();

        if (map_iter == g_instance_dispatch_map.end()) return XR_ERROR_VALIDATION_FAILURE;
        XrGeneratedDispatchTable *gen_dispatch_table = map_iter->second;
        contents.emplace_back("XrResult", "xrGetOpenGLGraphicsRequirementsKHR", "");
        std::ostringstream oss_instance;
        oss_instance << std::hex << reinterpret_cast<const void*>(instance);
        contents.emplace_back("XrInstance", "instance", oss_instance.str());
        contents.emplace_back("XrSystemId", "systemId", std::to_string(systemId));
        std::ostringstream oss_graphicsRequirements;
        oss_graphicsRequirements << std::hex << reinterpret_cast<const void*>(graphicsRequirements);
        contents.emplace_back("XrGraphicsRequirementsOpenGLKHR*", "graphicsRequirements", oss_graphicsRequirements.str());
        ApiDumpLayerRecordContent(contents);

        result = gen_dispatch_table->GetOpenGLGraphicsRequirementsKHR(instance, systemId, graphicsRequirements);
    } catch (...) {
        return XR_ERROR_VALIDATION_FAILURE;
    }
    return result;
}

#endif // defined(XR_USE_GRAPHICS_API_OPENGL)

// ---- XR_KHR_opengl_es_enable extension commands
#if defined(XR_USE_GRAPHICS_API_OPENGL_ES)
XRAPI_ATTR XrResult XRAPI_CALL ApiDumpLayerXrGetOpenGLESGraphicsRequirementsKHR(
    XrInstance instance,
    XrSystemId systemId,
    XrGraphicsRequirementsOpenGLESKHR* graphicsRequirements) {
    XrResult result = XR_SUCCESS;
    try {
        // Generate output for this command
        std::vector<std::tuple<std::string, std::string, std::string>> contents;
        std::unique_lock<std::mutex> mlock(g_instance_dispatch_mutex);
        auto map_iter = g_instance_dispatch_map.find(instance);
        mlock.unlock();

        if (map_iter == g_instance_dispatch_map.end()) return XR_ERROR_VALIDATION_FAILURE;
        XrGeneratedDispatchTable *gen_dispatch_table = map_iter->second;
        contents.emplace_back("XrResult", "xrGetOpenGLESGraphicsRequirementsKHR", "");
        std::ostringstream oss_instance;
        oss_instance << std::hex << reinterpret_cast<const void*>(instance);
        contents.emplace_back("XrInstance", "instance", oss_instance.str());
        contents.emplace_back("XrSystemId", "systemId", std::to_string(systemId));
        std::ostringstream oss_graphicsRequirements;
        oss_graphicsRequirements << std::hex << reinterpret_cast<const void*>(graphicsRequirements);
        contents.emplace_back("XrGraphicsRequirementsOpenGLESKHR*", "graphicsRequirements", oss_graphicsRequirements.str());
        ApiDumpLayerRecordContent(contents);

        result = gen_dispatch_table->GetOpenGLESGraphicsRequirementsKHR(instance, systemId, graphicsRequirements);
    } catch (...) {
        return XR_ERROR_VALIDATION_FAILURE;
    }
    return result;
}

#endif // defined(XR_USE_GRAPHICS_API_OPENGL_ES)

// ---- XR_KHR_vulkan_enable extension commands
#if defined(XR_USE_GRAPHICS_API_VULKAN)
XRAPI_ATTR XrResult XRAPI_CALL ApiDumpLayerXrGetVulkanInstanceExtensionsKHR(
    XrInstance instance,
    XrSystemId systemId,
    uint32_t bufferCapacityInput,
    uint32_t* bufferCountOutput,
    char* buffer) {
    XrResult result = XR_SUCCESS;
    try {
        // Generate output for this command
        std::vector<std::tuple<std::string, std::string, std::string>> contents;
        std::unique_lock<std::mutex> mlock(g_instance_dispatch_mutex);
        auto map_iter = g_instance_dispatch_map.find(instance);
        mlock.unlock();

        if (map_iter == g_instance_dispatch_map.end()) return XR_ERROR_VALIDATION_FAILURE;
        XrGeneratedDispatchTable *gen_dispatch_table = map_iter->second;
        contents.emplace_back("XrResult", "xrGetVulkanInstanceExtensionsKHR", "");
        std::ostringstream oss_instance;
        oss_instance << std::hex << reinterpret_cast<const void*>(instance);
        contents.emplace_back("XrInstance", "instance", oss_instance.str());
        contents.emplace_back("XrSystemId", "systemId", std::to_string(systemId));
        std::ostringstream oss_bufferCapacityInput;
        oss_bufferCapacityInput << "0x" << std::hex << (bufferCapacityInput);
        contents.emplace_back("uint32_t", "bufferCapacityInput", oss_bufferCapacityInput.str());
        std::ostringstream oss_bufferCountOutput;
        oss_bufferCountOutput << std::hex << (bufferCountOutput);
        contents.emplace_back("uint32_t*", "bufferCountOutput", oss_bufferCountOutput.str());
        contents.emplace_back("char*", "buffer", (buffer ? buffer : "(nullptr)"));
        ApiDumpLayerRecordContent(contents);

        result = gen_dispatch_table->GetVulkanInstanceExtensionsKHR(instance, systemId, bufferCapacityInput, bufferCountOutput, buffer);
    } catch (...) {
        return XR_ERROR_VALIDATION_FAILURE;
    }
    return result;
}

#endif // defined(XR_USE_GRAPHICS_API_VULKAN)
#if defined(XR_USE_GRAPHICS_API_VULKAN)
XRAPI_ATTR XrResult XRAPI_CALL ApiDumpLayerXrGetVulkanDeviceExtensionsKHR(
    XrInstance instance,
    XrSystemId systemId,
    uint32_t bufferCapacityInput,
    uint32_t* bufferCountOutput,
    char* buffer) {
    XrResult result = XR_SUCCESS;
    try {
        // Generate output for this command
        std::vector<std::tuple<std::string, std::string, std::string>> contents;
        std::unique_lock<std::mutex> mlock(g_instance_dispatch_mutex);
        auto map_iter = g_instance_dispatch_map.find(instance);
        mlock.unlock();

        if (map_iter == g_instance_dispatch_map.end()) return XR_ERROR_VALIDATION_FAILURE;
        XrGeneratedDispatchTable *gen_dispatch_table = map_iter->second;
        contents.emplace_back("XrResult", "xrGetVulkanDeviceExtensionsKHR", "");
        std::ostringstream oss_instance;
        oss_instance << std::hex << reinterpret_cast<const void*>(instance);
        contents.emplace_back("XrInstance", "instance", oss_instance.str());
        contents.emplace_back("XrSystemId", "systemId", std::to_string(systemId));
        std::ostringstream oss_bufferCapacityInput;
        oss_bufferCapacityInput << "0x" << std::hex << (bufferCapacityInput);
        contents.emplace_back("uint32_t", "bufferCapacityInput", oss_bufferCapacityInput.str());
        std::ostringstream oss_bufferCountOutput;
        oss_bufferCountOutput << std::hex << (bufferCountOutput);
        contents.emplace_back("uint32_t*", "bufferCountOutput", oss_bufferCountOutput.str());
        contents.emplace_back("char*", "buffer", (buffer ? buffer : "(nullptr)"));
        ApiDumpLayerRecordContent(contents);

        result = gen_dispatch_table->GetVulkanDeviceExtensionsKHR(instance, systemId, bufferCapacityInput, bufferCountOutput, buffer);
    } catch (...) {
        return XR_ERROR_VALIDATION_FAILURE;
    }
    return result;
}

#endif // defined(XR_USE_GRAPHICS_API_VULKAN)
#if defined(XR_USE_GRAPHICS_API_VULKAN)
XRAPI_ATTR XrResult XRAPI_CALL ApiDumpLayerXrGetVulkanGraphicsDeviceKHR(
    XrInstance instance,
    XrSystemId systemId,
    VkInstance vkInstance,
    VkPhysicalDevice* vkPhysicalDevice) {
    XrResult result = XR_SUCCESS;
    try {
        // Generate output for this command
        std::vector<std::tuple<std::string, std::string, std::string>> contents;
        std::unique_lock<std::mutex> mlock(g_instance_dispatch_mutex);
        auto map_iter = g_instance_dispatch_map.find(instance);
        mlock.unlock();

        if (map_iter == g_instance_dispatch_map.end()) return XR_ERROR_VALIDATION_FAILURE;
        XrGeneratedDispatchTable *gen_dispatch_table = map_iter->second;
        contents.emplace_back("XrResult", "xrGetVulkanGraphicsDeviceKHR", "");
        std::ostringstream oss_instance;
        oss_instance << std::hex << reinterpret_cast<const void*>(instance);
        contents.emplace_back("XrInstance", "instance", oss_instance.str());
        contents.emplace_back("XrSystemId", "systemId", std::to_string(systemId));
        std::ostringstream oss_vkInstance;
        oss_vkInstance << std::hex << reinterpret_cast<const void*>(vkInstance);
        contents.emplace_back("VkInstance", "vkInstance", oss_vkInstance.str());
        std::ostringstream oss_vkPhysicalDevice;
        oss_vkPhysicalDevice << std::hex << reinterpret_cast<const void*>(vkPhysicalDevice);
        contents.emplace_back("VkPhysicalDevice*", "vkPhysicalDevice", oss_vkPhysicalDevice.str());
        ApiDumpLayerRecordContent(contents);

        result = gen_dispatch_table->GetVulkanGraphicsDeviceKHR(instance, systemId, vkInstance, vkPhysicalDevice);
    } catch (...) {
        return XR_ERROR_VALIDATION_FAILURE;
    }
    return result;
}

#endif // defined(XR_USE_GRAPHICS_API_VULKAN)
#if defined(XR_USE_GRAPHICS_API_VULKAN)
XRAPI_ATTR XrResult XRAPI_CALL ApiDumpLayerXrGetVulkanGraphicsRequirementsKHR(
    XrInstance instance,
    XrSystemId systemId,
    XrGraphicsRequirementsVulkanKHR* graphicsRequirements) {
    XrResult result = XR_SUCCESS;
    try {
        // Generate output for this command
        std::vector<std::tuple<std::string, std::string, std::string>> contents;
        std::unique_lock<std::mutex> mlock(g_instance_dispatch_mutex);
        auto map_iter = g_instance_dispatch_map.find(instance);
        mlock.unlock();

        if (map_iter == g_instance_dispatch_map.end()) return XR_ERROR_VALIDATION_FAILURE;
        XrGeneratedDispatchTable *gen_dispatch_table = map_iter->second;
        contents.emplace_back("XrResult", "xrGetVulkanGraphicsRequirementsKHR", "");
        std::ostringstream oss_instance;
        oss_instance << std::hex << reinterpret_cast<const void*>(instance);
        contents.emplace_back("XrInstance", "instance", oss_instance.str());
        contents.emplace_back("XrSystemId", "systemId", std::to_string(systemId));
        std::ostringstream oss_graphicsRequirements;
        oss_graphicsRequirements << std::hex << reinterpret_cast<const void*>(graphicsRequirements);
        contents.emplace_back("XrGraphicsRequirementsVulkanKHR*", "graphicsRequirements", oss_graphicsRequirements.str());
        ApiDumpLayerRecordContent(contents);

        result = gen_dispatch_table->GetVulkanGraphicsRequirementsKHR(instance, systemId, graphicsRequirements);
    } catch (...) {
        return XR_ERROR_VALIDATION_FAILURE;
    }
    return result;
}

#endif // defined(XR_USE_GRAPHICS_API_VULKAN)

// ---- XR_KHR_D3D11_enable extension commands
#if defined(XR_USE_GRAPHICS_API_D3D11)
XRAPI_ATTR XrResult XRAPI_CALL ApiDumpLayerXrGetD3D11GraphicsRequirementsKHR(
    XrInstance instance,
    XrSystemId systemId,
    XrGraphicsRequirementsD3D11KHR* graphicsRequirements) {
    XrResult result = XR_SUCCESS;
    try {
        // Generate output for this command
        std::vector<std::tuple<std::string, std::string, std::string>> contents;
        std::unique_lock<std::mutex> mlock(g_instance_dispatch_mutex);
        auto map_iter = g_instance_dispatch_map.find(instance);
        mlock.unlock();

        if (map_iter == g_instance_dispatch_map.end()) return XR_ERROR_VALIDATION_FAILURE;
        XrGeneratedDispatchTable *gen_dispatch_table = map_iter->second;
        contents.emplace_back("XrResult", "xrGetD3D11GraphicsRequirementsKHR", "");
        std::ostringstream oss_instance;
        oss_instance << std::hex << reinterpret_cast<const void*>(instance);
        contents.emplace_back("XrInstance", "instance", oss_instance.str());
        contents.emplace_back("XrSystemId", "systemId", std::to_string(systemId));
        std::ostringstream oss_graphicsRequirements;
        oss_graphicsRequirements << std::hex << reinterpret_cast<const void*>(graphicsRequirements);
        contents.emplace_back("XrGraphicsRequirementsD3D11KHR*", "graphicsRequirements", oss_graphicsRequirements.str());
        ApiDumpLayerRecordContent(contents);

        result = gen_dispatch_table->GetD3D11GraphicsRequirementsKHR(instance, systemId, graphicsRequirements);
    } catch (...) {
        return XR_ERROR_VALIDATION_FAILURE;
    }
    return result;
}

#endif // defined(XR_USE_GRAPHICS_API_D3D11)

// ---- XR_KHR_D3D12_enable extension commands
#if defined(XR_USE_GRAPHICS_API_D3D12)
XRAPI_ATTR XrResult XRAPI_CALL ApiDumpLayerXrGetD3D12GraphicsRequirementsKHR(
    XrInstance instance,
    XrSystemId systemId,
    XrGraphicsRequirementsD3D12KHR* graphicsRequirements) {
    XrResult result = XR_SUCCESS;
    try {
        // Generate output for this command
        std::vector<std::tuple<std::string, std::string, std::string>> contents;
        std::unique_lock<std::mutex> mlock(g_instance_dispatch_mutex);
        auto map_iter = g_instance_dispatch_map.find(instance);
        mlock.unlock();

        if (map_iter == g_instance_dispatch_map.end()) return XR_ERROR_VALIDATION_FAILURE;
        XrGeneratedDispatchTable *gen_dispatch_table = map_iter->second;
        contents.emplace_back("XrResult", "xrGetD3D12GraphicsRequirementsKHR", "");
        std::ostringstream oss_instance;
        oss_instance << std::hex << reinterpret_cast<const void*>(instance);
        contents.emplace_back("XrInstance", "instance", oss_instance.str());
        contents.emplace_back("XrSystemId", "systemId", std::to_string(systemId));
        std::ostringstream oss_graphicsRequirements;
        oss_graphicsRequirements << std::hex << reinterpret_cast<const void*>(graphicsRequirements);
        contents.emplace_back("XrGraphicsRequirementsD3D12KHR*", "graphicsRequirements", oss_graphicsRequirements.str());
        ApiDumpLayerRecordContent(contents);

        result = gen_dispatch_table->GetD3D12GraphicsRequirementsKHR(instance, systemId, graphicsRequirements);
    } catch (...) {
        return XR_ERROR_VALIDATION_FAILURE;
    }
    return result;
}

#endif // defined(XR_USE_GRAPHICS_API_D3D12)

// ---- XR_KHR_visibility_mask extension commands
XRAPI_ATTR XrResult XRAPI_CALL ApiDumpLayerXrGetVisibilityMaskKHR(
    XrSession session,
    XrViewConfigurationType viewConfigurationType,
    uint32_t viewIndex,
    XrVisibilityMaskTypeKHR visibilityMaskType,
    XrVisibilityMaskKHR* visibilityMask) {
    XrResult result = XR_SUCCESS;
    try {
        // Generate output for this command
        std::vector<std::tuple<std::string, std::string, std::string>> contents;
        std::unique_lock<std::mutex> mlock(g_session_dispatch_mutex);
        auto map_iter = g_session_dispatch_map.find(session);
        mlock.unlock();

        if (map_iter == g_session_dispatch_map.end()) return XR_ERROR_VALIDATION_FAILURE;
        XrGeneratedDispatchTable *gen_dispatch_table = map_iter->second;
        contents.emplace_back("XrResult", "xrGetVisibilityMaskKHR", "");
        std::ostringstream oss_session;
        oss_session << std::hex << reinterpret_cast<const void*>(session);
        contents.emplace_back("XrSession", "session", oss_session.str());
        contents.emplace_back("XrViewConfigurationType", "viewConfigurationType", std::to_string(viewConfigurationType));
        std::ostringstream oss_viewIndex;
        oss_viewIndex << "0x" << std::hex << (viewIndex);
        contents.emplace_back("uint32_t", "viewIndex", oss_viewIndex.str());
        contents.emplace_back("XrVisibilityMaskTypeKHR", "visibilityMaskType", std::to_string(visibilityMaskType));
        std::ostringstream oss_visibilityMask;
        oss_visibilityMask << std::hex << reinterpret_cast<const void*>(visibilityMask);
        contents.emplace_back("XrVisibilityMaskKHR*", "visibilityMask", oss_visibilityMask.str());
        ApiDumpLayerRecordContent(contents);

        result = gen_dispatch_table->GetVisibilityMaskKHR(session, viewConfigurationType, viewIndex, visibilityMaskType, visibilityMask);
    } catch (...) {
        return XR_ERROR_VALIDATION_FAILURE;
    }
    return result;
}


// ---- XR_KHR_win32_convert_performance_counter_time extension commands
#if defined(XR_USE_PLATFORM_WIN32)
XRAPI_ATTR XrResult XRAPI_CALL ApiDumpLayerXrConvertWin32PerformanceCounterToTimeKHR(
    XrInstance instance,
    const LARGE_INTEGER* performanceCounter,
    XrTime* time) {
    XrResult result = XR_SUCCESS;
    try {
        // Generate output for this command
        std::vector<std::tuple<std::string, std::string, std::string>> contents;
        std::unique_lock<std::mutex> mlock(g_instance_dispatch_mutex);
        auto map_iter = g_instance_dispatch_map.find(instance);
        mlock.unlock();

        if (map_iter == g_instance_dispatch_map.end()) return XR_ERROR_VALIDATION_FAILURE;
        XrGeneratedDispatchTable *gen_dispatch_table = map_iter->second;
        contents.emplace_back("XrResult", "xrConvertWin32PerformanceCounterToTimeKHR", "");
        std::ostringstream oss_instance;
        oss_instance << std::hex << reinterpret_cast<const void*>(instance);
        contents.emplace_back("XrInstance", "instance", oss_instance.str());
        std::ostringstream oss_performanceCounter;
        oss_performanceCounter << std::hex << reinterpret_cast<const void*>( (*performanceCounter).QuadPart );
        contents.emplace_back("const LARGE_INTEGER*", "performanceCounter", oss_performanceCounter.str());
        std::ostringstream oss_time;
        oss_time << std::hex << reinterpret_cast<const void*>(time);
        contents.emplace_back("XrTime*", "time", oss_time.str());
        ApiDumpLayerRecordContent(contents);

        result = gen_dispatch_table->ConvertWin32PerformanceCounterToTimeKHR(instance, performanceCounter, time);
    } catch (...) {
        return XR_ERROR_VALIDATION_FAILURE;
    }
    return result;
}

#endif // defined(XR_USE_PLATFORM_WIN32)
#if defined(XR_USE_PLATFORM_WIN32)
XRAPI_ATTR XrResult XRAPI_CALL ApiDumpLayerXrConvertTimeToWin32PerformanceCounterKHR(
    XrInstance instance,
    XrTime time,
    LARGE_INTEGER* performanceCounter) {
    XrResult result = XR_SUCCESS;
    try {
        // Generate output for this command
        std::vector<std::tuple<std::string, std::string, std::string>> contents;
        std::unique_lock<std::mutex> mlock(g_instance_dispatch_mutex);
        auto map_iter = g_instance_dispatch_map.find(instance);
        mlock.unlock();

        if (map_iter == g_instance_dispatch_map.end()) return XR_ERROR_VALIDATION_FAILURE;
        XrGeneratedDispatchTable *gen_dispatch_table = map_iter->second;
        contents.emplace_back("XrResult", "xrConvertTimeToWin32PerformanceCounterKHR", "");
        std::ostringstream oss_instance;
        oss_instance << std::hex << reinterpret_cast<const void*>(instance);
        contents.emplace_back("XrInstance", "instance", oss_instance.str());
        contents.emplace_back("XrTime", "time", std::to_string(time));
        std::ostringstream oss_performanceCounter;
        oss_performanceCounter << std::hex << reinterpret_cast<const void*>( (*performanceCounter).QuadPart );
        contents.emplace_back("LARGE_INTEGER*", "performanceCounter", oss_performanceCounter.str());
        ApiDumpLayerRecordContent(contents);

        result = gen_dispatch_table->ConvertTimeToWin32PerformanceCounterKHR(instance, time, performanceCounter);
    } catch (...) {
        return XR_ERROR_VALIDATION_FAILURE;
    }
    return result;
}

#endif // defined(XR_USE_PLATFORM_WIN32)

// ---- XR_KHR_convert_timespec_time extension commands
#if defined(XR_USE_TIMESPEC)
XRAPI_ATTR XrResult XRAPI_CALL ApiDumpLayerXrConvertTimespecTimeToTimeKHR(
    XrInstance instance,
    const struct timespec* timespecTime,
    XrTime* time) {
    XrResult result = XR_SUCCESS;
    try {
        // Generate output for this command
        std::vector<std::tuple<std::string, std::string, std::string>> contents;
        std::unique_lock<std::mutex> mlock(g_instance_dispatch_mutex);
        auto map_iter = g_instance_dispatch_map.find(instance);
        mlock.unlock();

        if (map_iter == g_instance_dispatch_map.end()) return XR_ERROR_VALIDATION_FAILURE;
        XrGeneratedDispatchTable *gen_dispatch_table = map_iter->second;
        contents.emplace_back("XrResult", "xrConvertTimespecTimeToTimeKHR", "");
        std::ostringstream oss_instance;
        oss_instance << std::hex << reinterpret_cast<const void*>(instance);
        contents.emplace_back("XrInstance", "instance", oss_instance.str());
        std::ostringstream oss_timespecTime;
        oss_timespecTime << (*timespecTime).tv_sec << ".";
        oss_timespecTime << std::setw(9) << std::setfill('0') << (*timespecTime).tv_nsec << "s";
        contents.emplace_back("const struct timespec*", "timespecTime", oss_timespecTime.str());
        std::ostringstream oss_time;
        oss_time << std::hex << reinterpret_cast<const void*>(time);
        contents.emplace_back("XrTime*", "time", oss_time.str());
        ApiDumpLayerRecordContent(contents);

        result = gen_dispatch_table->ConvertTimespecTimeToTimeKHR(instance, timespecTime, time);
    } catch (...) {
        return XR_ERROR_VALIDATION_FAILURE;
    }
    return result;
}

#endif // defined(XR_USE_TIMESPEC)
#if defined(XR_USE_TIMESPEC)
XRAPI_ATTR XrResult XRAPI_CALL ApiDumpLayerXrConvertTimeToTimespecTimeKHR(
    XrInstance instance,
    XrTime time,
    struct timespec* timespecTime) {
    XrResult result = XR_SUCCESS;
    try {
        // Generate output for this command
        std::vector<std::tuple<std::string, std::string, std::string>> contents;
        std::unique_lock<std::mutex> mlock(g_instance_dispatch_mutex);
        auto map_iter = g_instance_dispatch_map.find(instance);
        mlock.unlock();

        if (map_iter == g_instance_dispatch_map.end()) return XR_ERROR_VALIDATION_FAILURE;
        XrGeneratedDispatchTable *gen_dispatch_table = map_iter->second;
        contents.emplace_back("XrResult", "xrConvertTimeToTimespecTimeKHR", "");
        std::ostringstream oss_instance;
        oss_instance << std::hex << reinterpret_cast<const void*>(instance);
        contents.emplace_back("XrInstance", "instance", oss_instance.str());
        contents.emplace_back("XrTime", "time", std::to_string(time));
        std::ostringstream oss_timespecTime;
        oss_timespecTime << (*timespecTime).tv_sec << ".";
        oss_timespecTime << std::setw(9) << std::setfill('0') << (*timespecTime).tv_nsec << "s";
        contents.emplace_back("struct timespec*", "timespecTime", oss_timespecTime.str());
        ApiDumpLayerRecordContent(contents);

        result = gen_dispatch_table->ConvertTimeToTimespecTimeKHR(instance, time, timespecTime);
    } catch (...) {
        return XR_ERROR_VALIDATION_FAILURE;
    }
    return result;
}

#endif // defined(XR_USE_TIMESPEC)

// ---- XR_KHR_loader_init extension commands

// ---- XR_KHR_vulkan_enable2 extension commands
#if defined(XR_USE_GRAPHICS_API_VULKAN)
XRAPI_ATTR XrResult XRAPI_CALL ApiDumpLayerXrCreateVulkanInstanceKHR(
    XrInstance instance,
    const XrVulkanInstanceCreateInfoKHR*createInfo,
    VkInstance* vulkanInstance,
    VkResult* vulkanResult) {
    XrResult result = XR_SUCCESS;
    try {
        // Generate output for this command
        std::vector<std::tuple<std::string, std::string, std::string>> contents;
        std::unique_lock<std::mutex> mlock(g_instance_dispatch_mutex);
        auto map_iter = g_instance_dispatch_map.find(instance);
        mlock.unlock();

        if (map_iter == g_instance_dispatch_map.end()) return XR_ERROR_VALIDATION_FAILURE;
        XrGeneratedDispatchTable *gen_dispatch_table = map_iter->second;
        contents.emplace_back("XrResult", "xrCreateVulkanInstanceKHR", "");
        std::ostringstream oss_instance;
        oss_instance << std::hex << reinterpret_cast<const void*>(instance);
        contents.emplace_back("XrInstance", "instance", oss_instance.str());
        if (!ApiDumpOutputXrStruct(gen_dispatch_table, createInfo, "createInfo", "const", true, contents)) {
            throw std::invalid_argument("Invalid Operation");
        }
        std::ostringstream oss_vulkanInstance;
        oss_vulkanInstance << std::hex << reinterpret_cast<const void*>(vulkanInstance);
        contents.emplace_back("VkInstance*", "vulkanInstance", oss_vulkanInstance.str());
        std::ostringstream oss_vulkanResult;
        oss_vulkanResult << std::hex << reinterpret_cast<const void*>(vulkanResult);
        contents.emplace_back("VkResult*", "vulkanResult", oss_vulkanResult.str());
        ApiDumpLayerRecordContent(contents);

        result = gen_dispatch_table->CreateVulkanInstanceKHR(instance, createInfo, vulkanInstance, vulkanResult);
    } catch (...) {
        return XR_ERROR_VALIDATION_FAILURE;
    }
    return result;
}

#endif // defined(XR_USE_GRAPHICS_API_VULKAN)
#if defined(XR_USE_GRAPHICS_API_VULKAN)
XRAPI_ATTR XrResult XRAPI_CALL ApiDumpLayerXrCreateVulkanDeviceKHR(
    XrInstance instance,
    const XrVulkanDeviceCreateInfoKHR* createInfo,
    VkDevice* vulkanDevice,
    VkResult* vulkanResult) {
    XrResult result = XR_SUCCESS;
    try {
        // Generate output for this command
        std::vector<std::tuple<std::string, std::string, std::string>> contents;
        std::unique_lock<std::mutex> mlock(g_instance_dispatch_mutex);
        auto map_iter = g_instance_dispatch_map.find(instance);
        mlock.unlock();

        if (map_iter == g_instance_dispatch_map.end()) return XR_ERROR_VALIDATION_FAILURE;
        XrGeneratedDispatchTable *gen_dispatch_table = map_iter->second;
        contents.emplace_back("XrResult", "xrCreateVulkanDeviceKHR", "");
        std::ostringstream oss_instance;
        oss_instance << std::hex << reinterpret_cast<const void*>(instance);
        contents.emplace_back("XrInstance", "instance", oss_instance.str());
        if (!ApiDumpOutputXrStruct(gen_dispatch_table, createInfo, "createInfo", "const XrVulkanDeviceCreateInfoKHR*", true, contents)) {
            throw std::invalid_argument("Invalid Operation");
        }
        std::ostringstream oss_vulkanDevice;
        oss_vulkanDevice << std::hex << reinterpret_cast<const void*>(vulkanDevice);
        contents.emplace_back("VkDevice*", "vulkanDevice", oss_vulkanDevice.str());
        std::ostringstream oss_vulkanResult;
        oss_vulkanResult << std::hex << reinterpret_cast<const void*>(vulkanResult);
        contents.emplace_back("VkResult*", "vulkanResult", oss_vulkanResult.str());
        ApiDumpLayerRecordContent(contents);

        result = gen_dispatch_table->CreateVulkanDeviceKHR(instance, createInfo, vulkanDevice, vulkanResult);
    } catch (...) {
        return XR_ERROR_VALIDATION_FAILURE;
    }
    return result;
}

#endif // defined(XR_USE_GRAPHICS_API_VULKAN)
#if defined(XR_USE_GRAPHICS_API_VULKAN)
XRAPI_ATTR XrResult XRAPI_CALL ApiDumpLayerXrGetVulkanGraphicsDevice2KHR(
    XrInstance instance,
    const XrVulkanGraphicsDeviceGetInfoKHR* getInfo,
    VkPhysicalDevice* vulkanPhysicalDevice) {
    XrResult result = XR_SUCCESS;
    try {
        // Generate output for this command
        std::vector<std::tuple<std::string, std::string, std::string>> contents;
        std::unique_lock<std::mutex> mlock(g_instance_dispatch_mutex);
        auto map_iter = g_instance_dispatch_map.find(instance);
        mlock.unlock();

        if (map_iter == g_instance_dispatch_map.end()) return XR_ERROR_VALIDATION_FAILURE;
        XrGeneratedDispatchTable *gen_dispatch_table = map_iter->second;
        contents.emplace_back("XrResult", "xrGetVulkanGraphicsDevice2KHR", "");
        std::ostringstream oss_instance;
        oss_instance << std::hex << reinterpret_cast<const void*>(instance);
        contents.emplace_back("XrInstance", "instance", oss_instance.str());
        if (!ApiDumpOutputXrStruct(gen_dispatch_table, getInfo, "getInfo", "const XrVulkanGraphicsDeviceGetInfoKHR*", true, contents)) {
            throw std::invalid_argument("Invalid Operation");
        }
        std::ostringstream oss_vulkanPhysicalDevice;
        oss_vulkanPhysicalDevice << std::hex << reinterpret_cast<const void*>(vulkanPhysicalDevice);
        contents.emplace_back("VkPhysicalDevice*", "vulkanPhysicalDevice", oss_vulkanPhysicalDevice.str());
        ApiDumpLayerRecordContent(contents);

        result = gen_dispatch_table->GetVulkanGraphicsDevice2KHR(instance, getInfo, vulkanPhysicalDevice);
    } catch (...) {
        return XR_ERROR_VALIDATION_FAILURE;
    }
    return result;
}

#endif // defined(XR_USE_GRAPHICS_API_VULKAN)
#if defined(XR_USE_GRAPHICS_API_VULKAN)
XRAPI_ATTR XrResult XRAPI_CALL ApiDumpLayerXrGetVulkanGraphicsRequirements2KHR(
    XrInstance instance,
    XrSystemId systemId,
    XrGraphicsRequirementsVulkanKHR* graphicsRequirements) {
    XrResult result = XR_SUCCESS;
    try {
        // Generate output for this command
        std::vector<std::tuple<std::string, std::string, std::string>> contents;
        std::unique_lock<std::mutex> mlock(g_instance_dispatch_mutex);
        auto map_iter = g_instance_dispatch_map.find(instance);
        mlock.unlock();

        if (map_iter == g_instance_dispatch_map.end()) return XR_ERROR_VALIDATION_FAILURE;
        XrGeneratedDispatchTable *gen_dispatch_table = map_iter->second;
        contents.emplace_back("XrResult", "xrGetVulkanGraphicsRequirements2KHR", "");
        std::ostringstream oss_instance;
        oss_instance << std::hex << reinterpret_cast<const void*>(instance);
        contents.emplace_back("XrInstance", "instance", oss_instance.str());
        contents.emplace_back("XrSystemId", "systemId", std::to_string(systemId));
        std::ostringstream oss_graphicsRequirements;
        oss_graphicsRequirements << std::hex << reinterpret_cast<const void*>(graphicsRequirements);
        contents.emplace_back("XrGraphicsRequirementsVulkanKHR*", "graphicsRequirements", oss_graphicsRequirements.str());
        ApiDumpLayerRecordContent(contents);

        result = gen_dispatch_table->GetVulkanGraphicsRequirements2KHR(instance, systemId, graphicsRequirements);
    } catch (...) {
        return XR_ERROR_VALIDATION_FAILURE;
    }
    return result;
}

#endif // defined(XR_USE_GRAPHICS_API_VULKAN)

// ---- XR_EXT_performance_settings extension commands
XRAPI_ATTR XrResult XRAPI_CALL ApiDumpLayerXrPerfSettingsSetPerformanceLevelEXT(
    XrSession session,
    XrPerfSettingsDomainEXT domain,
    XrPerfSettingsLevelEXT level) {
    XrResult result = XR_SUCCESS;
    try {
        // Generate output for this command
        std::vector<std::tuple<std::string, std::string, std::string>> contents;
        std::unique_lock<std::mutex> mlock(g_session_dispatch_mutex);
        auto map_iter = g_session_dispatch_map.find(session);
        mlock.unlock();

        if (map_iter == g_session_dispatch_map.end()) return XR_ERROR_VALIDATION_FAILURE;
        XrGeneratedDispatchTable *gen_dispatch_table = map_iter->second;
        contents.emplace_back("XrResult", "xrPerfSettingsSetPerformanceLevelEXT", "");
        std::ostringstream oss_session;
        oss_session << std::hex << reinterpret_cast<const void*>(session);
        contents.emplace_back("XrSession", "session", oss_session.str());
        contents.emplace_back("XrPerfSettingsDomainEXT", "domain", std::to_string(domain));
        contents.emplace_back("XrPerfSettingsLevelEXT", "level", std::to_string(level));
        ApiDumpLayerRecordContent(contents);

        result = gen_dispatch_table->PerfSettingsSetPerformanceLevelEXT(session, domain, level);
    } catch (...) {
        return XR_ERROR_VALIDATION_FAILURE;
    }
    return result;
}


// ---- XR_EXT_thermal_query extension commands
XRAPI_ATTR XrResult XRAPI_CALL ApiDumpLayerXrThermalGetTemperatureTrendEXT(
    XrSession session,
    XrPerfSettingsDomainEXT domain,
    XrPerfSettingsNotificationLevelEXT* notificationLevel,
    float* tempHeadroom,
    float* tempSlope) {
    XrResult result = XR_SUCCESS;
    try {
        // Generate output for this command
        std::vector<std::tuple<std::string, std::string, std::string>> contents;
        std::unique_lock<std::mutex> mlock(g_session_dispatch_mutex);
        auto map_iter = g_session_dispatch_map.find(session);
        mlock.unlock();

        if (map_iter == g_session_dispatch_map.end()) return XR_ERROR_VALIDATION_FAILURE;
        XrGeneratedDispatchTable *gen_dispatch_table = map_iter->second;
        contents.emplace_back("XrResult", "xrThermalGetTemperatureTrendEXT", "");
        std::ostringstream oss_session;
        oss_session << std::hex << reinterpret_cast<const void*>(session);
        contents.emplace_back("XrSession", "session", oss_session.str());
        contents.emplace_back("XrPerfSettingsDomainEXT", "domain", std::to_string(domain));
        std::ostringstream oss_notificationLevel;
        oss_notificationLevel << std::hex << reinterpret_cast<const void*>(notificationLevel);
        contents.emplace_back("XrPerfSettingsNotificationLevelEXT*", "notificationLevel", oss_notificationLevel.str());
        std::ostringstream oss_tempHeadroom;
        oss_tempHeadroom << std::setprecision(32) << (tempHeadroom);
        contents.emplace_back("float*", "tempHeadroom", oss_tempHeadroom.str());
        std::ostringstream oss_tempSlope;
        oss_tempSlope << std::setprecision(32) << (tempSlope);
        contents.emplace_back("float*", "tempSlope", oss_tempSlope.str());
        ApiDumpLayerRecordContent(contents);

        result = gen_dispatch_table->ThermalGetTemperatureTrendEXT(session, domain, notificationLevel, tempHeadroom, tempSlope);
    } catch (...) {
        return XR_ERROR_VALIDATION_FAILURE;
    }
    return result;
}


// ---- XR_EXT_debug_utils extension commands
XRAPI_ATTR XrResult XRAPI_CALL ApiDumpLayerXrSetDebugUtilsObjectNameEXT(
    XrInstance instance,
    const XrDebugUtilsObjectNameInfoEXT* nameInfo) {
    XrResult result = XR_SUCCESS;
    try {
        // Generate output for this command
        std::vector<std::tuple<std::string, std::string, std::string>> contents;
        std::unique_lock<std::mutex> mlock(g_instance_dispatch_mutex);
        auto map_iter = g_instance_dispatch_map.find(instance);
        mlock.unlock();

        if (map_iter == g_instance_dispatch_map.end()) return XR_ERROR_VALIDATION_FAILURE;
        XrGeneratedDispatchTable *gen_dispatch_table = map_iter->second;
        contents.emplace_back("XrResult", "xrSetDebugUtilsObjectNameEXT", "");
        std::ostringstream oss_instance;
        oss_instance << std::hex << reinterpret_cast<const void*>(instance);
        contents.emplace_back("XrInstance", "instance", oss_instance.str());
        if (!ApiDumpOutputXrStruct(gen_dispatch_table, nameInfo, "nameInfo", "const XrDebugUtilsObjectNameInfoEXT*", true, contents)) {
            throw std::invalid_argument("Invalid Operation");
        }
        ApiDumpLayerRecordContent(contents);

        result = gen_dispatch_table->SetDebugUtilsObjectNameEXT(instance, nameInfo);
    } catch (...) {
        return XR_ERROR_VALIDATION_FAILURE;
    }
    return result;
}

XRAPI_ATTR XrResult XRAPI_CALL ApiDumpLayerXrCreateDebugUtilsMessengerEXT(
    XrInstance instance,
    const XrDebugUtilsMessengerCreateInfoEXT* createInfo,
    XrDebugUtilsMessengerEXT* messenger) {
    XrResult result = XR_SUCCESS;
    try {
        // Generate output for this command
        std::vector<std::tuple<std::string, std::string, std::string>> contents;
        std::unique_lock<std::mutex> mlock(g_instance_dispatch_mutex);
        auto map_iter = g_instance_dispatch_map.find(instance);
        mlock.unlock();

        if (map_iter == g_instance_dispatch_map.end()) return XR_ERROR_VALIDATION_FAILURE;
        XrGeneratedDispatchTable *gen_dispatch_table = map_iter->second;
        contents.emplace_back("XrResult", "xrCreateDebugUtilsMessengerEXT", "");
        std::ostringstream oss_instance;
        oss_instance << std::hex << reinterpret_cast<const void*>(instance);
        contents.emplace_back("XrInstance", "instance", oss_instance.str());
        if (!ApiDumpOutputXrStruct(gen_dispatch_table, createInfo, "createInfo", "const XrDebugUtilsMessengerCreateInfoEXT*", true, contents)) {
            throw std::invalid_argument("Invalid Operation");
        }
        std::ostringstream oss_messenger;
        oss_messenger << std::hex << reinterpret_cast<const void*>(messenger);
        contents.emplace_back("XrDebugUtilsMessengerEXT*", "messenger", oss_messenger.str());
        ApiDumpLayerRecordContent(contents);

        result = gen_dispatch_table->CreateDebugUtilsMessengerEXT(instance, createInfo, messenger);
        if (XR_SUCCESS == result && nullptr != messenger) {
            auto exists = g_debugutilsmessengerext_dispatch_map.find(*messenger);
            if (exists == g_debugutilsmessengerext_dispatch_map.end()) {
                std::unique_lock<std::mutex> lock(g_debugutilsmessengerext_dispatch_mutex);
                g_debugutilsmessengerext_dispatch_map[*messenger] = gen_dispatch_table;
            }
        }
    } catch (...) {
        return XR_ERROR_VALIDATION_FAILURE;
    }
    return result;
}

XRAPI_ATTR XrResult XRAPI_CALL ApiDumpLayerXrDestroyDebugUtilsMessengerEXT(
    XrDebugUtilsMessengerEXT messenger) {
    XrResult result = XR_SUCCESS;
    try {
        // Generate output for this command
        std::vector<std::tuple<std::string, std::string, std::string>> contents;
        std::unique_lock<std::mutex> mlock(g_debugutilsmessengerext_dispatch_mutex);
        auto map_iter = g_debugutilsmessengerext_dispatch_map.find(messenger);
        mlock.unlock();

        if (map_iter == g_debugutilsmessengerext_dispatch_map.end()) return XR_ERROR_VALIDATION_FAILURE;
        XrGeneratedDispatchTable *gen_dispatch_table = map_iter->second;
        contents.emplace_back("XrResult", "xrDestroyDebugUtilsMessengerEXT", "");
        std::ostringstream oss_messenger;
        oss_messenger << std::hex << reinterpret_cast<const void*>(messenger);
        contents.emplace_back("XrDebugUtilsMessengerEXT", "messenger", oss_messenger.str());
        ApiDumpLayerRecordContent(contents);

        result = gen_dispatch_table->DestroyDebugUtilsMessengerEXT(messenger);
        auto exists = g_debugutilsmessengerext_dispatch_map.find(messenger);
        if (exists != g_debugutilsmessengerext_dispatch_map.end()) {
            std::unique_lock<std::mutex> lock(g_debugutilsmessengerext_dispatch_mutex);
            g_debugutilsmessengerext_dispatch_map.erase(messenger);
        }
    } catch (...) {
        return XR_ERROR_VALIDATION_FAILURE;
    }
    return result;
}

XRAPI_ATTR XrResult XRAPI_CALL ApiDumpLayerXrSubmitDebugUtilsMessageEXT(
    XrInstance instance,
    XrDebugUtilsMessageSeverityFlagsEXT messageSeverity,
    XrDebugUtilsMessageTypeFlagsEXT messageTypes,
    const XrDebugUtilsMessengerCallbackDataEXT* callbackData) {
    XrResult result = XR_SUCCESS;
    try {
        // Generate output for this command
        std::vector<std::tuple<std::string, std::string, std::string>> contents;
        std::unique_lock<std::mutex> mlock(g_instance_dispatch_mutex);
        auto map_iter = g_instance_dispatch_map.find(instance);
        mlock.unlock();

        if (map_iter == g_instance_dispatch_map.end()) return XR_ERROR_VALIDATION_FAILURE;
        XrGeneratedDispatchTable *gen_dispatch_table = map_iter->second;
        contents.emplace_back("XrResult", "xrSubmitDebugUtilsMessageEXT", "");
        std::ostringstream oss_instance;
        oss_instance << std::hex << reinterpret_cast<const void*>(instance);
        contents.emplace_back("XrInstance", "instance", oss_instance.str());
        contents.emplace_back("XrDebugUtilsMessageSeverityFlagsEXT", "messageSeverity", std::to_string(messageSeverity));
        contents.emplace_back("XrDebugUtilsMessageTypeFlagsEXT", "messageTypes", std::to_string(messageTypes));
        if (!ApiDumpOutputXrStruct(gen_dispatch_table, callbackData, "callbackData", "const XrDebugUtilsMessengerCallbackDataEXT*", true, contents)) {
            throw std::invalid_argument("Invalid Operation");
        }
        ApiDumpLayerRecordContent(contents);

        result = gen_dispatch_table->SubmitDebugUtilsMessageEXT(instance, messageSeverity, messageTypes, callbackData);
    } catch (...) {
        return XR_ERROR_VALIDATION_FAILURE;
    }
    return result;
}

XRAPI_ATTR XrResult XRAPI_CALL ApiDumpLayerXrSessionBeginDebugUtilsLabelRegionEXT(
    XrSession session,
    const XrDebugUtilsLabelEXT* labelInfo) {
    XrResult result = XR_SUCCESS;
    try {
        // Generate output for this command
        std::vector<std::tuple<std::string, std::string, std::string>> contents;
        std::unique_lock<std::mutex> mlock(g_session_dispatch_mutex);
        auto map_iter = g_session_dispatch_map.find(session);
        mlock.unlock();

        if (map_iter == g_session_dispatch_map.end()) return XR_ERROR_VALIDATION_FAILURE;
        XrGeneratedDispatchTable *gen_dispatch_table = map_iter->second;
        contents.emplace_back("XrResult", "xrSessionBeginDebugUtilsLabelRegionEXT", "");
        std::ostringstream oss_session;
        oss_session << std::hex << reinterpret_cast<const void*>(session);
        contents.emplace_back("XrSession", "session", oss_session.str());
        if (!ApiDumpOutputXrStruct(gen_dispatch_table, labelInfo, "labelInfo", "const XrDebugUtilsLabelEXT*", true, contents)) {
            throw std::invalid_argument("Invalid Operation");
        }
        ApiDumpLayerRecordContent(contents);

        result = gen_dispatch_table->SessionBeginDebugUtilsLabelRegionEXT(session, labelInfo);
    } catch (...) {
        return XR_ERROR_VALIDATION_FAILURE;
    }
    return result;
}

XRAPI_ATTR XrResult XRAPI_CALL ApiDumpLayerXrSessionEndDebugUtilsLabelRegionEXT(
    XrSession session) {
    XrResult result = XR_SUCCESS;
    try {
        // Generate output for this command
        std::vector<std::tuple<std::string, std::string, std::string>> contents;
        std::unique_lock<std::mutex> mlock(g_session_dispatch_mutex);
        auto map_iter = g_session_dispatch_map.find(session);
        mlock.unlock();

        if (map_iter == g_session_dispatch_map.end()) return XR_ERROR_VALIDATION_FAILURE;
        XrGeneratedDispatchTable *gen_dispatch_table = map_iter->second;
        contents.emplace_back("XrResult", "xrSessionEndDebugUtilsLabelRegionEXT", "");
        std::ostringstream oss_session;
        oss_session << std::hex << reinterpret_cast<const void*>(session);
        contents.emplace_back("XrSession", "session", oss_session.str());
        ApiDumpLayerRecordContent(contents);

        result = gen_dispatch_table->SessionEndDebugUtilsLabelRegionEXT(session);
    } catch (...) {
        return XR_ERROR_VALIDATION_FAILURE;
    }
    return result;
}

XRAPI_ATTR XrResult XRAPI_CALL ApiDumpLayerXrSessionInsertDebugUtilsLabelEXT(
    XrSession session,
    const XrDebugUtilsLabelEXT* labelInfo) {
    XrResult result = XR_SUCCESS;
    try {
        // Generate output for this command
        std::vector<std::tuple<std::string, std::string, std::string>> contents;
        std::unique_lock<std::mutex> mlock(g_session_dispatch_mutex);
        auto map_iter = g_session_dispatch_map.find(session);
        mlock.unlock();

        if (map_iter == g_session_dispatch_map.end()) return XR_ERROR_VALIDATION_FAILURE;
        XrGeneratedDispatchTable *gen_dispatch_table = map_iter->second;
        contents.emplace_back("XrResult", "xrSessionInsertDebugUtilsLabelEXT", "");
        std::ostringstream oss_session;
        oss_session << std::hex << reinterpret_cast<const void*>(session);
        contents.emplace_back("XrSession", "session", oss_session.str());
        if (!ApiDumpOutputXrStruct(gen_dispatch_table, labelInfo, "labelInfo", "const XrDebugUtilsLabelEXT*", true, contents)) {
            throw std::invalid_argument("Invalid Operation");
        }
        ApiDumpLayerRecordContent(contents);

        result = gen_dispatch_table->SessionInsertDebugUtilsLabelEXT(session, labelInfo);
    } catch (...) {
        return XR_ERROR_VALIDATION_FAILURE;
    }
    return result;
}


// ---- XR_MSFT_spatial_anchor extension commands
XRAPI_ATTR XrResult XRAPI_CALL ApiDumpLayerXrCreateSpatialAnchorMSFT(
    XrSession session,
    const XrSpatialAnchorCreateInfoMSFT* createInfo,
    XrSpatialAnchorMSFT* anchor) {
    XrResult result = XR_SUCCESS;
    try {
        // Generate output for this command
        std::vector<std::tuple<std::string, std::string, std::string>> contents;
        std::unique_lock<std::mutex> mlock(g_session_dispatch_mutex);
        auto map_iter = g_session_dispatch_map.find(session);
        mlock.unlock();

        if (map_iter == g_session_dispatch_map.end()) return XR_ERROR_VALIDATION_FAILURE;
        XrGeneratedDispatchTable *gen_dispatch_table = map_iter->second;
        contents.emplace_back("XrResult", "xrCreateSpatialAnchorMSFT", "");
        std::ostringstream oss_session;
        oss_session << std::hex << reinterpret_cast<const void*>(session);
        contents.emplace_back("XrSession", "session", oss_session.str());
        if (!ApiDumpOutputXrStruct(gen_dispatch_table, createInfo, "createInfo", "const XrSpatialAnchorCreateInfoMSFT*", true, contents)) {
            throw std::invalid_argument("Invalid Operation");
        }
        std::ostringstream oss_anchor;
        oss_anchor << std::hex << reinterpret_cast<const void*>(anchor);
        contents.emplace_back("XrSpatialAnchorMSFT*", "anchor", oss_anchor.str());
        ApiDumpLayerRecordContent(contents);

        result = gen_dispatch_table->CreateSpatialAnchorMSFT(session, createInfo, anchor);
        if (XR_SUCCESS == result && nullptr != anchor) {
            auto exists = g_spatialanchormsft_dispatch_map.find(*anchor);
            if (exists == g_spatialanchormsft_dispatch_map.end()) {
                std::unique_lock<std::mutex> lock(g_spatialanchormsft_dispatch_mutex);
                g_spatialanchormsft_dispatch_map[*anchor] = gen_dispatch_table;
            }
        }
    } catch (...) {
        return XR_ERROR_VALIDATION_FAILURE;
    }
    return result;
}

XRAPI_ATTR XrResult XRAPI_CALL ApiDumpLayerXrCreateSpatialAnchorSpaceMSFT(
    XrSession session,
    const XrSpatialAnchorSpaceCreateInfoMSFT* createInfo,
    XrSpace* space) {
    XrResult result = XR_SUCCESS;
    try {
        // Generate output for this command
        std::vector<std::tuple<std::string, std::string, std::string>> contents;
        std::unique_lock<std::mutex> mlock(g_session_dispatch_mutex);
        auto map_iter = g_session_dispatch_map.find(session);
        mlock.unlock();

        if (map_iter == g_session_dispatch_map.end()) return XR_ERROR_VALIDATION_FAILURE;
        XrGeneratedDispatchTable *gen_dispatch_table = map_iter->second;
        contents.emplace_back("XrResult", "xrCreateSpatialAnchorSpaceMSFT", "");
        std::ostringstream oss_session;
        oss_session << std::hex << reinterpret_cast<const void*>(session);
        contents.emplace_back("XrSession", "session", oss_session.str());
        if (!ApiDumpOutputXrStruct(gen_dispatch_table, createInfo, "createInfo", "const XrSpatialAnchorSpaceCreateInfoMSFT*", true, contents)) {
            throw std::invalid_argument("Invalid Operation");
        }
        std::ostringstream oss_space;
        oss_space << std::hex << reinterpret_cast<const void*>(space);
        contents.emplace_back("XrSpace*", "space", oss_space.str());
        ApiDumpLayerRecordContent(contents);

        result = gen_dispatch_table->CreateSpatialAnchorSpaceMSFT(session, createInfo, space);
        if (XR_SUCCESS == result && nullptr != space) {
            auto exists = g_space_dispatch_map.find(*space);
            if (exists == g_space_dispatch_map.end()) {
                std::unique_lock<std::mutex> lock(g_space_dispatch_mutex);
                g_space_dispatch_map[*space] = gen_dispatch_table;
            }
        }
    } catch (...) {
        return XR_ERROR_VALIDATION_FAILURE;
    }
    return result;
}

XRAPI_ATTR XrResult XRAPI_CALL ApiDumpLayerXrDestroySpatialAnchorMSFT(
    XrSpatialAnchorMSFT anchor) {
    XrResult result = XR_SUCCESS;
    try {
        // Generate output for this command
        std::vector<std::tuple<std::string, std::string, std::string>> contents;
        std::unique_lock<std::mutex> mlock(g_spatialanchormsft_dispatch_mutex);
        auto map_iter = g_spatialanchormsft_dispatch_map.find(anchor);
        mlock.unlock();

        if (map_iter == g_spatialanchormsft_dispatch_map.end()) return XR_ERROR_VALIDATION_FAILURE;
        XrGeneratedDispatchTable *gen_dispatch_table = map_iter->second;
        contents.emplace_back("XrResult", "xrDestroySpatialAnchorMSFT", "");
        std::ostringstream oss_anchor;
        oss_anchor << std::hex << reinterpret_cast<const void*>(anchor);
        contents.emplace_back("XrSpatialAnchorMSFT", "anchor", oss_anchor.str());
        ApiDumpLayerRecordContent(contents);

        result = gen_dispatch_table->DestroySpatialAnchorMSFT(anchor);
        auto exists = g_spatialanchormsft_dispatch_map.find(anchor);
        if (exists != g_spatialanchormsft_dispatch_map.end()) {
            std::unique_lock<std::mutex> lock(g_spatialanchormsft_dispatch_mutex);
            g_spatialanchormsft_dispatch_map.erase(anchor);
        }
    } catch (...) {
        return XR_ERROR_VALIDATION_FAILURE;
    }
    return result;
}


// ---- XR_EXT_conformance_automation extension commands
XRAPI_ATTR XrResult XRAPI_CALL ApiDumpLayerXrSetInputDeviceActiveEXT(
    XrSession session,
    XrPath interactionProfile,
    XrPath topLevelPath,
    XrBool32 isActive) {
    XrResult result = XR_SUCCESS;
    try {
        // Generate output for this command
        std::vector<std::tuple<std::string, std::string, std::string>> contents;
        std::unique_lock<std::mutex> mlock(g_session_dispatch_mutex);
        auto map_iter = g_session_dispatch_map.find(session);
        mlock.unlock();

        if (map_iter == g_session_dispatch_map.end()) return XR_ERROR_VALIDATION_FAILURE;
        XrGeneratedDispatchTable *gen_dispatch_table = map_iter->second;
        contents.emplace_back("XrResult", "xrSetInputDeviceActiveEXT", "");
        std::ostringstream oss_session;
        oss_session << std::hex << reinterpret_cast<const void*>(session);
        contents.emplace_back("XrSession", "session", oss_session.str());
        contents.emplace_back("XrPath", "interactionProfile", std::to_string(interactionProfile));
        contents.emplace_back("XrPath", "topLevelPath", std::to_string(topLevelPath));
        std::ostringstream oss_isActive;
        oss_isActive << "0x" << std::hex << (isActive);
        contents.emplace_back("XrBool32", "isActive", oss_isActive.str());
        ApiDumpLayerRecordContent(contents);

        result = gen_dispatch_table->SetInputDeviceActiveEXT(session, interactionProfile, topLevelPath, isActive);
    } catch (...) {
        return XR_ERROR_VALIDATION_FAILURE;
    }
    return result;
}

XRAPI_ATTR XrResult XRAPI_CALL ApiDumpLayerXrSetInputDeviceStateBoolEXT(
    XrSession session,
    XrPath topLevelPath,
    XrPath inputSourcePath,
    XrBool32 state) {
    XrResult result = XR_SUCCESS;
    try {
        // Generate output for this command
        std::vector<std::tuple<std::string, std::string, std::string>> contents;
        std::unique_lock<std::mutex> mlock(g_session_dispatch_mutex);
        auto map_iter = g_session_dispatch_map.find(session);
        mlock.unlock();

        if (map_iter == g_session_dispatch_map.end()) return XR_ERROR_VALIDATION_FAILURE;
        XrGeneratedDispatchTable *gen_dispatch_table = map_iter->second;
        contents.emplace_back("XrResult", "xrSetInputDeviceStateBoolEXT", "");
        std::ostringstream oss_session;
        oss_session << std::hex << reinterpret_cast<const void*>(session);
        contents.emplace_back("XrSession", "session", oss_session.str());
        contents.emplace_back("XrPath", "topLevelPath", std::to_string(topLevelPath));
        contents.emplace_back("XrPath", "inputSourcePath", std::to_string(inputSourcePath));
        std::ostringstream oss_state;
        oss_state << "0x" << std::hex << (state);
        contents.emplace_back("XrBool32", "state", oss_state.str());
        ApiDumpLayerRecordContent(contents);

        result = gen_dispatch_table->SetInputDeviceStateBoolEXT(session, topLevelPath, inputSourcePath, state);
    } catch (...) {
        return XR_ERROR_VALIDATION_FAILURE;
    }
    return result;
}

XRAPI_ATTR XrResult XRAPI_CALL ApiDumpLayerXrSetInputDeviceStateFloatEXT(
    XrSession session,
    XrPath topLevelPath,
    XrPath inputSourcePath,
    float state) {
    XrResult result = XR_SUCCESS;
    try {
        // Generate output for this command
        std::vector<std::tuple<std::string, std::string, std::string>> contents;
        std::unique_lock<std::mutex> mlock(g_session_dispatch_mutex);
        auto map_iter = g_session_dispatch_map.find(session);
        mlock.unlock();

        if (map_iter == g_session_dispatch_map.end()) return XR_ERROR_VALIDATION_FAILURE;
        XrGeneratedDispatchTable *gen_dispatch_table = map_iter->second;
        contents.emplace_back("XrResult", "xrSetInputDeviceStateFloatEXT", "");
        std::ostringstream oss_session;
        oss_session << std::hex << reinterpret_cast<const void*>(session);
        contents.emplace_back("XrSession", "session", oss_session.str());
        contents.emplace_back("XrPath", "topLevelPath", std::to_string(topLevelPath));
        contents.emplace_back("XrPath", "inputSourcePath", std::to_string(inputSourcePath));
        std::ostringstream oss_state;
        oss_state << std::setprecision(32) << (state);
        contents.emplace_back("float", "state", oss_state.str());
        ApiDumpLayerRecordContent(contents);

        result = gen_dispatch_table->SetInputDeviceStateFloatEXT(session, topLevelPath, inputSourcePath, state);
    } catch (...) {
        return XR_ERROR_VALIDATION_FAILURE;
    }
    return result;
}

XRAPI_ATTR XrResult XRAPI_CALL ApiDumpLayerXrSetInputDeviceStateVector2fEXT(
    XrSession session,
    XrPath topLevelPath,
    XrPath inputSourcePath,
    XrVector2f state) {
    XrResult result = XR_SUCCESS;
    try {
        // Generate output for this command
        std::vector<std::tuple<std::string, std::string, std::string>> contents;
        std::unique_lock<std::mutex> mlock(g_session_dispatch_mutex);
        auto map_iter = g_session_dispatch_map.find(session);
        mlock.unlock();

        if (map_iter == g_session_dispatch_map.end()) return XR_ERROR_VALIDATION_FAILURE;
        XrGeneratedDispatchTable *gen_dispatch_table = map_iter->second;
        contents.emplace_back("XrResult", "xrSetInputDeviceStateVector2fEXT", "");
        std::ostringstream oss_session;
        oss_session << std::hex << reinterpret_cast<const void*>(session);
        contents.emplace_back("XrSession", "session", oss_session.str());
        contents.emplace_back("XrPath", "topLevelPath", std::to_string(topLevelPath));
        contents.emplace_back("XrPath", "inputSourcePath", std::to_string(inputSourcePath));
        if (!ApiDumpOutputXrStruct(gen_dispatch_table, &state, "state", "XrVector2f", false, contents)) {
            throw std::invalid_argument("Invalid Operation");
        }
        ApiDumpLayerRecordContent(contents);

        result = gen_dispatch_table->SetInputDeviceStateVector2fEXT(session, topLevelPath, inputSourcePath, state);
    } catch (...) {
        return XR_ERROR_VALIDATION_FAILURE;
    }
    return result;
}

XRAPI_ATTR XrResult XRAPI_CALL ApiDumpLayerXrSetInputDeviceLocationEXT(
    XrSession session,
    XrPath topLevelPath,
    XrPath inputSourcePath,
    XrSpace space,
    XrPosef pose) {
    XrResult result = XR_SUCCESS;
    try {
        // Generate output for this command
        std::vector<std::tuple<std::string, std::string, std::string>> contents;
        std::unique_lock<std::mutex> mlock(g_session_dispatch_mutex);
        auto map_iter = g_session_dispatch_map.find(session);
        mlock.unlock();

        if (map_iter == g_session_dispatch_map.end()) return XR_ERROR_VALIDATION_FAILURE;
        XrGeneratedDispatchTable *gen_dispatch_table = map_iter->second;
        contents.emplace_back("XrResult", "xrSetInputDeviceLocationEXT", "");
        std::ostringstream oss_session;
        oss_session << std::hex << reinterpret_cast<const void*>(session);
        contents.emplace_back("XrSession", "session", oss_session.str());
        contents.emplace_back("XrPath", "topLevelPath", std::to_string(topLevelPath));
        contents.emplace_back("XrPath", "inputSourcePath", std::to_string(inputSourcePath));
        std::ostringstream oss_space;
        oss_space << std::hex << reinterpret_cast<const void*>(space);
        contents.emplace_back("XrSpace", "space", oss_space.str());
        if (!ApiDumpOutputXrStruct(gen_dispatch_table, &pose, "pose", "XrPosef", false, contents)) {
            throw std::invalid_argument("Invalid Operation");
        }
        ApiDumpLayerRecordContent(contents);

        result = gen_dispatch_table->SetInputDeviceLocationEXT(session, topLevelPath, inputSourcePath, space, pose);
    } catch (...) {
        return XR_ERROR_VALIDATION_FAILURE;
    }
    return result;
}


// ---- XR_MSFT_spatial_graph_bridge extension commands
XRAPI_ATTR XrResult XRAPI_CALL ApiDumpLayerXrCreateSpatialGraphNodeSpaceMSFT(
    XrSession session,
    const XrSpatialGraphNodeSpaceCreateInfoMSFT* createInfo,
    XrSpace* space) {
    XrResult result = XR_SUCCESS;
    try {
        // Generate output for this command
        std::vector<std::tuple<std::string, std::string, std::string>> contents;
        std::unique_lock<std::mutex> mlock(g_session_dispatch_mutex);
        auto map_iter = g_session_dispatch_map.find(session);
        mlock.unlock();

        if (map_iter == g_session_dispatch_map.end()) return XR_ERROR_VALIDATION_FAILURE;
        XrGeneratedDispatchTable *gen_dispatch_table = map_iter->second;
        contents.emplace_back("XrResult", "xrCreateSpatialGraphNodeSpaceMSFT", "");
        std::ostringstream oss_session;
        oss_session << std::hex << reinterpret_cast<const void*>(session);
        contents.emplace_back("XrSession", "session", oss_session.str());
        if (!ApiDumpOutputXrStruct(gen_dispatch_table, createInfo, "createInfo", "const XrSpatialGraphNodeSpaceCreateInfoMSFT*", true, contents)) {
            throw std::invalid_argument("Invalid Operation");
        }
        std::ostringstream oss_space;
        oss_space << std::hex << reinterpret_cast<const void*>(space);
        contents.emplace_back("XrSpace*", "space", oss_space.str());
        ApiDumpLayerRecordContent(contents);

        result = gen_dispatch_table->CreateSpatialGraphNodeSpaceMSFT(session, createInfo, space);
        if (XR_SUCCESS == result && nullptr != space) {
            auto exists = g_space_dispatch_map.find(*space);
            if (exists == g_space_dispatch_map.end()) {
                std::unique_lock<std::mutex> lock(g_space_dispatch_mutex);
                g_space_dispatch_map[*space] = gen_dispatch_table;
            }
        }
    } catch (...) {
        return XR_ERROR_VALIDATION_FAILURE;
    }
    return result;
}


// ---- XR_EXT_hand_tracking extension commands
XRAPI_ATTR XrResult XRAPI_CALL ApiDumpLayerXrCreateHandTrackerEXT(
    XrSession session,
    const XrHandTrackerCreateInfoEXT* createInfo,
    XrHandTrackerEXT* handTracker) {
    XrResult result = XR_SUCCESS;
    try {
        // Generate output for this command
        std::vector<std::tuple<std::string, std::string, std::string>> contents;
        std::unique_lock<std::mutex> mlock(g_session_dispatch_mutex);
        auto map_iter = g_session_dispatch_map.find(session);
        mlock.unlock();

        if (map_iter == g_session_dispatch_map.end()) return XR_ERROR_VALIDATION_FAILURE;
        XrGeneratedDispatchTable *gen_dispatch_table = map_iter->second;
        contents.emplace_back("XrResult", "xrCreateHandTrackerEXT", "");
        std::ostringstream oss_session;
        oss_session << std::hex << reinterpret_cast<const void*>(session);
        contents.emplace_back("XrSession", "session", oss_session.str());
        if (!ApiDumpOutputXrStruct(gen_dispatch_table, createInfo, "createInfo", "const XrHandTrackerCreateInfoEXT*", true, contents)) {
            throw std::invalid_argument("Invalid Operation");
        }
        std::ostringstream oss_handTracker;
        oss_handTracker << std::hex << reinterpret_cast<const void*>(handTracker);
        contents.emplace_back("XrHandTrackerEXT*", "handTracker", oss_handTracker.str());
        ApiDumpLayerRecordContent(contents);

        result = gen_dispatch_table->CreateHandTrackerEXT(session, createInfo, handTracker);
        if (XR_SUCCESS == result && nullptr != handTracker) {
            auto exists = g_handtrackerext_dispatch_map.find(*handTracker);
            if (exists == g_handtrackerext_dispatch_map.end()) {
                std::unique_lock<std::mutex> lock(g_handtrackerext_dispatch_mutex);
                g_handtrackerext_dispatch_map[*handTracker] = gen_dispatch_table;
            }
        }
    } catch (...) {
        return XR_ERROR_VALIDATION_FAILURE;
    }
    return result;
}

XRAPI_ATTR XrResult XRAPI_CALL ApiDumpLayerXrDestroyHandTrackerEXT(
    XrHandTrackerEXT handTracker) {
    XrResult result = XR_SUCCESS;
    try {
        // Generate output for this command
        std::vector<std::tuple<std::string, std::string, std::string>> contents;
        std::unique_lock<std::mutex> mlock(g_handtrackerext_dispatch_mutex);
        auto map_iter = g_handtrackerext_dispatch_map.find(handTracker);
        mlock.unlock();

        if (map_iter == g_handtrackerext_dispatch_map.end()) return XR_ERROR_VALIDATION_FAILURE;
        XrGeneratedDispatchTable *gen_dispatch_table = map_iter->second;
        contents.emplace_back("XrResult", "xrDestroyHandTrackerEXT", "");
        std::ostringstream oss_handTracker;
        oss_handTracker << std::hex << reinterpret_cast<const void*>(handTracker);
        contents.emplace_back("XrHandTrackerEXT", "handTracker", oss_handTracker.str());
        ApiDumpLayerRecordContent(contents);

        result = gen_dispatch_table->DestroyHandTrackerEXT(handTracker);
        auto exists = g_handtrackerext_dispatch_map.find(handTracker);
        if (exists != g_handtrackerext_dispatch_map.end()) {
            std::unique_lock<std::mutex> lock(g_handtrackerext_dispatch_mutex);
            g_handtrackerext_dispatch_map.erase(handTracker);
        }
    } catch (...) {
        return XR_ERROR_VALIDATION_FAILURE;
    }
    return result;
}

XRAPI_ATTR XrResult XRAPI_CALL ApiDumpLayerXrLocateHandJointsEXT(
    XrHandTrackerEXT handTracker,
    const XrHandJointsLocateInfoEXT* locateInfo,
    XrHandJointLocationsEXT* locations) {
    XrResult result = XR_SUCCESS;
    try {
        // Generate output for this command
        std::vector<std::tuple<std::string, std::string, std::string>> contents;
        std::unique_lock<std::mutex> mlock(g_handtrackerext_dispatch_mutex);
        auto map_iter = g_handtrackerext_dispatch_map.find(handTracker);
        mlock.unlock();

        if (map_iter == g_handtrackerext_dispatch_map.end()) return XR_ERROR_VALIDATION_FAILURE;
        XrGeneratedDispatchTable *gen_dispatch_table = map_iter->second;
        contents.emplace_back("XrResult", "xrLocateHandJointsEXT", "");
        std::ostringstream oss_handTracker;
        oss_handTracker << std::hex << reinterpret_cast<const void*>(handTracker);
        contents.emplace_back("XrHandTrackerEXT", "handTracker", oss_handTracker.str());
        if (!ApiDumpOutputXrStruct(gen_dispatch_table, locateInfo, "locateInfo", "const XrHandJointsLocateInfoEXT*", true, contents)) {
            throw std::invalid_argument("Invalid Operation");
        }
        std::ostringstream oss_locations;
        oss_locations << std::hex << reinterpret_cast<const void*>(locations);
        contents.emplace_back("XrHandJointLocationsEXT*", "locations", oss_locations.str());
        ApiDumpLayerRecordContent(contents);

        result = gen_dispatch_table->LocateHandJointsEXT(handTracker, locateInfo, locations);
    } catch (...) {
        return XR_ERROR_VALIDATION_FAILURE;
    }
    return result;
}


// ---- XR_MSFT_hand_tracking_mesh extension commands
XRAPI_ATTR XrResult XRAPI_CALL ApiDumpLayerXrCreateHandMeshSpaceMSFT(
    XrHandTrackerEXT handTracker,
    const XrHandMeshSpaceCreateInfoMSFT* createInfo,
    XrSpace* space) {
    XrResult result = XR_SUCCESS;
    try {
        // Generate output for this command
        std::vector<std::tuple<std::string, std::string, std::string>> contents;
        std::unique_lock<std::mutex> mlock(g_handtrackerext_dispatch_mutex);
        auto map_iter = g_handtrackerext_dispatch_map.find(handTracker);
        mlock.unlock();

        if (map_iter == g_handtrackerext_dispatch_map.end()) return XR_ERROR_VALIDATION_FAILURE;
        XrGeneratedDispatchTable *gen_dispatch_table = map_iter->second;
        contents.emplace_back("XrResult", "xrCreateHandMeshSpaceMSFT", "");
        std::ostringstream oss_handTracker;
        oss_handTracker << std::hex << reinterpret_cast<const void*>(handTracker);
        contents.emplace_back("XrHandTrackerEXT", "handTracker", oss_handTracker.str());
        if (!ApiDumpOutputXrStruct(gen_dispatch_table, createInfo, "createInfo", "const XrHandMeshSpaceCreateInfoMSFT*", true, contents)) {
            throw std::invalid_argument("Invalid Operation");
        }
        std::ostringstream oss_space;
        oss_space << std::hex << reinterpret_cast<const void*>(space);
        contents.emplace_back("XrSpace*", "space", oss_space.str());
        ApiDumpLayerRecordContent(contents);

        result = gen_dispatch_table->CreateHandMeshSpaceMSFT(handTracker, createInfo, space);
        if (XR_SUCCESS == result && nullptr != space) {
            auto exists = g_space_dispatch_map.find(*space);
            if (exists == g_space_dispatch_map.end()) {
                std::unique_lock<std::mutex> lock(g_space_dispatch_mutex);
                g_space_dispatch_map[*space] = gen_dispatch_table;
            }
        }
    } catch (...) {
        return XR_ERROR_VALIDATION_FAILURE;
    }
    return result;
}

XRAPI_ATTR XrResult XRAPI_CALL ApiDumpLayerXrUpdateHandMeshMSFT(
    XrHandTrackerEXT handTracker,
    const XrHandMeshUpdateInfoMSFT* updateInfo,
    XrHandMeshMSFT* handMesh) {
    XrResult result = XR_SUCCESS;
    try {
        // Generate output for this command
        std::vector<std::tuple<std::string, std::string, std::string>> contents;
        std::unique_lock<std::mutex> mlock(g_handtrackerext_dispatch_mutex);
        auto map_iter = g_handtrackerext_dispatch_map.find(handTracker);
        mlock.unlock();

        if (map_iter == g_handtrackerext_dispatch_map.end()) return XR_ERROR_VALIDATION_FAILURE;
        XrGeneratedDispatchTable *gen_dispatch_table = map_iter->second;
        contents.emplace_back("XrResult", "xrUpdateHandMeshMSFT", "");
        std::ostringstream oss_handTracker;
        oss_handTracker << std::hex << reinterpret_cast<const void*>(handTracker);
        contents.emplace_back("XrHandTrackerEXT", "handTracker", oss_handTracker.str());
        if (!ApiDumpOutputXrStruct(gen_dispatch_table, updateInfo, "updateInfo", "const XrHandMeshUpdateInfoMSFT*", true, contents)) {
            throw std::invalid_argument("Invalid Operation");
        }
        std::ostringstream oss_handMesh;
        oss_handMesh << std::hex << reinterpret_cast<const void*>(handMesh);
        contents.emplace_back("XrHandMeshMSFT*", "handMesh", oss_handMesh.str());
        ApiDumpLayerRecordContent(contents);

        result = gen_dispatch_table->UpdateHandMeshMSFT(handTracker, updateInfo, handMesh);
    } catch (...) {
        return XR_ERROR_VALIDATION_FAILURE;
    }
    return result;
}


// ---- XR_MSFT_controller_model extension commands
XRAPI_ATTR XrResult XRAPI_CALL ApiDumpLayerXrGetControllerModelKeyMSFT(
    XrSession session,
    XrPath topLevelUserPath,
    XrControllerModelKeyStateMSFT* controllerModelKeyState) {
    XrResult result = XR_SUCCESS;
    try {
        // Generate output for this command
        std::vector<std::tuple<std::string, std::string, std::string>> contents;
        std::unique_lock<std::mutex> mlock(g_session_dispatch_mutex);
        auto map_iter = g_session_dispatch_map.find(session);
        mlock.unlock();

        if (map_iter == g_session_dispatch_map.end()) return XR_ERROR_VALIDATION_FAILURE;
        XrGeneratedDispatchTable *gen_dispatch_table = map_iter->second;
        contents.emplace_back("XrResult", "xrGetControllerModelKeyMSFT", "");
        std::ostringstream oss_session;
        oss_session << std::hex << reinterpret_cast<const void*>(session);
        contents.emplace_back("XrSession", "session", oss_session.str());
        contents.emplace_back("XrPath", "topLevelUserPath", std::to_string(topLevelUserPath));
        std::ostringstream oss_controllerModelKeyState;
        oss_controllerModelKeyState << std::hex << reinterpret_cast<const void*>(controllerModelKeyState);
        contents.emplace_back("XrControllerModelKeyStateMSFT*", "controllerModelKeyState", oss_controllerModelKeyState.str());
        ApiDumpLayerRecordContent(contents);

        result = gen_dispatch_table->GetControllerModelKeyMSFT(session, topLevelUserPath, controllerModelKeyState);
    } catch (...) {
        return XR_ERROR_VALIDATION_FAILURE;
    }
    return result;
}

XRAPI_ATTR XrResult XRAPI_CALL ApiDumpLayerXrLoadControllerModelMSFT(
    XrSession session,
    XrControllerModelKeyMSFT modelKey,
    uint32_t bufferCapacityInput,
    uint32_t* bufferCountOutput,
    uint8_t* buffer) {
    XrResult result = XR_SUCCESS;
    try {
        // Generate output for this command
        std::vector<std::tuple<std::string, std::string, std::string>> contents;
        std::unique_lock<std::mutex> mlock(g_session_dispatch_mutex);
        auto map_iter = g_session_dispatch_map.find(session);
        mlock.unlock();

        if (map_iter == g_session_dispatch_map.end()) return XR_ERROR_VALIDATION_FAILURE;
        XrGeneratedDispatchTable *gen_dispatch_table = map_iter->second;
        contents.emplace_back("XrResult", "xrLoadControllerModelMSFT", "");
        std::ostringstream oss_session;
        oss_session << std::hex << reinterpret_cast<const void*>(session);
        contents.emplace_back("XrSession", "session", oss_session.str());
        contents.emplace_back("XrControllerModelKeyMSFT", "modelKey", std::to_string(modelKey));
        std::ostringstream oss_bufferCapacityInput;
        oss_bufferCapacityInput << "0x" << std::hex << (bufferCapacityInput);
        contents.emplace_back("uint32_t", "bufferCapacityInput", oss_bufferCapacityInput.str());
        std::ostringstream oss_bufferCountOutput;
        oss_bufferCountOutput << std::hex << (bufferCountOutput);
        contents.emplace_back("uint32_t*", "bufferCountOutput", oss_bufferCountOutput.str());
        std::ostringstream oss_buffer;
        oss_buffer << "0x" << std::hex << (buffer);
        contents.emplace_back("uint8_t*", "buffer", oss_buffer.str());
        ApiDumpLayerRecordContent(contents);

        result = gen_dispatch_table->LoadControllerModelMSFT(session, modelKey, bufferCapacityInput, bufferCountOutput, buffer);
    } catch (...) {
        return XR_ERROR_VALIDATION_FAILURE;
    }
    return result;
}

XRAPI_ATTR XrResult XRAPI_CALL ApiDumpLayerXrGetControllerModelPropertiesMSFT(
    XrSession session,
    XrControllerModelKeyMSFT modelKey,
    XrControllerModelPropertiesMSFT* properties) {
    XrResult result = XR_SUCCESS;
    try {
        // Generate output for this command
        std::vector<std::tuple<std::string, std::string, std::string>> contents;
        std::unique_lock<std::mutex> mlock(g_session_dispatch_mutex);
        auto map_iter = g_session_dispatch_map.find(session);
        mlock.unlock();

        if (map_iter == g_session_dispatch_map.end()) return XR_ERROR_VALIDATION_FAILURE;
        XrGeneratedDispatchTable *gen_dispatch_table = map_iter->second;
        contents.emplace_back("XrResult", "xrGetControllerModelPropertiesMSFT", "");
        std::ostringstream oss_session;
        oss_session << std::hex << reinterpret_cast<const void*>(session);
        contents.emplace_back("XrSession", "session", oss_session.str());
        contents.emplace_back("XrControllerModelKeyMSFT", "modelKey", std::to_string(modelKey));
        std::ostringstream oss_properties;
        oss_properties << std::hex << reinterpret_cast<const void*>(properties);
        contents.emplace_back("XrControllerModelPropertiesMSFT*", "properties", oss_properties.str());
        ApiDumpLayerRecordContent(contents);

        result = gen_dispatch_table->GetControllerModelPropertiesMSFT(session, modelKey, properties);
    } catch (...) {
        return XR_ERROR_VALIDATION_FAILURE;
    }
    return result;
}

XRAPI_ATTR XrResult XRAPI_CALL ApiDumpLayerXrGetControllerModelStateMSFT(
    XrSession session,
    XrControllerModelKeyMSFT modelKey,
    XrControllerModelStateMSFT* state) {
    XrResult result = XR_SUCCESS;
    try {
        // Generate output for this command
        std::vector<std::tuple<std::string, std::string, std::string>> contents;
        std::unique_lock<std::mutex> mlock(g_session_dispatch_mutex);
        auto map_iter = g_session_dispatch_map.find(session);
        mlock.unlock();

        if (map_iter == g_session_dispatch_map.end()) return XR_ERROR_VALIDATION_FAILURE;
        XrGeneratedDispatchTable *gen_dispatch_table = map_iter->second;
        contents.emplace_back("XrResult", "xrGetControllerModelStateMSFT", "");
        std::ostringstream oss_session;
        oss_session << std::hex << reinterpret_cast<const void*>(session);
        contents.emplace_back("XrSession", "session", oss_session.str());
        contents.emplace_back("XrControllerModelKeyMSFT", "modelKey", std::to_string(modelKey));
        std::ostringstream oss_state;
        oss_state << std::hex << reinterpret_cast<const void*>(state);
        contents.emplace_back("XrControllerModelStateMSFT*", "state", oss_state.str());
        ApiDumpLayerRecordContent(contents);

        result = gen_dispatch_table->GetControllerModelStateMSFT(session, modelKey, state);
    } catch (...) {
        return XR_ERROR_VALIDATION_FAILURE;
    }
    return result;
}


// ---- XR_MSFT_perception_anchor_interop extension commands
#if defined(XR_USE_PLATFORM_WIN32)
XRAPI_ATTR XrResult XRAPI_CALL ApiDumpLayerXrCreateSpatialAnchorFromPerceptionAnchorMSFT(
    XrSession session,
    IUnknown* perceptionAnchor,
    XrSpatialAnchorMSFT* anchor) {
    XrResult result = XR_SUCCESS;
    try {
        // Generate output for this command
        std::vector<std::tuple<std::string, std::string, std::string>> contents;
        std::unique_lock<std::mutex> mlock(g_session_dispatch_mutex);
        auto map_iter = g_session_dispatch_map.find(session);
        mlock.unlock();

        if (map_iter == g_session_dispatch_map.end()) return XR_ERROR_VALIDATION_FAILURE;
        XrGeneratedDispatchTable *gen_dispatch_table = map_iter->second;
        contents.emplace_back("XrResult", "xrCreateSpatialAnchorFromPerceptionAnchorMSFT", "");
        std::ostringstream oss_session;
        oss_session << std::hex << reinterpret_cast<const void*>(session);
        contents.emplace_back("XrSession", "session", oss_session.str());
        std::ostringstream oss_perceptionAnchor;
        oss_perceptionAnchor << std::hex << reinterpret_cast<const void*>(perceptionAnchor);
        contents.emplace_back("IUnknown*", "perceptionAnchor", oss_perceptionAnchor.str());
        std::ostringstream oss_anchor;
        oss_anchor << std::hex << reinterpret_cast<const void*>(anchor);
        contents.emplace_back("XrSpatialAnchorMSFT*", "anchor", oss_anchor.str());
        ApiDumpLayerRecordContent(contents);

        result = gen_dispatch_table->CreateSpatialAnchorFromPerceptionAnchorMSFT(session, perceptionAnchor, anchor);
        if (XR_SUCCESS == result && nullptr != anchor) {
            auto exists = g_spatialanchormsft_dispatch_map.find(*anchor);
            if (exists == g_spatialanchormsft_dispatch_map.end()) {
                std::unique_lock<std::mutex> lock(g_spatialanchormsft_dispatch_mutex);
                g_spatialanchormsft_dispatch_map[*anchor] = gen_dispatch_table;
            }
        }
    } catch (...) {
        return XR_ERROR_VALIDATION_FAILURE;
    }
    return result;
}

#endif // defined(XR_USE_PLATFORM_WIN32)
#if defined(XR_USE_PLATFORM_WIN32)
XRAPI_ATTR XrResult XRAPI_CALL ApiDumpLayerXrTryGetPerceptionAnchorFromSpatialAnchorMSFT(
    XrSession session,
    XrSpatialAnchorMSFT anchor,
    IUnknown** perceptionAnchor) {
    XrResult result = XR_SUCCESS;
    try {
        // Generate output for this command
        std::vector<std::tuple<std::string, std::string, std::string>> contents;
        std::unique_lock<std::mutex> mlock(g_session_dispatch_mutex);
        auto map_iter = g_session_dispatch_map.find(session);
        mlock.unlock();

        if (map_iter == g_session_dispatch_map.end()) return XR_ERROR_VALIDATION_FAILURE;
        XrGeneratedDispatchTable *gen_dispatch_table = map_iter->second;
        contents.emplace_back("XrResult", "xrTryGetPerceptionAnchorFromSpatialAnchorMSFT", "");
        std::ostringstream oss_session;
        oss_session << std::hex << reinterpret_cast<const void*>(session);
        contents.emplace_back("XrSession", "session", oss_session.str());
        std::ostringstream oss_anchor;
        oss_anchor << std::hex << reinterpret_cast<const void*>(anchor);
        contents.emplace_back("XrSpatialAnchorMSFT", "anchor", oss_anchor.str());
        std::ostringstream oss_perceptionAnchor;
        oss_perceptionAnchor << std::hex << reinterpret_cast<const void*>(perceptionAnchor);
        contents.emplace_back("IUnknown**", "perceptionAnchor", oss_perceptionAnchor.str());
        ApiDumpLayerRecordContent(contents);

        result = gen_dispatch_table->TryGetPerceptionAnchorFromSpatialAnchorMSFT(session, anchor, perceptionAnchor);
    } catch (...) {
        return XR_ERROR_VALIDATION_FAILURE;
    }
    return result;
}

#endif // defined(XR_USE_PLATFORM_WIN32)

// ---- XR_FB_display_refresh_rate extension commands
XRAPI_ATTR XrResult XRAPI_CALL ApiDumpLayerXrEnumerateDisplayRefreshRatesFB(
    XrSession session,
    uint32_t displayRefreshRateCapacityInput,
    uint32_t* displayRefreshRateCountOutput,
    float* displayRefreshRates) {
    XrResult result = XR_SUCCESS;
    try {
        // Generate output for this command
        std::vector<std::tuple<std::string, std::string, std::string>> contents;
        std::unique_lock<std::mutex> mlock(g_session_dispatch_mutex);
        auto map_iter = g_session_dispatch_map.find(session);
        mlock.unlock();

        if (map_iter == g_session_dispatch_map.end()) return XR_ERROR_VALIDATION_FAILURE;
        XrGeneratedDispatchTable *gen_dispatch_table = map_iter->second;
        contents.emplace_back("XrResult", "xrEnumerateDisplayRefreshRatesFB", "");
        std::ostringstream oss_session;
        oss_session << std::hex << reinterpret_cast<const void*>(session);
        contents.emplace_back("XrSession", "session", oss_session.str());
        std::ostringstream oss_displayRefreshRateCapacityInput;
        oss_displayRefreshRateCapacityInput << "0x" << std::hex << (displayRefreshRateCapacityInput);
        contents.emplace_back("uint32_t", "displayRefreshRateCapacityInput", oss_displayRefreshRateCapacityInput.str());
        std::ostringstream oss_displayRefreshRateCountOutput;
        oss_displayRefreshRateCountOutput << std::hex << (displayRefreshRateCountOutput);
        contents.emplace_back("uint32_t*", "displayRefreshRateCountOutput", oss_displayRefreshRateCountOutput.str());
        std::ostringstream oss_displayRefreshRates;
        oss_displayRefreshRates << std::setprecision(32) << (displayRefreshRates);
        contents.emplace_back("float*", "displayRefreshRates", oss_displayRefreshRates.str());
        ApiDumpLayerRecordContent(contents);

        result = gen_dispatch_table->EnumerateDisplayRefreshRatesFB(session, displayRefreshRateCapacityInput, displayRefreshRateCountOutput, displayRefreshRates);
    } catch (...) {
        return XR_ERROR_VALIDATION_FAILURE;
    }
    return result;
}

XRAPI_ATTR XrResult XRAPI_CALL ApiDumpLayerXrGetDisplayRefreshRateFB(
    XrSession session,
    float* displayRefreshRate) {
    XrResult result = XR_SUCCESS;
    try {
        // Generate output for this command
        std::vector<std::tuple<std::string, std::string, std::string>> contents;
        std::unique_lock<std::mutex> mlock(g_session_dispatch_mutex);
        auto map_iter = g_session_dispatch_map.find(session);
        mlock.unlock();

        if (map_iter == g_session_dispatch_map.end()) return XR_ERROR_VALIDATION_FAILURE;
        XrGeneratedDispatchTable *gen_dispatch_table = map_iter->second;
        contents.emplace_back("XrResult", "xrGetDisplayRefreshRateFB", "");
        std::ostringstream oss_session;
        oss_session << std::hex << reinterpret_cast<const void*>(session);
        contents.emplace_back("XrSession", "session", oss_session.str());
        std::ostringstream oss_displayRefreshRate;
        oss_displayRefreshRate << std::setprecision(32) << (displayRefreshRate);
        contents.emplace_back("float*", "displayRefreshRate", oss_displayRefreshRate.str());
        ApiDumpLayerRecordContent(contents);

        result = gen_dispatch_table->GetDisplayRefreshRateFB(session, displayRefreshRate);
    } catch (...) {
        return XR_ERROR_VALIDATION_FAILURE;
    }
    return result;
}

XRAPI_ATTR XrResult XRAPI_CALL ApiDumpLayerXrRequestDisplayRefreshRateFB(
    XrSession session,
    float displayRefreshRate) {
    XrResult result = XR_SUCCESS;
    try {
        // Generate output for this command
        std::vector<std::tuple<std::string, std::string, std::string>> contents;
        std::unique_lock<std::mutex> mlock(g_session_dispatch_mutex);
        auto map_iter = g_session_dispatch_map.find(session);
        mlock.unlock();

        if (map_iter == g_session_dispatch_map.end()) return XR_ERROR_VALIDATION_FAILURE;
        XrGeneratedDispatchTable *gen_dispatch_table = map_iter->second;
        contents.emplace_back("XrResult", "xrRequestDisplayRefreshRateFB", "");
        std::ostringstream oss_session;
        oss_session << std::hex << reinterpret_cast<const void*>(session);
        contents.emplace_back("XrSession", "session", oss_session.str());
        std::ostringstream oss_displayRefreshRate;
        oss_displayRefreshRate << std::setprecision(32) << (displayRefreshRate);
        contents.emplace_back("float", "displayRefreshRate", oss_displayRefreshRate.str());
        ApiDumpLayerRecordContent(contents);

        result = gen_dispatch_table->RequestDisplayRefreshRateFB(session, displayRefreshRate);
    } catch (...) {
        return XR_ERROR_VALIDATION_FAILURE;
    }
    return result;
}


// ---- XR_FB_color_space extension commands
XRAPI_ATTR XrResult XRAPI_CALL ApiDumpLayerXrEnumerateColorSpacesFB(
    XrSession session,
    uint32_t colorSpaceCapacityInput,
    uint32_t* colorSpaceCountOutput,
    XrColorSpaceFB* colorSpaces) {
    XrResult result = XR_SUCCESS;
    try {
        // Generate output for this command
        std::vector<std::tuple<std::string, std::string, std::string>> contents;
        std::unique_lock<std::mutex> mlock(g_session_dispatch_mutex);
        auto map_iter = g_session_dispatch_map.find(session);
        mlock.unlock();

        if (map_iter == g_session_dispatch_map.end()) return XR_ERROR_VALIDATION_FAILURE;
        XrGeneratedDispatchTable *gen_dispatch_table = map_iter->second;
        contents.emplace_back("XrResult", "xrEnumerateColorSpacesFB", "");
        std::ostringstream oss_session;
        oss_session << std::hex << reinterpret_cast<const void*>(session);
        contents.emplace_back("XrSession", "session", oss_session.str());
        std::ostringstream oss_colorSpaceCapacityInput;
        oss_colorSpaceCapacityInput << "0x" << std::hex << (colorSpaceCapacityInput);
        contents.emplace_back("uint32_t", "colorSpaceCapacityInput", oss_colorSpaceCapacityInput.str());
        std::ostringstream oss_colorSpaceCountOutput;
        oss_colorSpaceCountOutput << std::hex << (colorSpaceCountOutput);
        contents.emplace_back("uint32_t*", "colorSpaceCountOutput", oss_colorSpaceCountOutput.str());
        std::ostringstream oss_colorSpaces;
        oss_colorSpaces << std::hex << reinterpret_cast<const void*>(colorSpaces);
        contents.emplace_back("XrColorSpaceFB*", "colorSpaces", oss_colorSpaces.str());
        ApiDumpLayerRecordContent(contents);

        result = gen_dispatch_table->EnumerateColorSpacesFB(session, colorSpaceCapacityInput, colorSpaceCountOutput, colorSpaces);
    } catch (...) {
        return XR_ERROR_VALIDATION_FAILURE;
    }
    return result;
}

XRAPI_ATTR XrResult XRAPI_CALL ApiDumpLayerXrSetColorSpaceFB(
    XrSession session,
    const XrColorSpaceFB colorspace) {
    XrResult result = XR_SUCCESS;
    try {
        // Generate output for this command
        std::vector<std::tuple<std::string, std::string, std::string>> contents;
        std::unique_lock<std::mutex> mlock(g_session_dispatch_mutex);
        auto map_iter = g_session_dispatch_map.find(session);
        mlock.unlock();

        if (map_iter == g_session_dispatch_map.end()) return XR_ERROR_VALIDATION_FAILURE;
        XrGeneratedDispatchTable *gen_dispatch_table = map_iter->second;
        contents.emplace_back("XrResult", "xrSetColorSpaceFB", "");
        std::ostringstream oss_session;
        oss_session << std::hex << reinterpret_cast<const void*>(session);
        contents.emplace_back("XrSession", "session", oss_session.str());
        contents.emplace_back("const XrColorSpaceFB", "colorspace", std::to_string(colorspace));
        ApiDumpLayerRecordContent(contents);

        result = gen_dispatch_table->SetColorSpaceFB(session, colorspace);
    } catch (...) {
        return XR_ERROR_VALIDATION_FAILURE;
    }
    return result;
}


// Layer's xrGetInstanceProcAddr
XRAPI_ATTR XrResult XRAPI_CALL ApiDumpLayerXrGetInstanceProcAddr(
    XrInstance                                  instance,
    const char*                                 name,
    PFN_xrVoidFunction*                         function) {
    try {
        std::string func_name = name;

        // Generate output for this command
        std::vector<std::tuple<std::string, std::string, std::string>> contents;
        contents.emplace_back("XrResult", "xrGetInstanceProcAddr", "");
        contents.emplace_back("XrInstance", "instance", HandleToHexString(instance));
        contents.emplace_back("const char*", "name", name);
        contents.emplace_back("PFN_xrVoidFunction*", "function", PointerToHexString(reinterpret_cast<const void*>(function)));
        ApiDumpLayerRecordContent(contents);
        // Set the function pointer to NULL so that the fall-through below actually works:
        *function = nullptr;


        // ---- Core 1.0 commands
        if (func_name == "xrGetInstanceProcAddr") {
            *function = reinterpret_cast<PFN_xrVoidFunction>(ApiDumpLayerXrGetInstanceProcAddr);
        } else if (func_name == "xrCreateInstance") {
            *function = reinterpret_cast<PFN_xrVoidFunction>(ApiDumpLayerXrCreateInstance);
        } else if (func_name == "xrDestroyInstance") {
            *function = reinterpret_cast<PFN_xrVoidFunction>(ApiDumpLayerXrDestroyInstance);
        } else if (func_name == "xrGetInstanceProperties") {
            *function = reinterpret_cast<PFN_xrVoidFunction>(ApiDumpLayerXrGetInstanceProperties);
        } else if (func_name == "xrPollEvent") {
            *function = reinterpret_cast<PFN_xrVoidFunction>(ApiDumpLayerXrPollEvent);
        } else if (func_name == "xrResultToString") {
            *function = reinterpret_cast<PFN_xrVoidFunction>(ApiDumpLayerXrResultToString);
        } else if (func_name == "xrStructureTypeToString") {
            *function = reinterpret_cast<PFN_xrVoidFunction>(ApiDumpLayerXrStructureTypeToString);
        } else if (func_name == "xrGetSystem") {
            *function = reinterpret_cast<PFN_xrVoidFunction>(ApiDumpLayerXrGetSystem);
        } else if (func_name == "xrGetSystemProperties") {
            *function = reinterpret_cast<PFN_xrVoidFunction>(ApiDumpLayerXrGetSystemProperties);
        } else if (func_name == "xrEnumerateEnvironmentBlendModes") {
            *function = reinterpret_cast<PFN_xrVoidFunction>(ApiDumpLayerXrEnumerateEnvironmentBlendModes);
        } else if (func_name == "xrCreateSession") {
            *function = reinterpret_cast<PFN_xrVoidFunction>(ApiDumpLayerXrCreateSession);
        } else if (func_name == "xrDestroySession") {
            *function = reinterpret_cast<PFN_xrVoidFunction>(ApiDumpLayerXrDestroySession);
        } else if (func_name == "xrEnumerateReferenceSpaces") {
            *function = reinterpret_cast<PFN_xrVoidFunction>(ApiDumpLayerXrEnumerateReferenceSpaces);
        } else if (func_name == "xrCreateReferenceSpace") {
            *function = reinterpret_cast<PFN_xrVoidFunction>(ApiDumpLayerXrCreateReferenceSpace);
        } else if (func_name == "xrGetReferenceSpaceBoundsRect") {
            *function = reinterpret_cast<PFN_xrVoidFunction>(ApiDumpLayerXrGetReferenceSpaceBoundsRect);
        } else if (func_name == "xrCreateActionSpace") {
            *function = reinterpret_cast<PFN_xrVoidFunction>(ApiDumpLayerXrCreateActionSpace);
        } else if (func_name == "xrLocateSpace") {
            *function = reinterpret_cast<PFN_xrVoidFunction>(ApiDumpLayerXrLocateSpace);
        } else if (func_name == "xrDestroySpace") {
            *function = reinterpret_cast<PFN_xrVoidFunction>(ApiDumpLayerXrDestroySpace);
        } else if (func_name == "xrEnumerateViewConfigurations") {
            *function = reinterpret_cast<PFN_xrVoidFunction>(ApiDumpLayerXrEnumerateViewConfigurations);
        } else if (func_name == "xrGetViewConfigurationProperties") {
            *function = reinterpret_cast<PFN_xrVoidFunction>(ApiDumpLayerXrGetViewConfigurationProperties);
        } else if (func_name == "xrEnumerateViewConfigurationViews") {
            *function = reinterpret_cast<PFN_xrVoidFunction>(ApiDumpLayerXrEnumerateViewConfigurationViews);
        } else if (func_name == "xrEnumerateSwapchainFormats") {
            *function = reinterpret_cast<PFN_xrVoidFunction>(ApiDumpLayerXrEnumerateSwapchainFormats);
        } else if (func_name == "xrCreateSwapchain") {
            *function = reinterpret_cast<PFN_xrVoidFunction>(ApiDumpLayerXrCreateSwapchain);
        } else if (func_name == "xrDestroySwapchain") {
            *function = reinterpret_cast<PFN_xrVoidFunction>(ApiDumpLayerXrDestroySwapchain);
        } else if (func_name == "xrEnumerateSwapchainImages") {
            *function = reinterpret_cast<PFN_xrVoidFunction>(ApiDumpLayerXrEnumerateSwapchainImages);
        } else if (func_name == "xrAcquireSwapchainImage") {
            *function = reinterpret_cast<PFN_xrVoidFunction>(ApiDumpLayerXrAcquireSwapchainImage);
        } else if (func_name == "xrWaitSwapchainImage") {
            *function = reinterpret_cast<PFN_xrVoidFunction>(ApiDumpLayerXrWaitSwapchainImage);
        } else if (func_name == "xrReleaseSwapchainImage") {
            *function = reinterpret_cast<PFN_xrVoidFunction>(ApiDumpLayerXrReleaseSwapchainImage);
        } else if (func_name == "xrBeginSession") {
            *function = reinterpret_cast<PFN_xrVoidFunction>(ApiDumpLayerXrBeginSession);
        } else if (func_name == "xrEndSession") {
            *function = reinterpret_cast<PFN_xrVoidFunction>(ApiDumpLayerXrEndSession);
        } else if (func_name == "xrRequestExitSession") {
            *function = reinterpret_cast<PFN_xrVoidFunction>(ApiDumpLayerXrRequestExitSession);
        } else if (func_name == "xrWaitFrame") {
            *function = reinterpret_cast<PFN_xrVoidFunction>(ApiDumpLayerXrWaitFrame);
        } else if (func_name == "xrBeginFrame") {
            *function = reinterpret_cast<PFN_xrVoidFunction>(ApiDumpLayerXrBeginFrame);
        } else if (func_name == "xrEndFrame") {
            *function = reinterpret_cast<PFN_xrVoidFunction>(ApiDumpLayerXrEndFrame);
        } else if (func_name == "xrLocateViews") {
            *function = reinterpret_cast<PFN_xrVoidFunction>(ApiDumpLayerXrLocateViews);
        } else if (func_name == "xrStringToPath") {
            *function = reinterpret_cast<PFN_xrVoidFunction>(ApiDumpLayerXrStringToPath);
        } else if (func_name == "xrPathToString") {
            *function = reinterpret_cast<PFN_xrVoidFunction>(ApiDumpLayerXrPathToString);
        } else if (func_name == "xrCreateActionSet") {
            *function = reinterpret_cast<PFN_xrVoidFunction>(ApiDumpLayerXrCreateActionSet);
        } else if (func_name == "xrDestroyActionSet") {
            *function = reinterpret_cast<PFN_xrVoidFunction>(ApiDumpLayerXrDestroyActionSet);
        } else if (func_name == "xrCreateAction") {
            *function = reinterpret_cast<PFN_xrVoidFunction>(ApiDumpLayerXrCreateAction);
        } else if (func_name == "xrDestroyAction") {
            *function = reinterpret_cast<PFN_xrVoidFunction>(ApiDumpLayerXrDestroyAction);
        } else if (func_name == "xrSuggestInteractionProfileBindings") {
            *function = reinterpret_cast<PFN_xrVoidFunction>(ApiDumpLayerXrSuggestInteractionProfileBindings);
        } else if (func_name == "xrAttachSessionActionSets") {
            *function = reinterpret_cast<PFN_xrVoidFunction>(ApiDumpLayerXrAttachSessionActionSets);
        } else if (func_name == "xrGetCurrentInteractionProfile") {
            *function = reinterpret_cast<PFN_xrVoidFunction>(ApiDumpLayerXrGetCurrentInteractionProfile);
        } else if (func_name == "xrGetActionStateBoolean") {
            *function = reinterpret_cast<PFN_xrVoidFunction>(ApiDumpLayerXrGetActionStateBoolean);
        } else if (func_name == "xrGetActionStateFloat") {
            *function = reinterpret_cast<PFN_xrVoidFunction>(ApiDumpLayerXrGetActionStateFloat);
        } else if (func_name == "xrGetActionStateVector2f") {
            *function = reinterpret_cast<PFN_xrVoidFunction>(ApiDumpLayerXrGetActionStateVector2f);
        } else if (func_name == "xrGetActionStatePose") {
            *function = reinterpret_cast<PFN_xrVoidFunction>(ApiDumpLayerXrGetActionStatePose);
        } else if (func_name == "xrSyncActions") {
            *function = reinterpret_cast<PFN_xrVoidFunction>(ApiDumpLayerXrSyncActions);
        } else if (func_name == "xrEnumerateBoundSourcesForAction") {
            *function = reinterpret_cast<PFN_xrVoidFunction>(ApiDumpLayerXrEnumerateBoundSourcesForAction);
        } else if (func_name == "xrGetInputSourceLocalizedName") {
            *function = reinterpret_cast<PFN_xrVoidFunction>(ApiDumpLayerXrGetInputSourceLocalizedName);
        } else if (func_name == "xrApplyHapticFeedback") {
            *function = reinterpret_cast<PFN_xrVoidFunction>(ApiDumpLayerXrApplyHapticFeedback);
        } else if (func_name == "xrStopHapticFeedback") {
            *function = reinterpret_cast<PFN_xrVoidFunction>(ApiDumpLayerXrStopHapticFeedback);

        // ---- XR_KHR_android_thread_settings extension commands
#if defined(XR_USE_PLATFORM_ANDROID)
        } else if (func_name == "xrSetAndroidApplicationThreadKHR") {
            *function = reinterpret_cast<PFN_xrVoidFunction>(ApiDumpLayerXrSetAndroidApplicationThreadKHR);
#endif // defined(XR_USE_PLATFORM_ANDROID)

        // ---- XR_KHR_android_surface_swapchain extension commands
#if defined(XR_USE_PLATFORM_ANDROID)
        } else if (func_name == "xrCreateSwapchainAndroidSurfaceKHR") {
            *function = reinterpret_cast<PFN_xrVoidFunction>(ApiDumpLayerXrCreateSwapchainAndroidSurfaceKHR);
#endif // defined(XR_USE_PLATFORM_ANDROID)

        // ---- XR_KHR_opengl_enable extension commands
#if defined(XR_USE_GRAPHICS_API_OPENGL)
        } else if (func_name == "xrGetOpenGLGraphicsRequirementsKHR") {
            *function = reinterpret_cast<PFN_xrVoidFunction>(ApiDumpLayerXrGetOpenGLGraphicsRequirementsKHR);
#endif // defined(XR_USE_GRAPHICS_API_OPENGL)

        // ---- XR_KHR_opengl_es_enable extension commands
#if defined(XR_USE_GRAPHICS_API_OPENGL_ES)
        } else if (func_name == "xrGetOpenGLESGraphicsRequirementsKHR") {
            *function = reinterpret_cast<PFN_xrVoidFunction>(ApiDumpLayerXrGetOpenGLESGraphicsRequirementsKHR);
#endif // defined(XR_USE_GRAPHICS_API_OPENGL_ES)

        // ---- XR_KHR_vulkan_enable extension commands
#if defined(XR_USE_GRAPHICS_API_VULKAN)
        } else if (func_name == "xrGetVulkanInstanceExtensionsKHR") {
            *function = reinterpret_cast<PFN_xrVoidFunction>(ApiDumpLayerXrGetVulkanInstanceExtensionsKHR);
#endif // defined(XR_USE_GRAPHICS_API_VULKAN)
#if defined(XR_USE_GRAPHICS_API_VULKAN)
        } else if (func_name == "xrGetVulkanDeviceExtensionsKHR") {
            *function = reinterpret_cast<PFN_xrVoidFunction>(ApiDumpLayerXrGetVulkanDeviceExtensionsKHR);
#endif // defined(XR_USE_GRAPHICS_API_VULKAN)
#if defined(XR_USE_GRAPHICS_API_VULKAN)
        } else if (func_name == "xrGetVulkanGraphicsDeviceKHR") {
            *function = reinterpret_cast<PFN_xrVoidFunction>(ApiDumpLayerXrGetVulkanGraphicsDeviceKHR);
#endif // defined(XR_USE_GRAPHICS_API_VULKAN)
#if defined(XR_USE_GRAPHICS_API_VULKAN)
        } else if (func_name == "xrGetVulkanGraphicsRequirementsKHR") {
            *function = reinterpret_cast<PFN_xrVoidFunction>(ApiDumpLayerXrGetVulkanGraphicsRequirementsKHR);
#endif // defined(XR_USE_GRAPHICS_API_VULKAN)

        // ---- XR_KHR_D3D11_enable extension commands
#if defined(XR_USE_GRAPHICS_API_D3D11)
        } else if (func_name == "xrGetD3D11GraphicsRequirementsKHR") {
            *function = reinterpret_cast<PFN_xrVoidFunction>(ApiDumpLayerXrGetD3D11GraphicsRequirementsKHR);
#endif // defined(XR_USE_GRAPHICS_API_D3D11)

        // ---- XR_KHR_D3D12_enable extension commands
#if defined(XR_USE_GRAPHICS_API_D3D12)
        } else if (func_name == "xrGetD3D12GraphicsRequirementsKHR") {
            *function = reinterpret_cast<PFN_xrVoidFunction>(ApiDumpLayerXrGetD3D12GraphicsRequirementsKHR);
#endif // defined(XR_USE_GRAPHICS_API_D3D12)

        // ---- XR_KHR_visibility_mask extension commands
        } else if (func_name == "xrGetVisibilityMaskKHR") {
            *function = reinterpret_cast<PFN_xrVoidFunction>(ApiDumpLayerXrGetVisibilityMaskKHR);

        // ---- XR_KHR_win32_convert_performance_counter_time extension commands
#if defined(XR_USE_PLATFORM_WIN32)
        } else if (func_name == "xrConvertWin32PerformanceCounterToTimeKHR") {
            *function = reinterpret_cast<PFN_xrVoidFunction>(ApiDumpLayerXrConvertWin32PerformanceCounterToTimeKHR);
#endif // defined(XR_USE_PLATFORM_WIN32)
#if defined(XR_USE_PLATFORM_WIN32)
        } else if (func_name == "xrConvertTimeToWin32PerformanceCounterKHR") {
            *function = reinterpret_cast<PFN_xrVoidFunction>(ApiDumpLayerXrConvertTimeToWin32PerformanceCounterKHR);
#endif // defined(XR_USE_PLATFORM_WIN32)

        // ---- XR_KHR_convert_timespec_time extension commands
#if defined(XR_USE_TIMESPEC)
        } else if (func_name == "xrConvertTimespecTimeToTimeKHR") {
            *function = reinterpret_cast<PFN_xrVoidFunction>(ApiDumpLayerXrConvertTimespecTimeToTimeKHR);
#endif // defined(XR_USE_TIMESPEC)
#if defined(XR_USE_TIMESPEC)
        } else if (func_name == "xrConvertTimeToTimespecTimeKHR") {
            *function = reinterpret_cast<PFN_xrVoidFunction>(ApiDumpLayerXrConvertTimeToTimespecTimeKHR);
#endif // defined(XR_USE_TIMESPEC)

        // ---- XR_KHR_loader_init extension commands

        // ---- XR_KHR_vulkan_enable2 extension commands
#if defined(XR_USE_GRAPHICS_API_VULKAN)
        } else if (func_name == "xrCreateVulkanInstanceKHR") {
            *function = reinterpret_cast<PFN_xrVoidFunction>(ApiDumpLayerXrCreateVulkanInstanceKHR);
#endif // defined(XR_USE_GRAPHICS_API_VULKAN)
#if defined(XR_USE_GRAPHICS_API_VULKAN)
        } else if (func_name == "xrCreateVulkanDeviceKHR") {
            *function = reinterpret_cast<PFN_xrVoidFunction>(ApiDumpLayerXrCreateVulkanDeviceKHR);
#endif // defined(XR_USE_GRAPHICS_API_VULKAN)
#if defined(XR_USE_GRAPHICS_API_VULKAN)
        } else if (func_name == "xrGetVulkanGraphicsDevice2KHR") {
            *function = reinterpret_cast<PFN_xrVoidFunction>(ApiDumpLayerXrGetVulkanGraphicsDevice2KHR);
#endif // defined(XR_USE_GRAPHICS_API_VULKAN)
#if defined(XR_USE_GRAPHICS_API_VULKAN)
        } else if (func_name == "xrGetVulkanGraphicsRequirements2KHR") {
            *function = reinterpret_cast<PFN_xrVoidFunction>(ApiDumpLayerXrGetVulkanGraphicsRequirements2KHR);
#endif // defined(XR_USE_GRAPHICS_API_VULKAN)

        // ---- XR_EXT_performance_settings extension commands
        } else if (func_name == "xrPerfSettingsSetPerformanceLevelEXT") {
            *function = reinterpret_cast<PFN_xrVoidFunction>(ApiDumpLayerXrPerfSettingsSetPerformanceLevelEXT);

        // ---- XR_EXT_thermal_query extension commands
        } else if (func_name == "xrThermalGetTemperatureTrendEXT") {
            *function = reinterpret_cast<PFN_xrVoidFunction>(ApiDumpLayerXrThermalGetTemperatureTrendEXT);

        // ---- XR_EXT_debug_utils extension commands
        } else if (func_name == "xrSetDebugUtilsObjectNameEXT") {
            *function = reinterpret_cast<PFN_xrVoidFunction>(ApiDumpLayerXrSetDebugUtilsObjectNameEXT);
        } else if (func_name == "xrCreateDebugUtilsMessengerEXT") {
            *function = reinterpret_cast<PFN_xrVoidFunction>(ApiDumpLayerXrCreateDebugUtilsMessengerEXT);
        } else if (func_name == "xrDestroyDebugUtilsMessengerEXT") {
            *function = reinterpret_cast<PFN_xrVoidFunction>(ApiDumpLayerXrDestroyDebugUtilsMessengerEXT);
        } else if (func_name == "xrSubmitDebugUtilsMessageEXT") {
            *function = reinterpret_cast<PFN_xrVoidFunction>(ApiDumpLayerXrSubmitDebugUtilsMessageEXT);
        } else if (func_name == "xrSessionBeginDebugUtilsLabelRegionEXT") {
            *function = reinterpret_cast<PFN_xrVoidFunction>(ApiDumpLayerXrSessionBeginDebugUtilsLabelRegionEXT);
        } else if (func_name == "xrSessionEndDebugUtilsLabelRegionEXT") {
            *function = reinterpret_cast<PFN_xrVoidFunction>(ApiDumpLayerXrSessionEndDebugUtilsLabelRegionEXT);
        } else if (func_name == "xrSessionInsertDebugUtilsLabelEXT") {
            *function = reinterpret_cast<PFN_xrVoidFunction>(ApiDumpLayerXrSessionInsertDebugUtilsLabelEXT);

        // ---- XR_MSFT_spatial_anchor extension commands
        } else if (func_name == "xrCreateSpatialAnchorMSFT") {
            *function = reinterpret_cast<PFN_xrVoidFunction>(ApiDumpLayerXrCreateSpatialAnchorMSFT);
        } else if (func_name == "xrCreateSpatialAnchorSpaceMSFT") {
            *function = reinterpret_cast<PFN_xrVoidFunction>(ApiDumpLayerXrCreateSpatialAnchorSpaceMSFT);
        } else if (func_name == "xrDestroySpatialAnchorMSFT") {
            *function = reinterpret_cast<PFN_xrVoidFunction>(ApiDumpLayerXrDestroySpatialAnchorMSFT);

        // ---- XR_EXT_conformance_automation extension commands
        } else if (func_name == "xrSetInputDeviceActiveEXT") {
            *function = reinterpret_cast<PFN_xrVoidFunction>(ApiDumpLayerXrSetInputDeviceActiveEXT);
        } else if (func_name == "xrSetInputDeviceStateBoolEXT") {
            *function = reinterpret_cast<PFN_xrVoidFunction>(ApiDumpLayerXrSetInputDeviceStateBoolEXT);
        } else if (func_name == "xrSetInputDeviceStateFloatEXT") {
            *function = reinterpret_cast<PFN_xrVoidFunction>(ApiDumpLayerXrSetInputDeviceStateFloatEXT);
        } else if (func_name == "xrSetInputDeviceStateVector2fEXT") {
            *function = reinterpret_cast<PFN_xrVoidFunction>(ApiDumpLayerXrSetInputDeviceStateVector2fEXT);
        } else if (func_name == "xrSetInputDeviceLocationEXT") {
            *function = reinterpret_cast<PFN_xrVoidFunction>(ApiDumpLayerXrSetInputDeviceLocationEXT);

        // ---- XR_MSFT_spatial_graph_bridge extension commands
        } else if (func_name == "xrCreateSpatialGraphNodeSpaceMSFT") {
            *function = reinterpret_cast<PFN_xrVoidFunction>(ApiDumpLayerXrCreateSpatialGraphNodeSpaceMSFT);

        // ---- XR_EXT_hand_tracking extension commands
        } else if (func_name == "xrCreateHandTrackerEXT") {
            *function = reinterpret_cast<PFN_xrVoidFunction>(ApiDumpLayerXrCreateHandTrackerEXT);
        } else if (func_name == "xrDestroyHandTrackerEXT") {
            *function = reinterpret_cast<PFN_xrVoidFunction>(ApiDumpLayerXrDestroyHandTrackerEXT);
        } else if (func_name == "xrLocateHandJointsEXT") {
            *function = reinterpret_cast<PFN_xrVoidFunction>(ApiDumpLayerXrLocateHandJointsEXT);

        // ---- XR_MSFT_hand_tracking_mesh extension commands
        } else if (func_name == "xrCreateHandMeshSpaceMSFT") {
            *function = reinterpret_cast<PFN_xrVoidFunction>(ApiDumpLayerXrCreateHandMeshSpaceMSFT);
        } else if (func_name == "xrUpdateHandMeshMSFT") {
            *function = reinterpret_cast<PFN_xrVoidFunction>(ApiDumpLayerXrUpdateHandMeshMSFT);

        // ---- XR_MSFT_controller_model extension commands
        } else if (func_name == "xrGetControllerModelKeyMSFT") {
            *function = reinterpret_cast<PFN_xrVoidFunction>(ApiDumpLayerXrGetControllerModelKeyMSFT);
        } else if (func_name == "xrLoadControllerModelMSFT") {
            *function = reinterpret_cast<PFN_xrVoidFunction>(ApiDumpLayerXrLoadControllerModelMSFT);
        } else if (func_name == "xrGetControllerModelPropertiesMSFT") {
            *function = reinterpret_cast<PFN_xrVoidFunction>(ApiDumpLayerXrGetControllerModelPropertiesMSFT);
        } else if (func_name == "xrGetControllerModelStateMSFT") {
            *function = reinterpret_cast<PFN_xrVoidFunction>(ApiDumpLayerXrGetControllerModelStateMSFT);

        // ---- XR_MSFT_perception_anchor_interop extension commands
#if defined(XR_USE_PLATFORM_WIN32)
        } else if (func_name == "xrCreateSpatialAnchorFromPerceptionAnchorMSFT") {
            *function = reinterpret_cast<PFN_xrVoidFunction>(ApiDumpLayerXrCreateSpatialAnchorFromPerceptionAnchorMSFT);
#endif // defined(XR_USE_PLATFORM_WIN32)
#if defined(XR_USE_PLATFORM_WIN32)
        } else if (func_name == "xrTryGetPerceptionAnchorFromSpatialAnchorMSFT") {
            *function = reinterpret_cast<PFN_xrVoidFunction>(ApiDumpLayerXrTryGetPerceptionAnchorFromSpatialAnchorMSFT);
#endif // defined(XR_USE_PLATFORM_WIN32)

        // ---- XR_FB_display_refresh_rate extension commands
        } else if (func_name == "xrEnumerateDisplayRefreshRatesFB") {
            *function = reinterpret_cast<PFN_xrVoidFunction>(ApiDumpLayerXrEnumerateDisplayRefreshRatesFB);
        } else if (func_name == "xrGetDisplayRefreshRateFB") {
            *function = reinterpret_cast<PFN_xrVoidFunction>(ApiDumpLayerXrGetDisplayRefreshRateFB);
        } else if (func_name == "xrRequestDisplayRefreshRateFB") {
            *function = reinterpret_cast<PFN_xrVoidFunction>(ApiDumpLayerXrRequestDisplayRefreshRateFB);

        // ---- XR_FB_color_space extension commands
        } else if (func_name == "xrEnumerateColorSpacesFB") {
            *function = reinterpret_cast<PFN_xrVoidFunction>(ApiDumpLayerXrEnumerateColorSpacesFB);
        } else if (func_name == "xrSetColorSpaceFB") {
            *function = reinterpret_cast<PFN_xrVoidFunction>(ApiDumpLayerXrSetColorSpaceFB);
        }
        // If we setup the function, just return
        if (*function != nullptr) {
            return XR_SUCCESS;
        }

        // We have not found it, so pass it down to the next layer/runtime
        std::unique_lock<std::mutex> mlock(g_instance_dispatch_mutex);
        auto map_iter = g_instance_dispatch_map.find(instance);
        mlock.unlock();

        if (map_iter == g_instance_dispatch_map.end()) {
            return XR_ERROR_HANDLE_INVALID;
        }

        XrGeneratedDispatchTable *gen_dispatch_table = map_iter->second;
        if (nullptr == gen_dispatch_table) {
            return XR_ERROR_HANDLE_INVALID;
        }

        return gen_dispatch_table->GetInstanceProcAddr(instance, name, function);
    } catch (...) {
        return XR_ERROR_VALIDATION_FAILURE;
    }
}

